#
# spec file for package kernel-iseries64 (Version 2.6.16.13)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           kernel-iseries64
URL:            http://www.kernel.org/
%define build_kdump %([ iseries64 != kdump ] ; echo $?)
%define build_xen %(case iseries64 in (xen*) echo 1;; (*) echo 0;; esac)
%define build_um  %([ iseries64 != um ] ; echo $?)
%ifarch ia64
# arch/ia64/scripts/unwcheck.py
BuildRequires:  python
%endif
Version:        2.6.16.13
Release: 4
Summary:        64-Bit Kernel for iSeries
License:        GPL
Group:          System/Kernel
%if %build_um
#Conflicts:    kernel
%else
%if !%build_xen
Provides:       kernel = 2.6.16.13-%release
%endif
%endif
Provides:       kernel-iseries64-nongpl
Obsoletes:      kernel-iseries64-nongpl
%ifarch ppc
%else
%ifarch ppc64
%endif
%endif
%ifarch %ix86 x86_64
%if "iseries64" != "default" && "iseries64" != "kdump"
Requires:       irqbalance
%endif
%endif
Autoreqprov:    on
%define my_builddir %_builddir/%{name}-%{version}
Source0:        http://www.kernel.org/pub/linux/kernel/v2.6/linux-2.6.16.tar.bz2
Source1:        functions.sh
Source11:       postun.sh
Source12:       post.sh
Source20:       series.conf
Source21:       config.conf
Source22:       supported.conf
Source30:       arch-symbols
Source31:       guards
Source32:       config-subst
Source33:       check-for-config-changes
Source34:       check-supported-list
Source35:       install-configs
Source38:       kabi-checks
Source40:       build-source-timestamp
Source41:       built-in-where
Source42:       make-symsets
Source43:       find-provides
Source46:       find-types
Source100:      config.tar.bz2
Source101:      patches.arch.tar.bz2
Source102:      patches.drivers.tar.bz2
Source103:      patches.fixes.tar.bz2
Source104:      patches.rpmify.tar.bz2
Source105:      patches.suse.tar.bz2
Source106:      patches.uml.tar.bz2
Source107:      patches.xen.tar.bz2
Source108:      patches.addon.tar.bz2
Source109:      patches.kernel.org.tar.bz2
Source120:      kabi.tar.bz2
PreReq:         mkinitrd >= 1.2
PreReq:         coreutils
PreReq:         perl-Bootloader >= 0.2.20-7
PreReq:         rpm
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch: ppc ppc64
# These files are found in the kernel-source package:
NoSource:       0
NoSource:       100
NoSource:       101
NoSource:       102
NoSource:       103
NoSource:       104
NoSource:       105
NoSource:       106
NoSource:       107
NoSource:       108
NoSource:       109
NoSource:       120
# Provide the exported symbols as "ksym(symbol) = hash"
%define __find_provides %_sourcedir/find-provides %name
# Will unknown sybols cause the kernel build to fail (0/1)?
%define unknown_symbol_check 0
# Will modules not listed in supported.conf abort the kernel build (0/1)?
%define supported_modules_check 0
# Are we building with debug symbols enabled?
%define with_debug %(set -- " %optflags "; [ "$1" = "${1/ -g }" ]; echo $? )
%define tolerate_unknown_new_config_options 0
# kABI change tolerance (default in maintenance should be 4, 8 or 15;
# see scripts/kabi-checks)
%define tolerate_kabi_changes 31

%(chmod +x %_sourcedir/{arch-symbols,guards,config-subst,check-for-config-changes,check-supported-list,built-in-where,find-provides,make-symsets,find-types,kabi-checks,install-configs})

%description
Standard 64-bit kernel for legacy IBM iSeries machines.



Source Timestamp: 2006/05/03 04:53:23 UTC
CVS Branch: SL101_BRANCH

%prep
if ! [ -e %_sourcedir/linux-2.6.16.tar.bz2 ]; then
    echo "The kernel-iseries64-2.6.16.13.nosrc.rpm package does not contain the" \
	 "complete sources. Please install kernel-source-2.6.16.13.src.rpm."
    exit 1
fi
symbols=$(
    echo kernel-iseries64
    cd %_sourcedir
    PATCH_ARCH=%_target_cpu ./arch-symbols
    ! [ -e extra-symbols ] || cat extra-symbols
)
echo "Architecture symbol(s):" $symbols
# Unpack all sources and patches
%setup -q -c -T -a 0 -a 100 -a 101 -a 102 -a 103 -a 104 -a 105 -a 106 -a 107 -a 108 -a 109 -a 120
# Generate the list of supported modules
(   %_sourcedir/guards $symbols < %_sourcedir/supported.conf
    for how in external; do
	(   %_sourcedir/guards $symbols < %_sourcedir/supported.conf
	    %_sourcedir/guards $symbols < %_sourcedir/supported.conf
	    %_sourcedir/guards $symbols $how < %_sourcedir/supported.conf \
	) | sort | uniq -u | sed -e 's:$: '"$how"':'
    done
) | sed -e 's,.*/,,' | sort > linux-2.6.16/Module.supported
cd linux-2.6.16
# Find out for which architecture to build. We do this here, and use the
# result in the %build and %install sections.
#
# On architectures with a bi-arch or cross compiler, we can compile for
# an architecture different from %arch. The location of the config file
# tells us for which architecture to compile.
set -- $(
    for config in $(%_sourcedir/guards $symbols < %_sourcedir/config.conf) ; do
	[ ${config#*/} = iseries64 ] && echo $config
    done)
if [ $# -ne 1 ]; then
    echo "$# config files found for this spec file (but one needed)" >&2
    exit 1
fi
subarch=${1%/*}
# Apply the patches needed for this architecture.
for patch in $(%_sourcedir/guards $symbols < %_sourcedir/series.conf); do
    if ! patch -s -E -p1 --no-backup-if-mismatch -i ../$patch; then
	echo "*** Patch $patch failed ***"
	exit 1
    fi
done

%_sourcedir/install-configs %_sourcedir %my_builddir %release
config=arch/$subarch/defconfig.iseries64

%_sourcedir/config-subst CONFIG_DEBUG_INFO < $config > .config
# We compile for this sub-architecture (i.e., machine architecture):
%if %build_um
cat > ../.rpm-defs <<EOF
ARCH=iseries64
SUBARCH=$subarch
MAKE_ARGS="ARCH=iseries64 SUBARCH=$subarch"
EOF
%else
cat > ../.rpm-defs <<EOF
ARCH=$subarch
SUBARCH=$subarch
MAKE_ARGS="ARCH=$subarch"
EOF
%endif
%if %with_debug
cat >> ../.rpm-defs <<EOF
MAKE_ARGS="\$MAKE_ARGS CONFIG_DEBUG_INFO=y"
EOF
%endif

%build
source .rpm-defs
cd linux-2.6.16
cp .config .config.orig
%if %{tolerate_unknown_new_config_options}
MAKE_ARGS="$MAKE_ARGS -k"
yes '' | make oldconfig $MAKE_ARGS
%else
make silentoldconfig $MAKE_ARGS < /dev/null

%_sourcedir/check-for-config-changes .config.orig .config
rm .config.orig
%endif
KERNELRELEASE=$(make -s kernelrelease)
echo "KERNELRELEASE=$KERNELRELEASE" >> ../.rpm-defs
# Override the timestamp `uname -v' reports with the build
# timestamp.
export BUILD_TIMESTAMP="$(head -n 1 %_sourcedir/build-source-timestamp)"
# The following branch/timestamp will end up in Oopses.
export OOPS_TIMESTAMP="$(
    echo -n $(sed -ne 's/^CVS Branch: \(.*\)/\1-/p' \
		  %_sourcedir/build-source-timestamp)
    head -n 1 %_sourcedir/build-source-timestamp \
	| tr -dc 0-9)"
export KBUILD_VERBOSE=0
export KBUILD_SYMTYPES=1
make %{?jobs:-j%jobs} all $MAKE_ARGS

%install
source .rpm-defs
# get rid of /usr/lib/rpm/brp-strip-debug
# strip removes too much from the vmlinux ELF binary
export NO_BRP_STRIP_DEBUG=true
# /lib/modules/$KERNELRELEASE/build will be a stale symlink until the
# kernel-source package is installed. Don't check for stale symlinks
# in the brp-symlink check:
export NO_BRP_STALE_LINK_ERROR=yes
# skip long-running sanity checks
export NO_BRP_NOEXECSTACK=yes
(   cat %_sourcedir/functions.sh
    sed -e "s:@KERNELRELEASE@:$KERNELRELEASE:g" \
	-e "s:@FLAVOR""@:iseries64:g" \
        %_sourcedir/post.sh
) > post.sh
(   cat %_sourcedir/functions.sh
    sed -e "s:@KERNELRELEASE@:$KERNELRELEASE:g" \
	-e "s:@FLAVOR""@:iseries64:g" \
        %_sourcedir/postun.sh
) > postun.sh
cd linux-2.6.16
rm -rf %buildroot
mkdir -p %buildroot/boot
# (Could strip out non-public symbols.)
cp -p System.map %buildroot/boot/System.map-$KERNELRELEASE
add_vmlinux()
{
    local vmlinux=boot/vmlinux-$KERNELRELEASE
%if %with_debug
    local vmlinux_debug=usr/lib/debug/$vmlinux.debug
    mkdir -p $(dirname %buildroot/$vmlinux_debug)
    cp vmlinux %buildroot/$vmlinux
    /usr/lib/rpm/debugedit -b %my_builddir -d /usr/src/debug \
			   -l vmlinux.sourcefiles %buildroot/$vmlinux
    objcopy --only-keep-debug \
	    %buildroot/$vmlinux \
	    %buildroot/$vmlinux_debug || :
    objcopy --add-gnu-debuglink=%buildroot/$vmlinux_debug \
	    --strip-debug \
	    %buildroot/$vmlinux || :
    mkdir -p %buildroot/usr/src/debug
    LANG=C sort -z -u vmlinux.sourcefiles \
    | (	cd %my_builddir
	cpio -pd0m %buildroot/usr/src/debug
    )
    chmod -R a+rX,go-w %buildroot/usr/src/debug
%else
    cp vmlinux %buildroot/$vmlinux
%endif
    if [ "$1" = --compressed ]; then
	gzip -9 %buildroot/$vmlinux
    fi
}
%if %build_kdump
    add_vmlinux
    chmod 644 %buildroot/boot/vmlinux-$KERNELRELEASE
    image=vmlinux
%else
%if %build_um
    add_vmlinux
    chmod 755 %buildroot/boot/vmlinux-$KERNELRELEASE
    image=linux
%else
%if %build_xen
    add_vmlinux --compressed
    cp -p vmlinuz %buildroot/boot/vmlinuz-$KERNELRELEASE
    image=vmlinuz
%else
%ifarch %ix86 x86_64
    add_vmlinux --compressed
    cp -p arch/*/boot/bzImage %buildroot/boot/vmlinuz-$KERNELRELEASE
    image=vmlinuz
%endif
%endif
%ifarch alpha
    add_vmlinux --compressed
    cp -p arch/alpha/boot/vmlinux.gz %buildroot/boot/vmlinuz-$KERNELRELEASE
    image=vmlinuz
%endif
%ifarch ppc ppc64
    add_vmlinux
    chmod 644 %buildroot/boot/vmlinux-$KERNELRELEASE
    image=vmlinux
%endif
%ifarch ia64
    add_vmlinux --compressed
    mv %buildroot/boot/vmlinux-$KERNELRELEASE.gz \
       %buildroot/boot/vmlinuz-$KERNELRELEASE
    image=vmlinuz
%endif
%ifarch s390 s390x
    add_vmlinux --compressed
    cp -p arch/s390/boot/image %buildroot/boot/image-$KERNELRELEASE
    image=image
%endif
    if [ -e init/kerntypes.o ]; then
	cp init/kerntypes.o %buildroot/boot/Kerntypes-$KERNELRELEASE
    fi
%endif
# kdump
%endif
%if %build_kdump || %build_um || %build_xen
suffix=-iseries64
%endif
ln -s $image$suffix %buildroot/boot/$image$suffix
ln -s initrd$suffix %buildroot/boot/initrd$suffix
ln -s $image %buildroot/boot/$image$suffix.previous
ln -s initrd %buildroot/boot/initrd$suffix.previous
cp .config %buildroot/boot/config-$KERNELRELEASE
make modules_install $MAKE_ARGS INSTALL_MOD_PATH=%buildroot
if ! %_sourcedir/check-supported-list \
	%_sourcedir %buildroot/lib/modules/$KERNELRELEASE; then
%if %supported_modules_check
    exit 1
%endif
    echo "Consistency check error: please update supported.conf."
fi
gzip -c9 < Module.symvers > %buildroot/boot/symvers-$KERNELRELEASE.gz
# Group the exported symbols listed in symvers.gz by directory, and
# create a database of sets. Preserve exports from previous kernels
# (stored in old-symsets.tar.gz) when possible.
old_symsets=%_sourcedir/symsets-$SUBARCH-iseries64.tar.gz
[ -e $old_symsets ] || old_symsets=
(   grep -v $'\tvmlinux$' Module.symvers
    # Find out in which built-in.o files the exported symbols that ended
    # up in vmlinux were defined.
    grep $'\tvmlinux$' Module.symvers | %_sourcedir/built-in-where
) | %_sourcedir/make-symsets \
    %buildroot/boot/symsets-$KERNELRELEASE.tar.gz \
    $old_symsets
# Also put the resulting file in $obj_dir/$SUBARCH/iseries64
# so that kernel-source + kernel-iseries64 is sufficient for building
# modules that have modversions as well.
obj_dir=usr/src/linux-${KERNELRELEASE%%-iseries64}-obj
mkdir -p %buildroot/$obj_dir/$SUBARCH/iseries64
cp Module.symvers %buildroot/$obj_dir/$SUBARCH/iseries64
# Table of types used in exported symbols (for modversion debugging).

%_sourcedir/find-types > %buildroot/boot/symtypes-$KERNELRELEASE
if [ -s %buildroot/boot/symtypes-$KERNELRELEASE ]; then
    gzip -9 %buildroot/boot/symtypes-$KERNELRELEASE
else
    rm -f %buildroot/boot/symtypes-$KERNELRELEASE
fi
# Some architecture's $(uname -m) output is different from the ARCH
# parameter that needs to be passed to kbuild. Create symlinks from
# $(uname -m) to the ARCH directory.
if [ ! -e %buildroot/$obj_dir/%_target_cpu ]; then
    ln -sf $SUBARCH %buildroot/$obj_dir/%_target_cpu
fi
# Check for kABI changes
KABI=0
if [ -e %my_builddir/kabi/$ARCH/symvers-iseries64 ]; then
    %_sourcedir/kabi-checks \
	%my_builddir/kabi/$ARCH/symvers-iseries64 \
	Module.symvers \
	%my_builddir/kabi/commonsyms \
	%my_builddir/kabi/usedsyms \
    || KABI=$?
fi
if [ $KABI -gt %tolerate_kabi_changes ]; then
    # Create an unresolved dummy shared library symbol: this way we can keep
    # the kernel rpm but installing the package will fail without --nodeps,
    # and the Autobuild team will detect packages with excessive badness as
    # well.
    gcc -o dummy.o -shared -Wl,-soname,kabi_badness_$KABI
    gcc -o %buildroot/boot/kabi-badness-$KABI -nostdlib -shared dummy.o
    rm dummy.o
    echo "
kABI changes of badness $KABI exceed the maximum allowed badness
of %tolerate_kabi_changes.  The kernel package created will have
an unresolved \`kabi_badness_$KABI' requirement.
Please try to avoid the kABI changes.  If this is not feasible,
get permission to bump the kABI and check in new reference files.
If this is not an official kernel build, you may want to change
the value of %%tolerate_kabi_changes in rpm/kernel-iseries64.spec.
"
fi
# We were building in %my_builddir/linux-2.6.16, but the sources will
# later be installed in /usr/src/linux-2.6.16-%release. Fix up the
# build symlink.
rm -f %buildroot/lib/modules/$KERNELRELEASE/{source,build}
ln -s /usr/src/linux-${KERNELRELEASE%%-iseries64} \
    %buildroot/lib/modules/$KERNELRELEASE/source
ln -s /$obj_dir/$SUBARCH/iseries64 \
    %buildroot/lib/modules/$KERNELRELEASE/build
/sbin/depmod -b %buildroot -ae -F %buildroot/boot/System.map-$KERNELRELEASE \
    $KERNELRELEASE 2>&1 \
| awk '
    /needs unknown symbol/  { fail=FAIL }
			    { print }
    END			    { exit fail }
' FAIL=%unknown_symbol_check
# Create a dummy initrd with roughly the size the real one will have.
# That way, YaST will know that this package requires some additional
# space in /boot.
dd if=/dev/zero of=%buildroot/boot/initrd-$KERNELRELEASE \
    bs=1024 seek=2047 count=1
# Collect the file list.
(   cd %buildroot
    echo "%%defattr(-, root, root)"
    find boot \
	\( -type l -o -name 'initrd-*' \) -printf '%%%%ghost /%%p\n' -o \
	-type f -printf '/%%p\n'
    find lib/modules/$KERNELRELEASE \
	-type d -printf '%%%%dir /%%p\n' -o \
	-path '*/modules.*' -printf '%%%%ghost /%%p\n' -o \
	-printf '/%%p\n'
    find $obj_dir \
	-type d -printf '%%%%dir /%%p\n' -o \
	-printf '/%%p\n'
    if [ -e .%_docdir/%name ]; then
	echo "%%doc %_docdir/%name"
    fi
) > %my_builddir/kernel.files

%post -f post.sh

%postun -f postun.sh

%files -f kernel.files

%changelog -n kernel-iseries64
* Wed May 03 2006 - aj@suse.de
- Move SL101_RC4 tag.
* Tue May 02 2006 - jeffm@suse.de
- patches.fixes/dm-proper-refcounting.diff: Fixed refcounting when
  md != NULL but md->interface_ptr is. It would return NULL, but
  allocate a reference that the caller has no way of freeing.
  Fixes bug 170321.
* Tue May 02 2006 - gregkh@suse.de
- Update to 2.6.16.13
- NETFILTER: SCTP conntrack: fix infinite loop (CVE-2006-1527)
* Tue May 02 2006 - jack@suse.cz
- patches.fixes/jbd-2.6.16-1-realloc_freed_fix.diff: Fix assertion
  failure in ext3 (152664).
* Tue May 02 2006 - aj@suse.de
- Add SL101_RC4 tag.
* Tue May 02 2006 - okir@suse.de
- patches.fixes/nfs4-open-delegated: [NFSv4] nfs4_open_delegated
  returned random garbage.
* Tue May 02 2006 - okir@suse.de
- patches.fixes/nfs4-setclientid: NFSv4: SETCLIENTID_CONFIRM
  should handle NFS4ERR_DELAY/NFS4ERR_RESOURCE (167953).
* Tue May 02 2006 - gregkh@suse.de
- Update to 2.6.16.12 which fixed the following:
- added for_each_possible_cpu
- Alpha: strncpy() fix
- Altix snsc: duplicate kobject fix
- cs5535_gpio.c: call cdev_del() during module_exit to unmap kobject references and other cleanups
- cxusb-bluebird: bug-fix: power down corrupts frontend
- dm flush queue EINTR
- dm snapshot: fix kcopyd destructor
- Fix reiserfs deadlock
- fix saa7129 support in saa7127 module for pvr350 tv out
- get_dvb_firmware: download nxt2002 firmware from new driver location
- i386: fix broken FP exception handling
- LSM: add missing hook to do_compat_readv_writev()
- make vm86 call audit_syscall_exit
- MIPS: Fix branch emulation for floating-point exceptions.
- MIPS: Fix tx49_blast_icache32_page_indexed.
- MIPS: R2 build fixes for gcc < 3.4.
- MIPS: Use "R" constraint for cache_op.
- NET: e1000: Update truesize with the length of the packet for packet split
- Simplify proc/devices and fix early termination regression
- sonypi: correct detection of new ICH7-based laptops
- tipar oops fix
- USB: fix array overrun in drivers/usb/serial/option.c
- x86_64: Fix a race in the free_iommu path.
- x86_64: Pass -32 to the assembler when compiling the 32bit vsyscall pages
- x86/PAE: Fix pte_clear for the >4GB RAM case
* Mon May 01 2006 - perex@suse.de
- patches.suse/netfilter-conntrack-sinzero:
  VUL-0: kernel: minor information leak in SO_ORIGINAL_DST (#159046)
* Sun Apr 30 2006 - agruen@suse.de
- patches.fixes/nfs-acl-caching.diff: Need to update the cached
  acls in nfs3_proc_setacls as well (171059).
* Sat Apr 29 2006 - jeffm@suse.de
- series.conf: helps to enable the patch
* Sat Apr 29 2006 - jeffm@suse.de
- patches.fixes/ext3-resize-oops.diff: [PATCH] forgotten ->b_data
  in memcpy() call in ext3/resize.c (oopsable).
* Sat Apr 29 2006 - agruen@suse.de
- patches.fixes/nfs-acl-caching.diff: "No acl" entry put in
  client-side acl cache instead of "not cached" (171059).
* Sat Apr 29 2006 - agruen@suse.de
- patches.fixes/disable-nfsv4-posix-acl-hack.diff: Improved fix
  based on a comment by Neil Brown. Also disable NFSv4 support
  on the client side (169033).
* Fri Apr 28 2006 - agruen@suse.de
- patches.fixes/disable-nfsv4-posix-acl-hack.diff: Disable NFSv4
  deamon-side POSIX ACL <=> NFSv4 ACL mapping (169033).
* Tue Apr 25 2006 - trenn@suse.de
- patches.arch/acpi_asus_strict_model_check.patch: Do only load
  asus acpi module when model is listed (166920).
* Tue Apr 25 2006 - tonyj@suse.de
- patches.suse/apparmor: Fix for critical bug #159411 ("Apparmor message
  reports unknown xattr type"). Ack'd by gregkh.
* Mon Apr 24 2006 - gregkh@suse.de
- Update config files.
* Mon Apr 24 2006 - gregkh@suse.de
- Update to 2.6.16.11 (bug fixes and security issues fixed)
- patches.fixes/tcp-truesize-underflow: Delete.
- patches.fixes/file-lookup-without-ref.patch: Delete.
- patches.kernel.org/patch-2.6.16.9: Delete.
- patches.kernel.org/patch-2.6.16.11: Linux 2.6.16.11.
* Mon Apr 24 2006 - jbeulich@novell.com
- Update Xen patches to 3.0.2-2 (c/s 9629).
- patches.xen/xen3-patch-2.6.16.9: Linux 2.6.16.9.
- patches.xen/xen-SiS-APIC-bug.patch: Forward information on
  buggy APICs to the hypervisor..
- patches.xen/xen-microcode-modular.patch: allow microcode driver
  to be built as a module.
- patches.xen/xen-x86-assign_irq_vector.patch: eliminate static
  variables from assign_irq_vector().
- patches.xen/xenbus_be-non-modular.patch: xenbus_be currently
  doesn't build properly as a module.
- Update Xen config files.
- supported.conf: Add xenbus_be.
* Mon Apr 24 2006 - garloff@suse.de
- patches.fixes/sg2616dio_lk.diff: Added Patch-Mainline annotation.
- patches.suse/scsi-scan-tolerate-pq3-[23]: Change BLIST_ATTACH_PQ3
  flag to 0x1000000 to avoid conflict with BLIST_MAX_512.
* Sun Apr 23 2006 - agruen@suse.de
- Update the required version of perl-Bootloader.
* Sat Apr 22 2006 - olh@suse.de
- update patches.suse/mv643xx_eth.SET_NETDEV_DEV.patch
  really provide sysfs class device symlink (161555)
* Sat Apr 22 2006 - jeffm@suse.de
- patches.fixes/reiserfs-procfs-slashes.diff: [PATCH] reiserfs:
  fix handling of device names with /'s in them (#154278).
* Fri Apr 21 2006 - ak@suse.de
- patches.arch/x86_64-vsyscall32-aflags: Pass -32 to the assembler
  when compiling the 32bit vsyscall pages (163112).
- patches.xen/xen3-auto-arch-x86_64.diff: Rediff and fix there too
* Fri Apr 21 2006 - ak@suse.de
- patches.arch/x86_64-free-iommu-race: Fix a race in the
  free_iommu path..
* Thu Apr 20 2006 - agruen@suse.de
- patches.arch/acpi_show_errors-fix: ACPI compile fix.
* Thu Apr 20 2006 - gregkh@suse.de
- make the kernel version be 2.6.16.9
- patches.kernel.org/patch-2.6.16.9: Linux 2.6.16.9.
* Thu Apr 20 2006 - trenn@suse.de
- patches.arch/acpi_ibm_notify.patch: Fix Thinkpad A21m shutdown
  (150851).
- patches.fixes/cpufreq_sysfs_max_override.patch: Max freq stucks
  at low freq if reduced by _PPC and sysfs gov access (119836).
  Reenabled after fixing lock and refcount issues.
* Thu Apr 20 2006 - axboe@suse.de
- patches.fixes/cfq-tune: Allow low-level driver to do queuing
  with CFQ.
* Thu Apr 20 2006 - ak@suse.de
- patches.arch/x86_64-increase-nodemap: Increase NUMA hash
  function nodemap (167073).
* Thu Apr 20 2006 - axboe@suse.de
- patches.drivers/ide-cd-confused: Fix CDROM being confused
  (147863).
* Wed Apr 19 2006 - olh@suse.de
- update patches.arch/ppc-kdump-soft-reset.patch
  use cpu_relax instead of barrier
* Wed Apr 19 2006 - agruen@suse.de
- rpm/post.sh: Change from --xen option to --xen-kernel=...
  argument (161197).
* Wed Apr 19 2006 - agruen@suse.de
- Xen kernel boot loader entries not created correctly (166869).
* Wed Apr 19 2006 - agruen@suse.de
- patches.fixes/xfs-remove-unneeded-defines-and-symbols: Compiler
  Errors in xfs_dmapi.h (162465).
* Wed Apr 19 2006 - ak@suse.de
- patches.fixes/tcp-truesize-underflow: Fix skb->truesize
  underflow.
* Wed Apr 19 2006 - gregkh@suse.de
- Update to 2.6.16.9 (another security fix)
- patches.kernel.org/patch-2.6.16.8: Delete.
- patches.kernel.org/patch-2.6.16.9: Linux 2.6.16.9.
* Wed Apr 19 2006 - ak@suse.de
- patches.fixes/powernow-fix-3: Fix use before check in earlier patch
  (142547).
- patches.xen/xen-acpi-nolapic: Xen: Don't process APICs/IO-APICs
  in ACPI when APIC is disabled. (156426).
* Tue Apr 18 2006 - gregkh@suse.de
- Update to 2.6.16.8 (another security fix)
- patches.kernel.org/patch-2.6.16.7: Delete.
- patches.kernel.org/patch-2.6.16.8: Linux 2.6.16.8.
* Tue Apr 18 2006 - lmb@suse.de
- patches.fixes/ptrace-suspend: Fix suspend/resume of straced tasks
  (161743).
* Tue Apr 18 2006 - schwab@suse.de
- show-mem: Make show_mem() skip holes in a pgdat [#166284].
* Tue Apr 18 2006 - gregkh@suse.de
- Update to 2.6.16.7 (lots of security fixes and other bug stuff)
- patches.arch/x86_64-execve-cleanup: Delete.
- patches.arch/x86_64-force-iret: Delete.
- patches.arch/ppc-iseries-slb_initialize.patch: Delete.
- patches.arch/ppc-SA_ONSTACK-fix.patch: Delete.
- patches.drivers/cciss-softirq-oops: Delete.
- patches.fixes/RLIMIT_CPU-fix-handling-of-a-zero-limit.patch:
  Delete.
- patches.fixes/ptrace-suspend: Delete.
- patches.kernel.org/patch-2.6.16.4: Delete.
- patches.kernel.org/patch-2.6.16.7: Linux 2.6.16.7.
* Tue Apr 18 2006 - olh@suse.de
- update patches.arch/ppc-kdump-soft-reset.patch
  fix compile on ppc32
* Thu Apr 13 2006 - jeffm@suse.de
- patches.suse/ocfs2-update-2006-04-11.diff: OCFS2 Code Update
  for SLES 10 - 2006-04-11.
* Thu Apr 13 2006 - jeffm@suse.de
- Fixes for bug #163243
- patches.fixes/idr_replace.diff: idr: add idr_replace method
  for replacing pointers.
- patches.fixes/dm-use-idr_replace.diff: dm: use idr_replace
  for minor_idr.
- patches.fixes/dm-idr_pre_get-ordering.diff: dm: fix
  idr_pre_get lock ordering.
- patches.fixes/dm-use-spinlock.diff: dm: use spinlock for
  _minor_lock.
- patches.fixes/dm-DMF_FREEING.diff: dm: add DMF_FREEING flag
  to indicate that a mapped_device is no longer legal to use.
- patches.fixes/dm-proper-refcounting.diff: dm: fix refcounting.
- patches.fixes/dm-module-refcount.diff: dm: proper module
  reference counting.
- patches.fixes/dm-initialize-ordering.diff: dm: fix ordering of
  initialization in alloc_dev().
* Thu Apr 13 2006 - olh@suse.de
- add patches.fixes/file-lookup-without-ref.patch
  fix possible NULL dentry (165361 - LTC21992)
* Thu Apr 13 2006 - olh@suse.de
- update ppc64 kdump patches
  remove patches.arch/ppc-kdump-EOI.patch
  update patches.arch/ppc-kdump-boot-cpu-id.patch
  match mainline status
  add patches.arch/ppc-kdump-clear-and-EOI-IPI.patch
  kexec CPU is not responding to an IPI (165758 - LTC23173)
  add patches.arch/ppc-kdump-image-rm-static.patch
  kdump boot panic when a CPU hangs in the first kernel (149545 - LTC21344)
  update patches.arch/ppc-kdump-iommu-init-fix.patch
  remove quirr_info call
  update patches.arch/ppc-kdump-soft-reset.patch
  more soft-reset fixes (149545 - LTC21344;152931 - LTC21955;158238 - LTC22382)
  add patches.arch/ppc-kdump-xmon-stop-cpu.patch
  leave xmon properly after softreset (149545 - LTC21344;149557 - LTC21346)
* Wed Apr 12 2006 - gregkh@suse.de
- 2.6.16.4 fixes two local DOS issues
- patches.fixes/patch-2.6.16.2: Delete.
- patches.kernel.org/patch-2.6.16.4: Linux 2.6.16.4.
* Wed Apr 12 2006 - ak@suse.de
- patches.arch/x86_64-execve-cleanup: Clean up execve path
  (for next patch) (156580).
- patches.arch/x86_64-force-iret: When user could have changed
  RIP always force IRET [CVE-2006-0744] (156580).
* Wed Apr 12 2006 - gregkh@suse.de
- patches.fixes/RLIMIT_CPU-fix-handling-of-a-zero-limit.patch:
  [PATCH] RLIMIT_CPU: fix handling of a zero limit (#163796).
* Wed Apr 12 2006 - agruen@suse.de
- doc/README.SUSE: Update for CODE10.
* Wed Apr 12 2006 - schwab@suse.de
- uncached-allocator: Fix MCA due to attribute aliasing in uncached
  allocator [#161480].
* Tue Apr 11 2006 - olh@suse.de
- add patches.arch/ppc-iseries-vio-uevent.patch
  Allow hotplug on iSeries vio devices (159652 - LTC22358)
* Tue Apr 11 2006 - axboe@suse.de
- patches.drivers/cciss-reinvoke-rq-handler: Delete.
- patches.drivers/cciss-softirq-oops: Fix oops running hpacucli.
* Tue Apr 11 2006 - schwab@suse.de
- Update kdb patches.
* Tue Apr 11 2006 - okir@suse.de
- patches.drivers/ipw2200-wep-fix: [PATCH] ipw2200: Fix software
  crypto shared WEP authentication problem (160519).
* Tue Apr 11 2006 - olh@suse.de
- disable xmon per default, boot with xmon=on to get it back
* Tue Apr 11 2006 - neilb@suse.de
- patches.fixes/invalidate_page_non_destructive: Make
  invalidate_inode_pages2 non-destructive (133890).
* Tue Apr 11 2006 - agruen@suse.de
- patches.drivers/libata-acpi-suspend-doc-fix: Fix {man,pdf}docs
  targets (163070).
* Tue Apr 11 2006 - ak@suse.de
- patches.arch/i386-bigsmp-noirqbalance: Delete. Obsolete
  after #160473
- patches.arch/i386-amd-core-parsing: Remove bogus code from
  AMD core parsing.
* Mon Apr 10 2006 - olh@suse.de
- add a few patches for pSeries EEH handling (164434 - LTC23030)
  also handle PCI errors in e100 and e1000 drivers
  patches.arch/ppc-eeh-decr-failcount.patch
  patches.arch/ppc-eeh-device-remove-fix.patch
  patches.arch/ppc-eeh-message-disambig.patch
  patches.arch/ppc-eeh-mutex.patch
  patches.arch/ppc-eeh-printing-cleanup.patch
  patches.arch/ppc-eeh-remove-exports.patch
  patches.drivers/e100-pci-err-recovery.patch
  patches.drivers/e1000-pci-err-recovery.patch
  patches.drivers/e1000-stats-collection.patch
* Mon Apr 10 2006 - agruen@suse.de
- patches.fixes/xfs-kern-25687a-sles10-iunpin-reclaim-fix: Fix
  an inode use-after-free during an unpin (SGI:PV946321, 142533).
* Mon Apr 10 2006 - agruen@suse.de
- Disable CONFIG_IRQBALANCE on i386 kernels, and require the
  irqbalance user-space package instead (160473).
* Mon Apr 10 2006 - olh@suse.de
- update to 2.6.16.2
  PCMCIA_SPECTRUM must select FW_LOADER
  drivers/net/wireless/ipw2200.c: fix an array overun
  AIRO{,_CS} <-> CRYPTO fixes
  tlclk: fix handling of device major
  fbcon: Fix big-endian bogosity in slow_imageblit()
  USB: EHCI full speed ISO bugfixes
  Mark longhaul driver as broken.
  fib_trie.c node freeing fix
  USB: usbcore: usb_set_configuration oops (NULL ptr dereference)
  pcmcia: permit single-character-identifiers
  hostap: Fix EAPOL frame encryption
  wrong error path in dup_fd() leading to oopses in RCU
  {ip, nf}_conntrack_netlink: fix expectation notifier unregistration
  isicom must select FW_LOADER
  knfsd: Correct reserved reply space for read requests.
  Fix module refcount leak in __set_personality()
  opti9x - Fix compile without CONFIG_PNP
  Fix the p4-clockmod N60 errata workaround.
  kdump proc vmcore size oveflow fix
* Mon Apr 10 2006 - ak@suse.de
- patches.fixes/acpi-cpuindex: Turn cpuindex warning into
  a DEBUG_PRINT.
* Mon Apr 10 2006 - ak@suse.de
- patches.drivers/ide-acpi-support: Disable debugging printks
* Mon Apr 10 2006 - aj@suse.de
- Move SL101_RC1 tag.
* Mon Apr 10 2006 - ak@suse.de
- patches.arch/i386-modern-apic: i386: Consolidate modern APIC
  handling  (157602).
* Mon Apr 10 2006 - ak@suse.de
- patches.arch/i386-apic-up: Disable ACPI APIC checking
  if DMI scanner decides APIC should not be enabled (162076)
* Sun Apr 09 2006 - ak@suse.de
- patches.fixes/cpufreq_sysfs_max_override.patch: Disable broken patch
* Fri Apr 07 2006 - okir@suse.de
- patches.fixes/dm_check_device_area.diff: Allow for setting of table
  on devices with i_size zero (#158777 - LTC22470).
  Was disabled, re-enabled per request from hare.
* Fri Apr 07 2006 - ak@suse.de
- patches.arch/x86_64-sync-rdtsc: fix sync before RDTSC on
  Intel cpus.
* Fri Apr 07 2006 - vojtech@suse.cz
- patches.fixes/acpipnp-dma-resource-setup-fix.patch
  Fix DMA resource allocation in ACPIPnP (#116655)
* Fri Apr 07 2006 - agruen@suse.de
- Comment out unnecessary update_bootloader call as discussed with
  jplack@suse.de.
- Update SL101_RC1 tag.
* Fri Apr 07 2006 - garloff@suse.de
- Tagged SL101_RC1.
* Fri Apr 07 2006 - hare@suse.de
- patches.fixes/scsi-execute-in-context-api
- patches.fixes/scsi-fix-target-reap
- patches.fixes/scsi-move-target-destroy
  Fix oops on rescan (#149198 - LTC21496)
- patches.drivers/aic79xx-target-hotplug-fixes
  Update target hotplug handling (#96728)
- patches.drivers/aic7xxx-target-rescan
  Remove obsolete patch
* Fri Apr 07 2006 - trenn@suse.de
- patches.fixes/cpufreq_sysfs_max_override.patch:
  avoid lock -> lock after get_policy
* Fri Apr 07 2006 - jbeulich@novell.com
- Update Xen config files.
* Fri Apr 07 2006 - jbeulich@novell.com
- Update Xen patches to 3.0.2 c/s 9595.
- patches.xen/xen3-mapped-base: enable.
- patches.xen/xen-x86_64-panic-no-reboot: Don't automatically
  reboot on panic (match native).
- patches.xen/9522.patch:
- patches.xen/xen3-x86_64-compat-nr-syscalls: Eliminate
  IA32_NR_syscalls define (163144).
- patches.xen/xen3-pci-0029-resource-address-mismatch.patch:
  [PATCH 29/49] PCI: resource address mismatch.
- patches.xen/xen3-lagrange-feature: i386/x86-64: List Intel
  LaGrange AKA SMX in /proc/cpuinfo.
- patches.xen/xen3-amd-core-parsing: Remove bogus special case
  in AMD core parsing..
- patches.xen/xen-i386-kexec-reserve.patch: adjust placement of
  reservation call for kexec crash kernel space
- patches.xen/xen-x86_64-kconfig-no-cpu_freq: disallow CPUFREQ
  config options.
* Fri Apr 07 2006 - neilb@suse.de
- patches.fixes/nfsd-ref-fhandle-problem: Ignore ref_fh when
  crossing a mountpoint. (158737). - fix typo
* Fri Apr 07 2006 - neilb@suse.de
- patches.fixes/nfsd-ref-fhandle-problem: Ignore ref_fh when
  crossing a mountpoint. (158737).
* Thu Apr 06 2006 - tiwai@suse.de
- patches.drivers/alsa-ad1981hd-hp-laptop-2: Add another HP
  laptop with AD1981HD (153362).
- patches.drivers/alsa-cs4281-probe-fix: Fix the check of timeout
  in probe.
- patches.drivers/alsa-hda-intel-ati-sb600: Add support of ATI
  SB600.
- patches.drivers/alsa-hda-intel-workq-fix: use
  create_singlethread_workqueue().
- patches.drivers/alsa-maestro3-misc-fixes: fix BUG,
  optimization.
- patches.drivers/alsa-usbmixer-resolution-fix: Test volume
  resolution of usb audio at initialization.
- patches.drivers/alsa-via82xx-ecs-k8t890-a: Add a dxs entry
  for ECS K8T890-A.
* Thu Apr 06 2006 - ak@suse.de
- patches.arch/x86_64-compat-nr-syscalls: Eliminate
  IA32_NR_syscalls define (163144).
* Wed Apr 05 2006 - agruen@suse.de
- patches.rpmify/extmod-fix: modules_install must not remove
  existing modules.
* Wed Apr 05 2006 - agruen@suse.de
- Need to pass the -xen and -xenpae suffixes to update-bootloader
  (163768). Go through the same .previous symlink logic for xen*
  as for the other flavors.
* Wed Apr 05 2006 - agruen@suse.de
- patches.fixes/per-cpu-irqs-in-generic-irq-setup: Add
  SA_PERCPU_IRQ flag support (161473).
* Wed Apr 05 2006 - agruen@suse.de
- patches.fixes/xfs-kern-25683a-chash-doublelink: [PATCH]
  xfs-kern-25683a-chash-doublelink (163667, SGI:PV951551).
* Wed Apr 05 2006 - hare@suse.de
- Mark vmlogrdr, monreader, and zfcp_hbaapi as supported
  (#163245 - LTC22901)
- Activate watchdog (#161997 - LTC22671)
* Wed Apr 05 2006 - kraxel@suse.de
- patches.fixes/fix-serial-8250-UART_BUG_TXEN-test: Fix
  UART_BUG_TXEN test. (49840).
* Wed Apr 05 2006 - olh@suse.de
- do not create or replace the /boot/vmlinux symlink if the kernel
  is not compatible with the boardtype (164584 - LTC22947)
* Tue Apr 04 2006 - trenn@suse.de
- patches.fixes/cpufreq_sysfs_max_override.patch: Max freq stucks
  at low freq if reduced by _PPC and sysfs gov access (119836).
* Tue Apr 04 2006 - hare@suse.de
- Update configs for S/390.
* Tue Apr 04 2006 - garloff@suse.de
- Xen configurations: Build backend/frontend drivers as modules.
- patches.suse/scsi-scan-tolerate-pq3-[123]: Handle scsi devices
  that report a periph. qualifier of 3 better during scan.
- patches.fixes/sg2616dio_lk.diff: Fix memory leak when doing
  direct I/O via sg.
* Tue Apr 04 2006 - hare@suse.de
- add patches.arch/s390-dasd-eer-october2005.diff
  Extended error reporting for DASDs.
- add patches.arch/s390-02-0{2,3,4}-october2005.diff
  Include patches from IBM.
- patches.arch/s390-mapped-base.patch
  Enable patch now that mapped_base is back in.
- patches.arch/s390-dasd-erp-debug.patch
  Remove obsolete patch.
* Tue Apr 04 2006 - olh@suse.de
- add patches.arch/ppc-iseries-irq-256max.patch
  iSeries has only 256 IRQs (158811 - LTC22471)
* Tue Apr 04 2006 - hare@suse.de
- add patches.fixes/bus-uevent-after-sysfs-links
  We should send bus device events after all links are created.
* Tue Apr 04 2006 - olh@suse.de
- add patches.arch/ppc-kdump-shutdown-interrupts.patch
  end all interrupts before starting the kdump kernel (152932 - LTC21954)
* Mon Apr 03 2006 - mason@suse.de
- patches.drivers/e1000-no-tso: [e1000] Disable TSO for now
  (157600).
- patches.fixes/hrtimer-opt: optimize run_hrtimer_queue when
  there is no work to do (161587).
- patches.fixes/calc-load-opt: Combining nr_running() &
  nr_interruptible() into a single function (162658).
- patches.suse/cache_reap-latency: reduce irq latencies in
  cache_reap (160144).
- patches.suse/drain-node-pages-latency: drain_node_pages latency
  fix (160144).
- enable e1000 TSO again
* Mon Apr 03 2006 - gregkh@suse.de
- patches.fixes/sysfs-off-by-one.patch: sysfs: zero terminate
  sysfs write buffers (CVE-2006-1055).
* Mon Apr 03 2006 - ak@suse.de
- patches.fixes/nodehotplug-sysfs: Fix NULL pointer dereference
  in node_read_numastat().
- patches.suse/kdb-x86_64-longjmp: Fix longjmp in x86-64 kdb.
* Mon Apr 03 2006 - ak@suse.de
- patches.arch/x86_64-hpet-drift: Fix drift with HPET timer
  enabled (158650).
* Mon Apr 03 2006 - jbeulich@novell.com
- Update x86-64 Xen config file (enable HOTPLUG_CPU) (162576).
- patches.arch/microcode-quiet:  Quieten down microcode update
  driver (158643).
* Mon Apr 03 2006 - trenn@suse.de
- patches.arch/acpi_suppress_aetime.patch:
  acpi_os_wait_semaphore(): don't complain about timeout (118958).
* Mon Apr 03 2006 - olh@suse.de
- add patches.fixes/ieee1394-sbp2-spinlock-recursion.patch
  fix spinlock recursion in in sbp2util_mark_command_completed
* Mon Apr 03 2006 - mason@suse.de
- patches.fixes/cpuset-memory-migration-interaction.patch: Fix
  memory migration so that it works regardless of what cpuset
  the invoking task is in. (162327).
- patches.fixes/inotify-emit-delete: fix inotify to emit delete
  events (162437).
* Sun Apr 02 2006 - olh@suse.de
- add patches.arch/ppc-iseries-slb_initialize.patch
  iSeries needs slb_initialize to be called (154542 - LTC22125)
* Sun Apr 02 2006 - agruen@suse.de
- patches.fixes/remove-MODULE_PARM: compile-time fix on x86_64.
* Sun Apr 02 2006 - olh@suse.de
- readd patches.arch/ppc32-cflags.patch
  compile with -mcpu=powerpc to remove all nops
* Sun Apr 02 2006 - agruen@suse.de
- patches.fixes/remove-MODULE_PARM: Remove MODULE_PARM (162172).
- patches.fixes/module-obsparm.diff: Patch is obsolete.
* Sat Apr 01 2006 - olh@suse.de
- update to 2.6.16.1
  dm: bio split bvec fix
  TCP: Do not use inet->id of global tcp_socket when sending RST (CVE-2006-1242)
  Fix speedstep-smi assembly bug in speedstep_smi_ownership
  DMI: fix DMI onboard device discovery
  fix scheduler deadlock
  i810fb_cursor(): use GFP_ATOMIC
  NET: Ensure device name passed to SO_BINDTODEVICE is NULL terminated.
  V4L/DVB (3324): Fix Samsung tuner frequency ranges
  sata_mv: fix irq port status usage
  rtc.h broke strace(1) builds
  v9fs: assign dentry ops to negative dentries
  2.6.xx: sata_mv: another critical fix
  Kconfig: VIDEO_DECODER must select FW_LOADER
  XFS writeout fix
  proc: fix duplicate line in /proc/devices
  cciss: fix use-after-free in cciss_init_one
* Sat Apr 01 2006 - ak@suse.de
- patches.arch/x86_64-mce-nmi-watchdog: Fix compilation
  without CONFIG_X86_MCE
* Sat Apr 01 2006 - olh@suse.de
- add patches.arch/ppc-pseries-rtas-mtcr-bug.patch
  Workaround for pSeries RTAS bug (162384 - LTC21927)
* Sat Apr 01 2006 - olh@suse.de
- add patches.arch/ppc-floppy-isa-dma.patch
  make ISA floppies work again
* Fri Mar 31 2006 - schwab@suse.de
- Increase max number of nodes to 1024 [#160976].
* Fri Mar 31 2006 - olh@suse.de
- add patches.arch/ppc-pseries-lparcfg-1.7.patch
  pass correct databuf size to ibm,get-system-parameter (162380 - LTC22746)
* Fri Mar 31 2006 - hare@suse.de
- patches.fixes/msi-save-restore-for-suspend-resume.patch
  Restore MSI(X) settings after resume (#162090)
* Fri Mar 31 2006 - hare@suse.de
- patches.fixes/dm_check_device_area.diff
  Disable broken patch (#162272)
* Thu Mar 30 2006 - ak@suse.de
- patches.arch/x86_64-mce-nmi-watchdog: Don't run NMI watchdog
  during machine checks (156566 155726).
- patches.arch/i386-kexec-apic-ack: [PATCH] i386 kdump timer
  vector lockup fix.
* Thu Mar 30 2006 - hare@suse.de
- patches.fixes/ahci-init-on-resume
  Fix patch to correctly enable interrupts for
  the last drive only.
* Thu Mar 30 2006 - olh@suse.de
- add patches.arch/ppc-SA_ONSTACK-fix.patch
  fix incorrect SA_ONSTACK behaviour for 64-bit processes
- add patches.arch/ppc-protect-remove_proc_entry.patch
  protect remove_proc_entry with spinlock
- add patches.arch/ppc-device-tree-dupnodes.patch
  handle duplicate device-tree dirnames (156292 - LTC22290)
- add patches.arch/ppc-hvc_console-init-race.patch
  fix race condition when opening hvc console
- add patches.arch/ppc-iseries-systemid.patch
  provide /model and /compatible in device-tree
- update patches.arch/ppc-prom_panic-trap.patch
  trap only on pmac
* Thu Mar 30 2006 - hare@suse.de
- patches.fixes/ahci-init-on-resume
  We should initialize ahci after resume (#157619)
* Wed Mar 29 2006 - okir@suse.de
- patches.suse/delayacct-perf-fix: Minor delayacct performance
  fixes (141936 - LTC20517 - LDP 11943).
* Wed Mar 29 2006 - schwab@suse.de
- sn-hwperf-geoid-to-cnode-loop: fix for-loop in sn_hwperf_geoid_to_cnode
  [#161052].
* Wed Mar 29 2006 - hare@suse.de
- mark initio 9100 as unsupported (#160794)
* Tue Mar 28 2006 - ak@suse.de
- patches.arch/i386-bigsmp-noirqbalance: Disable kernel irq
  balancer on bigsmp. (160473).
* Tue Mar 28 2006 - schwab@suse.de
- ixgb-consistent-dma-mask: Use pci_set_consistent_dma_mask.
* Tue Mar 28 2006 - hare@suse.de
- patches.fixes/dm_check_device_area.diff
  Allow for setting of table on devices with i_size zero
  (#158777 - LTC22470)
- patches.arch/s390-raw-device
  Build raw devices for S/390 (#160490 - LTC22659)
- Update config files.
- patches.arch/s390-qeth-vipa-fix
  qethconf not adding VIPA entries (#160481 - LTC22637).
* Tue Mar 28 2006 - jbohac@suse.cz
- patches.fixes/xfrm-endless-loop: Updated. Now uses a timeout instead
  of a fixed loop counter (117749, 115200).
* Tue Mar 28 2006 - lmb@suse.de
- patches.suse/kdb-x86_64: Dummy define for kdba_wait_for_cpus() to
  compile kernel-debug on x86_64 successfully.
* Tue Mar 28 2006 - neilb@suse.de
- patches.fixes/md-faulty-count-fix: Fix incorrect count of
  'faulty' devices (158278).
* Tue Mar 28 2006 - neilb@suse.de
- patches.fixes/md-barrier-fixes: fix 'patch-upstream' tag
- patches.fixes/md-grow-max-fix: Fix md grow/size code to
  correctly find the maximum available space. (none).
* Tue Mar 28 2006 - neilb@suse.de
- patches.fixes/md-barrier-fixes: Fix a couple of issues with
  handing BARRIER writes in md/raid1 (none).
* Tue Mar 28 2006 - gregkh@suse.de
- patches.drivers/pci-hotplug-sn-fix-cleanup-on-hotplug-removal-of-ppb.patch:
  PCI Hotplug: SN: Fix cleanup on hotplug removal of PPB
  (#156164).
* Mon Mar 27 2006 - okir@suse.de
- patches.drivers/e1000-no-tso: [e1000] Disable TSO for now
  (157600).
* Mon Mar 27 2006 - ak@suse.de
- patches.arch/powernow-query: Delete. Was already fixed in a
  different patch.
* Mon Mar 27 2006 - tiwai@suse.de
- patches.drivers/alsa-ad1986a-3stack-noise-fix: Fix noisy
  output wtih AD1986A 3stack model.
- patches.drivers/alsa-alc880-lg-lw20: Add support of LG LW20
  laptop.
- patches.drivers/alsa-ice1712-dmx6fire-switch-fix: Fix wrong
  register value for DMX 6FIRE.
- patches.drivers/alsa-stac92xx-fix-mic-vref: Fix VREF level
  of Mic inputs on STAC92xx codecs.
- patches.drivers/alsa-stac92xx-resume-fix: Fix unsol event
  initialization at resume of stac92xx.
- patches.drivers/alsa-via82xx-epox-mobo: Add dxs entry for
  EPoX EP-8KRAI.
* Mon Mar 27 2006 - okir@suse.de
- patches.suse/genetlink-utils: Simplify NETLINK_GENERIC ABI
  (141936 - LTC20517 - LDP 11943).
- patches.suse/delayacct-virtcpu: delayacct: account real vs
  virtual CPU usage (141936 - LTC20517 - LDP 11943).
- patches.suse/delayacct-genetlink: Export delayacct info via
  netlink (141936 - LTC20517 - LDP 11943).
- Update config files: CONFIG_TASKSTATS=y
* Mon Mar 27 2006 - hare@suse.de
- Mark S/390 crypto module as supported (#160309 - LTC22641)
* Mon Mar 27 2006 - hare@suse.de
- patches.suse/ocfs2-application-hang
  Fix OCFS2 hang under stress (#159836 - LTC22570)
* Mon Mar 27 2006 - hare@suse.de
- patches.fixes/ahci-suspend
  Backport from mainline
- patches.drivers/libata-acpi-suspend
  Update patch
* Mon Mar 27 2006 - hare@suse.de
- patches.arch/s390-base-[01-23]-october2005.diff
- patches.arch/s390-01-{01,02,03,04}-october2005.diff
  Include official patchset from IBM.
- patches.arch/s390-01-{07,09}-october2005.diff
- patches.arch/s390-02-??-october2005.diff
- patches.arch/s390-03-01-october2005.diff
- patches.arch/s390-zfcp-hbaapi.diff
- patches.fixes/connector-s390
  Remove obsolete patches.
* Mon Mar 27 2006 - ak@suse.de
- patches.fixes/acpi-nolapic: Don't process APICs/IO-APICs in
  ACPI when APIC is disabled. (156426).
* Mon Mar 27 2006 - mason@suse.de
- patches.suse/mapped-base: powerpc compile fix
* Mon Mar 27 2006 - mason@suse.de
- patches.fixes/reiserfs-transaction-overflow: [PATCH] reiserfs:
  handle trans_id overflow.
- patches.suse/mapped-base: change the start of mmap.
* Sun Mar 26 2006 - agruen@suse.de
- patches.fixes/kernel-block-event-03.patch: Delay hotplug events
  after partition table detection is finished (157095).
* Sun Mar 26 2006 - jbeulich@novell.com
- Update Xen patches to c/s 9431.
- Update config files.
* Sat Mar 25 2006 - gregkh@suse.de
- USB patches now in 2.6.16-git that fix some minor problems
  and add new device ids for a lot of different drivers.
- Also add a new usb-serial driver as it was so damm simple.
* Sat Mar 25 2006 - gregkh@suse.de
  PCI patches now in 2.6.16-git that fix problems:
- patches.drivers/pci-0004-quirk-for-IBM-Dock-II-cardbus-controllers.patch:
  [PATCH 04/49] PCI: quirk for IBM Dock II cardbus controllers.
- patches.drivers/pci-0025-SMBus-unhide-on-HP-Compaq-nx6110.patch:
  [PATCH 25/49] PCI: SMBus unhide on HP Compaq nx6110.
- patches.drivers/pci-0026-quirk-for-asus-a8v-and-a8v-delux-motherboards.patch:
  [PATCH 26/49] PCI: quirk for asus a8v and a8v delux
  motherboards.
- patches.drivers/pci-0027-make-MSI-quirk-inheritable-from-the-pci-bus.patch:
  [PATCH 27/49] PCI: make MSI quirk inheritable from the pci bus.
- patches.drivers/pci-0029-resource-address-mismatch.patch:
  [PATCH 29/49] PCI: resource address mismatch.
- patches.drivers/pci-0031-Cardbus-cards-hidden-needs-pci-assign-busses-to-fix.patch:
  [PATCH 31/49] PCI: PCI/Cardbus cards hidden, needs
  pci=assign-busses to fix (#146438).
- patches.drivers/pci-0032-Move-pci_dev_put-outside-a-spinlock.patch:
  [PATCH 32/49] PCI: Move pci_dev_put outside a spinlock.
- patches.drivers/pci-0041-Provide-a-boot-parameter-to-disable-MSI.patch:
  [PATCH 41/49] PCI: Provide a boot parameter to disable MSI.
* Fri Mar 24 2006 - axboe@suse.de
- patches.fixes/libata-resume-drive_port-mode: Fix order of port
  vs drive transfer settings on resume (157619).
* Fri Mar 24 2006 - olh@suse.de
- add patches.arch/ppc-cell-platform-detection.patch
  handle upcoming Cell firmware
* Fri Mar 24 2006 - schwab@suse.de
- Update kdb patches.
* Fri Mar 24 2006 - neilb@suse.de
- patches.fixes/md-raid1-hang: md: Fix bug: BIO_RW_BARRIER
  requests to md/raid1 hang. (159435).
* Thu Mar 23 2006 - ak@suse.de
- patches.arch/disable-mmconfig: Disable mmconfig by default
  Default to pci=nommconf (145753 (some more)).
- patches.arch/lagrange-feature: i386/x86-64: List Intel LaGrange
  AKA SMX in /proc/cpuinfo.
- patches.arch/powernow-query: Initialize powernow_data[] for
  all siblings (158211).
- patches.arch/disable-apic-error: Disable APIC error printing
  (156576).
- patches.arch/amd-core-parsing: Remove bogus special case in
  AMD core parsing.
* Thu Mar 23 2006 - axboe@suse.de
- patches.fixes/libata-resume-drive_port-mode: Fix order of port
  vs drive transfer settings on resume (157619).
* Thu Mar 23 2006 - olh@suse.de
- enable CONFIG_FB_3DFX on ppc (160083)
* Thu Mar 23 2006 - ak@suse.de
- config.conf: Enable x86-64 debug kernel
- Update config files:
  * sync x86-64 debug configuration with smp and other debug kernels
  * enable CONFIG_NETDEBUG in all debug kernels
  * disable SOFTLOCKUP detection because it gives many false positives
  and doesn't interact well with KDB
* Thu Mar 23 2006 - olh@suse.de
- enable CONFIG_BLK_DEV_SIIMAGE=y on ppc64, for Cell
* Thu Mar 23 2006 - gregkh@suse.de
  Some driver core patches that will be in 2.6.16.1
- patches.drivers/driver-0001-sysfs-sysfs_remove_dir-needs-to-invalidate-the-dentry.patch:
  [PATCH 01/23] sysfs: sysfs_remove_dir() needs to invalidate
  the dentry (#144041).
- patches.drivers/driver-0014-firmware-fix-BUG-in-fw_realloc_buffer.patch:
  [PATCH 14/23] firmware: fix BUG: in fw_realloc_buffer.
- patches.drivers/driver-0021-get_cpu_sysdev-signedness-fix.patch:
  [PATCH 21/23] get_cpu_sysdev() signedness fix.
- patches.drivers/driver-0023-sysfs-fix-a-kobject-leak-in-sysfs_add_link-on-the-error-path.patch:
  [PATCH 23/23] sysfs: fix a kobject leak in sysfs_add_link on
  the error path.
* Thu Mar 23 2006 - hare@suse.de
- patches.fixes/dm-netlink-fixes
  Fix dm-netlink oops (159280 - LTC22521)
* Thu Mar 23 2006 - axboe@suse.de
- patches.drivers/libata-device-spindown: Fix ahci
* Thu Mar 23 2006 - axboe@suse.de
- patches.drivers/libata-device-spindown: Don't powerdown drives
  on PM_EVENT_FREEZE.
* Thu Mar 23 2006 - okir@suse.de
- The delayacct patches no longer need schedstats, so turn that off
  (141936 - LTC20517 - LDP11943)
* Thu Mar 23 2006 - hare@suse.de
- patches.arch/s390-02-{37,38,39,40,41,42,44}-october2005.diff
- patches.arch/s390-03-01-october2005.diff
  Include latest patchset from IBM.
- config/s390/*
  Update configuration.
* Thu Mar 23 2006 - neilb@suse.de
- series.conf typo...
* Thu Mar 23 2006 - neilb@suse.de
- patches.fixes/nfsd-setuser-fix: Don't change rqstp->cred in
  nfsd_setuser (158462).
- patches.fixes/nfsd-putrootfh-dont-setuser: Don't call
  nfsd_setuser in put_rootfh, it isn't needed or appropriate
  (158462).
* Thu Mar 23 2006 - agruen@suse.de
- Update and add missing default option in config files.
- patches.drivers/libata-acpi-suspend: compilation fix.
* Wed Mar 22 2006 - trenn@suse.de
- Update config files.
  Added CONFIG_SOFTWARE_SUSPEND=y for x86_64 smp.
* Tue Mar 21 2006 - tiwai@suse.de
- patches.drivers/alsa-alc880-asus-p4gpl-x: Add support for ASUS
  P4GPL-X.
- patches.drivers/alsa-ad1981hd-hp9420-laptop: Add support for
  HP nx9420 laptop (153362).
* Tue Mar 21 2006 - axboe@suse.de
- Update config files (CONFIG_SCSI_SATA_ACPI=y)
* Tue Mar 21 2006 - okir@suse.de
- patches.suse/delayacct-schedstats, patches.suse/delayacct-setup,
  patches.suse/delayacct-blkio-swapin: Updated delayacct patches from
  IBM (141936, LTC20517, LDP 11943)
- patches.suse/schedstats-delayacct: Replaced by above
- patches.suse/export-HZ, cpuset-memory-spread-basic-implementation.patch,
  cpuset-memory-spread-page-cache-implementation-and-hooks.patch:
  Rediffed because delayacct sysctl went away
* Tue Mar 21 2006 - tiwai@suse.de
- patches.drivers/alsa-ac97-cleanup-obsolete-workaround,
  patches.drivers/alsa-ac97-static-volume,
  patches.drivers/alsa-ac97-static-volume-fix,
  patches.drivers/alsa-nm256-fix-lockup: Fix NM256 hard lock up
  (116387).
- patches.drivers/alsa-ad1986a-laptop-eapd-model: Fix for Samsung
  R65 and ASUS A6J.
- patches.drivers/alsa-alc880-model-addition: Add model entry for
  FIC P4M-915GD1.
- patches.drivers/alsa-fix-memleaks: fix some memory leaks.
- patches.drivers/alsa-hda-bios-autoconfig-fix: Fix BIOS
  auto-configuration.
- patches.drivers/alsa-ice1712-aureon-enum-fix: Fix wrong value
  types for enum items.
- patches.drivers/alsa-ice1712-module-option-typo-fix: typo fixes
  for dxr_enable module option.
- patches.drivers/alsa-stac7661-vaio-model: Add support for VAIO
  FE550G and SZ110 (156494).
* Tue Mar 21 2006 - axboe@suse.de
- patches.drivers/ide-cd-quiet-cap-read: quiet down ide-cd
  capacity read (159002).
* Tue Mar 21 2006 - axboe@suse.de
- patches.drivers/libata-acpi-suspend: libata acpi suspend stuff
  (142375).
* Tue Mar 21 2006 - olh@suse.de
- rename patches.arch/ppc-boot-cpu-id.patch
  to patches.arch/ppc-kdump-boot-cpu-id.patch
  add patches.arch/ppc-kdump-soft-reset.patch
  fix softreset handling via the service processor (158238 - LTC22382)
* Tue Mar 21 2006 - trenn@suse.de
- patches.fixes/powernow-fix-3: Null pointer check on top of
  last dual core patch (142547).
* Tue Mar 21 2006 - mason@suse.de
- patches.suse/rcu-remote: allow specific cpus to run rcu
  (147431). rediff from sgi
* Mon Mar 20 2006 - olh@suse.de
- add patches.arch/ppc-cell-hvc-rtas-console.patch
  add patches.arch/ppc-cell-no-numa.patch
  enable Cell hardware, not simulators
* Mon Mar 20 2006 - kkeil@suse.de
- patches.fixes/tg3-init-netif_carrier_off: netif_carrier_off runs
  too early; could still be queued when init fails (#151598)
* Mon Mar 20 2006 - olh@suse.de
- update patches.suse/suse-ppc64-branding
  note crashdump kernel in LCD display
* Mon Mar 20 2006 - axboe@suse.de
- patches.kernel.org/patch-2.6.16-rc1: Delete.
- patches.kernel.org/patch-2.6.16-rc1-rc2: Delete.
- patches.kernel.org/patch-2.6.16-rc2-rc3: Delete.
- patches.kernel.org/patch-2.6.16-rc3-rc4: Delete.
- patches.kernel.org/patch-2.6.16-rc4-rc5: Delete.
- patches.kernel.org/patch-2.6.16-rc5-rc6: Delete.
- patches.kernel.org/patch-2.6.16-rc6-final: Delete.
- scripts/config.sh: Dump intermediate patches
* Mon Mar 20 2006 - okir@suse.de
- patches.fixes/grab-swap-token-oops: Prevent NULL pointer deref
  in grab_swap_token (159260).
* Mon Mar 20 2006 - axboe@suse.de
- patches.kernel.org/patch-2.6.16-rc6-git9: Delete.
- patches.kernel.org/patch-2.6.16-rc6-final: 2.6.16.
* Mon Mar 20 2006 - olh@suse.de
- add patches.arch/ppc-kdump-iommu-init-fix.patch
  do not reinit iommu in kdump kernel  (157018 - LTC21952)
* Mon Mar 20 2006 - olh@suse.de
- add patches.fixes/ibmvscsi-prevent-scsi-cmds.patch
  prevent scsi commands being sent in invalid state (158854 - LTC22480)
* Fri Mar 17 2006 - olh@suse.de
- add patches.arch/ppc-spidernet-duplicate-symbol.patch
  allow sungem/spidernet coexistance
* Fri Mar 17 2006 - gregkh@suse.de
  Update to 2.6.16-rc6-git9:
- lots of tiny bugfixes
* Fri Mar 17 2006 - gregkh@suse.de
  Update to 2.6.16-rc6-git8:
- network driver fixes
* Thu Mar 16 2006 - gregkh@suse.de
  Update to 2.6.16-rc6-git7:
- nasty ext2 security issue / bugfix
- other minor bugfixes all over the place
* Thu Mar 16 2006 - agruen@suse.de
- rpm/kernel-syms.spec.in: Fix timestamps of files so that they
  don't lead to false rpm file conflicts (158551).
* Thu Mar 16 2006 - agruen@suse.de
- Remove support for external scripts in %%pre, %%preun, %%post,
  %%postun (158452).
* Thu Mar 16 2006 - kraxel@suse.de
- patches.fixes/fix-signal-exit-curr_target-race: fix race:
  signal->curr_target update vs. thread exit (157700).
* Thu Mar 16 2006 - agruen@suse.de
- rpm/post.sh: Must call depmod after updating the weak-updates/
  symlinks (weak-modules script).
* Wed Mar 15 2006 - mason@suse.de
- patches.fixes/connector-time-include: don't include time.h in
  cn_proc.h (158113 LTC22386).
* Wed Mar 15 2006 - olh@suse.de
- build pdc202xx_new as a module on ppc64 (158247 - LTC22416)
* Wed Mar 15 2006 - mason@suse.de
- patches.fixes/kdump-shutdown-race: [PATCH] Plug kdump shutdown
  race window.
* Wed Mar 15 2006 - mason@suse.de
- patches.fixes/inotify-lock-avoidance-with-parent-watch-status-in-dentry-fix-2.patch:
  fix prefomance problems with inotify (153850).
- patches.fixes/inotify-lock-avoidance-with-parent-watch-status-in-dentry.patch:
  fix inotify performance problems (153850).
* Wed Mar 15 2006 - olh@suse.de
- compile rpaphp into the kernel (155612 - LTC22206)
* Tue Mar 14 2006 - axboe@suse.de
- patches.fixes/revert-x86_64-canonical-rip: Revert "[PATCH]
  x86-64: Fix up handling of non canonical user RIPs".
* Tue Mar 14 2006 - hare@suse.de
- Update config files for IDE ACPI support.
* Tue Mar 14 2006 - olh@suse.de
- export __put_task_struct_cb for xpmen (141533)
* Tue Mar 14 2006 - hare@suse.de
- add patches.drivers/ide-acpi-support
  Add ACPI support to IDE drives (#145591 - FATE #151275)
* Tue Mar 14 2006 - olh@suse.de
- add patches.fixes/jfs-clsn-race.patch
  Take logsync lock earlier to avoid race (155953 - LTC22224)
* Tue Mar 14 2006 - kraxel@suse.de
- patches.fixes/dvb-pinnacle-sat: [PATCH 2/6] DVB-PinnSat:
  Fix relay handling.
* Tue Mar 14 2006 - hare@suse.de
- patches.arch/s390-02-{27,28,29}-october2005.diff
  Included fixes from IBM.
* Mon Mar 13 2006 - agruen@suse.de
- patches.drivers/megaraid-16-byte-cdb: Merged upstream.
* Mon Mar 13 2006 - mason@suse.de
- Update config files.
- patches.fixes/connector-s390: enable connector code for S390
  (145036 LTC20887).
* Mon Mar 13 2006 - agruen@suse.de
- patches.rpmify/fix-separate-compilation-xen.diff: Upstream.
- patches.rpmify/fix-separate-compilation-with-preconf-kernel.diff:
  Another fix from Jan Beulich.
* Mon Mar 13 2006 - agruen@suse.de
- patches.suse/cpuset-cleanup-not-not-operators.patch: Clean up
  !! operators (150185).
- patches.suse/cpuset-memory-spread-basic-implementation.patch:
  Basic Implementation (150185).
- patches.suse/cpuset-memory-spread-page-cache-implementation-and-hooks.patch:
  Page cache implementation and hooks (150185).
- patches.suse/cpuset-memory-spread-slab-cache-filesys.patch:
  Mark file system inode and similar slab caches subject to
  SLAB_MEM_SPREAD memory spreading. (150185).
- patches.suse/cpuset-memory-spread-slab-cache-format.patch:
  Source code formatting changes (150185).
- patches.suse/cpuset-memory-spread-slab-cache-hooks.patch:
  Change the kmem_cache_create calls for certain slab caches to
  support cpuset memory spreading (150185).
- patches.suse/cpuset-memory-spread-slab-cache-implementation.patch:
  Provide the slab cache infrastructure to support cpuset memory
  spreading (150185).
- patches.suse/cpuset-memory-spread-slab-cache-optimizations.patch:
  Optimizations (150185).
- patches.suse/cpuset-use-combined-atomic_inc_return-calls.patch:
  Replace pairs of calls to <atomic_inc, atomic_read>, with a
  single call atomic_inc_return, saving a few bytes of source
  and kernel text. (150185).
- patches.suse/xfs-kern-25122a-spread-zones: spread XFS zones
  (150185, SGI:PV949073).
* Mon Mar 13 2006 - tiwai@suse.de
- patches.drivers/alsa-ad1986a-laptops-fix: Fix support of
  laptops with AD1986A codec.
- patches.drivers/alsa-alc880-aopen-i915gm-hfs: Fix Aopen
  i915GMm-HFS mobo.
- patches.drivers/alsa-bt87x-add-blacklist: bt87x: add more DVB
  card IDs.
- patches.drivers/alsa-core-off-by-one-fix: fix 3 off-by-one
  errors.
- patches.drivers/alsa-hdspm-off-by-one-fix: fix off-by-one
  errors.
- patches.drivers/alsa-make-control-suspend-aware: make control.c
  suspend aware.
* Mon Mar 13 2006 - jbeulich@novell.com
- patches.xen/xen-i386-pae-ptep_get_and_clear_full: make 32-bit
  PAE Xen kernel work when built with newer gcc.
* Mon Mar 13 2006 - hare@suse.de
- patches.fixes/megaraid-remove-eh_timed_out
- patches.fixes/scsi-move-eh_timed_out-to-transport-layer
  Move eh_timed_out handling to transport layer (#156514)
* Mon Mar 13 2006 - hare@suse.de
- patches.drivers/qla4xxx: Update to version 5.00-05b5-k
- Update config files to actually select qla4xxx.
* Mon Mar 13 2006 - olh@suse.de
- add patches.suse/modeline-1680x1050.patch
* Mon Mar 13 2006 - tonyj@suse.de
- patches.suse/apparmor: audit bugfixes, reduce possible softlockup
  window, change unlink semantics
* Mon Mar 13 2006 - olh@suse.de
- add patches.arch/ppc-kdump-EOI.patch
  end IRQ during kdump to fix dead console (152925 - LTC21956)
* Mon Mar 13 2006 - olh@suse.de
- update to 2.6.16-rc6-git1
  various bugs spotted by Coverity, BRIDGE_EBT_ULOG fixed
* Sun Mar 12 2006 - agruen@suse.de
- Update reference module symbol versions.
* Sun Mar 12 2006 - olh@suse.de
- add patches.arch/ppc-pmu-on_ac_power.patch
  correct AC Power info in /proc/pmu/info (157472)
* Sun Mar 12 2006 - olh@suse.de
- add patches.arch/ppc-boot-cpu-id.patch
  Allow non zero boot cpuids, fixes some kdump issues (152932 - LTC21954)
* Sun Mar 12 2006 - olh@suse.de
- add patches.arch/ppc-powersave_nap-750.patch
  fix memory corruption on cpus that dont support NAP
* Sun Mar 12 2006 - olh@suse.de
- add patches.suse/ppc-fno-ivopts.patch
  compile with -fno-ivopts on ppc and s390 (#154403)
* Sun Mar 12 2006 - olh@suse.de
- update patches.fixes/export-symbols-gpl
  remove an export for a function which was removed in -rc6
* Sun Mar 12 2006 - olh@suse.de
- update to 2.6.16-rc6
  network driver fixes, psmouse - disable autoresync, ext3 fixes
  fix pcmcia_device_probe oops, misc other fixes
* Fri Mar 10 2006 - olh@suse.de
- add patches.arch/ppc64-fixup_phb_devs.patch
  DLPAR add DDR/P5IOC, adapters improperly configured (157014 - LTC22280)
* Fri Mar 10 2006 - olh@suse.de
- add patches.suse/mv643xx_eth.SET_NETDEV_DEV.patch
  autoload the gige network driver on pegasos2 (#117053)
- add patches.suse/suse-ppc-xmon-dump-raw.patch
* Fri Mar 10 2006 - gregkh@suse.de
  Fix xen build breakage caused by my 2.6.16-rc5-git14 update
- patches.xen/xen3-fixup-arch-i386: xen3 i386 build fixes..
* Fri Mar 10 2006 - gregkh@suse.de
  Update to 2.6.16-rc5-git14 which has loads of little bugfixes
- Update config files.
* Fri Mar 10 2006 - jbeulich@novell.com
- Update Xen patches to c/s 9137, plus other adjustments.
- patches.uml/xen-vt-runtime: Delete.
- Update config files.
- supported.conf: Add another Xen driver.
* Fri Mar 10 2006 - gregkh@suse.de
- Update config files.
- patches.drivers/disable-edac.patch: Remove EDAC code from the
  build (#146529).
* Fri Mar 10 2006 - garloff@suse.de
- Rediff some disabled patches.
- patches.suse/increase-MAX_MP_BUSSES: Delete (obsolete).
- patches.fixes/setuid-dumpable-wrongdir: suid-dumpable ended
  up in wrong sysctl dir.
- patches.suse/schedstats-delayacct: Likewise.
- patches.suse/export-HZ: report real kernel timer tick frequency
  to user space (split off disabled dynamic-timeslice patch).
* Fri Mar 10 2006 - hare@suse.de
- patches.drivers/qla4xxx
  Update qla4xxx driver (#155458 - LTC22173)
- patches.drivers/open-iscsi-svn.diff
  Update to upstream version
- patches.drivers/open-iscsi-resync
  Remove obsolete patch.
* Fri Mar 10 2006 - hare@suse.de
- patches.drivers/lpfc-8.1.3-update
  Update lpfc to version 8.1.3 (#152894)
- patches.drivers/lpfc-8.1.4-update
  Update lpfc to version 8.1.4 (#156073)
* Fri Mar 10 2006 - hare@suse.de
- patches.fixes/scsi-block-for-tmf
  SCSI: block I/O if TMF is active (#156581)
- patches.fixes/ahci-atapi-sense-request
  Use correct status information (#156878)
* Thu Mar 09 2006 - hare@suse.de
- patches.fixes/softlockup-false-alarm
  Add patch for review.
* Thu Mar 09 2006 - agruen@suse.de
- patches.fixes/nfs-getxattr-length.diff: nfsd: fix acl xattr
  length return. This fixes acls over nfs on top of xfs.
* Thu Mar 09 2006 - hare@suse.de
- patches.fixes/no-partition-check-for-pcmcia
  Do not check partitions on every open (#132507)
- patches.drivers/aic7xxx-target-rescan
  aic7xxx oopses on target rescan (#149198 - LTC21496)
* Thu Mar 09 2006 - ak@suse.de
- patches.fixes/softlockup-false-alarm: Reviewed and enabled.
* Thu Mar 09 2006 - ak@suse.de
- patches.arch/i386-apic-up: Cosmetic fix to printk
* Thu Mar 09 2006 - neilb@suse.de
- patches.fixes/md-raid1-leak: Fix several raid1 which cause a
  memory leak... (155990).
* Wed Mar 08 2006 - agruen@suse.de
- patches.rpmify/fix-separate-compilation-with-preconf-kernel.diff:
  Fix compiling /usr/src/linux directly with O= (65891).
- patches.fixes/xfs-include: Remove spaces in `-I ...' in
  EXTRA_CFLAGS, and use src and srctree instead of TOPDIR.
* Wed Mar 08 2006 - schwab@suse.de
- Enable CONFIG_PNPACPI on ia64.
* Wed Mar 08 2006 - olh@suse.de
- update patches.drivers/e100-ethtool-sefltest.patch
  correct patch, call e100_hw_reset
* Wed Mar 08 2006 - jblunck@suse.de
- patches.fixes/dput_late_iput.diff: Delete.
- patches.fixes/prune_one_dentry-late_iput.diff: Delete.
- patches.fixes/umount-prune_one_dentry-fix.diff: Fix
  shrink_dcache_parent() against shrink_dcache_memory() race
  (136310).
* Wed Mar 08 2006 - olh@suse.de
- mark rpaphp as supported (155612 - LTC22206)
* Wed Mar 08 2006 - hare@suse.de
- patches.fixes/fusion-dv-error
  Make mptspi driver happy again
- patches.drivers/aic79xx-use-bios-settings
  Use BIOS settings when configuring devices (#148061)
- patches.drivers/aic79xx-avoid-renegotiation
  Avoid renegotiation when sending inquiry
- patches.drivers/aic79xx-host-lock
  Remove obsolete patch
* Wed Mar 08 2006 - jblunck@suse.de
- patches.arch/s390-dasd-genhd.diff: Obsoleted by
  patches.arch/s390-02-19-october2005.diff.
- patches.fixes/s390-bitops-align.diff: Obsoleted by fix in
  reiserfs.
* Wed Mar 08 2006 - agruen@suse.de
- patches.rpmify/keep-offsets.h: Obsolete.
* Wed Mar 08 2006 - agruen@suse.de
- misc/extract-modaliases: Helper script to extract modaliases
  from modules or packages; used for generating rpm tags in
  packages that are required to support specific hardware. Added
  to kernel-source.src.rpm.
* Wed Mar 08 2006 - ak@suse.de
- config/{i386,x86_64}/*: Disable CONFIG_EDAC_I82860 because it
  hangs machines (#154709)
* Wed Mar 08 2006 - trenn@suse.de
- patches.arch/acpi_set_resources_atomic_alloc.patch: Delete.
- patches.fixes/acpi_osl_atomics.patch: No GFP_KERNEL buffer
  alloc or mutexes if resuming (153062).
* Wed Mar 08 2006 - ak@suse.de
- patches.arch/x86_64-memmap-alloc: Fix wrong order of
  arguments that made the fix not do the right thing (154694).
* Wed Mar 08 2006 - ak@suse.de
- patches.arch/x86_64-kexec-interrupt-ack: timer interrupt lockup
  due to pending interrupt.
- patches.fixes/powernow-fix-1: powernow-k8: Let cpufreq driver
  handle affected CPUs (142547).
- patches.fixes/powernow-fix-2: [PATCH] [2/2] cpufreq: Fix
  handling for CPU hotplug (142547).
* Wed Mar 08 2006 - ak@suse.de
- patches.arch/i386-apic-up: Clarify DMI message. Fix
  parsing of "apic" option.
- patches.arch/i386-nmi-watchdog: [PATCH] x86: Fix i386
  nmi_watchdog that does not trigger die_nmi.
* Tue Mar 07 2006 - olh@suse.de
- remove execute permission from vmlinux (part of 155728)
* Tue Mar 07 2006 - olh@suse.de
- dont copy unstripped vmlinux on ppc (part of 155728)
* Tue Mar 07 2006 - olh@suse.de
- update to 2.6.16-rc5-git9
  infiniband, s390, hugepage, numa, jiffy handling, i4l fixes
  fix cramfs corruption (148855)
  potential slab corruption fixes in scsi, more slab debug fixes
  bridge fixes,
- remove patches.arch/ppc-prom_init-pointer-truncate.patch
  remove patches.arch/ppc-prom_init-section.patch
  obsolete
  remove patches.arch/0022-powerpc-incorrect-rmo_top-handling-in-prom_init.txt
  dont give the user the impression the kernel works ok on ibook,
  it will eat the filesystem later on
* Tue Mar 07 2006 - ak@suse.de
- patches.arch/x86_64-memmap-alloc: Try to allocate node memmap
  near the end of node (154694).
* Tue Mar 07 2006 - trenn@suse.de
- patches.arch/acpi_irq_derive_suppress_msg.patch: Suppress
  acpi_irq_derive failed message. (154703).
* Tue Mar 07 2006 - ak@suse.de
- patches.arch/x86_64-srat-hotadd-reserve: Clear hotadd memory
  state when SRAT is rejected (149117).
- patches.suse/bootmem-warning: Print a backtrace when
  bootmem allocation fails(SUSE149117).
* Tue Mar 07 2006 - neilb@suse.de
- patches.fixes/md-noisy-shutdown: Make md shutdown a bit quieter
  (155553).
* Tue Mar 07 2006 - ak@suse.de
- patches.arch/i386-apic-up: Don't force enable APICs anymore.
* Tue Mar 07 2006 - ak@suse.de
- Update config files.
- patches.arch/i386-apic-up: Disable i386 APIC by default.
* Mon Mar 06 2006 - gregkh@suse.de
- patches.drivers/usb-serial-fix-use-after-free.patch: USB Serial:
  fix use-after-free bug in usb-serial core (#155392).
* Mon Mar 06 2006 - mason@suse.de
- Update to git8, rediff some patches with fuzz
- patches.suse/rcu-remote: allow specific cpus to run rcu (147431).
- patches.kernel.org/patch-2.6.16-rc5-git8: 2.6.16-rc5-git8.
- patches.fixes/reiserfs-use-declare-bitmap.diff: Delete.
- patches.kernel.org/patch-2.6.16-rc5-git7: Delete.
- patches.arch/ia64-sn2-user-MMIO-migration: rediff (fuzz)
- patches.arch/acpi_asus_init_fixups.patch: rediff (fuzz)
- patches.rpmify/offsets_h-dirname.patch: rediff (fuzz)
- patches.rpmify/suse-extmod-legacy: rediff (fuzz)
- patches.suse/8250-sysrq-ctrl_o.patch: rediff (fuzz)
- patches.suse/lockd-nlm_block-grab-file-reference: rediff (fuzz)
- patches.suse/uml-trace-macros.patch: rediff (fuzz)
* Mon Mar 06 2006 - olh@suse.de
- update patches.suse/suse-ppc64-branding
  display uname -r instead of uname -v
* Mon Mar 06 2006 - agruen@suse.de
- patches.suse/reiserfs-old-format-size.diff: Drop; already merged
  upstream.
* Mon Mar 06 2006 - hare@suse.de
- add patches.drivers/aic79xx-host-lock
  Use mid-layer host_lock for synchronization (#148061)
* Mon Mar 06 2006 - tiwai@suse.de
- patches.drivers/alsa-fix-ad1848-double-free,
  patches.drivers/alsa-fix-ctl-double-free,
  patches.drivers/alsa-fix-emu10k1-null-reference,
  patches.drivers/alsa-fix-opl3-double-free,
  patches.drivers/alsa-fix-sb-double-free,
  patches.drivers/alsa-fix-usbmidi-double-free,
  patches.drivers/alsa-fix-vx-memory-leak: Fix error paths
- patches.drivers/alsa-alc260-ctl-travelmaster: Fix for CTL
  Travelmaster laptop.
- patches.drivers/alsa-cs5535-delay-fix: CS5535: shorter
  delays when accessing AC'97 codec registers.
- patches.drivers/alsa-emu10k1-audigy4-sb0400: Add the entry
  for Audigy4 SB0400.
* Mon Mar 06 2006 - hare@suse.de
- add patches.arch/s390-02-20-october2005.diff
  spinlock_retry performance degradation fix.
* Mon Mar 06 2006 - olh@suse.de
- reenable CONFIG_BLK_DEV_SL82C105 on ppc64
  required for p610, p615 and p630 (155415 - LTC22041)
* Mon Mar 06 2006 - ak@suse.de
- Synchronize i386/x86-64 kdump kernels with default
* Mon Mar 06 2006 - okir@suse.de
- Disabled CONFIG_DETECT_SOFTLOCKUP, CONFIG_DEBUG_SLAB, CONFIG_DEBUG_SPINLOCK
  (for all kernels except kernel-debug)
* Mon Mar 06 2006 - olh@suse.de
- add patches.arch/0022-powerpc-incorrect-rmo_top-handling-in-prom_init.txt
  incorrect rmo_top handling in prom_init
* Mon Mar 06 2006 - hare@suse.de
- patches.arch/s390-02-19-october2005.diff
  Fix fdasd failing on some images (#146313 - LTC21059)
* Sun Mar 05 2006 - agruen@suse.de
- Fix the vmlinux debug info split (150264).
* Sun Mar 05 2006 - olh@suse.de
- add patches.arch/ppc-prom_panic-trap.patch
  return to OF via trap, not exit
* Sat Mar 04 2006 - vojtech@suse.cz
- patches.fixes/usb-hid-dead-mouse: Don't abort on intermittent
  CRC errors from an UHCI controller (146781)
* Fri Mar 03 2006 - gregkh@suse.de
  Update to 2.6.16-rc5-git7:
- revert ocfs2 changes
- revert e1000 changes
- pcmcia fixes
- out-of-memory fixes
- reiserfs fix
- time fix for sparc64 and ia64
- ppc64 build fix
* Fri Mar 03 2006 - olh@suse.de
- add patches.arch/ppc-prom_init-pointer-truncate.patch
  workaround a gcc bug (145266 - LTC20902)
  add patches.arch/ppc-prom_init-section.patch
  make a few functions static
* Fri Mar 03 2006 - tiwai@suse.de
- patches.drivers/alsa-disconnect-return-enodev: return ENODEV
  for disconnected devices.
- patches.drivers/alsa-alc880-lg-laptop: Add lg model for LG
  laptop.
* Fri Mar 03 2006 - jbeulich@novell.com
- Update Xen patches.
- Update Xen i386 config files.
- supported.conf: Mark (potential) Xen modules supported.
* Fri Mar 03 2006 - okir@suse.de
- supported.conf: marked sgi-agp, kdbm_sched and mca_recovery
  as supported (#154415)
* Fri Mar 03 2006 - olh@suse.de
- remove patches.arch/ppc-tumbler-fix.patch
  workaround doesnt work anymore.
* Fri Mar 03 2006 - jbeulich@novell.com
- patches.arch/i386-fix-ati-timer: fix Xen build.
* Fri Mar 03 2006 - neilb@suse.de
- patches.fixes/nfs-revalidate-race: Nfs: Avoid races between
  writebacks and truncation (144058). - UPDATE
- patches.fixes/nfs-direct-io-vul: Normal user can panic NFS
  client with direct I/O (CVE-2006-0555) (151056).
* Fri Mar 03 2006 - ak@suse.de
- patches.arch/x86_64-srat-hotadd-reserve:  Reject even more
  bad SRATs (148522).
* Thu Mar 02 2006 - jeffm@suse.de
- patches.fixes/reiserfs-use-declare-bitmap.diff: [PATCH]
  reiserfs: fix unaligned bitmap usage (#144310).
* Thu Mar 02 2006 - ak@suse.de
- patches.arch/i386-fix-ati-timer: Port the x86-64 ATI timer fix over to i386
- config/powerpc/*: Make TCP congestion modules modular.
* Thu Mar 02 2006 - agruen@suse.de
- kernel-kdump: Remove unnecessary /boot/vmlinuz and don't
  install /boot/vmlinux twice.
* Thu Mar 02 2006 - trenn@suse.de
- patches.suse/acpi-asus-panasonic-sony.patch: Delete.
-> These modules have already been added by
  patches.suse/acpi-hotkeys-extra.diff
- patches.arch/acpi_set_resources_atomic_alloc.patch:
- patches.arch/acpi_asus_init_fixups.patch: Remove __init from
  asus_acpi .add and .remove funcs.
- patches.fixes/acpi_ref_count.patch: Hide ref_cnt debug message.
  Increase ACPI_MAX_REFERENCE count to please IA64 people.
- patches.suse/acpi_sony_init_fixups.patch: Remove __init from
  sony_acpi .add and .remove funcs.
- supported.conf: do not support sony acpi module
* Thu Mar 02 2006 - agruen@suse.de
- rpm/kernel-binary.spec.in: Split off the debug info of
  /boot/vmlinux in the same way as rpm does for the modules
  (150264).
* Thu Mar 02 2006 - neilb@suse.de
- patches.fixes/reiserfs-unsigned-less-zero:  reiserfs: do not
  check if unsigned < 0 (144058).
* Thu Mar 02 2006 - neilb@suse.de
- patches.fixes/nfs-revalidate-race: Nfs: Avoid races between
  writebacks and truncation (144058).
* Wed Mar 01 2006 - gregkh@suse.de
- patches.drivers/usb-uhci-increase-port-reset-completion-delay-for-hp-controllers.patch:
  USB: UHCI: Increase port-reset completion delay for HP
  controllers (#148761).
* Wed Mar 01 2006 - tiwai@suse.de
- patches.drivers/alsa-ad1981hd-hp6320*: [ALSA] hda-codec -
  Fix AD198x recording and add HP model (153362).
- patches.drivers/alsa-via82xx-asrock-mobo: [ALSA] via82xx -
  Add dxs entry for ASRock mobo.
* Wed Mar 01 2006 - gregkh@suse.de
- patches.arch/powerpc-eeh-build-fix.patch: Fix build breakage
  in powerpc build.
* Wed Mar 01 2006 - gregkh@suse.de
- patches.fixes/pci-fix-problems-with-msi-x-on-ia64.patch: PCI:
  fix problems with MSI-X on ia64 (#153782).
* Wed Mar 01 2006 - gregkh@suse.de
  Update to 2.6.16-rc5-git5:
- USB fixes
- SCSI fixes
- ia64 fixes
- ppc fixes
- network driver fixes
  Refresh the sysctl.h patches to handle above changes
* Wed Mar 01 2006 - tiwai@suse.de
- patches.drivers/alsa-alc260-fix*: Fix for laptops with ALC260
- patches.drivers/alsa-alc262-fujitsu: Fix for FSC laptop
- patches.drivers/alsa-hda-doc-update: Update document
- patches.drivers/alsa-fix-cs4236-typo: Fix a typo.
- patches.drivers/alsa-ice1712-delta1010lt-spdif-fix2: Fix
  wordclock status on Delta1010LT.
* Tue Feb 28 2006 - jbohac@suse.cz
- patches.fixes/console_utf8_compose_chars: Fix composed chars on
  a UTF8 console
- patches.fixes/console_utf8_copynpaste: Fix copy and paste on
  a UTF8 console
* Tue Feb 28 2006 - trenn@suse.de
- patches.fixes/acpi_ref_count.patch: Hide ref_cnt debug message.
- patches.fixes/acpi_power_manageable_msg.patch: Set _device
  not powermananageable_ to debug message.
* Tue Feb 28 2006 - agruen@suse.de
- rpm/kernel-source.spec.in: Add the kabi-checks script.
* Tue Feb 28 2006 - axboe@suse.de
- patches.drivers/megaraid-slave-configure: [SCSI] megaraid_sas:
  fix physical disk handling.
* Tue Feb 28 2006 - agruen@suse.de
- rpm/kernel-binary.spec.in: Add a missing PreReq on rpm.
* Tue Feb 28 2006 - lmb@suse.de
- md multipath marked as unsupported; use Device Mapper multipath.
* Tue Feb 28 2006 - hare@suse.de
- patches.fixes/ahci-suspend: Fix AHCI suspend (#151517).
* Tue Feb 28 2006 - ak@suse.de
- patches.arch/microcode-quiet:  Quieten down microcode update
  driver.
* Tue Feb 28 2006 - olh@suse.de
- update patches.drivers/e100-ethtool-sefltest.patch
  fix ethtool -t support
* Tue Feb 28 2006 - olh@suse.de
- add patches.arch/ppc-iseries-double-phys_to_abs.patch
  Fix double phys_to_abs bug in htab_bolt_mapping
* Tue Feb 28 2006 - olh@suse.de
- update to 2.6.16-rc5-git2, netfilter, xfs, x86_64 fixes
  disable FUA in libata
* Mon Feb 27 2006 - olh@suse.de
- add patches.fixes/scsi-command-retries-off-by-one.patch
  timing out command, waited 0s errors in log (153801 - LTC22057)
* Mon Feb 27 2006 - olh@suse.de
- update to 2.6.16-rc5-git1, sata_sil update, sis900 WOL support
* Mon Feb 27 2006 - hare@suse.de
- add patches.arch/s390-dasd-genhd.diff
  Fix partition table reading for DASDs (146313 - LTC21059)
* Mon Feb 27 2006 - olh@suse.de
- add patches.drivers/e100-ethtool-sefltest.patch
  disable ethtool -t support for the time being (153095 - LTC21914)
* Mon Feb 27 2006 - olh@suse.de
- add patches.arch/ppc-tumbler-active_state.patch
  Fix audio gpio state detection
* Mon Feb 27 2006 - olh@suse.de
- update to 2.6.16-rc5, bump version
* Mon Feb 27 2006 - okir@suse.de
- patches.fixes/nfs-utime-flush: NFS: writes should not clobber
  utimes() calls (149807).
* Mon Feb 27 2006 - agruen@suse.de
- Stop using bash's =~ operator for more backwards compatibility
  (152930).
* Mon Feb 27 2006 - agruen@suse.de
- rpm/post.sh, rpm/postun.sh: Pass new --xen parameter to the
  update-bootloader script as appropriate. Remove an unneeded
  update-bootloader --add call.
* Mon Feb 27 2006 - olh@suse.de
- update patches.arch/ppc-task-accounting.patch
  Export variables used in conversions to/from cputime_t
* Mon Feb 27 2006 - neilb@suse.de
- patches.fixes/nfs4-acl-listattr-fix.diff: nfs4 acl listattr fix
  (53289).
* Sun Feb 26 2006 - olh@suse.de
- remove broken patches.arch/ppc-shmget02.patch
* Sun Feb 26 2006 - olh@suse.de
- update to 2.6.16-rc4-git10, x86_64 updates
* Sun Feb 26 2006 - olh@suse.de
- reenable CONFIG_DEBUG_SLAB on ppc
* Sun Feb 26 2006 - olh@suse.de
- add patches.arch/ppc-__do_get_xsec.patch
  use correct asm reg in 64bit vdso __kernel_gettimeofday
  add patches.suse/get_cramfs_inode-revert.patch
  revert a 2.6.14rc1 change that causes cramfs corruption (153545)
* Sun Feb 26 2006 - olh@suse.de
- adjust xen for topology.o change
* Sat Feb 25 2006 - olh@suse.de
- add patches.fixes/git-kbuild-cscope.patch
  workaround for cscope segfault (152643)
* Sat Feb 25 2006 - olh@suse.de
- add patches.fixes/topology.patch, compile fix
* Sat Feb 25 2006 - olh@suse.de
- update to 2.6.16-rc4-git8, ntfs, uml, ipv6, dm dixes
* Fri Feb 24 2006 - ak@suse.de
- patches.arch/x86_64-io-apic-wdog: Fix NMI watchdog on x460.
* Fri Feb 24 2006 - jbeulich@novell.com
- Import Xen patches from unstable
* Fri Feb 24 2006 - hare@suse.de
- patches.arch/s390-zfcp-hbaapi.diff
  Enable zfcp hbaapi.
* Fri Feb 24 2006 - ak@suse.de
- patches.fixes/avoid-kbd-msg: Remove another useless printk
  from the keyboard driver.
* Fri Feb 24 2006 - ak@suse.de
- patches.fixes/acpi-remove-memhotplug-error: Remove annoying
  message from acpi memory hotplug code (SUSE152732).
* Fri Feb 24 2006 - schwab@suse.de
- Enable 4 level page tables on ia64.
* Fri Feb 24 2006 - olh@suse.de
- update to 2.6.16-rc4-git7, sky2, r8169, skge, network fixes
* Fri Feb 24 2006 - ak@suse.de
- Disable ACPI blacklist year on x86-64
* Thu Feb 23 2006 - gregkh@suse.de
  Update to 2.6.16-rc4-git6
- firewire driver fixes
* Thu Feb 23 2006 - gregkh@suse.de
- patches.drivers/usb-unusual_devs-entry-for-lyra-rca-rd1080.patch:
  USB: unusual_devs entry for Lyra RCA RD1080 (#152175).
* Thu Feb 23 2006 - jbeulich@novell.com
- patches.xen/xen-2.6.16-rc3-rc4.patch: Update Xen-specific
  files for 2.6.16-rc4.
- Various other Xen changes and updates.
- patches.xen/xen3-auto-xen-tpm.diff: Delete.
- patches.xen/xen3-fixup-common-tpm-infineon: Delete.
* Thu Feb 23 2006 - axboe@suse.de
- patches.drivers/sata-acpi-check-sata: Delete.
- patches.drivers/sata-acpi-suspend: Delete.
- patches.drivers/libata-acpi-size_t-fix: Delete.
* Thu Feb 23 2006 - olh@suse.de
- add patches.fixes/scsi-device_add-failure.patch
  Handle device_add failure in scsi_alloc_target (149193 - LTC21510)
* Thu Feb 23 2006 - olh@suse.de
- add patches.arch/ppc-hvc_console-race.patch
  Fix race condition in hvc console
* Thu Feb 23 2006 - olh@suse.de
- add patches.arch/ppc-spinlock-recursion-native_hpte_clear.patch
  fix spinlock recursion in native_hpte_clear (149727 - LTC21425)
* Thu Feb 23 2006 - olh@suse.de
- add a few patches from the to be merged ieee1394 tree
  patches.fixes/0002-sbp2-prevent-unloading-of-1394-low-level-driver.patch
  patches.fixes/0003-sbp2-fix-another-deadlock-after-disconnection.patch
  patches.fixes/0004-sbp2-variable-status-FIFO-address-fix-login-timeout.patch
  patches.fixes/0005-ohci1394-log-physical-posted-write-errors.patch
  patches.fixes/0014-sbp2-update-36byte-inquiry-workaround-fix-compatibility-regression.patch
  patches.fixes/0015-ohci1394-cleanup-the-Unexpected-PCI-resource-length-warning.patch
* Thu Feb 23 2006 - olh@suse.de
- update to 2.6.16-rc4-git5, restore mount events required by HAL
* Wed Feb 22 2006 - ak@suse.de
- patches.arch/x86_64-srat-hotadd-reserve: Handle broken
  hotadd regions better (SUSE149117)
- patches.arch/x86_64-cluster-check-ibm: Only do
  multi cluster systems don't have synchronized TSC assumption
  on IBM Summit systems.
- patches.arch/x86_64-empty-pxm: Handle empty PXMs that only
  contain hotplug memory (SUSE149117).
* Wed Feb 22 2006 - tiwai@suse.de
- patches.drivers/alsa-cs4236-mpu-init-fix: [ALSA] cs4236 -
  Fix wrong initialization of MPU401 PnP.
- patches.drivers/alsa-pause-ioctl-fix: [ALSA] pcm - Move PAUSE
  ioctl to common ioctl handler.
- patches.drivers/alsa-remove-opl3-seq-oss-free: [ALSA] Fix
  bogus snd_device_free() in opl3-oss.c.
- patches.drivers/alsa-virmidi-sleep-in-atomic: [ALSA] Fix sleep
  in atomic in virmidi driver.
- patches.drivers/pnp-card-remove-fix: Fix PnP card removal.
* Wed Feb 22 2006 - gregkh@suse.de
  Update to 2.6.16-rc4-git3
- tmpfs mount options fix
* Wed Feb 22 2006 - olh@suse.de
- add patches.arch/ppc-htab_size-kexec.patch
  Only calculate htab_size in one place for kexec
  add patches.arch/ppc-task-accounting.patch
  Accurate task and cpu time accounting
* Wed Feb 22 2006 - okir@suse.de
- on ia64, mark dump_blockdev and scsi_dump as supported (#150022).
* Wed Feb 22 2006 - jeffm@suse.de
- patches.suse/ocfs2-update-2006-02-21.diff: OCFS2 Code Update
  for SLES 10 - 2006-02-21.
* Wed Feb 22 2006 - trenn@suse.de
- patches.drivers/cpufreq_bios_ppc_change: Delete.
* Tue Feb 21 2006 - olh@suse.de
- compile rtas_flash into the kernel (148195 - LTC21314)
* Tue Feb 21 2006 - olh@suse.de
- update to 2.6.16-rc4-git1, s390 dasd error reporting gone, misc fixes
* Tue Feb 21 2006 - hare@suse.de
- patches.drivers/aic79xx-invalid-sequencer-interrupt
  Fix 'invalid sequencer interrupt' message (#148133 - LTC21332)
* Mon Feb 20 2006 - olh@suse.de
- add patches.arch/ppc-shmget02.patch
  cast size argument for shmget to signed (#152113)
* Mon Feb 20 2006 - andrea@suse.de
- patches.suse/dynamic-timeslice: remove HZ exported through
  sysconf(), set the default/max timeslice values to the
  mainline one, fix crash in scheduler_tick handling
  the removal of the invariant "sleep_avg <= NS_MAX_SLEEP_AVG".
  Patch still disabled pending testing.
* Mon Feb 20 2006 - kkeil@suse.de
- rpm/running-kernel.init.in: make it conform to LSB
* Mon Feb 20 2006 - ak@suse.de
- patches.arch/i386-apic-up: Change to enable APIC by default
  on
  * systems with more than one socket
  * systems newer than 2001
  * systems with Intel BIOS newer than 1998
* Mon Feb 20 2006 - hare@suse.de
- patches.drivers/iscsitarget-align-with open-iscsi.patch:
  Fix TMF reply (#149061)
* Mon Feb 20 2006 - garloff@suse.de
- patches.suse/dynamic-timeslice: Disabled for now.
- patches.suse/lkcd.patch, schedstats-delayacct: Rediff.
* Mon Feb 20 2006 - olh@suse.de
- remove gcc-c++ gpg popt-devel from BuildRequires
  keep python on ia64
* Mon Feb 20 2006 - hare@suse.de
- patches.drivers/open-iscsi-resync
  Implement iSCSI session resync (FATE #140350)
* Mon Feb 20 2006 - tiwai@suse.de
- patches.drivers/alsa-fix-enable-option-check: [ALSA] Fix check
  of enable module option.
- patches.drivers/alsa-32bit-compat-fix: Fix random access memory
  with 32bit control compat.
* Mon Feb 20 2006 - garloff@suse.de
- patches.suse/dynamic-timeslice: Simplify, drop "desktop" and
  leave defaults unchanged.
* Mon Feb 20 2006 - olh@suse.de
- add 3 patches from powerpc-merge tree
  patches.arch/0001-powerpc-Keep-xtime-and-gettimeofday-in-sync.txt
  patches.arch/0003-powerpc-Fix-OOPS-in-lparcfg-on-G5.txt
  patches.arch/0006-powerpc-Fix-bug-in-spinup-of-renumbered-secondary-threads.txt
* Mon Feb 20 2006 - olh@suse.de
- add patches.arch/ppc-iseries-pvlpevent-init.patch
  Initialise hvlpevent_queue.lock correctly
* Mon Feb 20 2006 - garloff@suse.de
- patches.suse/unamp_vmas-lat: Reenable (avoid large latency caused
  by VMA unmapping in large chunks).
* Mon Feb 20 2006 - garloff@suse.de
- patches.suse/dynamic-timeslice: Reenable (allows tuning of
  scheduling timeslices and exports HZ in /proc).
- patches.suse/lkcd.patch: Rediff.
- patches.suse/schedstats-delayacct: Rediff.
* Sun Feb 19 2006 - agruen@suse.de
- Remove the obsolete lib/modules/scripts and
  lib/modules/precompiled directories.
* Sun Feb 19 2006 - agruen@suse.de
- patches.fixes/module-obsparm.diff: Update/fix (148245).
- patches.fixes/duplicate-exports.diff: Remove duplicate exports.
* Sun Feb 19 2006 - olh@suse.de
- provide vmlinux.debug also for kdump kernel
* Sun Feb 19 2006 - schwab@suse.de
- Update serial_console patch.
* Sun Feb 19 2006 - olh@suse.de
- add patches.suse/nameif-track-rename.patch
  keep track of things that udev does behind your back
* Sat Feb 18 2006 - olh@suse.de
- provide vmlinux.debug on ppc
* Sat Feb 18 2006 - agruen@suse.de
- patches.suse/dmapi_src_drop2: XFS DMAPI update; replaces
  patches.suse/dmapi_src_drop and patches.suse/dmapi-enable2
  (151915, SGI:949819).
* Sat Feb 18 2006 - agruen@suse.de
- patches.fixes/module-obsparm.diff: Modules with old-style
  parameters won't load (148245).
* Sat Feb 18 2006 - jeffm@suse.de
- reverted ocfs2-1.2-branch.diff to pre- 2.6.16-rc3-git9 merge
- added patch to revert OCFS2 changes in 2.6.16-rc3-git9
* Sat Feb 18 2006 - olh@suse.de
- update to 2.6.16-rc4, network driver, s390, libata, misc fixes
* Fri Feb 17 2006 - olh@suse.de
- update to 2.6.16-rc3-git9, ocfs2, x86_64, ia64 fixes
* Fri Feb 17 2006 - mason@suse.de
- patches.arch/i386-smp-read-mpc: compile fix
* Fri Feb 17 2006 - ak@suse.de
- patches.arch/i386-smp-read-mpc: Pass a virtual, not physical,
  address to smp_read_mpc()  (SUSE151901).
* Fri Feb 17 2006 - olh@suse.de
- keep ELF .symtab on ppc, objdump -D works much better that way
* Fri Feb 17 2006 - jbeulich@novell.com
- patches.xen/cleanup-apic: Cleanup x86/x86_64 apic.c files.
- patches.xen/fix-kconfig-isa-dma-api: Configure ISA_DMA drivers on
  xen/i386.
- patches.xen/fix-mmap_mem-return: Return real error code from Xen
  /dev/mem, not EAGAIN.
- patches.xen/fix-vcpu-stack: Reset sp on vcpu_prepare.
- patches.xen/xen-no-video-select: Suppress VIDEO_SELECT config
  option.
- patches.xen/xen-x86_64-floppy: fix I/O port address for first
  floppy controller.
- patches.xen/xen-x86_64-set_32bit_tls: fix a gcc4 warning.
- patches.xen/xen-x86_64-mm-fault-cleanup: some cleanup.
- patches.xen/xen-i386-kconfig-no-cpu_freq: disallow CPUFREQ config
  options
- Update Xen config files.
- misc/xen-port-patches.py: Adjust to current tree layout.
* Fri Feb 17 2006 - axboe@suse.de
- patches.drivers/cciss-reinvoke-rq-handler: CCISS may need to
  reinvoke request handler in softirq completion.
* Fri Feb 17 2006 - axboe@suse.de
- patches.fixes/cfq-fix-slice-expiry: CFQ fixes (133817, 145160).
* Fri Feb 17 2006 - okir@suse.de
- patches.suse/schedstats-delayacct: Enable schedstats and delay
  accounting (141936 - LTC20517 - LDP11943 - FATE 300393).
- Update config files.
* Fri Feb 17 2006 - axboe@suse.de
- patches.drivers/libata-atapi-pad-warning: Bad WARN_ON()
  condition in *_fill_sg() (145973).
* Fri Feb 17 2006 - okir@suse.de
- Enabled CONFIG_FB_VESA for i386 and x86-64 kdump kernel (#149570)
* Fri Feb 17 2006 - axboe@suse.de
- patches.drivers/scsi-kill-not-ready-removable: Kill not-ready
  messages for removable media in SCSI (150175).
* Thu Feb 16 2006 - agruen@suse.de
- rpm/post.sh: Only create Previous Kernel bootloader entries for
  kernels >= 2.6.16; older kernels don't know how to remove their
  bootloader entries again in their %%postun (151110).
* Thu Feb 16 2006 - tiwai@suse.de
- patches.drivers/alsa-hda-intel-auto-correct-posbuf: [ALSA]
  hda-intel - Auto-correction of the DMA position mode.
- patches.drivers/alsa-hda-intel-codec-io-auto-correct: [ALSA]
  hda-intel - Automatic correction to single_cmd mode.
- patches.drivers/alsa-hda-sigmatel-intel-boards: [ALSA] hda-codec
- Add missing model entries for Intel 945 boards.
- patches.drivers/alsa-ice1712-delta1010lt-spdif-fix: [ALSA]
  ice1712 - Delta 1010LT S/PDIF fixes.
- patches.drivers/alsa-intel8x0-register-init-fix: [ALSA]
  intel8x0 - wait for ICH_RESETREGS.
* Thu Feb 16 2006 - agruen@suse.de
- rpm/post.sh, rpm/postun.sh: No longer call /sbin/new-kernel-pkg;
  update-bootloader handles this now.
- rpm/postun.sh: Only refresh the bootloader when something
  actually changed.
* Thu Feb 16 2006 - gregkh@suse.de
  Update to 2.6.16-rc3-git6:
- Input bugfixes and a touchscreen driver update
- netfilter fixes
- xfrm bugfix
- cpuset bugfix
- x86-64 cpu_to_node fix
- use proper mman #defines for all arches
- fork and ptrace bugfixes
- other minor stuff (documentation, fb driver fix, etc.)
* Thu Feb 16 2006 - axboe@suse.de
- Disable SATA ACPI suspend/resume patch(es) for testing
* Thu Feb 16 2006 - kkeil@suse.de
  Update to 2.6.16-rc3-git5
- Fix deadlock in br_stp_disable_bridge
- Fix xfrm lookup after SNAT
- CIFS: fix cifs_user_read oops when null SMB response on
  forcedirectio mount
* Thu Feb 16 2006 - hare@suse.de
- patches.drivers/aic79xx-target-reset-update
  Setup SCB properly (148061)
* Wed Feb 15 2006 - agruen@suse.de
- kABI checker: instead of failing the build when the kABI badness
  is higher than the maximum allowed badness, create a dummy
  `kabi_badness_$n' rpm requirement.
* Wed Feb 15 2006 - agruen@suse.de
- rpm/kernel-syms.spec.in: Now that we have a BuildRequires tag
  that we can use inside %%if / %%else / %%endif, remove the magic
  kernel-binary-packages macro, and generate the appropriate
  BuildRequires tag automatically from config.conf.
* Wed Feb 15 2006 - gregkh@suse.de
  Update to 2.6.16-rc3-git3:
- s390 fixes
- tty locking fix
- mips update (don't care about)
- frv update (don't care about)
- IB update (probably don't care about...)
- jbd revert, fixing ocfs2 issues
- build fixes
- isdn bugfix
- madvise fixes
- fb bugfix
- mm bugfixes
- pktcdvd bugfixes
- hpet fix (sgi cares about this)
- lockd fixes
* Wed Feb 15 2006 - axboe@suse.de
- patches.drivers/sata-mv-fua: FUA write command missing from
  its dma list.
* Wed Feb 15 2006 - hare@suse.de
- patches.arch/s390-01-09-october2005.diff
  Add statistics support for zfcp (149742 - LTC21427)
- patches.arch/s390-statistic-disclamier.diff
  Add disclaimer for statistics interface.
- Update config files
* Wed Feb 15 2006 - ak@suse.de
- Enable CONFIG_NUMA_EMU on x86-64
* Wed Feb 15 2006 - schwab@suse.de
- acpi-resources-rscalc: fix slab corruption [#148424].
* Wed Feb 15 2006 - axboe@suse.de
- patches.drivers/sata-acpi-check-sata: Fix SATA/PATA checks.
* Wed Feb 15 2006 - gregkh@suse.de
  Update to 2.6.16-rc3-git3:
- usb fixes
- i2c fixes
- cpufreq fixes
- network fixes
- bluetooth fixes
- reiserfs fix
- drm oops fix
- other minor things.
* Tue Feb 14 2006 - ak@suse.de
- Disable CONFIG_EFI on x86 since it's broken
* Tue Feb 14 2006 - agruen@suse.de
- Rename kernel-xen-pae to kernel-xenpae: we don't support dashes
  in flavor names.
- Classify all kernel-xen* packages as flavors of Xen.
* Tue Feb 14 2006 - jeffm@suse.de
- update OCFS2 to Oracle-supplied v1.2.0, adjust other patches
  to merge
- patches.suse/ocfs2-00-masklog-uml-fix.diff: ocfs2: fix -Wformat
  warnings when building UML on x86-64.
* Tue Feb 14 2006 - tiwai@suse.de
- patches.drivers/libata-acpi-size_t-fix: Fix printk format
  with size_t.
- patches.fixes/fix-compare-with-sizeof: [PATCH trivial] Fix
  the comparison with sizeof().
- patches.fixes/fix-kauditd_thread-return-value: [PATCH trivial]
  Add missing return value of kauditd_thread.
- patches.fixes/jffs2-size_t-fix: [PATCH] jffs2: Fix size_t on
  64bit architectures.
- patches.fixes/scsi-missing-iomem-cast: [PATCH] Add cast to
  __iomem pointer in scsi drivers.
- patches.fixes/value_computed_not_used-fix: [PATCH trivial]
  Fix "value computed not used" warnings.
- patches.suse/lkcd-compile-warning-fix: Fix compile warning
  with lkcd patch.
* Tue Feb 14 2006 - tiwai@suse.de
- patches.drivers/sound-oss-kconfig-fix: Add ISA and PCI
  dependencies in sound/oss/Kconfig.
- Update config files.
* Tue Feb 14 2006 - agruen@suse.de
- Drop um-host-kernel.
* Tue Feb 14 2006 - jbeulich@novell.com
- Update Xen patches to xen-unstable changeset 8819 and 2.6.16-rc3.
- config.conf: enable ix86's xen-pae configuration.
* Tue Feb 14 2006 - jblunck@suse.de
- patches.fixes/s390-bitops-align.diff: Realign unaligned bitops
  (144310).
* Tue Feb 14 2006 - olh@suse.de
- reenable CONFIG_DEBUG_SPINLOCK/CONFIG_DEBUG_SPINLOCK_SLEEP on s390
* Tue Feb 14 2006 - olh@suse.de
- add Requires: perl-Bootloader >= 0.2.11 to avoid corrupted
  bootloader config files
* Tue Feb 14 2006 - hare@suse.de
- patches.drivers/sym2-mask-top-byte.diff
  Handle IGNORE WIDE RESIDUE message correctly (91631)
* Tue Feb 14 2006 - hare@suse.de
- patches.arch/s390-fix-delay.patch: Fix delay implementation.
* Tue Feb 14 2006 - hare@suse.de
- patches.arch/s390-02-{08,09,10,11,16}-october2005.diff
  Include fixes from IBM.
- patches.drivers/s390-qeth-netif_carrier_off-fix.diff
- patches.arch/s390-add-missing-ioctl-validation
  Remove obsolete patches.
* Tue Feb 14 2006 - olh@suse.de
- disable CONFIG_DEBUG_SPINLOCK/CONFIG_DEBUG_SPINLOCK_SLEEP on s390
* Mon Feb 13 2006 - agruen@suse.de
- rpm/post.sh, rpm/postun.sh: Fix so that the scripts run
  successfully even when called with -e. (This is what Autobuild
  does even though rpm itself does not. Confusing.)
* Mon Feb 13 2006 - ak@suse.de
- patches.fixes/disable-randmaps: Make it actually compile on i386
* Mon Feb 13 2006 - agruen@suse.de
- rpm/kernel-binary.spec.in: Rename /usr/lib/debug/boot/
  vmlinux-$krel.gz to vmlinux-$krel.debug, which is the file that
  tools like systemtap expect.
* Mon Feb 13 2006 - hare@suse.de
- patches.drivers/aic79xx-target-reset-update
  Fix TARGET RESET handling (148061)
- Enable CONFIG_PREEMPT on s390x
* Mon Feb 13 2006 - ak@suse.de
- patches.fixes/disable-randmaps: Add boot option to disable
  randomized mappings and cleanup.
* Mon Feb 13 2006 - rw@suse.de
- patches.arch/ia64-sn2-user-MMIO-migration:
  SN2 user-MMIO CPU migration.  (#147338)
- patches.drivers/snsc-powerdown-events:
  Altix: handle system controller environmental powerdown events.
  (#148682)
* Mon Feb 13 2006 - agruen@suse.de
- Invoke /sbin/update-bootloader from the kernel-flavor's
  %%post and %%postun scripts.
* Mon Feb 13 2006 - agruen@suse.de
- Update config files.
* Mon Feb 13 2006 - agruen@suse.de
- Add the kabi checker from SLES9. Update commonsyms and usedsyms.
  Import reference modversions from the current Beta. Be very
  tolerant with kabi changes so far.
* Mon Feb 13 2006 - axboe@suse.de
- patches.drivers/sata-acpi-suspend: ACPI hooks for SATA/PATA
  device suspend/resume (142375).
* Mon Feb 13 2006 - ak@suse.de
- patches.arch/acpi-ignore-bad-names: Ignore bad characters in
  ACPI names (SUSE147621).
* Mon Feb 13 2006 - olh@suse.de
- update to 2.6.16-rc3
  watchdog updates
* Sun Feb 12 2006 - schwab@suse.de
- Remove duplicate exports in lkcd patch.
* Sun Feb 12 2006 - ol@suse.de
- add patches.arch/s390-sys_newfstatat.patch
* Sun Feb 12 2006 - olh@suse.de
- update to 2.6.16-rc2-git11
  vmscan, select, fstat64, unshare syscall changes
* Sun Feb 12 2006 - mason@suse.de
- patches.suse/shmall-bigger: increase defaults for shmmall,
  shmmax, msgmax, msgmnb, and semmni (146656).  Doing via userland
  ended up ugly due to different values in different arches.
* Sat Feb 11 2006 - mason@suse.de
- patches.suse/more-follow-link-recursions: up the max number
  of nested links to 8 (149638).
- patches.suse/lkcd-mptsas.patch: enable lkcd polling for mpt
  fusion (150096).
- enable barriers by default on ext3 and reiser
* Sat Feb 11 2006 - olh@suse.de
- enable CONFIG_AFFS_FS for pegasos
* Sat Feb 11 2006 - olh@suse.de
- add patches.arch/ppc-kdump-timeout-value-fix.patch
  Trivial fix to set the proper timeout value for kdump (149725 - LTC21422)
* Fri Feb 10 2006 - gregkh@suse.de
  Update to 2.6.16-rc2-git9:
- tty locking fix (which lets us remove our work-around)
- netlink bugfixes
- other networking bugfixes
- kexec patch moved upstream
- ppc build patch moved upstream
- other minor bugfixes.
- scheduler smpnice removal as per Nick's request
  (someone needs to check with Intel, as this might upset them...)
* Fri Feb 10 2006 - agruen@suse.de
- patches.fixes/git-kbuild.patch: kbuild update / fixes.
- patches.rpmify/supported-flag: Rediff.
- patches.rpmify/symtypes.diff: Rediff.
* Fri Feb 10 2006 - gregkh@suse.de
- EXPORT_SYMBOL_GPL_FUTURE support added
* Fri Feb 10 2006 - gregkh@suse.de
  Update to 2.6.16-rc2-git8:
- security fix in signal handling
- more ia64 bugfixes
- ia64 sys_unshare hookup
- sata msi bugfixes
- sata broken hardware workarounds.
- kbuild fix (does not affect us.)
* Fri Feb 10 2006 - agruen@suse.de
- Kernel-flavor packages provide and obsolete the old
  kernel-flavor-nongpl packages.
* Fri Feb 10 2006 - ak@suse.de
- patches.arch/x86_64-gart-dma-merge: Don't touch the non DMA
  members in the sg list in dma_map_sg in the IOMMU.
- patches.arch/x86_64-gart-relax: Use cpu_relax in poll loop in
  GART IOMMU.
- patches.arch/x86_64-hpet-summit: Fix HPET timer on IBM x460
  (SUSE141868).
* Thu Feb 09 2006 - gregkh@suse.de
- patches.drivers/it87-fix-oops-on-removal.patch: [PATCH] it87:
  Fix oops on removal (#149538).
* Thu Feb 09 2006 - gregkh@suse.de
  Update to 2.6.16-rc2-git7:
- picks up a number of ia64 patches that people wanted
- added unshare syscall for x86-64
- various serial driver fixes.
- mips and arm update (which we don't care about...)
- ppc fixes (which we do care about)
* Thu Feb 09 2006 - olh@suse.de
- add patches.drivers/ipr-adapter-initialization-failure.patch
  Fix adapter initialization failure  (149637 - LTC21530)
* Thu Feb 09 2006 - agruen@suse.de
- kernel-kdump: Don't require irqbalance (149573).
* Thu Feb 09 2006 - olh@suse.de
- disable CONFIG_ISA, PReP support is currently not available
* Thu Feb 09 2006 - jbeulich@novell.com
- patches.xen/xen-2.6.16-rc2-git2-git5.patch: Update Xen-specific
  files for 2.6.16-rc2-git5.
- patches.xen/xen3-fixup-common-free_irq: Replace by...
- patches.xen/xen3-fixup-common: Fix xen build.
- patches.xen/xen-i386-no-init_tss: eliminate init_tss.
- patches.xen/xen-x86_64-no-init_tss: eliminate init_tss.
- patches.xen/xen-i386-panic-no-reboot: Don't automatically
  reboot on panic (match native and x86-64).
- patches.xen/xen-i386-panic-on-oops: Parse panic=oops early
  (match x86-64).
- Update a few other Xen patches
- Update config/i386/xen-pae.
- config.conf: add (so far disabled) i386/xen-pae
* Thu Feb 09 2006 - hare@suse.de
- patches.drivers/scsi-rc-fixes
  Include latest scsi fixes for 2.6.16-rc2.
- patches.drivers/qla2xxx-*
  Remove obsolete patches
- patches.drivers/lpfc-8.1.2-update
  Update lpfc driver to 8.1.2 (#149107)
- Disable softlockup detection for S/390 (146667 - LTC21101)
* Thu Feb 09 2006 - olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  need to patch also asm-ppc/io.h for 32bit builds. argh...
* Thu Feb 09 2006 - tiwai@suse.de
- patches.drivers/alsa-ad1816a-trigger-fix: [ALSA] ad1816a -
  Fix PCM trigger direction.
- patches.drivers/alsa-alc260-2nd-adc.diff: [ALSA] hda: add PCM
  for 2nd ADC on ALC260.
- patches.drivers/alsa-alc260-fujitsu-init-fix: [ALSA] hda:
  minor correction to fujitsu ALC260 initverbs.
- patches.drivers/alsa-alc260-test-model: [ALSA] hda: ALC260
  test model implementation.
- patches.drivers/alsa-bt848-winfast-tv2000xp-fix: [ALSA] bt848 -
  added Leadtek Winfast tv 2000xp delux to whitelist.
- patches.drivers/alsa-dmx6fire-fix: [ALSA] ice1712 - disable
  unused ADCs & DACs on DMX6fire.
- patches.drivers/alsa-via82xx-fsc-amilo-l7300: [ALSA] via82xx -
  Add dxs entry for FSC Amilo L7300.
* Thu Feb 09 2006 - okir@suse.de
- patches.fixes/xfrm-endless-loop: Updated with upstream patch (117749, 115200).
* Thu Feb 09 2006 - okir@suse.de
- Update config files after most recent git update
  (two new DVB modules; some cosmetic changes)
* Thu Feb 09 2006 - okir@suse.de
- Enable CONFIG_DRM_VIA=m on x86-64
* Thu Feb 09 2006 - agruen@suse.de
- supported.conf: Mark fs/dmapi/dmapi as supported (via SGI).
* Thu Feb 09 2006 - hare@suse.de
- patches.arch/s390-update-default-config
- patches.arch/s390-fix-sclp-corruption
- patches.arch/s390-init-cpus-early
- patches.arch/s390-update-maintainers-file
- patches.arch/s390-add-missing-ioctl-validation
- patches.arch/s390-cleanup-dasd-eer
- patches.arch/s390-kexec-non-smp
- patches.arch/s390-unshare-support
- patches.arch/s390-add-ifdef_KERNEL
- patches.arch/s390-remove-brackets
  Add S/390 patches from mainline.
* Thu Feb 09 2006 - hare@suse.de
- Disable debugging output for iscsitarget (#149090)
* Thu Feb 09 2006 - neilb@suse.de
- patches.fixes/dm-queue-flag-cluster: Make sure
  QUEUE_FLAG_CLUSTER is set properly for dm. (90365).
- patches.fixes/md-queue-flag-cluster: Make sure
  QUEUE_FLAG_CLUSTER is set properly for md. (90365).
* Thu Feb 09 2006 - agruen@suse.de
- patches.fixes/xfs-linux-melb-25106a-xfs-per-cpu-sb-counters:
  [PATCH] xfs-linux-melb-25106a-xfs-per-cpu-sb-counters
  (SGI:PV946630, 148680).
* Wed Feb 08 2006 - gregkh@suse.de
- supported.conf: updated the pci hotplug driver list
* Wed Feb 08 2006 - gregkh@suse.de
  Update to 2.6.16-rc2-git5
- Update config files.
* Wed Feb 08 2006 - mason@suse.de
- patches.fixes/kexec-asm.diff: fixup inline asm for kexec
  (147851).
* Wed Feb 08 2006 - agruen@suse.de
- Fix a creating /boot/vmlinux and /boot/initrd symlinks for
  xen, kdump, and um.
* Wed Feb 08 2006 - agruen@suse.de
- patches.fixes/extmod-ppc.diff: Fix building external modules
  on ppc32 (148404).
* Wed Feb 08 2006 - agruen@suse.de
- rpm/kernel-binary.spec.in: No need to regenerate Module.symvers
  anymore now that the km_ packages are gone.
* Wed Feb 08 2006 - schwab@suse.de
- Update kdb patches.
* Wed Feb 08 2006 - okir@suse.de
- patches.drivers/bcm-update: [tg3] Add support for 5714S and 5715S (146685).
* Wed Feb 08 2006 - trenn@suse.de
- patches.arch/i386-mpparse.diff: Add message: No mptable
  found (by aosthof).
* Wed Feb 08 2006 - agruen@suse.de
- Back out calls to /sbin/update-bootloader until perl-Bootloader
  is updated.
* Wed Feb 08 2006 - mason@suse.de
- rpm/postun.sh: Don't run the bootloader update if it isn't
  installed
* Tue Feb 07 2006 - trenn@suse.de
- patches.arch/acpi_asus_update_0_30:  Update ASUS ACPI from
  v0.29 to v0.30 (b.n.c #135579).
* Tue Feb 07 2006 - agruen@suse.de
- rpm/post.sh, rpm/postun.sh: Create / remove symlinks of
  compatible modules in /lib/modules/$krel/weak-updates/.
* Tue Feb 07 2006 - agruen@suse.de
- rpm/post.sh, rpm/postun.sh: Invoke the improved version of
  /sbin/update-bootloader properly.
* Tue Feb 07 2006 - trenn@suse.de
- patches.arch/acpi_export_syms: Export symbols for
  ACPI_ERROR/EXCEPTION/WARNING macros.
- patches.arch/acpi_handler_warning: Print error message if
  remove/install notify handler fails.
- patches.arch/acpi_show_errors: Enables important ACPI errors
  even ACPI_DEBUG is not set.
* Tue Feb 07 2006 - schwab@suse.de
- patches.drivers/alsa-ppc-fix-powermac-sound-i2c: temporary patch for
  PowerMac sound until i2c is fixed.
* Tue Feb 07 2006 - olh@suse.de
- add patches.arch/ppc-pmf-debug.patch
  disable pmac powermanagement debug output, floods dmesg
* Tue Feb 07 2006 - jbeulich@novell.com
- patches.xen/xen-2.6.16-rc2-git2.patch: Update Xen-specific
  files for 2.6.16-rc2-git2.
- patches.xen/xen-x86_64-ack_bad_irq.patch: Include in above.
- patches.xen/xen-mc-compile: Replace by...
- patches.xen/xen-no-multi-core-sched-opt: Fix Xen compilation
  with multicore scheduler.
- patches.xen/xen3-fixup-arch-x86_64: Fix x86_64 xen build.
- update a few other Xen patches, including fix for 147503.
* Tue Feb 07 2006 - okir@suse.de
- patches.drivers/ibmasm-null-deref: [ibmasm] Fix a NULL pointer
  dereference (148181 - LTC21341).
* Tue Feb 07 2006 - olh@suse.de
- add patches.arch/ppc-test-fenv.patch
  Fix bug in setting floating-point exception mode (140326 - LTC20407)
* Tue Feb 07 2006 - agruen@suse.de
- Enable CONFIG_KERNTYPES on s390 and s390x.
* Tue Feb 07 2006 - agruen@suse.de
- mptscsih.o used to include parallel SCSI support. The parallel
  SCSI code has now been moved to mptspi.o, with mptscsih.o
  containing code common to mptspi.o, mptfc.o, and mptsas.o.
  Replace old with mptspi, mptfc and mptsas (137062, 119185).
* Tue Feb 07 2006 - olh@suse.de
- enable netfilter in kdump to avoid hang on bootup (147188)
* Tue Feb 07 2006 - olh@suse.de
- add patches.suse/tty-buffer-locking-revert.patch
  revert a recent tty change, it breaks hvc console
* Tue Feb 07 2006 - ak@suse.de
- patches.arch/x86_64-srat-option: Delete.
- patches.arch/x86_64-srat-hotadd-reserve: Fix underfflow
  with empty hotadd region. Incorporate srat-option patch
  (142035 148522).
* Tue Feb 07 2006 - hare@suse.de
- add patches.drivers/qla2xxx-Add-*
  Update qlogic driver with missing functionality (144254)
- add patches.drivers/qla2xxx-lu-enumeration-fix
  Fix bug in LU enumeration (148265)
* Tue Feb 07 2006 - olh@suse.de
- add patches.arch/ppc-decrementer_iSeries_masked.patch
  Don't use toc in decrementer_iSeries_masked (148203 - LTC21345)
* Tue Feb 07 2006 - ak@suse.de
- patches.xen/xen-mc-compile: Fix Xen compilation with multicore
  scheduler.
* Mon Feb 06 2006 - ak@suse.de
- patches.fixes/spinlock-timeout: Make more general
* Mon Feb 06 2006 - mason@suse.de
- patches.fixes/xfrm-endless-loop: Fix infinite loop in
  xfrm_lookup (117749, 115200).  Add error_nopol: back
* Mon Feb 06 2006 - olh@suse.de
- add patches.arch/ppc-setup_peg2-refcounting.patch
  add refcounting to setup_peg2 and of_get_pci_address
* Mon Feb 06 2006 - olh@suse.de
- add patches.fixes/sg_remove_aha1542_hack.patch
  iprconfig shows SCSI adapters as SAS adapters (148506 - LTC21395)
* Mon Feb 06 2006 - olh@suse.de
- reenable CONFIG_DEBUG_SLAB on ppc64 for the time being
* Mon Feb 06 2006 - mason@suse.de
- Update config files (enable multi-core scheduler on i386 and x86-64)
- patches.suse/ext3-barrier-default: make ext3 mount default
  to barrier=1 (rediff, but disable, dm has issues)
- patches.suse/multi-core-sched-opt: multi-core scheduler
  performance optimizations for x86 and EM64T (144494).
* Mon Feb 06 2006 - ak@suse.de
- patches.fixes/spinlock-timeout: Use jiffies to detect spinlock
  timeout.
* Mon Feb 06 2006 - olh@suse.de
- add patches.arch/ppc-finish_device_tree-zero.patch
  Don't allocate zero bytes in finish_device_tree (146688 - LTC21026)
* Mon Feb 06 2006 - okir@suse.de
- patches.fixes/xfrm-endless-loop: redid and re-enabled patch
  Hopefully less broken this time around (117749, 115200).
* Mon Feb 06 2006 - tiwai@suse.de
- patches.arch/i386-apic-up: fixed a missing brace.
* Mon Feb 06 2006 - agruen@suse.de
- Call /sbin/update-bootloader instead of /sbin/new-kernel-pkg:
  this updates the bootloader config files and invokes lilo, etc.
  as necessary.
* Mon Feb 06 2006 - hare@suse.de
- patches.drivers/megaraid-16-byte-cdb
  Add support for 16-byte CDB (147090)
* Mon Feb 06 2006 - gregkh@suse.de
- patches.drivers/usb-gpl-marking-fix.patch: Delete.
* Mon Feb 06 2006 - gregkh@suse.de
- patches.drivers/usb-gpl-marking-fix.patch: [PATCH] USB: Fix
  GPL markings on usb core functions..
* Mon Feb 06 2006 - ak@suse.de
- patches.fixes/apic-force-x445: Delete.
- patches.arch/i386-apic-up: Add DMI entries to enable APIC
  on default kernel on IBM x460/x445/x440
* Mon Feb 06 2006 - ak@suse.de
- patches.suse/lkcd.patch: Fix warning
* Mon Feb 06 2006 - hare@suse.de
- patches.drivers/aic79xx-update:
  Fix deadlock in aic79xx recovery (again) (148061).
- patches.drivers/aic7xxx-disable-tcq-fix
  Remove obsolete patch.
* Mon Feb 06 2006 - okir@suse.de
- patches.suse/export-ip_dev_find: export ip_dev_find (148059).
* Mon Feb 06 2006 - olh@suse.de
- update to 2.6.16-rc2-git2, md, jsm, ocfs2, netfilter, other fixes
* Mon Feb 06 2006 - garloff@suse.de
- patches.suse/readahead-tune: Reenable SLES readahead tuning.
- patches.suse/st-non-blocking-open: Allow defaulting to
  non-blocking open by module parm to st (reenable).
- patches.suse/st-ioctl-idlun-support: Allow generic SCSI ioctls
  to work with st (SUSE45446, reenable).
- patches.suse/ide-probe-delay: Reduce ide probe delays.
* Fri Feb 03 2006 - garloff@suse.de
- Reenable patches.suse/scsi-error-test-unit-ready-timeout;
  see bug #56689: Some SCSI devices need a longer timeout for
  TEST_UNIT_READY in error recovery.
- Finetune OOM victim selection: Account for a third of children.
* Fri Feb 03 2006 - jbeulich@novell.com
- patches.xen/xen-2.6.16-rc1-git3-git6.patch: Update Xen-specific
  files for 2.6.16-rc1-git6.
- patches.xen/xen3-fixup-arch-i386: Add fix for booting MP.
- refresh some other Xen patches.
- patches.xen/fix-alloc-skbuff: Delete.
* Fri Feb 03 2006 - agruen@suse.de
- Move the check for which flavors not to add a bootsplash to
  mkinitrd.
* Fri Feb 03 2006 - schwab@suse.de
- Bugfixes and hardware bug workarounds necessary for the rev 1.0 version
  of the altix TIO CE asic (PCI-express) [#145984].
* Fri Feb 03 2006 - agruen@suse.de
- doc/novell-kmp: Update the example module.
* Fri Feb 03 2006 - kraxel@suse.de
- patches.xen/fix-alloc-skbuff: fix __alloc_skb breakage in xen.
* Fri Feb 03 2006 - agruen@suse.de
- Remove support for km_ packages.
- Drop the -nongpl kernel packages: we no longer need them.
* Fri Feb 03 2006 - kkeil@suse.de
- patches.fixes/bonding-tso-ufo.patch: Add NETIF_F_TSO to
  BOND_INTERSECT_FEATURES.
- patches.fixes/s2io-mcast.patch: s2io: set_multicast_list bug.
* Fri Feb 03 2006 - olh@suse.de
- enable CONFIG_SCSI_QLA4XXX on ppc
* Fri Feb 03 2006 - kraxel@suse.de
- patches.xen/fix-rmap-BUG: fix rmap BUG() in xen.
* Fri Feb 03 2006 - hare@suse.de
- patches.drivers/aic7xxx-disable-tcq-fix
  Fix non-TCQ queue depth (#14575)
* Fri Feb 03 2006 - olh@suse.de
- add more kdump fixes
  patches.arch/ppc-kdump-keep-flat-devtree.patch
  patches.arch/ppc-kdump-refuse-to-boot.patch
  patches.arch/ppc-kdump-start-cpu.patch
  patches.arch/ppc-kdump-veth-register.patch
* Fri Feb 03 2006 - hare@suse.de
- patches.fixes/sg_io-ioctl-retry-looping
  Fix looping on ioctl failure.
* Fri Feb 03 2006 - olh@suse.de
- update to 2.6.16-rc2, drm, md, sunrpc fixes
* Thu Feb 02 2006 - agruen@suse.de
- rpm/kernel-binary.spec.in, rpm/kernel-source.spec.in: Create
  /usr/src/linux-obj/%%_target_cpu => $arch symlinks for those
  architectures where the in-kernel architecture name differs
  from rpm's %%_target_cpu.
- doc/novell-kmp/novell-kmp-1.1.tar.bz2: Minor subsequent cleanup.
* Thu Feb 02 2006 - olh@suse.de
- remove patches.arch/ppc-per_cpu_data_optimisations-revert.patch
  add patches.arch/ppc-poison_percpu.patch
  add patches.suse/cpu-online-stuff.patch
  dont corrupt memory for unavailable cpus (145459)
* Thu Feb 02 2006 - olh@suse.de
- add patches.suse/tg3-start_xmit-barrier.patch
  missing memory barrier, better approach in the works
* Thu Feb 02 2006 - kraxel@suse.de
- patches.fixes/fix-alarm-return-value: Delete (merged mainline).
* Thu Feb 02 2006 - tiwai@suse.de
- patches.drivers/alsa-git-post-2.6.16-rc1-git6: ALSA GIT update.
- patches.drivers/alsa-git-post-2.6.15-git12: Delete.
- patches.drivers/alsa-hda-alc260-init-verb-fix: Delete.
- patches.drivers/alsa-hda-alc882-typo-fix: Delete.
- patches.drivers/alsa-hda-gigabyte-k8n51-add: Delete.
- patches.drivers/alsa-hda-sigmatel-autodetect-fix: Delete.
- patches.drivers/alsa-hda-sigmatel-maxchannel-fix: Delete.
- patches.drivers/alsa-intel8x0-add-mcp51: Delete.
- patches.drivers/alsa-isa-dma2-check-fix: Delete.
- Update config files.
* Thu Feb 02 2006 - olh@suse.de
- add patches.arch/s390__raw_writel.patch
  compile fix: missing defines in asm-s390/io.h
* Thu Feb 02 2006 - ak@suse.de
- patches.arch/x86_64-impossible-per-cpu-data-workaround: Fix
* Thu Feb 02 2006 - olh@suse.de
- update to 2.6.16-rc1-git6
  big ACPI update
* Thu Feb 02 2006 - ak@suse.de
- patches.arch/x86_64-mcfg-fix-zero-entry-workaround: Fix zero
  mcfg entry workaround on x86-64 (#147551)
* Wed Feb 01 2006 - tiwai@suse.de
- patches.drivers/alsa-hda-alc882-typo-fix: [ALSA] hda-codec -
  Fix typos in alc882 model table.
- patches.suse/lkcd-ata_piix-polling: Support polling mode
  for ata_piix.
- patches.suse/lkcd-kfree-fix: Fix wrong kfree in dump_setup().
- patches.suse/lkcd-sata_vsc-dump-cleanup: Clean up of sata_vsc
  polling mode using the generic handlers.
- patches.suse/lkcd-typo-fix: Fix a typo.
- patches.suse/lkcd-spinlock-fix: Fixed the unbalanced spinlock
  in timer.
- patches.suse/lkcd-netdev-parse-fix: Fixed possible wrong
  kfree's.
* Wed Feb 01 2006 - rw@suse.de
- patches.arch/ia64-sn2-io_init:
  Disable MSI for all Altix PCI devices.  (#146439)
* Wed Feb 01 2006 - schwab@suse.de
- Avoid broken SAL_CACHE_FLUSH implementations [#144338].
- Prevent sn2 ptc code from executing on all ia64 subarches [#143446].
* Wed Feb 01 2006 - rw@suse.de
- patches.arch/ia64-sn2-irq:
  Fix move_irq on Altix when CONFIG_PCI_MSI is enabled.  (#146647)
* Wed Feb 01 2006 - ak@suse.de
- disable xfrm-endless-loop for now because it causes trouble
  with ipv6 (#147075)
* Wed Feb 01 2006 - olh@suse.de
- add patches.arch/ppc-per_cpu_data_optimisations-revert.patch
  revert PATCH] powerpc/64: per cpu data optimisations  (#145459)
* Wed Feb 01 2006 - axboe@suse.de
- patches.fixes/cfq-atomic-flags: Fix cfq flags manipulations
  (145160).
* Wed Feb 01 2006 - perex@suse.de
- supported.conf: mark some new kernel modules as unsupported
  cm40?0_cs, cpufreq_conservative, it821a,
  usb/atm/*, isp116x-hcd, sl811_cs,
  acecad, itmtouch, keyspan_remote, yealink,
  et61x251, ldusb, sisusbvga/sisusbvga, usbmon
* Wed Feb 01 2006 - agruen@suse.de
- patches.fixes/xfs_buf_rele-panic.diff: Fix a NULL pointer
  dereference in xfs_buf_rele (145204).
- Re-enable DMAPI, it was not the reason for the problems with
  xfs.
* Tue Jan 31 2006 - mason@suse.de
- patches.suse/acpi-hotkeys-extra.diff: get rid of Kconfig.orig
* Tue Jan 31 2006 - agruen@suse.de
- kernel-binary %%post/%%postun: add calls to /sbin/update-bootloader
  to add a Previous Kernel entry when installing another kernel.
* Tue Jan 31 2006 - agruen@suse.de
- patches.suse/acpi-hotkeys-extra.diff: Extra ACPI-hotkey drivers
  for SONY and PANASONIC Notebooks (135579).
- Enable the CONFIG_ACPI_SONY and CONFIG_ACPI_PCC modules.
* Tue Jan 31 2006 - ak@suse.de
- patches.arch/x86_64-srat-clear-node: Update (#144781).
- patches.arch/x86_64-srat-check-size: Update (#145334).
- patches.arch/x86_64-srat-hotadd-reserve: Rediff
* Tue Jan 31 2006 - gregkh@suse.de
- patches.fixes/fix-uevent-buffer-overflow-in-input-layer.patch:
  Fix uevent buffer overflow in input layer.
* Tue Jan 31 2006 - perex@suse.de
- supported.conf: added missing modules from mainstream
* Tue Jan 31 2006 - jeffm@suse.de
- supported.conf: added ocfs2 modules
* Tue Jan 31 2006 - perex@suse.de
- supported.conf: mark ip_conntrack_netbios_ns, ip_conntrack_netlink,
  ip_conntrack_pptp, ip_nat_pptp, snd-cs5535audio,
  snd-pcxhr, snd-ad1889 modules as supported
* Tue Jan 31 2006 - perex@suse.de
- supported.conf: mark common iptables modules as supported (146745)
  mark ipt_ipv4options module as supported
  mark ipt6t_HL module as supported
  mark sound/i2c/other/snd-ak4114 as supported
  mark sound/pci/rme9652/snd-hdspm as supported
* Mon Jan 30 2006 - mason@suse.de
- patches.suse/shmall-bigger: Delete. olh convinced me this
  best done in userland
* Mon Jan 30 2006 - mason@suse.de
- patches.suse/shmall-bigger: increase defaults for shmmall,
  shmmax, msgmax and msgmnb  (146656).
* Mon Jan 30 2006 - okir@suse.de
- patches.fixes/xfrm-endless-loop: Try to fix infinite loop in
  xfrm_lookup (117749, 115200).
* Mon Jan 30 2006 - kkeil@suse.de
- patches.fixes/s2io-scatter-gather-fix: s2io scatter-gather fix.
- patches.fixes/flush-tg3_reset_task: Flush tg3_reset_task().
* Mon Jan 30 2006 - hare@suse.de
- patches.drivers/aic7xxx-update:
  Fix deadlock in recovery code
* Mon Jan 30 2006 - okir@suse.de
- patches.drivers/s390-qeth-netif_carrier_off-fix.diff: fix NULL
  pointer derefence when using netif_carrier_off (144973).
* Mon Jan 30 2006 - okir@suse.de
- patches.drivers/radeonfb-samsungp35-new: Make resume from
  suspend-to-ram possible for Samsung P35 laptops.
  (patch courtesy of Carl-Daniel Hailfinger)
* Mon Jan 30 2006 - rw@suse.de
- disable patches.suse/dmiscan-4-ia64:
  until further notice.  (#142320)
* Mon Jan 30 2006 - jbeulich@novell.com
- patches.suse/lkcd-prevent-needless-rebuild: prevent
  re-generation of compile.h if only timestamp changed.
- patches.suse/lkcd-UP-warning-fix: eliminate warning in
  uni-processor configurations.
* Mon Jan 30 2006 - hare@suse.de
- patches.drivers/scsi-rc-fixes
  Include latest rc fixes from James Bottomley
- patches.drivers/qla2xxx-fc-rport-fix
  Remove obsolete patch
- patches.suse/lkcd.patch
  Update patch to apply.
* Mon Jan 30 2006 - kraxel@suse.de
- patches.fixes/fix-alarm-return-value: fix alarm return value
  (146142).
- patches.xen/fix-blkfront-wholedisk: Fix xen blkfront
  initialization order. (119407).
* Sun Jan 29 2006 - garloff@suse.de
- patches.suse/oom-kill-children-account:
  Only account half of children's vm size to parents, so overly
  huge children will not always make their father die but may be
  hit directly. Display OOM score of selected process before we
  start killing children and itself.
* Sat Jan 28 2006 - agruen@suse.de
- Some more minor novell-kmp example cleanups.
* Sat Jan 28 2006 - tonyj@suse.de
- Complete renaming from SubDomain to new product name 'AppArmor'
- patches.suse/apparmor: Fix patch header.comment
* Sat Jan 28 2006 - tonyj@suse.de
- patches.suse/subdomain: Delete.
- patches.suse/subdomain_namespacesem: Delete.
- patches.suse/subdomain_audit: Delete.
- Update config files.
- patches.suse/apparmor: SubDomain (AppArmor).
- patches.suse/apparmor_audit: Export audit subsystem for use
  by modules.
- patches.suse/apparmor_namespacesem: Export namespace semaphore.
- supported.conf:
* Fri Jan 27 2006 - gregkh@suse.de
- patches.drivers/tpm-tpm-bios-fix-module-license-issue.patch:
  tpm module needs a license (145954).
* Fri Jan 27 2006 - gregkh@suse.de
  PCI patch from upstream
- patches.drivers/pci-handle-bogus-mcfg-entries.patch: PCI:
  handle bogus MCFG entries.
* Fri Jan 27 2006 - agruen@suse.de
- Add the novell-kmp example Kernel Module Package, and make it
  part of kernel-source.
* Fri Jan 27 2006 - gregkh@suse.de
  More USB bugfixes from upstream (and fixes a bugzilla entry for the POS product)
- patches.drivers/usb-0040-USB-hid-add-blacklist-entry-for-hp-keyboard.patch:
  USB HID: add blacklist entry for HP keyboard.
- patches.drivers/usb-0041-USB-ehci-another-full-speed-iso-fix.patch:
  USB: EHCI, another full speed iso fix.
- patches.drivers/usb-0042-USB-uhci-no-fsbr-until-device-is-configured.patch:
  USB: UHCI: No FSBR until device is configured (#144453).
* Fri Jan 27 2006 - tiwai@suse.de
- patches.drivers/alsa-hda-gigabyte-k8n51-add: [ALSA]
  patch_realtek.c: Add model for Gigabyte K8N51.
- patches.drivers/alsa-hda-sigmatel-autodetect-fix: [ALSA] hda:
  sigmatel fixes.
- patches.drivers/alsa-isa-dma2-check-fix: [ALSA] Fix adding
  second dma channel.
* Fri Jan 27 2006 - kkeil@suse.de
- patches.fixes/ppp-chksum-fix: Fixed hardware RX checksum
  handling in PPP.
* Fri Jan 27 2006 - mason@suse.de
- Enable CONFIG_CONNECTOR on iseries64
* Fri Jan 27 2006 - jeffm@suse.de
- Fixed two potential crashes in ocfs2.
* Thu Jan 26 2006 - gregkh@suse.de
- patches.drivers/sysfs-crash-debugging.patch:
  display last accessed sysfs file on kernel panic message.
  Makes debugging sysfs issues easier.  Taken from -mm and only turned
  on (in the patch not a build issue) for i386 and x86_64,
  other arches might also want it.
* Thu Jan 26 2006 - rw@suse.de
- patches.suse/dmiscan-4-ia64:
  Enable DMI table parsing on ia64.  (#142320)
* Thu Jan 26 2006 - olh@suse.de
- add patches.suse/e1000-D3-cold-wake.patch
  remove bogus error checking in e1000 driver
* Thu Jan 26 2006 - olh@suse.de
- enable TPM on ppc64 (145964 - LTC21007)
* Thu Jan 26 2006 - olh@suse.de
- disable numa in the kdump kernel
* Thu Jan 26 2006 - okir@suse.de
- patches.drivers/e100-resume-fix: e100: stop calling e100_hw_init
  early in resume (145197).
* Thu Jan 26 2006 - agruen@suse.de
- rpm/prepare-build.sh: Ensure that we don't generate an empty
  BuidRequires line.
* Thu Jan 26 2006 - rw@suse.de
- patches.suse/pagg-numatools:
  Exports for numatools kernel module.  (#142118)
* Thu Jan 26 2006 - rw@suse.de
- patches.arch/ia64-limit-unaligned:
  Scaling fix for simultaneous unaligned accesses.  (#145599)
* Thu Jan 26 2006 - rw@suse.de
- patches.suse/kdb-common:
  Prevent NULL pointer dereference on 'console'.  (#145230)
* Thu Jan 26 2006 - ak@suse.de
  * Some more x86-64 bug fixes from mainline
- patches.arch/x86_64-impossible-per-cpu-data-workaround: Let
  impossible CPUs point to reference per cpu data.
- patches.arch/x86_64-even-more-cpuinit: data/functions wrongly
  marked as __init with cpu hotplug..
- patches.arch/x86_64-mark-two-routines-as-__cpuinit: mark two
  routines as __cpuinit.
- patches.fixes/acpi-disable-c2-c3-ibm-r40e: Rediffed.
* Thu Jan 26 2006 - ak@suse.de
- patches.arch/x86_64-apic-main-timer: Allow to run main time
  keeping from the local APIC interrupt (#145747).
- patches.arch/x86_64-apic-main-timer-ati: Automatically enable
  apicmaintimer on ATI boards (#145747).
* Thu Jan 26 2006 - ak@suse.de
- patches.arch/x86_64-srat-hotadd-reserve: Rediffed. Fix
  off by one bugs.
- patches.arch/x86_64-srat-option: Rediffed.
- patches.arch/x86_64-srat-check-size: Do more checking in the
  SRAT header code (#145334).
* Thu Jan 26 2006 - trenn@suse.de
- patches.drivers/cpufreq_bios_ppc_change: make BIOS cpufreq
  limiting work for ondemand on DELL600/800.
* Thu Jan 26 2006 - trenn@suse.de
- Update config files.
-> Enable overriding of DSDT via initrd for x86_64
-> Enable ACPI debug for x86_64/i386 debug kernel
* Wed Jan 25 2006 - olh@suse.de
- Disable CONFIG_DEBUG_SLAB on ppc, changes alignment
* Wed Jan 25 2006 - olh@suse.de
- Disable internal firmware build for QLogic drivers also on ppc
* Wed Jan 25 2006 - axboe@suse.de
- patches.fixes/it821x-dma-bug: Fix ide dma setup bug in it821x
  (136944).
* Wed Jan 25 2006 - mason@suse.de
- Update config files.
* Wed Jan 25 2006 - mason@suse.de
- Update config files (CONFIG_CRASHER=m).
- patches.suse/crasher-26.diff: slab testing module.
* Wed Jan 25 2006 - okir@suse.de
- patches.drivers/ipw2200-update: Removed a hunk that clobbered
  the fix for bug 133513.
- patches.drivers/ipw2200-{hwcrypto-off,eeprom-version-check}: rediff
* Wed Jan 25 2006 - okir@suse.de
- patches.drivers/e100-resume-fix: e100: allocate cbs early on
  when resuming (145197).
* Wed Jan 25 2006 - okir@suse.de
- patches.drivers/e100-ignore-bad-eeprom: e100: add module
  parameter to ignore bad EEPROM checksum (59705).
* Wed Jan 25 2006 - okir@suse.de
- patches.drivers/ipw2200-eeprom-version-check: fix
->eeprom[EEPROM_VERSION] check.
* Wed Jan 25 2006 - gregkh@suse.de
  USB git tree update (bugfixes, new ids, and a few driver updates)
- Update config files.
* Wed Jan 25 2006 - gregkh@suse.de
- Make debugging usb device issues easier (used to be in older SuSE
  kernels, I accidentally took it out a while ago...)
  patches.drivers/always-announce-new-usb-devices.patch
* Tue Jan 24 2006 - gregkh@suse.de
  Clean up the kernel.org patches, from 4 to 2
* Tue Jan 24 2006 - mason@suse.de
- Update config files: enable CONFIG_CONNECTOR and CONFIG_PROC_EVENTS
- patches.suse/connector-read-mostly: Make
  proc_event_num_listeners __read_mostly.
* Tue Jan 24 2006 - tiwai@suse.de
- patches.arch/ia64-sn2-dma-alloc-fix: sn_dma_alloc_coherent
  should use gfp flags (144396).
* Tue Jan 24 2006 - agruen@suse.de
- Disable CONFIG_XFS_DMAPI: it breaks xfs.
* Tue Jan 24 2006 - okir@suse.de
- patches.fixes/netfilter-alignment: [NETFILTER] x_tables:
  Fix XT_ALIGN() macro on [at least] ppc32 (145164).
* Tue Jan 24 2006 - ak@suse.de
- patches.arch/stack-random-large: Only enable large stack
  randomization on x86-64. Don't do it for compat tasks
  (#144978)
* Tue Jan 24 2006 - axboe@suse.de
- patches.fixes/ahci-suspend: Allow pci/sata suspend/resume
  on ahci.
* Tue Jan 24 2006 - tiwai@suse.de
- patches.drivers/alsa-hda-sigmatel-maxchannel-fix: [ALSA]
  hda-codec - Fix max_channels computation for STAC92xx codecs
  (144593).
- patches.drivers/alsa-hda-alc260-init-verb-fix: [ALSA] hda-codec
- Fix init verb of ALC260.
- patches.drivers/alsa-intel8x0-add-mcp51: [ALSA] intel8x0 -
  Add MCP51 PCI ID.
* Tue Jan 24 2006 - okir@suse.de
- patches.drivers/ipw2200-hwcrypto-off: ipw2200: Disable hwcrypto
  by default (142219).
* Tue Jan 24 2006 - agruen@suse.de
- Disable CONFIG_DEBUG_SLAB on s390: it is broken.
* Tue Jan 24 2006 - ak@suse.de
- patches.arch/x86_64-srat-clear-node: Clear more state when
  ignoring empty node in SRAT parsing (#144781).
* Tue Jan 24 2006 - agruen@suse.de
- scripts/tar-up.sh: Check for leftover conflict markers in
  patches and in the changelog.
- rpm/post.sh: Check for xen* to allow for future xen[0U] etc.
* Mon Jan 23 2006 - mason@suse.de
- make loop a module
* Mon Jan 23 2006 - mason@suse.de
- patches.suse/lkcd.patch: Fix bad kfree during netdump setup
* Mon Jan 23 2006 - jbeulich@novell.com
- Update Xen patches.
* Mon Jan 23 2006 - tiwai@suse.de
- patches.drivers/alsa-git-post-2.6.15-git12: ALSA git update.
- patches.fixes/gcc-fix-value_computed_not_used: Fix "value
  computed is not used" compile warnings with gcc-4.1.
* Mon Jan 23 2006 - agruen@suse.de
- rpm/post.sh: Fix checking for the special kernel flavors um,
  xen, kdump.
* Mon Jan 23 2006 - olh@suse.de
- add patches.suse/initrd_kdump_fix.patch
  avoid overwriting initrd memory for kdump kernel
* Mon Jan 23 2006 - axboe@suse.de
- patches.fixes/libata-increase-timeout-for-resume: Increase
  BSY/DRQ clear to avoid timeout on resume.
* Mon Jan 23 2006 - hare@suse.de
- Disable internal firmware build for QLogic drivers.
* Mon Jan 23 2006 - axboe@suse.de
- patches.fixes/barrier-4: Sometimes barriers didn't get enabled
  on SCSI.
* Mon Jan 23 2006 - rw@suse.de
- patches.fixes/serial-8250-backup-timer:
  Update of backup timer implementation.  (#140454)
* Mon Jan 23 2006 - axboe@suse.de
- patches.fixes/ide-noflush: Add hdX=noflush for buggy hard drives
  (66590).
* Mon Jan 23 2006 - okir@suse.de
- patches.drivers/ipw2100-update: Update ipw2100 driver (142218).
- patches.drivers/ipw2200-update: Update ipw2200 driver (142219).
* Mon Jan 23 2006 - okir@suse.de
- Replaced ieee802.11h received earlier with the patch set
  Intel submitted to netdev (142270):
- patches.drivers/ieee802.11-{1,...,13}: From netdev
- patches.drivers/ieee802.11h: Delete.
* Mon Jan 23 2006 - ak@suse.de
- patches.fixes/garbage-values-in-file--proc-net-sockstat:
  Fix garbage values in file /proc/net/sockstat.
* Mon Jan 23 2006 - ak@suse.de
- patches.arch/optimize-686: Delete.
  Obsoleted by patches.arch/tune-generic
* Mon Jan 23 2006 - okir@suse.de
- Enable CONFIG_FB_MATROX on i386 (#142831)
* Mon Jan 23 2006 - ak@suse.de
- patches.suse/lkcd.patch: Lower runtime impact for !CONFIG_LKCD_DUMP,
  fix warning.
* Mon Jan 23 2006 - ak@suse.de
  * x86-64 updates:
- patches.arch/x86_64-copy-memset-revert: Undo the earlier
  changes to remove unrolled copy/memset functions.
- patches.arch/x86_64-fix-futimesat32: Fix futimesat for 32bit
  programs.
- patches.arch/x86_64-fix-the-node-cpumask-of-a-cpu-going-down:
  Fix the node cpumask of a cpu going down.
- patches.arch/x86_64-hotadd-pud: Use correct PUD for memory
  hotadd.
- patches.arch/x86_64-swiotlb-dma32: Fix swiotlb
  dma_alloc_coherent fallback.
- patches.arch/x86_64-timer-resume: [PATCH] timer resume.
- patches.arch/stack-random-large: Increase the variability of
  the process stack on 64bit architectures.
- patches.arch/tune-generic: x86-64/i386: Use -mtune=generic for
  generic kernels.
- patches.suse/kdb-x86_64: Rediffed
* Mon Jan 23 2006 - vojtech@suse.cz
- patches.fixes/uli526x-fix.diff: Remove obsolete patch
* Mon Jan 23 2006 - okir@suse.de
- patches.drivers/napa-*: Add support for NAPA video chipset 945GM
  (144319, FATE 151391).
* Mon Jan 23 2006 - axboe@suse.de
- patches.fixes/barrier-1: Fix barrier ordering.
- patches.fixes/barrier-2: Don't flip ordered color on a soft
  barrier.
- patches.fixes/barrier-3: One more ordered color flipping fix.
* Mon Jan 23 2006 - ak@suse.de
- patches.arch/i386-default-max-mp-busses: Increase MAX_MP_BUSSES
  in default kernel to match generic (#57179).
* Mon Jan 23 2006 - ak@suse.de
- Update config files.
  * Enable CONFIG_KDB for x86-64 debug kernel
- patches.suse/kdb-x86_64: KDB support for x86-64.
- patches.suse/x86_64-smp-kdb-stop: Implement smp_kdb_stop in
  the proper way.
- patches.suse/x86_64-kdebug-events: Add KDEBUG events needed
  for KDB.
- patches.xen/xen3-auto-arch-x86_64.diff: Rediff
* Mon Jan 23 2006 - mason@suse.de
- Fixup kdump related config entries.  CONFIG_CRASH_DUMP should be
  on only in the kdump kernels.  CONFIG_PROC_VMCORE should be on
  in the kdump kernels too.
* Sun Jan 22 2006 - ak@suse.de
- fix compilation without NFSD_ACL enabled
* Sun Jan 22 2006 - olh@suse.de
- enable DEBUG_RODAT, DEBUG_SPINLOCK and DEBUG_SPINLOCK_SLEEP
* Sun Jan 22 2006 - ak@suse.de
- Enable CONFIG_INIT_DEBUG on x86-64
* Sun Jan 22 2006 - tonyj@suse.de
- patches.suse/subdomain: Add audit support, irq lock changes
- patches.suse/subdomain_namespacesem: rebase, remove sd changes
* Sun Jan 22 2006 - olh@suse.de
- enable slab debugging (144632)
* Sat Jan 21 2006 - olh@suse.de
- add patches.suse/uml-trace-macros.patch
  define some setjmp macros which were removed from glibc includes
* Sat Jan 21 2006 - olh@suse.de
- disable patches.fixes/dput_late_iput.diff (136310)
  disable patches.fixes/prune_one_dentry-late_iput.diff
* Sat Jan 21 2006 - agruen@suse.de
- patches.suse/lookup_hash_nameidata.diff: Delete another subfs
  specific patch.
* Sat Jan 21 2006 - olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  restore code to prevent 8250 init on pmac
* Sat Jan 21 2006 - olh@suse.de
- add patches.drivers/mv643xx_eth-1-Fix_spinlock_recursion_bug.patch
* Sat Jan 21 2006 - olh@suse.de
- fix patches.arch/ppc-mac-io-MODALIAS.patch
* Fri Jan 20 2006 - mason@suse.de
- patches.suse/lkcd.patch: fix xen compile.
* Fri Jan 20 2006 - mason@suse.de
- patches.suse/lkcd.patch: fix ppc compile problem #1
* Fri Jan 20 2006 - tonyj@suse.de
- patches.suse/kdb-common: fix debug compile error (page_private)
* Fri Jan 20 2006 - mason@suse.de
- Update config files (lkcd only on ia64)
- patches.suse/lkcd.patch: lkcd (142097).
* Fri Jan 20 2006 - jblunck@suse.de
- patches.fixes/dput_late_iput.diff: shrink_dcache_parent()
  races againt shrink_dcache_memory() - dput fix.
- patches.fixes/prune_one_dentry-late_iput.diff:
  shrink_dcache_parent() races againt shrink_dcache_memory() -
  prune_one_dentry fix.
* Fri Jan 20 2006 - agruen@suse.de
- Drop subfs.
* Fri Jan 20 2006 - jeffm@suse.de
-  really fixed the compilation issue with ocfs2 on ia64.
* Fri Jan 20 2006 - jeffm@suse.de
- patches.fixes/reiserfs-mount-options-fix.diff:  reiserfs:
  fix setting of REISERFS_ATTRS on mount.
* Fri Jan 20 2006 - jeffm@suse.de
- OCFS2 reversion patch backed out the ia64 compilation fix; fixed.
* Fri Jan 20 2006 - jeffm@suse.de
- Back-patched OCFS2 to the version found in SLES9 SP3 at
  Oracle's request, and remerged userspace clustering against it.
* Fri Jan 20 2006 - olh@suse.de
- update to 2.6.16-rc1-git3
* Fri Jan 20 2006 - schwab@suse.de
- Update kdb patches.
* Thu Jan 19 2006 - agruen@suse.de
- patches.fixes/repair-nfsacl.diff: Reenable nfsacl (it broke
  upstream on 2005-11-07).
* Thu Jan 19 2006 - rw@suse.de
- disabled patches.fixes/serial-8250-backup-timer  (#140454)
* Thu Jan 19 2006 - jbeulich@novell.com
- patches.fixes/per-cpu-enough-room: bump per-CPU space limit
  for 64-bit archs.
* Thu Jan 19 2006 - rw@suse.de
- patches.arch/ia64-sn-old-PROM-WAR:
  Workaround for new device flush code on older SGI-PROMs.  (#143793)
* Wed Jan 18 2006 - olh@suse.de
- update to 2.6.16-rc1
* Wed Jan 18 2006 - agruen@suse.de
- Move ``make kernelrelease'' below ``make oldconfig''.
* Wed Jan 18 2006 - olh@suse.de
- add patches.arch/ppc-isa-serial-ports.patch
  remove patches.arch/ppc-enable-isa-for-serial.patch
  remove the dependency from CONFIG_ISA for serial port discovery
* Wed Jan 18 2006 - ak@suse.de
- patches.arch/x86_64-srat-hotadd-reserve: Rediffed. Fix bugs
  found in testing  (#142035).
* Wed Jan 18 2006 - jeffm@suse.de
- Update config files for ocfs2 userspace.
* Tue Jan 17 2006 - olh@suse.de
- add patches.suse/uml-compilation-error-smp-fix
  partial compile fix
* Tue Jan 17 2006 - jeffm@suse.de
- Update and re-enable OCFS2 userspace clustering
* Tue Jan 17 2006 - olh@suse.de
- add patches.arch/8250-init.patch
  add patches.arch/ppc-enable-isa-for-serial.patch
  call platform_driver_register later, enable CONFIG_ISA on ppc64
  to get legacy 8250 ports
  reenable maple support on ppc64
* Tue Jan 17 2006 - axboe@suse.de
- Update config files (make CFQ the default io scheduler)
* Tue Jan 17 2006 - ak@suse.de
- patches.arch/x86_64-boot-exception-stacks: Fix MCE exception
  stack for boot CPU.
* Tue Jan 17 2006 - mason@suse.de
- Update config files.
- Enable SMP_ALTERNATIVES on i386 smp builds
- CONFIG_X86_64_XEN=n on non-xen kernels
* Tue Jan 17 2006 - jbeulich@novell.com
- Update Xen patches and configs.
* Tue Jan 17 2006 - okir@suse.de
- patches.drivers/ieee802.11h: Add IEEE802.11h support to wireless
  stack (142270).
* Tue Jan 17 2006 - okir@suse.de
- patches.suse/mempolicy-slab-node: NUMA policies in the slab
  layer (141678, FATE 153011, SGI 926660).
* Tue Jan 17 2006 - okir@suse.de
- patches.drivers/e1000-update: e1000 Update.
* Tue Jan 17 2006 - okir@suse.de
- patches.suse/ioat-*: IOAT update from Intel (142510).
- Update config files.
* Tue Jan 17 2006 - schwab@suse.de
- Update to kdb-v4.4-2.6.15-common-3.
* Mon Jan 16 2006 - olh@suse.de
- add patches.suse/export-pci_claim_resource.patch
  rpaphp needs this symbol
* Mon Jan 16 2006 - mason@suse.de
- Update config files. (run oldconfig on x86_64)
* Mon Jan 16 2006 - ak@suse.de
- Update config files.
  * Disable DEBUG_MUTEXES except in debug kernels
  * Enable SOFTLOCKUP detection everywhere
  * Other fixes
* Mon Jan 16 2006 - agruen@suse.de
- patches.fixes/kdb-page-module-fix: fix moved into
  patches.suse/kdb-common.
* Mon Jan 16 2006 - mason@suse.de
- patches.suse/kdb-common: Fix two more compile problems with
  CONFIG_KDB_MODULES
* Mon Jan 16 2006 - olh@suse.de
- add patches.suse/suse-ppc-nvram-transfer-size.patch
  increase write block size to 8k for installed systems with old nvsetenv
* Mon Jan 16 2006 - agruen@suse.de
- patches.fixes/kdb-page-module-fix: KDB page module build fix.
- patches.fixes/xfs-bhv-modules: XFS behaviour modules.
- patches.fixes/xfs-kdb-module: KDB module for XFS.
- patches.suse/dmapi-enable2: Add missing stuff and make compile.
- Re-enable XFS DMAPI.
* Mon Jan 16 2006 - ak@suse.de
- patches.arch/x86_64-lapic-resume-uses-correct-base-address:
  lapic resume uses correct base address.
- patches.arch/x86_64-flexmmap: Flexmap for 32bit and randomized
  mappings for 64bit (FATE 120276).
- patches.arch/x86_64-set-do_not_nx-as-cpuinitdata: set do_not_nx
  as cpuinitdata.
* Mon Jan 16 2006 - mason@suse.de
- CONFIG_DUMP was stolen from lkcd by kdump.  Change kdb to use
  CONFIG_LKCD instead so things build.
* Mon Jan 16 2006 - ak@suse.de
- Update config files.
- patches.arch/x86_64-add-meminit: Replace __devinit with
  __meminit for x86-64 for memory hotplug (#142035).
- patches.arch/x86_64-discontig-hotadd-meminit: Fix build with
  discontigmem hotadd (#142035).
- patches.arch/x86_64-reserve-hotadd-fixup: Convert sparsemem
  x86-64 memory hotadd to reservation based (#142035).
- patches.arch/x86_64-sparsemem-hotadd:  Base x86-64 sparsemem
  memory hotplug patch (#142035).
- patches.arch/x86_64-srat-hotadd-reserve: Reserve SRAT hotadd
  memory on x86-64  (#142035).
- patches.arch/x86_64-srat-option: Add command line option to
  disable memory hot add (#142035).
- patches.arch/acpi-fix-memory-hotadd-for-x86_64: workaround patch
  for a bug in the acpi layer with memory hotadd (#142035).
* Mon Jan 16 2006 - tiwai@suse.de
- patches.fixes/gcc-fix-value_computed_not_used: Fix "value
  computed is not used" compile warnings with gcc-4.1.
- patches.drivers/alsa-git-post-2.6.15-git12: ALSA git update.
- patches.drivers/alsa-disable-nested-devices: Delete.
- patches.drivers/ich8-audio: Delete.
- Update config files.
* Mon Jan 16 2006 - agruen@suse.de
- rpm/kernel-source.spec.in: fix computing the KERNELRELEASE.
- Disable CONFIG_XFS_DMAPI: it is still incomplete.
* Mon Jan 16 2006 - vojtech@suse.cz
-  patches.drivers/input-bk-2073.diff
-  patches.fixes/input-mux-blacklist-vgnfs115b.diff
  Both removed, obsoleted or accepted by upstream (2.6.15-git12)
* Mon Jan 16 2006 - hare@suse.de
- patches.drivers/dm_netlink_part{1,2,3}.diff
  Update dm-netlink (#142816 - LTC20642)
- Update config files.
* Mon Jan 16 2006 - agruen@suse.de
- patches.rpmify/make-kernelrelease.diff: Fix "make kernelrelease"
  to work without "make prepare".
- rpm/install-configs: use localversion-rpm-release to store the
  rpm release number; mainline already supports this.
- patches.rpmify/release-number.diff: Delete.
- patches.rpmify/supported-flag: Rediff.
* Mon Jan 16 2006 - olh@suse.de
- add patches.suse/fs-writeback-export.patch
  add patches.suse/ppc-mv643xx_eth-IPPROTO_TCP.patch
  export two libfs function, fix network driver compilation
* Mon Jan 16 2006 - hare@suse.de
- Remove patches.arch/s390-02-0{1,2,3}-october2005.diff
  Patches are already upstream.
* Mon Jan 16 2006 - hare@suse.de
- patches.drivers/aic7xxx-update
  Update patch for git12
- patches.drivers/iscsitarget
- patches.drivers/iscsitarget-align-with-open-iscsi.patch
  Update to version 0.4.13
- patches.drivers/dm_netlink_part{1,2,3}.diff
  Add dm-netlink (Feature #140772)
- patches.arch/s390-02-0{1,2,3}-october2005.diff
  Include latest IBM codedrop.
- Remove obsolete patches.
* Mon Jan 16 2006 - olh@suse.de
- update to 2.6.15-git12
* Mon Jan 16 2006 - okir@suse.de
- patches.suse/ioat-dma-driver: disabled until legal situation
  is clarified
* Mon Jan 16 2006 - ak@suse.de
- patches.arch/x86_64-debug-nest: Allow nesting of int3 by
  default for kprobes.
- patches.arch/x86_64-increase-nr-vectors: Increase NR_IRQ_VECTORS
  to 32 * NR_CPUS.
- patches.arch/x86_64-initrd-free: Fix freeing of initrd.
- patches.arch/x86_64-page-table-setup: Don't try to put kernel
  page tables beyond ZONE_DMA32..
- patches.arch/x86_64-powernow-init: Mark powernow k8 init
  functions as __cpuinit.
* Mon Jan 16 2006 - okir@suse.de
- patches.drivers/spidernet-compile-fix: build fix for ppc
* Mon Jan 16 2006 - axboe@suse.de
- patches.drivers/s390-dasd-queue-ordered: Fix blk_queue_ordered()
  call.
* Mon Jan 16 2006 - okir@suse.de
- patches.uml/fix-build: Unbreak "make prepare" on UML.
* Mon Jan 16 2006 - okir@suse.de
- patches.drivers/cifs-1.40: Update CIFS to 1.40.
* Mon Jan 16 2006 - axboe@suse.de
- patches.drivers/it821x-dma-bug: Disable DMA if id field isn't
  valid (136944).
* Mon Jan 16 2006 - okir@suse.de
- patches.suse/ioat-dma-*: Enabled IOAT (142510).
- Update config files.
* Sun Jan 15 2006 - mason@suse.de
- enable CONFIG_PAGG on ia64
- patches.suse/pagg.patch: Add PAGG support (141680).
* Sun Jan 15 2006 - mason@suse.de
  Update series.conf to reflect my patch status
  Add missing mason patches (and submit them to mainline)
  Add fat -o flush mount option for best effort constant writeback
  to removable media (faster O_SYNC alternative).
- patches.suse/reiserfs-old-format-size.diff: reiserfs_file_write
  should not allow files > 2G on 3.5.x disks (42191).
- patches.suse/osync-error: make sure O_SYNC writes properly
  return -EIO (SUSE43622).
- patches.suse/reiserfs_invalidatepage-race-fix: fix
  reiserfs_invalidatepage race against data=ordered (83674).
- patches.suse/b_private-init: Zero b_private when allocating
  buffer heads (SUSE49142).
- patches.suse/reiserfs-logging-perf-3: reiserfs hang and
  performance fix for data=journal mode (70968).
- patches.suse/reiserfs-ordered-io-failure: reiserfs
  write_ordered_buffers should not oops on dirty non-uptodate bh
  (64021).
- patches.suse/reiserfs-should-end-alloc: reiserfs fix journal
  accounting in journal_transaction_should_end (84769 LTC16064).
- patches.suse/fat-o-flush: add -o flush for fat.
* Fri Jan 13 2006 - vojtech@suse.cz
- patches.fixes/usb-handoff-default.diff: Delete, obsolted
  by 2.6.15 default handoff code.
* Fri Jan 13 2006 - gregkh@suse.de
- patches.drivers/input-MODALIAS-02.patch: INPUT: add MODALIAS
  to the event environment.  This will make Kay happy.
* Fri Jan 13 2006 - gregkh@suse.de
- patches.kernel.org/patch-2.6.15-git9: 2.6.15-git9. Update to 2.6.15-git9
- patches.drivers/ide-softirq-backout: Delete.
- patches.fixes/barrier-fixup: Delete.
- patches.kernel.org/patch-2.6.15-git8: Delete.
- Update config files.
- patches.drivers/ioc3-ia64-serial-port-driver.patch: Add driver
  support for a 2 port PCI IOC3-based serial card on Altix boxes
  (#141879).
* Fri Jan 13 2006 - gregkh@suse.de
  Update ioc3 serial driver patch due to tty layer changes in -git8
- Update config files.
- patches.drivers/ioc3-ia64-serial-port-driver.patch: Add driver
  support for a 2 port PCI IOC3-based serial card on Altix boxes
  (#141879).
* Fri Jan 13 2006 - hare@suse.de
- patches.drivers/aic7xxx-update
  Update aic7xxx driver
- Remove obsolete patches:
- patches.fixes/no-static-percpu-in-modules
- patches.fixes/scsi-scan-use-after-free
- patches.suse/khelper-limit-dynamic.patch
- patches.suse/khelper-limit-static.patch
* Fri Jan 13 2006 - hare@suse.de
- patches.drivers/qla4xxx
  Enable qla4xxx driver from qlogic.
- Update config files.
* Fri Jan 13 2006 - hare@suse.de
- patches.arch/s390/base-*-october2005.diff
- patches.arch/s390-01-*-october2005.diff
  Base SLES10 codedrop from IBM.
- Removed obsolete patches:
- patches.arch/s390-suse-bk-cpint_cpcmd.diff
- patches.arch/s390-fix-arch-switch
- patches.arch/s390-qeth-compile-fix
- patches.arch/s390-atomic-sub-and-test
- patches.arch/s390-netdev-eui64.patch
- Update config files for S/390.
* Fri Jan 13 2006 - kraxel@suse.de
- Update config files.
- patches.uml/uml-x11-fb: rediffed and enabled.
* Fri Jan 13 2006 - axboe@suse.de
- patches.drivers/ide-softirq-backout: Backout the ide softirq
  handling change.
- patches.fixes/barrier-fixup: Fix a problem with hanging queue
  on barrier writes.
* Thu Jan 12 2006 - okir@suse.de
- patches.kernel.org/patch-2.6.15-git8: Update to 2.6.5-git8
- Rediffed or removed the following patches:
- patches.drivers/dm-no-bounce
- patches.drivers/ich8-ata-piix
- patches.drivers/ich8-i2c
- patches.fixes/nfs-directio-drop-semaphore
- patches.fixes/nfs-rename-zap-inode
- patches.fixes/serial_console
- patches.rpmify/release-number.diff
- patches.rpmify/supported-flag
- patches.suse/subfs.patch
- patches.suse/security-cap-def
- patches.suse/lockd-block-list
- patches.suse/lockd-grant-cookies
- patches.suse/lockd-kernel-statd
- patches.suse/lockd-traverse-rewrite
- patches.suse/acct-eop-hook
- patches.suse/kdb-common
- patches.suse/kdb-i386
- patches.suse/tmpfs-acl.diff
- patches.suse/netfilter-ipv4options
- Update config files.
* Thu Jan 12 2006 - okir@suse.de
- patches.suse/netfilter-ipv4options: netfilter ipv4options match
  from patch-o-matic-ng  (131728 - FATE 182).
- Update config files.
* Thu Jan 12 2006 - perex@suse.de
- patches.suse/netfilter-nf_conntrack{,-fixup}: Delete - obsolete
- patches.suse/netfilter-03-input-hooks, netfilter-04-policy-lookup,
  netfilter-05-policy-checks, netfilter-06-policy-match,
  patches.suse/netfilter-hooks-checksum: Updated
- patches.suse/safer-ip-reassembly: Rediffed
* Wed Jan 11 2006 - agruen@suse.de
- patches.suse/dmapi_src_drop: Generic DMAPI support.
- patches.suse/dmapi-enable: VFS changes needed by DMAPI.
- patches.suse/dmapi-enable2: Enable DMAPI in xfs.
- Enable DMAPI in the config files.
* Wed Jan 11 2006 - agruen@suse.de
- patches.fixes/fix-nfs-xfs_iget-shutdown: Delete.
- patches.fixes/xfs-switch-to-kthread-api: Delete.
- patches.fixes/xfs-switch-to-kthread-api-2: Delete.
* Wed Jan 11 2006 - okir@suse.de
- ich8-{pci-ids, ide, i2c, ata-piix, audio, ahci}: Support
  Intel ICH8 chipset (141767 - FATE 151356)
* Wed Jan 11 2006 - neilb@suse.de
- patches.fixes/nfs-trunc-opt: Fix some problems with truncate
  and mtime semantics, particular for create(O_TRUNC) over
  nfs. (128853).
* Wed Jan 11 2006 - neilb@suse.de
- patches.fixes/locks-compat-fcntl64: Fix overflow tests for
  compat_sys_fcntl64 locking. (64501 133849).
* Wed Jan 11 2006 - schwab@suse.de
- Update kdb patches.
* Tue Jan 10 2006 - lmb@suse.de
- patches.suse/kexec-increase-max-segment-limit: kexec increase max
  segment limit (#141975)
* Tue Jan 10 2006 - vojtech@suse.cz
- patches.drivers/input-bk-2073.diff:
  Reenable, until 2.6.16 or 2.6.17 has a better fix.
- patches.fixes/input-mux-blacklist-vgnfs115b.diff
  Reenable, sent to mainline for inclusion, but not there yet.
- patches.fixes/input-reset-mouse.diff
  Add, to fix (#134690) - replaces one way to reset a mouse
  with another.
* Tue Jan 10 2006 - axboe@suse.de
- patches.drivers/sata-promise-pata: Delete, merged in mainline.
* Tue Jan 10 2006 - axboe@suse.de
- patches.drivers/acard-downgrade: Delete, should be fixed now.
* Tue Jan 10 2006 - axboe@suse.de
- patches.fixes/cdrom-open-failed: Delete, in mainline.
* Tue Jan 10 2006 - axboe@suse.de
- patches.fixes/cfq-default: Delete, can be set in defconfig now
* Tue Jan 10 2006 - axboe@suse.de
- patches.drivers/libata-suspend.diff: Fix libata suspend
  (104647).
* Tue Jan 10 2006 - okir@suse.de
- patches.suse/safer-ip-reassembly: Try to prevent incorrect
  IPv4 fragment reassembly (141860, FATE 153166, SGI 938114).
* Mon Jan 09 2006 - gregkh@suse.de
- patches.drivers/ioc3-ia64-serial-port-driver.patch: Add driver
  support for a 2 port PCI IOC3-based serial card on Altix boxes
  (#141879).
* Mon Jan 09 2006 - mason@suse.de
- Disable kprobes for kernel-xen
* Mon Jan 09 2006 - rw@suse.de
- patches.suse/acct-eop-hook:
  Fix for minimalistic configurations.  (#141530)
* Mon Jan 09 2006 - trenn@suse.de
- patches.fixes/acpi-pcc-fix: Delete.
- patches.fixes/acpi-endless-loop: Delete.
- patches.fixes/acpi-thermal-polling: Delete.
* Mon Jan 09 2006 - ak@suse.de
- Disable CONFIG_IP_ROUTE_MULTIPATH_CACHED everywhere since it's unstable.
- patches.arch/x86_64-nmi-watchdog-timeout: Increase NMI watchdog
  timeout to 30s.
* Mon Jan 09 2006 - jeffm@suse.de
- patches.suse/ocfs2-ia64-compilation-fix.diff: [PATCH] ocfs2/dlm:
  fix compilation on ia64.
* Mon Jan 09 2006 - rw@suse.de
- patches.suse/acct-eop-hook:
  Continue including Enhanced Acct patches (aka CSA).  (#141530)
* Mon Jan 09 2006 - rw@suse.de
- patches.fixes/export-symbols-gpl:
  Export some symbols for SGI GPL kernel modules.  (#141533)
* Mon Jan 09 2006 - rw@suse.de
- patches.arch/ia64-pci-legacy-write:
  Fix return value for ia64_pci_legacy_write().  (#140675)
* Mon Jan 09 2006 - rw@suse.de
- patches.fixes/serial-8250-backup-timer:
  Implement backup timer for UARTs that lose interrupts.  (#140454)
* Mon Jan 09 2006 - axboe@suse.de
- patches.fixes/ioctl-by-bdev-NULL-file: Fix oops in ioctl path
  from ioctl_by_bdev due to NULL file (67011).
* Mon Jan 09 2006 - axboe@suse.de
- patches.fixes/bio-bdev-init: Clear bio->bi_bdev field on init
  (SUSE49439).
* Mon Jan 09 2006 - olh@suse.de
- compile the pmac fan drivers into the kernel, also psmous (116406)
* Mon Jan 09 2006 - okir@suse.de
- patches.fixes/ipw2200-lockup-fix: previous iteration of this
  patch didn't completely fix this problem (133513).
* Sun Jan 08 2006 - agruen@suse.de
- patches.suse/generic-acl.diff, patches.suse/tmpfs-acl.diff:
  Update to the current kernel version.
- Enable CONFIG_TMPFS_POSIX_ACL in the config files.
* Sat Jan 07 2006 - olh@suse.de
- add patches.fixes/hotplug_memory_notifier.patch (141759 - LTC20531)
* Fri Jan 06 2006 - olh@suse.de
- enable CONFIG_MEMORY_HOTPLUG on ppc64 (141759 - LTC20531)
* Fri Jan 06 2006 - jeffm@suse.de
- temporarily disabled ocfs2 userspace clustering
* Fri Jan 06 2006 - okir@suse.de
- Added patches for lockd that make it use hostnames to identify
  clients (rather than relying on the IP address) and put statd
  in the kernel.
* Fri Jan 06 2006 - mason@suse.de
- Enable kprobes everywhere
* Fri Jan 06 2006 - jeffm@suse.de
- Merge final OCFS2 code as accepted into mainline.
- Add userspace clustering:
- patches.suse/ocfs2-01-event-driven-quorum.diff:  ocfs2:
  event-driven quorum.
- patches.suse/ocfs2-02-introduce-generic-heartbeat-resource.diff:
  ocfs2: introduce generic heartbeat resource.
- patches.suse/ocfs2-03-split-disk-heartbeat-out.diff: ocfs2:
  split disk heartbeat out from generic heartbeat.
- patches.suse/ocfs2-04-add-hb-registration.diff: ocfs2: add
  heartbeat operation registration interface.
- patches.suse/ocfs2-05-per-resource-events.diff: ocfs2: allow
  per-resource callbacks.
- patches.suse/ocfs2-06-per-resource-membership.diff: ocfs2:
  allow per-resource node status queries.
- patches.suse/ocfs2-07-o2net-refcounted-disconnect.diff: ocfs2:
  only disconnect tcp connections when the last reference is dropped.
- patches.suse/ocfs2-08-add-check-node-status.diff: ocfs2: add
  check_node_status for resources that can distinguish between
  resources.
- patches.suse/ocfs2-09-userspace-heartbeat.diff:  ocfs2: add
  userspace clustering.
* Fri Jan 06 2006 - axboe@suse.de
- patches.drivers/cciss-add-msi-msix-support: Add MSI and MSI-X
  support for cciss.
- patches.drivers/cciss-add-msi-msix-support-fix: Update version
  / Copyright.
* Thu Jan 05 2006 - okir@suse.de
- patches.fixes/ipw2200-lockup-fix: ipw2200 - release semaphore
  when sleeping in ipw_request_direct_scan (133513).
* Thu Jan 05 2006 - olh@suse.de
- add kernel-kdump for i386, x86_64 and ppc64, with minimal config
* Thu Jan 05 2006 - trenn@suse.de
- patches.suse/acpi_errors_on: Delete.
- Update config files.
- patches.suse/acpi_errors_on_new: Enables important ACPI errors
  even ACPI_DEBUG is not set..
* Thu Jan 05 2006 - trenn@suse.de
- patches.suse/acpi_errors_on: Delete.
- Update config files.
- patches.suse/acpi_errors_on_new: Enables important ACPI errors
  even ACPI_DEBUG is not set.
* Wed Jan 04 2006 - axboe@suse.de
- patches.drivers/qla2xxx-fc-rport-fix: Fix workqueue issues in
  qla2xxx (140857).
* Tue Jan 03 2006 - tiwai@suse.de
- patches.drivers/alsa-git-2.6.15: ALSA git patches.
- patches.drivers/alsa-disable-nested-devices: Disable the nested
  class devices (141226).
* Tue Jan 03 2006 - olh@suse.de
- update patches.suse/8250-sysrq-ctrl_o.patch
  handle ctrl o only on affected POWER4 systems to keep the console
  eigth-bit clean
* Tue Jan 03 2006 - olh@suse.de
- compile vfat and required nls modules into the kernel,
  to make booting from FAT filesystems more reliable
* Tue Jan 03 2006 - olh@suse.de
- update to 2.6.15
* Mon Jan 02 2006 - olh@suse.de
- add a few patches from the powerpc.git tree for kdump and udbg
  patches.arch/20060102-0002-powerpc-Merge-kexec.patch
  patches.arch/20060102-0008-powerpc-IBMEBUS-bus-support.patch
  patches.arch/20060102-0020-powerpc-Add-OF-address-parsing-code-2.patch
  patches.arch/20060102-0021-powerpc-serial-port-discovery-2.patch
  patches.arch/20060102-0022-powerpc-Unify-udbg-2.patch
  patches.arch/20060102-0023-powerpc-Add-back-support-for-booting-from-BootX-2.patch
  patches.arch/20060102-0024-powerpc-convert-macio_asic-to-use-prom_parse.patch
  patches.arch/20060102-0036-powerpc-Fix-g5-build-with-xmon.patch
  patches.arch/20060102-0037-powerpc-serial-port-discovery-cope-with-broken-firmware.patch
  patches.arch/20060102-0042-powerpc-More-serial-probe-fixes-2.patch
  patches.arch/20060102-0062-powerpc-powermac-adb-fix-dependency-on-btext_drawchar.patch
  patches.arch/20060102-0064-powerpc-udbg-updates.patch
  patches.arch/20060102-0065-powerpc-Update-OF-address-parsers.patch
  patches.arch/20060102-0071-powerpc32-fix-definition-of-distribute_irqs.patch
  patches.arch/20060102-0072-powerpc-Propagate-regs-through-to-machine_crash_shutdown.patch
  patches.arch/20060102-0073-powerpc-Add-a-is_kernel_addr-macro.patch
  patches.arch/20060102-0074-powerpc-Separate-usage-of-KERNELBASE-and-PAGE_OFFSET.patch
  patches.arch/20060102-0078-powerpc-fix-for-Update-OF-address-parsers.patch
  patches.arch/20060102-0080-powerpc-Add-CONFIG_CRASH_DUMP.patch
  patches.arch/20060102-0081-powerpc-Create-a-trampoline-for-the-fwnmi-vectors.patch
  patches.arch/20060102-0082-powerpc-Reroute-interrupts-from-0-offset-to-PHYSICAL_START-offset.patch
  patches.arch/20060102-0083-powerpc-Fixups-for-kernel-linked-at-32-MB.patch
  patches.arch/20060102-0084-powerpc-Add-arch-dependent-basic-infrastructure-for-Kdump.patch
  patches.arch/20060102-0085-powerpc-Parse-crashkernel-parameter-in-first-kernel.patch
  patches.arch/20060102-0086-powerpc-Add-arch-dependent-copy_oldmem_page.patch
  patches.arch/20060102-0087-powerpc-Add-support-for-linux-usable-memory-on-memory-nodes.patch
* Sun Jan 01 2006 - olh@suse.de
- update to 2.6.15-rc7-git6
* Thu Dec 29 2005 - schwab@suse.de
- Fix logic error in suse-ppc32-mol-verify_area.patch.
* Fri Dec 23 2005 - tiwai@suse.de
- patches.fixes/modpost-segfault-fix.diff: Fix segfault of
  modpost with external modules (139359).
* Fri Dec 23 2005 - jbeulich@novell.com
- patches.xen/xen3-fixup-dev-attr: adjust device attribute show
  functions (#140453).
* Thu Dec 22 2005 - garloff@suse.de
- Fix quoting error in determination of non-compliant modules.
  (104157)
* Wed Dec 21 2005 - gregkh@suse.de
- turn SELINUX off in the configs
* Wed Dec 21 2005 - axboe@suse.de
- patches.drivers/libata-do-simple-command-sleep-hack: Delete.
- patches.drivers/libata-suspend.diff: Fix libata suspend
  (104647).
* Wed Dec 21 2005 - axboe@suse.de
- patches.drivers/libata-odd-length-buffer: Delete.
- patches.drivers/libata-data-pad: Delete.
- patches.drivers/libata-eh-vs-irq-race: Delete.
- patches.drivers/libata-atapi-pio-race-1: Delete.
- patches.drivers/libata-ata_poll_qc_complete: Delete.
- patches.drivers/libata-fix-eh-locking: Delete.
- patches.drivers/libata-pio-poll-fix: Delete.
* Wed Dec 21 2005 - olh@suse.de
- enable rivafb and nvidiafb. Maybe it helps with monitor detection
* Wed Dec 21 2005 - trenn@suse.de
- patches.fixes/acpi-prefer-cpufreq-over-throttling: In passive
  cooling case cpufreq should be preferred over throttling
  (138011).
* Wed Dec 21 2005 - olh@suse.de
- update to 2.6.15-rc6-git2
* Wed Dec 21 2005 - aj@suse.de
- Fix kernel-syms spec file.
* Mon Dec 19 2005 - kkeil@suse.de
- patches.drivers/sky2.patch: Add sky2 driver from -mm series.
- Update config files.
* Mon Dec 19 2005 - garloff@suse.de
- Increase default number of loop devices from 8 to 64.
* Mon Dec 19 2005 - jbeulich@novell.com
- config/x86_64/xen: Enable SMP, misc adjustments (from ccoffing)
* Mon Dec 19 2005 - jbeulich@novell.com
- config/i386/xen: Enable SMP, misc adjustments.
- patches.xen/xen3-fixup-x86_64-cpu-possible-map: x86-64's
  cpu_possible_map must be initialized earlier.
* Mon Dec 19 2005 - axboe@suse.de
- patches.drivers/dm-no-bounce: DM doesn't need io bounced
  (90366).
* Mon Dec 19 2005 - hare@suse.de
- patches.drivers/open-iscsi-svn.diff
  Update to svn r446.
* Mon Dec 19 2005 - olh@suse.de
- add patches.arch/ppc-offb-address.patch
  try different ways to obtain the framebuffer address
* Mon Dec 19 2005 - olh@suse.de
- update to 2.6.15-rc6
* Sat Dec 17 2005 - tonyj@suse.de
- patches.suse/subdomain: Inadvertantly dropped warning msg in last
  checkin. Corrected.
* Sat Dec 17 2005 - tonyj@suse.de
- patches.suse/subdomain: SubDomain (AppArmor).
* Fri Dec 16 2005 - agruen@suse.de
- patches.fixes/nfsd-setacl-readonly.diff: [nfsd] Check for
  read-only exports before setting acls (139411).
* Fri Dec 16 2005 - trenn@suse.de
- patches.arch/avoid_table_double_loading.diff: Delete.
* Fri Dec 16 2005 - hare@suse.de
- patches.fixes/scsi-scan-use-after-free
  Fix memory corruption within the SCSI midlayer.
* Fri Dec 16 2005 - tonyj@suse.de
- patches.suse/subdomain: fix minor memory leak in profile load
  and incorporate initial review feedback
- patches.suse/subdomain_audit: readjust for above change
- patches.suse/subdomain_namespacesem: readjust for above change
* Thu Dec 15 2005 - agruen@suse.de
- Add /boot/symtypes.gz and the logic to generate it. This table
  allows to trace modverion changes back to their causes.
* Thu Dec 15 2005 - agruen@suse.de
- Make the kernel-$flavor packages provide versioned sets of
  symbols that kernel module packages can then require, and add
  the generated sets to the kernel packages as
  /boot/symsets-*.tar.gz.
  + rpm/make-symsets: create a symsets.tar.gz tarball based on
  symvers.gz and an optional previous symsets.tar.gz.
  + rpm/find-provides: Create the actual Provides tags from
  symsets.tar.gz.
* Thu Dec 15 2005 - olh@suse.de
- update to 2.6.15-rc5-git5
* Thu Dec 15 2005 - agruen@suse.de
- Rename kernel-s390x to kernel-default.
* Wed Dec 14 2005 - jeffm@suse.de
- enable patches.fixes/reiserfs-skip-commit-on-error.diff
  enable patches.fixes/reiserfs-close-open-transactions.diff (fixed)
* Wed Dec 14 2005 - tiwai@suse.de
- patches.drivers/alsa-git-2.6.15: ALSA git patches.
- Update config files.
* Wed Dec 14 2005 - olh@suse.de
- disable patches.fixes/reiserfs-skip-commit-on-error.diff
  disable patches.fixes/reiserfs-close-open-transactions.diff
* Tue Dec 13 2005 - olh@suse.de
- update patches.arch/ppc64-xmon-dmesg-printing.patch
  fix incorrect merge
* Tue Dec 13 2005 - olh@suse.de
- update to 2.6.15-rc5-git3
* Tue Dec 13 2005 - agruen@suse.de
- rpm/built-in-where: Figure out which symbols in symvers.gz are
  defined in which built-in.o files, and replace <vmlinux> in the
  symvers.gz with <dir/subdir/built-in> as appropriate.
- rpm/kernel-binary.spec.in: Use built-in-where.
* Mon Dec 12 2005 - kraxel@suse.de
- Update config files.
- series.conf: disabled skas3 patches, uml can use skas on unpatched
  kernel these days (skas0 mode).
- patches.uml/uml-x11-fb: updated uml framebuffer driver.
* Sun Dec 11 2005 - agruen@suse.de
- Create /usr/src/linux-obj/`uname -m` -> ARCH symlinks for
  architectures where the kbuild ARCH= differs from `uname -m`.
* Fri Dec 09 2005 - olh@suse.de
- add patches.suse/8250-sysrq-ctrl_o.patch
  handle sysrq also via 'ctrl o' on the system console (96313 - LTC16841)
* Fri Dec 09 2005 - schwab@suse.de
- Increase NR_CPUS to 1024 on ia64.
* Fri Dec 09 2005 - schwab@suse.de
- Fix slow reading of /proc/stat.
* Fri Dec 09 2005 - agruen@suse.de
- /boot/symvers.gz: Sort by symbol name in POSIX order. Rename from
  symvers-x.y.z-arch-flavor.gz to symvers-x.y.z-flavor.gz.
* Fri Dec 09 2005 - tonyj@suse.de
- Drop -Werror in AppArmor module (causing non i386 builds to fail)
* Thu Dec 08 2005 - tonyj@suse.de
- supported.conf: add new AppArmor submodule sdmatch_pcre
- Update config files to re-enable AppArmor
- patches.suse/subdomain: update AppArmor to r5891
- patches.suse/subdomain_audit: Cleanup patch header
- patches.suse/subdomain_namespacesem: Export namespace semaphore.
* Wed Dec 07 2005 - jeffm@suse.de
- patches.fixes/reiserfs-close-open-transactions.diff:
  reiserfs: close open transactions on error path.
- patches.fixes/reiserfs-skip-commit-on-error.diff:
  reiserfs: skip commit on io error.
* Wed Dec 07 2005 - kraxel@suse.de
- Update config files.
- patches.xen/xen3-fixup-mtrr-kconfig: Fix mtrr kconfig for
  non-xen kernels.
* Wed Dec 07 2005 - jbeulich@novell.com
- Update config/x86_64/xen.
- patches.xen/xen3-release-magic: make xen-3.0.0 final boot
  also our x86-64 kernel.
* Wed Dec 07 2005 - kraxel@suse.de
- Update config files.
* Wed Dec 07 2005 - kraxel@suse.de
- updated autogenerated xen3 patches.
- patches.xen/xen-public-update: update xen3 hypervisor headers.
- patches.xen/xen3-fixup-acpi-domU: Disable ACPI in unprivilidged
  xen domains.
- patches.xen/xen3-fixup-net-headroom: xen netfront driver needs
  more headroom.
* Tue Dec 06 2005 - olh@suse.de
- add patches.suse/scsi_scan_use_after_free-2.6.15rc5.patch
  workaround slab corruption problem
* Tue Dec 06 2005 - kraxel@suse.de
- patches.xen/xen-blkback-update: update block backend driver
  to xen 3.0.0 release level.
- patches.xen/xen-blkfront-update: update block frontend driver
  to xen 3.0.0 release level.
- patches.xen/xen-netback-update: update network backend driver
  to xen 3.0.0 release level.
- patches.xen/xen-netfront-update: update network frontend driver
  to xen 3.0.0 release level.
- patches.xen/xen3-release-magic: make xen-3.0.0 final boot
  our kernel.
* Tue Dec 06 2005 - olh@suse.de
- add patches.arch/ppc-pr25248-fno-ivopts.patch
  workaround for gcc-4.1 bug
* Tue Dec 06 2005 - hare@suse.de
- patches.drivers/qla4xxx
  Update to latest version
- Update config files.
* Tue Dec 06 2005 - hare@suse.de
- patches.suse/fastboot-console-init
- patches.fixes/ide-cs-correct-device-link
- patches.fixes/visor-override-probe
  Remove more obsolete patches.
* Tue Dec 06 2005 - hare@suse.de
- patches.suse/scsi-scan-replun-no-ex-lun0
- patches.fixes/qlogicisp-eh
  Remove obsolete patches.
* Tue Dec 06 2005 - hare@suse.de
- patches.drivers/scsi-misc
  Update to scsi-misc git tree.
* Mon Dec 05 2005 - tiwai@suse.de
- patches.drivers/alsa-decl: Delete.
- patches.drivers/alsa-git-2.6.15: Update ALSA git patches.
* Mon Dec 05 2005 - kraxel@suse.de
- patches.xen/xen-public-update: update
  include/arch-xen/xen-public to xen 3.0.0 level.
* Mon Dec 05 2005 - kraxel@suse.de
- patches.uml/skas-2.6.12-v8.patch: Delete.
- patches.xen/xen3-2.6.15-backport-gdt-access: Delete.
* Mon Dec 05 2005 - kraxel@suse.de
- Update xen and uml patches.
- Update config files.
* Sun Dec 04 2005 - olh@suse.de
- add patches.arch/ppc-mac-io-MODALIAS.patch
* Sun Dec 04 2005 - schwab@suse.de
- Update to 2.6.15-rc5.
* Sun Dec 04 2005 - schwab@suse.de
- alsa-current: fix missing declarations.
* Sat Dec 03 2005 - schwab@suse.de
- config/powerpc/ppc64: enable CONFIG_FB_NVIDIA and CONFIG_FB_NVIDIA_I2C.
* Fri Dec 02 2005 - tiwai@suse.de
- patches.drivers/alsa-git-2.6.15: ALSA git patches.
- Update config files.
* Fri Dec 02 2005 - schwab@suse.de
- Reenable IA64_SGI_SN_XP [#134912].
* Fri Dec 02 2005 - schwab@suse.de
- Add fixup code for pci_controller->windows on Altix.
* Fri Dec 02 2005 - olh@suse.de
- update to 2.6.15-rc4-git1
* Fri Dec 02 2005 - hare@suse.de
- add patches.drivers/scsi-misc
  scsi-misc tree from James Bottomley
- Update config files.
* Fri Dec 02 2005 - olh@suse.de
- update patches.drivers/ibmvscsis.patch for 2.6.15
* Thu Dec 01 2005 - olh@suse.de
- add patches.suse/IEEE80211_CRYPT_TKIP.patch
  ieee80211_crypt_tkip depends on NET_RADIO
  add patches.suse/suse-ppc-default-arch.patch
  make ARCH=powerpc the default, and move config files
* Thu Dec 01 2005 - schwab@suse.de
- Update to 2.6.15-rc4.
* Thu Dec 01 2005 - kraxel@suse.de
- update xen3 patches.
* Wed Nov 30 2005 - tiwai@suse.de
- patches.fixes/drm-null-reference-fix: Fix NULL reference in drm
  (132271).
* Tue Nov 29 2005 - jeffm@suse.de
- patches.fixes/reiserfs-cnode-failure.diff:  reiserfs: handle
  cnode allocation failure gracefully (#133999).
* Tue Nov 29 2005 - schwab@suse.de
- Fix compilation with new binutils.
* Tue Nov 29 2005 - agruen@suse.de
- rpm/kernel-syms.spec.in: don't skip over kernel-um.
* Tue Nov 29 2005 - gregkh@suse.de
  Remove USB storage patches that are already upstream
- patches.drivers/usb-storage-smsc-floppy-multilun.patch: Delete.
- patches.drivers/usb-storage-nec-floppy-multilun.patch: Delete.
* Tue Nov 29 2005 - jeffm@suse.de
- patches.suse/configfs.diff: configfs: merge svn 2710.
- patches.suse/ocfs2.diff: ocfs2: merge svn 2710.
- patches.suse/aop-truncated-page.diff: [Patch] add
  AOP_TRUNCATED_PAGE, prepend AOP_ to WRITEPAGE_ACTIVATE. (needed
  for ocfs2)
* Sat Nov 26 2005 - agruen@suse.de
- rpm/kernel-source.spec.in: Make sure kernel flavors that are
  based on a different set of patches than kernel-source won't
  wrongly get a /usr/src/linux-obj directory for creating external
  kernel modules; such modules would not work.
- rpm/kernel-syms.spec.in: Make sure kernel flavors that are based
  on a different set of patches than kernel-source won't have
  their symvers.gz file put in /usr/src/linux-obj: it would not
  match the kernel sources, anyway.
* Fri Nov 25 2005 - olh@suse.de
- add patches.suse/suse-ppc-pmac_zilog.USE_CTRL_O_SYSRQ.patch
  do SYSRQ with ctrl-O (like pSeries virtual consoles).
* Fri Nov 25 2005 - olh@suse.de
- add patches.drivers/ibmvscsis.patch
* Fri Nov 25 2005 - olh@suse.de
- update to 2.6.14.3
  drivers/isdn/hardware/eicon/os_4bri.c: correct the xdiLoadFile() signature
  x86_64/i386: Compute correct MTRR mask on early Noconas
  PPTP helper: Fix endianness bug in GRE key / CallID NAT
  nf_queue: Fix Ooops when no queue handler registered
  ctnetlink: check if protoinfo is present
  ip_conntrack: fix ftp/irc/tftp helpers on ports >= 32768
  VFS: Fix memory leak with file leases
  hwmon: Fix lm78 VID conversion
  hwmon: Fix missing it87 fan div init
  ppc64 memory model depends on NUMA
  Generic HDLC WAN drivers - disable netif_carrier_off()
  ctnetlink: Fix oops when no ICMP ID info in message
  Don't auto-reap traced children
  packet writing oops fix
  PPTP helper: fix PNS-PAC expectation call id
  NAT: Fix module refcount dropping too far
  Fix soft lockup with ALSA rtc-timer
  Fix calculation of AH length during filling ancillary data.
  ip_conntrack TCP: Accept SYN+PUSH like SYN
  refcount leak of proto when ctnetlink dumping tuple
  Fix memory management error during setting up new advapi sockopts.
  Fix sending extension headers before and including routing header.
  hwmon: Fix missing boundary check when setting W83627THF in0 limits
* Wed Nov 23 2005 - tonyj@suse.de
- reenable subdomain (AppArmor) in series.conf
- add CONFIG_SECURITY_SUBDOMAIN to necessary config files
- small patch to export necessary symbols from audit subsystem
* Wed Nov 23 2005 - ak@suse.de
- scripts/log: Ignore series.conf changes
* Tue Nov 22 2005 - gregkh@suse.de
  Mark kernel.org patches as coming from mainline.
- patches.kernel.org/patch-2.6.14.1: 2.6.14.1.
- patches.kernel.org/patch-2.6.14.1-2: 2.6.14.2.
* Tue Nov 22 2005 - gregkh@suse.de
  Disable PCI GPL-only symbol change patch.
* Tue Nov 22 2005 - gregkh@suse.de
- patches.drivers/pci-free.patch: PCI core wants to be free.
* Mon Nov 21 2005 - schwab@suse.de
- Fix asm constraint in put_user.
* Fri Nov 18 2005 - garloff@suse.de
- Rediff and reenable patches.suse/security-cap-default (#131755).
* Fri Nov 18 2005 - duwe@suse.de
- patches.suse/acpi_enable_ec_burst_mode and
  patches.arch/avoid_table_double_loading.diff
  adapt to reindented context lines and reenable
* Thu Nov 17 2005 - okir@suse.de
- patches.suse/nfs-sysctl: Make nfs_max_readahead tunable
* Thu Nov 17 2005 - okir@suse.de
- Update config files: made NFS and sunrpc modular
* Wed Nov 16 2005 - okir@suse.de
- patches.suse/nfs-sysctl: Add /proc/sys/fs/nfs sysctls to nfs module.
- patches.suse/nfsd-sysctl: Add /proc/sys/fs/nfs sysctls to nfsd module.
* Wed Nov 16 2005 - olh@suse.de
- enable CONFIG_KPROBES for iseries64
* Wed Nov 16 2005 - okir@suse.de
- Reviewed a bunch of old patches; deleted some, updated some.
* Tue Nov 15 2005 - kraxel@suse.de
- Update config files.
- patches.xen/xen3-fixup-arch-x86_64-buildtree: Fix x86_64
  xen build.
- patches.xen/xen3-fixup-arch-um: make uml build again with xen
  patches applied.
- patches.xen/xen3-fixup-common-free_irq: fix xen's free_irq()
  fixups to make it build on all archs.
* Tue Nov 15 2005 - schwab@suse.de
- Fix default VGA console on SN platforms.
* Tue Nov 15 2005 - hare@suse.de
- patches.fixes/no-partition-check-for-pcmcia
  Do not check partition on flashdisks on open() (#132507)
* Tue Nov 15 2005 - axboe@suse.de
- patches.drivers/sis5513-support-sis-965l: Add sis 965l suppor
  for the sis5513 ide driver (131346).
* Tue Nov 15 2005 - lmb@suse.de
- patches.fixes/vfs-leases-memleak: Fix memory leak in error leg of
  file leases (#133803)
* Tue Nov 15 2005 - hare@suse.de
- patches.suse/libata-enable-atapi.patch
  Update to apply with current kernel.
- Remove unneeded patches.
* Mon Nov 14 2005 - gregkh@suse.de
  removed unneeded input patch
- patches.suse/input-kill-sbin-hotplug.patch: Delete.
* Mon Nov 14 2005 - kraxel@suse.de
- Update config files.
- patches.suse/twofish-2.6: Twofish encryption for loop device
  for old S.u.S.E. crypto partitions (rediffed and enabled).
- patches.xen/xen3-fixup-arch-x86_64-buildtree: Fix x86_64
  xen build.
* Mon Nov 14 2005 - kraxel@suse.de
- patches.suse/configfs-kapi-compat.diff,
  patches.suse/ocfs2-kapi-compat.diff: fix for separate src/obj trees.
- patches.xen/xen3-2.6.15-backport-gdt-access: [PATCH] x86:
  add an accessor function for getting the per-CPU gdt.
- patches.xen/xen3-auto-arch-i386.diff: drop some bits obsoleted by
  the backport above.
- patches.xen/xen3-fixup-arch-i386-buildtree: fix xen build for
  separate src/obj trees.
* Mon Nov 14 2005 - olh@suse.de
- build autofs* as module also on iseries
* Fri Nov 11 2005 - kraxel@suse.de
- patches.xen/xen3-fixup-common-tpm-infineon: adapt tpm_infineon.c
  to tpm layer changes.
- series.conf: enable xen3-auto-common.diff unconditionally,
  "+kernel-xen" one down ;)
* Fri Nov 11 2005 - olh@suse.de
- enable xmon and spinlock debug on ppc
* Fri Nov 11 2005 - okir@suse.de
- patches.fixes/ipv6-init-fail-cleanup: inet6_init: cleanup
  after failed initialization (132894).
* Fri Nov 11 2005 - olh@suse.de
- update to 2.6.14.2
  airo.c/airo_cs.c: correct prototypes
  fix XFS_QUOTA for modular XFS
  NET: Fix zero-size datagram reception
  fix alpha breakage
  Oops on suspend after on-the-fly switch to anticipatory i/o scheduler - PowerBook5, 4
  ipvs: fix connection leak if expire_nodest_conn=1
  Fix ptrace self-attach rule
  fix signal->live leak in copy_process()
  fix de_thread() vs send_group_sigqueue() race
  prism54 : Fix frame length
  tcp: BIC max increment too large
* Thu Nov 10 2005 - schwab@suse.de
- Fix __get_unaligned.
* Wed Nov 09 2005 - kraxel@suse.de
- temporarely tagged xen patches touching common code with
  "+kernel-xen", review needed ...
* Wed Nov 09 2005 - kraxel@suse.de
- big xen update from http://xenbits.xensource.com/linux-2.6-xen.hg
- patches.xen/xen3-auto-xen-arch.diff: xen: architecture bits.
- patches.xen/xen3-auto-xen-drivers.diff: xen: driver bits.
- patches.xen/xen3-auto-common.diff: xen: common code changes.
- patches.xen/xen3-auto-arch-i386.diff: xen: i386 arch changes.
- patches.xen/xen3-auto-arch-um.diff: xen: um arch changes.
- patches.xen/xen3-auto-arch-x86_64.diff: xen: x86_64 arch
  changes.
- dropped lots of old xen patches.
- Update config files.
- Adapted scripts, "ARCH=xen" is not needed any more on the make
  command line,
* Wed Nov 09 2005 - olh@suse.de
- update to 2.6.14.1
  CVE-2005-2709 sysctl unregistration oops
* Wed Nov 09 2005 - agruen@suse.de
- rpm/kernel-source.spec.in: Add a ``make scripts'' to create
  scripts like modpost (132492).
* Tue Nov 08 2005 - agruen@suse.de
- patches.drivers/drm-fixes: Delete.
- patches.drivers/drm-mach64: Delete.
- patches.drivers/drm-via: Delete.
- patches.drivers/drm-ioctl32: Delete.
- patches.fixes/drm-ioctl32: Delete.
* Fri Nov 04 2005 - duwe@suse.de
- switch AMD64 smp to discontigous memory (Bug #132301)
* Fri Nov 04 2005 - olh@suse.de
- add patches.arch/ppc64-gcc41-global-reg.patch
  mark global register for paca as volatile (PR24644)
* Thu Nov 03 2005 - schwab@suse.de
- Update kdb patches.
* Thu Nov 03 2005 - hare@suse.de
- patches.drivers/scsi-misc
  Update to latest git tree
- patches.drivers/open-iscsi-svn.diff
  Update to svn r436
- patches.drivers/iscsitarget
- patches.drivers/iscsitarget-align-with-open-iscsi.patch
- patches.drivers/iscsitarget-svn.diff
  Update to svn r1262
- Update config files
- Remove obsolete patches
* Wed Nov 02 2005 - jeffm@suse.de
- Update config files for ocfs2/configfs.
* Wed Nov 02 2005 - okir@suse.de
- patches.fixes/acpi-disable-c2-c3-ibm-r40e: Disable C2/C3 states
  on all IBM R40e BIOSes (129954).
* Tue Nov 01 2005 - jeffm@suse.de
- patches.suse/ocfs2-configfs: Delete.
- patches.suse/ocfs2.diff: ocfs2: merge from svn 2673.
- patches.suse/ocfs2-kapi-compat.diff: ocfs2: API compatibility
  layer.
- patches.suse/configfs.diff: configfs: merge svn 2673.
- patches.suse/configfs-kapi-compat.diff: configfs: API
  compatibility layer.
* Mon Oct 31 2005 - olh@suse.de
- add patches.arch/ppc64-xmon-dmesg-printing.patch
  syslog printing for xmon debugger.
* Sun Oct 30 2005 - olh@suse.de
- add patches.arch/ppc64-vio-MODALIAS.patch (56865 - LTC9238)
* Sun Oct 30 2005 - olh@suse.de
- enable CONFIG_XMON_DEFAULT on ppc64
* Sat Oct 29 2005 - olh@suse.de
- add patches.arch/s390-const-pointer-uaccess.patch
* Fri Oct 28 2005 - tiwai@suse.de
- Update ALSA patches
- Revive bootsplash
* Fri Oct 28 2005 - gregkh@suse.de
  Update to 2.6.14, now that it is out.
- patches.kernel.org/patch-2.6.14-rc3: Delete.
- patches.kernel.org/patch-2.6.14-rc3-rc4: Delete.
- patches.kernel.org/patch-2.6.14-rc4-rc5: Delete.
- patches.kernel.org/patch-2.6.14-rc5-git5: Delete.
* Thu Oct 27 2005 - gregkh@suse.de
  Lots of input and class patches to make input use the hotplug
  core properly.  All of this will be in mainline in 2.6.15-rc1.
* Thu Oct 27 2005 - gregkh@suse.de
- patches.drivers/coldplug-emit-hotplug-events-from-sysfs.patch:
  add sysfs attr to re-emit device hotplug event.
  Needed for udev startup.
* Thu Oct 27 2005 - mantel@suse.de
- patches.fixes/samsung-unusual-floppy: USB floppy drive SAMSUNG
  SFD-321U/EP detected 8 times (117643).
* Thu Oct 27 2005 - mantel@suse.de
- Update config files: CONFIG_ACPI_HOTKEY is not supportable yet
  according to Intel, so should be disabled (#130962)
* Thu Oct 27 2005 - ak@suse.de
- Port remaining patches: Disable APIC by default on UP kernel again,
  Fix ACPI debugging, etc.
* Thu Oct 27 2005 - ak@suse.de
- Remove obsolete patches, reenable some.
* Thu Oct 27 2005 - ak@suse.de
- Disable ACPI again before 2001
* Thu Oct 27 2005 - olh@suse.de
- add patches.arch/ppc64-fx-freq-scaling.diff
  add patches.arch/ppc64-smu-partitions.diff
  add patches.arch/ppc64-smu-thermal-control.diff
  new SMU driver
* Wed Oct 26 2005 - tiwai@suse.de
- patches.drivers/oss-device-assign: Delete.
- patches.fixes/unsymmetric-pageattr: Delete.
- patches.drivers/alsa-git-post-2.6.14: ALSA-git update
* Wed Oct 26 2005 - gregkh@suse.de
- patches.fixes/usb-interface-modalias-fix.patch: USB: always
  export interface information for modalias (105621).
* Tue Oct 25 2005 - olh@suse.de
- update to 2.6.14-rc5-git5
* Fri Oct 21 2005 - mantel@suse.de
- i386: increase CONFIG_SERIAL_8250_NR_UARTS to 8 (#119467)
* Thu Oct 20 2005 - olh@suse.de
- kernel-source.ppc.rpm: nosrc -> src
* Thu Oct 20 2005 - olh@suse.de
- add patches.xen/xen3-asm-offsets.diff
  kbuild: full dependency check on asm-offsets.h
* Thu Oct 20 2005 - olh@suse.de
- update to 2.6.14-rc5
* Thu Oct 20 2005 - neilb@suse.de
- patches.fixes/nfsd-multi-programs: Make sure svc_process call
  the correct pg_authenticate for multi-service port (128784).
- series.conf: patches.fixes/nfsd-multi-programs
  Without this, locking doesn't work on filesystems NFS exported
  from SuSE10.
* Sat Oct 15 2005 - olh@suse.de
- update to 2.6.14-rc4-git4
* Wed Oct 12 2005 - tiwai@suse.de
- patches.fixes/getnstimeofday-missing-export: Add missing export
  of getnstimeofday().
* Wed Oct 12 2005 - ak@suse.de
- Enable CONFIG_SECCOMP on x86-64
* Wed Oct 12 2005 - ak@suse.de
- disable CONFIG_EXT2_FS_XIP for anything but s390
* Tue Oct 11 2005 - olh@suse.de
- add patches.rpmify/offsets_h-dirname.patch
  remove the $RPM_BUILD_ROOT string from generated files
* Tue Oct 11 2005 - gregkh@suse.de
- Removed unused i2c chip driver that isn't going upstream anytime
  soon.
* Tue Oct 11 2005 - gregkh@suse.de
- Remove amdshpc driver.  It shouldn't be used, the in-kernel one
  is working just fine. (I'm working with AMD to fix up any
  remaining issues.)
* Tue Oct 11 2005 - tiwai@suse.de
- patches.drivers/alsa-*: Delete.
- patches.suse/fuse-*: Delete.
- patches.drivers/alsa-git-post-2.6.14: ALSA-git update (post
  2.6.14).
- Update config files.
* Tue Oct 11 2005 - gregkh@suse.de
- Remove ECC patches, they need to be updated by Intel if they
  want them in the next kernel release.
* Tue Oct 11 2005 - gregkh@suse.de
- Remove lirc patches from the tree as they are never going to
  be in mainline and we have other ways to support these devices.
  (and the code didn't even work for a lot of devices...)
* Tue Oct 11 2005 - axboe@suse.de
- patches.arch/ide-ioreg-long-ia64: Delete.
- patches.fixes/cfq-refcount-fix: Delete.
- patches.fixes/dont-dupe-fs_excl-count-on-fork: Delete.
- patches.fixes/ata_piix-scan-all-enabled-ports: Delete.
- series.conf: Update/kill patches for the 2.6.14 update
* Tue Oct 11 2005 - olh@suse.de
- update to 2.6.14-rc4
* Tue Oct 11 2005 - gregkh@suse.de
- Enable the module support flag patch and move it higher up in
  the stack as we are probably never going to get that one into
  mainline.
* Tue Oct 11 2005 - gregkh@suse.de
  Remove some patches I owned, that are all in 2.6.14-rc
- patches.drivers/floppy-cmos-attribute.patch: Delete.
- patches.drivers/floppy-cmos-attribute-tidy.patch: Delete.
- patches.drivers/securityfs.patch: Delete.
* Tue Oct 11 2005 - gregkh@suse.de
- Finish replacing +check2614 with the real owners.
  Sorry about the mess this caused...
* Tue Oct 11 2005 - gregkh@suse.de
- Start replacing +check2614 with the real owners
* Mon Oct 10 2005 - olh@suse.de
- add patches.suse/suse-ppc32-mol-verify_area.patch
  verify_area was removed in 2.6.14
* Mon Oct 10 2005 - olh@suse.de
- add patches.suse/cpu_die.diff
  fix compilation with -Werror-implicit-function-declaration
* Mon Oct 10 2005 - olh@suse.de
- add patches.suse/qla-fc_remote_port_unblock.patch
  fix compilation with -Werror-implicit-function-declaration
* Mon Oct 10 2005 - olh@suse.de
- update to 2.6.14-rc3-git8
* Mon Oct 10 2005 - olh@suse.de
- add patches.suse/pcnet32-MAC-from-prom.patch
  remove special case for ppc to use MAC from prom if CSR is corrupt
* Sat Oct 08 2005 - schwab@suse.de
- Update kdb patches.
* Sat Oct 08 2005 - gregkh@suse.de
- update the USB patches for 2.6.14
* Sat Oct 08 2005 - gregkh@suse.de
  2.6.14-rc3 first cut.  Update the rpmify patches, and the configs,
  but everything else is commented out.  More work todo...
- patches.fixes/patch-2.6.13.1-2: Delete.
- patches.fixes/patch-2.6.13.2-3: Delete.
- patches.fixes/patch-2.6.13.1: Delete.
- Update config files.
- patches.kernel.org/patch-2.6.14-rc3:
* Fri Oct 07 2005 - mantel@suse.de
- Update config files: reduce CONFIG_LEGACY_PTY_COUNT to 64
* Fri Oct 07 2005 - olh@suse.de
- add patches.arch/ppc64-module-reloc-R_PPC64_TOC16.patch
  handle gcc4 generated relocation types for 32-bit mem acces
* Thu Oct 06 2005 - okir@suse.de
- Enabled CONFIG_HPET_TIMER=y on i386 default, smp, bigsmp, debug kernels
* Thu Oct 06 2005 - okir@suse.de
- patches.fixes/acpi-pcc-fix: Fix pcc_acpi unloading (118602).
* Thu Oct 06 2005 - okir@suse.de
- patches.fixes/acpi-endless-loop: [ACPI] Fix ACPI device scan (116763).
* Wed Oct 05 2005 - garloff@suse.de
- patches.fixes/serial8250_console_write-ier: Update to reflect
  the existence of UART_IER_UUE. (#49840)
* Tue Oct 04 2005 - tiwai@suse.de
- Update config files: Select CONFIG_PREEMPT_VOLUNTARY.
* Tue Oct 04 2005 - olh@suse.de
- update to 2.6.13.3
  Fix fs/exec.c:788 (de_thread()) BUG_ON
  Don't over-clamp window in tcp_clamp_window()
  fix IPv6 per-socket multicast filtering in exact-match case
  ipvs: ip_vs_ftp breaks connections using persistence
  uml - Fix x86_64 page leak
  skge: set mac address oops with bonding
  tcp: set default congestion control correctly for incoming connections
* Fri Sep 30 2005 - olh@suse.de
- add patches.fixes/ieee1394-sbp2-sbp2_command_orb_inuse-locking.patch
  fix an oops in sbp2 (113734)
  add a few patches from 2.6.14-rc2-mm2
  patches.fixes/eth1394-workaround-limitation-in-rawiso-routines.patch
  patches.fixes/ieee1394-delete-legacy-module-aliases.patch
  patches.fixes/ieee1394-fix-for-debug-output.patch
  patches.fixes/ieee1394-reorder-activities-after-bus-reset-fixes-device-detection.patch
  patches.fixes/ieee1394-skip-unnecessary-pause-when-scanning-config-roms.patch
  patches.fixes/ieee1394-use-time_before.patch
  patches.fixes/ohci1394-less-noise-in-dmesg.patch
* Wed Sep 28 2005 - olh@suse.de
- update ocfs2 patch, move truncate_inode_pages call in jfs
* Mon Sep 26 2005 - olh@suse.de
- update to 2.6.13.2
  Reassembly trim not clearing CHECKSUM_HW
  Fix MPOL_F_VERIFY
  jfs: jfs_delete_inode must call clear_inode
  USB: ftdi_sio: custom baud rate fix
  Sun GEM ethernet: enable and map PCI ROM properly
  forcedeth: Initialize link settings in every nv_open()
  lost fput in 32bit ioctl on x86-64
  Lost sockfd_put() in routing_ioctl()
  Fix DHCP + MASQUERADE problem
  Sun HME: enable and map PCI ROM properly
* Sun Sep 25 2005 - schwab@suse.de
- Enable HOTPLUG_CPU on ia64.
* Fri Sep 23 2005 - olh@suse.de
- enable bluetooth and irda on ppc
* Thu Sep 22 2005 - garloff@suse.de
- patches.xen/xen-net-more-headroom: Fix "Received packet needs 56
  bytes more headroom." that stall TCP to unprivileged domains.
* Thu Sep 22 2005 - agruen@suse.de
- patches.suse/tmpfs-acl.diff: Fix truncate in shmem_notify_change
  (118299).
* Wed Sep 21 2005 - axboe@suse.de
- patches.drivers/sata-promise-pata: support PATA ports on SATA
  controllers (117068): Missed an include diff
* Wed Sep 21 2005 - olh@suse.de
- add patches.suse/suse-ppc32-mol-gas-macro.patch
  update for recent gas macro handling changes
* Tue Sep 20 2005 - axboe@suse.de
- patches.drivers/sata-promise-pata: support PATA ports on SATA
  controllers (117068).
* Mon Sep 19 2005 - olh@suse.de
- enable CONFIG_DEBUG_SLAB on ppc
* Thu Sep 15 2005 - agruen@suse.de
- patches.rpmify/fix-separate-compilation-xen.diff: Xen fixes
  for building with O=.
* Thu Sep 15 2005 - olh@suse.de
- mark kernel/drivers/net/mv643xx_eth unsupported. MAC collisions
* Thu Sep 15 2005 - agruen@suse.de
- patches.rpmify/fix-separate-compilation-with-preconf-kernel.diff:
  More dependency fixes.
* Wed Sep 14 2005 - olh@suse.de
- add patches.fixes/yenta_subordinate_oops.patch
  check for NULL pointer to fix crash when BIOS left some bus numbers
  unassigned. (113778)
* Tue Sep 13 2005 - olh@suse.de
- add patches.fixes/pci_write_config_byte.patch
  write correct values to pci config space (cmd64x/hpt34x)
* Tue Sep 13 2005 - okir@suse.de
- patches.fixes/acpi-thermal-polling: [ACPI] Leave thermal
  passive cooling when machine cooled down (98178; patch by
  Thomas Renninger).
* Tue Sep 13 2005 - okir@suse.de
- patches.fixes/ec-enable-interrupts: [ACPI] Temperature polling
  should not disable interrupts (115459; patch by Andi Kleen).
* Tue Sep 13 2005 - agruen@suse.de
- patches.fixes/fix-nfs-xfs_iget-shutdown: fix nfs xfs_iget
  shutdown (102531, SGI:PV941429).
* Tue Sep 13 2005 - tiwai@suse.de
- patches.drivers/alsa-opl3sa2-unregister-fix.diff: [ALSA]
  snd_opl3sa2: add missing pnp_unregister_driver() calls (116586).
* Mon Sep 12 2005 - mason@suse.de
- patches.suse/reiserfs-bkl-inversion: fix reiserfs lock inversion
  of bkl vs inode semaphore (116531).
* Mon Sep 12 2005 - ak@suse.de
- fix compilation with xen
* Mon Sep 12 2005 - ak@suse.de
- patches.arch/x86_64-no-timer-check: (#113323) Update ATI timer bug workaround.
- patches.arch/srat-fallback: (#115891) Backport some x86-64 srat
  fallback fixes
- patches.fixes/mempolicy-verify: Fix MPOL_F_VERIFY
* Mon Sep 12 2005 - olh@suse.de
- add patches.fixes/hpt-pci-rom-corruption.patch
  hpt366: write the full 4 bytes of ROM address, not just low 1 byte
* Mon Sep 12 2005 - mantel@suse.de
- patches.fixes/sendmsg-DOS: fix kernel sendmsg() DoS (114365).
* Mon Sep 12 2005 - kkeil@suse.de
- Fix crash on resume with b44 network devices (#116088)
* Mon Sep 12 2005 - mantel@suse.de
- patches.fixes/sendmsg-overflow: fix kernel sendmsg() overflow
  (114364).
* Mon Sep 12 2005 - okir@suse.de
- patches.fixes/socket-filter-fix: fix socket filter code (2.6.13
  broke pcap and tcpdump) (115846).
* Sun Sep 11 2005 - olh@suse.de
- update patches.suse/suse-ppc32-mol-sk_alloc.patch
  increase proto obj_size to struct sock, register protocol
* Sat Sep 10 2005 - garloff@suse.de
- Disable SMP guest support for Xen on i386 and x86-64.
* Sat Sep 10 2005 - axboe@suse.de
- series.conf: Disable CFQ refcount fix from IBM, it's buggy
* Sat Sep 10 2005 - garloff@suse.de
- Update xen patches to 6715.
* Fri Sep 09 2005 - okir@suse.de
- patches.fixes/input-mux-blacklist-vgnfs115b.diff: Fixed
  previous commit.
* Fri Sep 09 2005 - okir@suse.de
- Fixed bad path name in previous patch
* Fri Sep 09 2005 - thoenig@suse.de
- patches.suse/asus-lcd-fix: ASUS ACPI: make driver less verbose (114960).
* Fri Sep 09 2005 - vojtech@suse.cz
- patches.fixes/input-mux-blacklist-vgnfs115b.diff: Blacklist MUX
  for Sony Vaio FSC115b (#80358)
* Fri Sep 09 2005 - kkeil@suse.de
- patches.fixes/ppp-mppe-64bit-fix: Fix 64 bit issue
  (#115398, #113841)
* Fri Sep 09 2005 - tiwai@suse.de
- series.conf: disable alsa-hda-intel-posbuf-fix.diff (just to be
  sure).
* Fri Sep 09 2005 - axboe@suse.de
- patches.drivers/libata-data-pad: libata handle the case when
  device returns/needs extra data.
* Fri Sep 09 2005 - axboe@suse.de
- patches.drivers/ahci-mem-failure-debug: Delete.
* Fri Sep 09 2005 - mantel@suse.de
- disable usb-hid-blacklist-apple-bluetooth.patch
* Thu Sep 08 2005 - tiwai@suse.de
- patches.drivers/alsa-intel8x0-buggy-semaphore: [ALSA] Add
  buggy_semaphore option (115837).
* Thu Sep 08 2005 - okir@suse.de
- patches.suse/netfilter-hooks-checksum: [NETFILTER] Make extended
  netfilter hooks recompute IP checksum (115200).
* Thu Sep 08 2005 - tiwai@suse.de
- patches.drivers/alsa-hda-intel-dmapos-fix.diff: [ALSA] hda-intel
- Check validity of DMA position (115253).
- patches.drivers/alsa-hda-intel-fix.diff: [ALSA] hda-codec -
  Assign audio PCMS first (115253).
- patches.drivers/alsa-oss-getoptr-fix.diff: [ALSA] pcm-oss -
  Add bugg-yptr option (115829).
- patches.drivers/alsa-ibook-g4-fix.diff: [ALSA] Correct detection
  of iBook G4 1420Mhz soundcard.
* Thu Sep 08 2005 - olh@suse.de
- add patches.arch/ppc-module_device_table-of.patch
  more modalias entries for macio devices (114695)
* Thu Sep 08 2005 - axboe@suse.de
- patches.fixes/dont-dupe-fs_excl-count-on-fork: New task
  structures need to zero ->fs_excl.
* Thu Sep 08 2005 - hare@suse.de
- patches.drivers/open-iscsi-noop_in.patch
  Update open-iscsi to svn r408.
* Thu Sep 08 2005 - axboe@suse.de
- patches.fixes/cfq-refcount-fix: CFQ cic refcounting fix.
* Thu Sep 08 2005 - garloff@suse.de
- We continue to need a non-PAE xen kernel.
* Wed Sep 07 2005 - garloff@suse.de
- Update xen patches to 6644.
- Enable SMP and PAE in xen and fix all the compilation problems
  incurred. (ACPI_SLEEP and NUMA are still no-gos.)
- xen3-export-tlb-flush: export symbol.
* Wed Sep 07 2005 - axboe@suse.de
- patches.drivers/libata-ata_pio_task-fix: Delete.
- patches.drivers/libata-pio-complete-retval: Delete.
- patches.drivers/libata-pio-poll-fix: Don't race with qc_complete
  in ata_pio_complete().
- series.conf: Replace with better simpler fix
* Wed Sep 07 2005 - okir@suse.de
- Move ath_pci and ath_rate_sample to nongpl, where the base module is (115040).
* Wed Sep 07 2005 - olh@suse.de
- remove patches.fixes/revert-pci-rom.patch
  add patches.suse/pci-rom-mapping.patch
  [PATCH] Fix PCI ROM mapping
  add patches.suse/pci_assign_unassigned_resources.patch
  [PATCH] x86: pci_assign_unassigned_resources() update (115118)
* Wed Sep 07 2005 - olh@suse.de
- add patches.suse/ipsec-crash-bug115200.patch (115200)
  [CRYPTO] Fix boundary check in standard multi-block cipher processors
* Tue Sep 06 2005 - garloff@suse.de
- xen: Fix SMP alternatives, fix NUMA e820 support, apply RTC patch
  unconditionally (CONFIG_XEN protected) -- from JBeulich.
* Tue Sep 06 2005 - agruen@suse.de
- patches.rpmify/fix-separate-compilation-with-preconf-kernel.diff:
  include/config/MARKER is a phony target.
* Tue Sep 06 2005 - olh@suse.de
- add patches.suse/acpi-cpufreq-pIII.patch
  Cpufreq fix for Pentium III - acpi-cpufreq module (104915)
* Tue Sep 06 2005 - axboe@suse.de
- patches.drivers/libata-pio-complete-retval: ata_pio_complete()
  and ata_pio_block() return value.
- patches.drivers/libata-ata_pio_task-fix: ata_pio_task() fix.
* Tue Sep 06 2005 - axboe@suse.de
- patches.drivers/libata-odd-length-buffer: libata ata_data_xfer()
  fix.
- patches.drivers/libata-data-pad: libata handle the case when
  device returns/needs extra data.
- patches.drivers/libata-atapi-pio-race-1: fix atapi_packet_task
  vs. intr race.
- patches.drivers/libata-ata_poll_qc_complete: implement
  ata_poll_qc_complete and use it in polling functions.
- patches.drivers/libata-fix-eh-locking: fix EH locking.
* Tue Sep 06 2005 - axboe@suse.de
- patches.drivers/libata-eh-vs-irq-race: Inactivate libata
  command before completion.
* Tue Sep 06 2005 - axboe@suse.de
- patches.drivers/ahci-mem-failure-debug: Print allocation
  failure location to debug load problem (112941).
* Tue Sep 06 2005 - jeffm@suse.de
- patches.suse/subfs-detached-namespace.diff: [PATCH] subfs:
  refuse mount in deleted directory (#114351).
* Tue Sep 06 2005 - agruen@suse.de
- patches.fixes/xfs-switch-to-kthread-api: Switch kernel thread
  handling to the kthread_ API (113237).
- patches.fixes/xfs-switch-to-kthread-api-2: Make sure the
  threads and shaker in xfs_buf are de-initialized in reverse
  startup order (113237).
* Mon Sep 05 2005 - hare@suse.de
- patches.drivers/libata-atapi-cdrom-oops.patch
  Only request sense if no valid sense is present.
* Sun Sep 04 2005 - garloff@suse.de
- Update xen patches to 6610.
- Compile virtual TPM drivers also for dom0.
* Sun Sep 04 2005 - agruen@suse.de
- patches.rpmify/fix-separate-compilation-with-preconf-kernel.diff:
  Further fixed for compiling with O= (65891).
* Sun Sep 04 2005 - olh@suse.de
- add patches.suse/non-x86-rom-ok.patch
  Quiet an incorrect warning in aty128fb/radeonfb about the PCI ROM
* Sat Sep 03 2005 - olh@suse.de
- add patches.suse/ohci1394-IR-legacy-flood.patch
  disable 'IR legacy activated' debug message
* Fri Sep 02 2005 - olh@suse.de
- disable xmon by default, use xmon=on to enable it at boottime
* Fri Sep 02 2005 - tiwai@suse.de
- patches.drivers/alsa-ppc-auto-drc-off.diff: [ALSA] Disable
  auto-toggling of DRC on TiBooks (113630).
- patches.drivers/alsa-alc658d-fix.diff: [ALSA] Fix ALC658D
  support (146962).
- patches.drivers/alsa-hdsp-firmware-fix.diff: [ALSA] hdsp:
  always initialize card name (164962).
* Fri Sep 02 2005 - olh@suse.de
- add patches.fixes/ieee1394-MODALIAS.patch
  provide MODALIAS= for ieee1394 devices (#103746)
* Thu Sep 01 2005 - vojtech@suse.cz
- input-kill-sbin-hotplug.patch: Get rid of /sbin/hotplug
  calls in the input subsystem by exporting input devices as
  /sys/class/input_device/*
* Thu Sep 01 2005 - agruen@suse.de
- scripts/tar-up.sh: create empty patches.*.tar.bz2 archives
  instead of including only the existing archives in the generated
  specfiles. Again include patches.addon.tar.bz2, which is
  intentionally empty.
* Thu Sep 01 2005 - agruen@suse.de
- Disable config/x86_64/um.
* Thu Sep 01 2005 - tiwai@suse.de
- patches.drivers/alsa-sblive-5.1-fix2.diff: [ALSA] Add
  identification for Live 5.1 [SB0220].
- patches.drivers/alsa-msi-s270-fix.diff: [ALSA] Fix EAPD for
  MSI S270.
- patches.drivers/alsa-atiixp-pm-fix.diff: [ALSA] atiixp -
  Fix PM resume.
- patches.drivers/alsa-intel8x0-quirk.diff: [ALSA] intel8x0 -
  Add quirk for IBM NetVisa A30p (114683).
* Thu Sep 01 2005 - olh@suse.de
- add patches.arch/ppc64-rs64.patch
  PPC64: Don't try to claim memory from OF at 1GB mark (114686)
* Thu Sep 01 2005 - axboe@suse.de
- series.conf: Fix typo in acard-downgrade
* Thu Sep 01 2005 - axboe@suse.de
- patches.drivers/libata-do-simple-command-sleep-hack: Wait for
  current command to finish in ata_do_simple_cmd() (114648).
* Thu Sep 01 2005 - axboe@suse.de
- patches.drivers/acard-downgrade: Backout buggy updates to the
  atp870u scsi driver.
* Wed Aug 31 2005 - axboe@suse.de
- patches.drivers/libata-suspend.diff: Fix the remaining sata drivers
* Wed Aug 31 2005 - axboe@suse.de
- patches.drivers/libata-suspend.diff: Fix ahci as well
* Wed Aug 31 2005 - agruen@suse.de
- Fix up some paths for uml and xen.
* Wed Aug 31 2005 - ak@suse.de
- patches.fixes/aic79xx-probe: Fix crash in probing when no
  hardware is present
* Wed Aug 31 2005 - ak@suse.de
- patches.fixes/avoid-kbd-msg: Disable unnecessary kbd message.
* Wed Aug 31 2005 - ak@suse.de
- patches.suse/acpi_errors_on: Fix and reenable.  This compiles
  in ACPI warnings and errors, but nothing of the other
  debug code. Warnings are not printed by default, but can
  by with acpi_dbg_level=0xffffffff
- patches.fixes/acpi_avoid_BIOS_debug: Remove (folded into previous
  patch)
- config/*/*: Enable CONFIG_ACPI_LITE
* Wed Aug 31 2005 - ak@suse.de
- patches.arch/i386-apic-up. Fix. Reenable.
  Disable APIC by default on i386/UP kernels.
- patches.arch/dmi-intel-c440gx: Drop (hopefully obsolete)
* Tue Aug 30 2005 - axboe@suse.de
- patches.drivers/libata-suspend.diff: Fix libata suspend
  (104647).
* Tue Aug 30 2005 - schwab@suse.de
- Add modalias to macio sysfs attributes.
* Mon Aug 29 2005 - olh@suse.de
- add patches.fixes/savage.patch
  return code of savagefb_probe is undefined if pci_request_regions fails
* Mon Aug 29 2005 - agruen@suse.de
- rpm/kernel-source.spec.in: Set ARCH correctly for um and xen.
- rpm/kernel-binary.spec.in: Make sure CONFIG_DEBUG_INFO is not
  set in the config files, yet still compile the kernel with
  debug symbols when desired.
- Update xen config file.
* Mon Aug 29 2005 - kkeil@suse.de
- update sk98lin to support current chipsets (#98928)
- disable sky2; it hangs on RX (#112917)
* Mon Aug 29 2005 - garloff@suse.de
- Update xen patches to 6458.
* Mon Aug 29 2005 - okir@suse.de
- rpm/kernel-binary.spec.in: Allow modules with a license of
  "BSD without advertisement clause" to be distributed as well (104157)
* Mon Aug 29 2005 - agruen@suse.de
- patches.fixes/arch-ext-mod.diff: Support external modules for
  uml and xen pseudo-architectures.
- rpm/kernel-binary.spec.in: A small cleanup.
- rpm/kernel-source.spec.in: Create output directories for uml
  and xen as well.
* Mon Aug 29 2005 - schwab@suse.de
- Update kdb patches.
* Mon Aug 29 2005 - olh@suse.de
- update patches.fixes/revert-pci-rom.patch
  use pcirom=0 cmdline option to disable ROM, pcirom=1 to enable it
* Mon Aug 29 2005 - ak@suse.de
- Remove obsolete patches that were disabled
* Mon Aug 29 2005 - ak@suse.de
- patches.arch/x86_64-no-timer-check: Do no_timer_check by
  default on ATI boards.
* Mon Aug 29 2005 - ak@suse.de
- config/{i386,x86_64,ia64}/*: Disable CONFIG_ACPI_DEBUG
* Mon Aug 29 2005 - olh@suse.de
- add patches.fixes/revert-pci-rom.patch
  patch broke aty128fb and radeonfb
* Mon Aug 29 2005 - olh@suse.de
- update to 2.6.13
* Mon Aug 29 2005 - pavel@suse.cz
- patches.suse/acpi-asus-panasonic-sony.patch: add support for
  vendor-specific features from Timo Hoenig
* Sun Aug 28 2005 - olh@suse.de
- add patches.suse/suse-ppc32-mol-sk_alloc.patch
  sk_alloc doesnt take NULL as proto.
* Sun Aug 28 2005 - olh@suse.de
- add patches.drivers/usb-storage-nec-floppy-multilun.patch
  another floppy with broken LUN handling (105878)
* Sun Aug 28 2005 - olh@suse.de
- update patches.suse/suse-ppc32-mol-kbuild.patch
  remove dead code, update dependencies
* Sun Aug 28 2005 - olh@suse.de
- update to 2.6.13-rc7-git3, tty oops fix, misc fixes
* Sat Aug 27 2005 - olh@suse.de
- add patches.arch/ppc-reiserfs-cc-optimize.patch
  dont compile with -O1 anymore
* Sat Aug 27 2005 - olh@suse.de
- update to 2.6.13-rc7-git2, misc fixes
* Fri Aug 26 2005 - tiwai@suse.de
- patches.drivers/alsa-sblive-5.1-fix.diff: [ALSA] emu10k1 -
  Add missing ac97 support on SBLive! Player 5.1 (113149).
* Fri Aug 26 2005 - olh@suse.de
- add patches.arch/ppc32-ac_power.patch
  assume AC power if no battery present (112670)
* Fri Aug 26 2005 - olh@suse.de
- add patches.arch/ppc-tumbler-fix.patch
  workaround for disabled tumbler sound (105448)
* Thu Aug 25 2005 - tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: Fix PCM 32bit layer
  (113106), FSC quirk (86420).
* Thu Aug 25 2005 - garloff@suse.de
- xen3-patch-2.6.13-rc1: Use set_pte_at_sync rather than set_pte
  and flush.
* Thu Aug 25 2005 - tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update.
* Thu Aug 25 2005 - olh@suse.de
- update to 2.6.13-rc7-git1
* Thu Aug 25 2005 - garloff@suse.de
- Update xen patches to hg-6393.
* Thu Aug 25 2005 - garloff@suse.de
- Fix SKAs patch for UML on Xen (JanB).
* Thu Aug 25 2005 - hare@suse.de
- patches.drivers/libata-atapi-cdrom-oops.patch
  SATA CDROM crashes with kernel oops. again.
* Wed Aug 24 2005 - olh@suse.de
- if kernel-foo-nongpl is empty, package /lib/modules/version
  to avoid empty rpm
* Wed Aug 24 2005 - axboe@suse.de
- patches.fixes/cfq-update: Small CFQ update.
* Wed Aug 24 2005 - pavel@suse.cz
- patches.drivers/sony_acpi_0.1.2.diff: Delete.
- patches.fixes/suspend-stats: Delete.
- patches.suse/swsusp-noncontiguous: Delete.
- series.conf: Delete obsolete patches (they were disabled, anyway)
* Wed Aug 24 2005 - garloff@suse.de
- update arch/xen to 2.6.13-rc7.
* Wed Aug 24 2005 - olh@suse.de
- add patches.drivers/usb-storage-smsc-floppy-multilun.patch
  another floppy with broken LUN handling (105878)
* Wed Aug 24 2005 - olh@suse.de
- update to 2.6.13-rc7, network, md fixes
* Mon Aug 22 2005 - axboe@suse.de
- series.conf: Disable barriers by default...
* Mon Aug 22 2005 - okir@suse.de
- patches.suse/usagi-ipv6-ip6t-reject: forward ported ip6t_REJECT (105561)
  and re-enabled it.
- Update config files.
* Mon Aug 22 2005 - garloff@suse.de
- Update xen patches to hg-6315.
- Move xen/linux public headers to userspace package.
* Mon Aug 22 2005 - kkeil@suse.de
- add sky2.patch new driver for Marvell Yukon 2 chipset
* Mon Aug 22 2005 - agruen@suse.de
- rpm/kernel-binary.spec.in: remove -override- module path.
* Mon Aug 22 2005 - hare@suse.de
- Update iscsitarget to svn r1247.
- Update configs.
* Sun Aug 21 2005 - garloff@suse.de
- Update Xen patches to hg-6305.
- Fix overlapping link segments on xen x86-64.
* Sun Aug 21 2005 - olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  disable 8250 if booted via BootX
* Sun Aug 21 2005 - olh@suse.de
- add patches.arch/ppc32-cflags.patch
  compile with -mcpu=powerpc to remove all nops
* Sun Aug 21 2005 - olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  disable isapnp in pmac setup to hide a warning
* Sun Aug 21 2005 - olh@suse.de
- update to 2.6.13-rc6-git13, network fixes
* Sun Aug 21 2005 - garloff@suse.de
- Update Xen patches to hg-6299.
* Sat Aug 20 2005 - garloff@suse.de
- Refresh Xen patch: include xen drivers in Makefile.
* Sat Aug 20 2005 - olh@suse.de
- update to 2.6.13-rc6-git12, follow_symlink, tg3, x86_64, nfs4 fixes
* Sat Aug 20 2005 - lmb@suse.de
- Disable OCFS2 on ia64 as it doesn't build.
* Sat Aug 20 2005 - lmb@suse.de
- patches.suse/ocfs2-configfs: OCFS2 and configfs merge.
* Sat Aug 20 2005 - garloff@suse.de
- Regenerate Xen sparse patch.
* Sat Aug 20 2005 - garloff@suse.de
- Further fixups for Xen on x86-64 (Jan).
* Sat Aug 20 2005 - garloff@suse.de
- Enable Xen on x86_64 and fix compilation issues (Jan).
- Network drivers were missing from xen kernels: fixed.
* Fri Aug 19 2005 - olh@suse.de
- enable sata_vsc and sata_ahci on ppc64
* Fri Aug 19 2005 - olh@suse.de
- update to 2.6.13-rc6-git11, network, ide, nfs, md fixes
* Fri Aug 19 2005 - tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update.
- patches.drivers/alsa-ppc-screamer-endian-workaround: A
  workaround for PMac screamer endian problem (105600).
* Fri Aug 19 2005 - garloff@suse.de
- Better version of rediffed Xen patches from Jan and additional
  fixes.
* Fri Aug 19 2005 - agruen@suse.de
- patches.fixes/nfsd-rewrite-align: Fix logical bug (97941, 96957).
* Fri Aug 19 2005 - agruen@suse.de
- patches.suse/bootsplash: Bootsplash update from mls.
* Fri Aug 19 2005 - okir@suse.de
- series.conf: disable nfsd-rewrite-align; it's broken
* Fri Aug 19 2005 - garloff@suse.de
- Adapt the other 2.6.13-rc changes to Xen and enable.
* Fri Aug 19 2005 - garloff@suse.de
- Import 2.6.13-rc changes into Xen up to 2.6.13-rc4 (Charles).
* Fri Aug 19 2005 - olh@suse.de
- enable amd8111e on ppc64
* Fri Aug 19 2005 - hare@suse.de
- Update open-iscsi to svn r401.
- Update open-iscsi to svn r399.
* Thu Aug 18 2005 - okir@suse.de
- Enabled NFSv4, fixed up configs
* Thu Aug 18 2005 - garloff@suse.de
- Update Xen patches to Xen3 hg 6223.
- Merge old Xen patches that are still applicable.
* Thu Aug 18 2005 - olh@suse.de
- update to 2.6.13-rc6-git10, network, zlib, ntfs, other fixes
* Thu Aug 18 2005 - hare@suse.de
- patches.fixes/ide-cs-correct-device-link
  Correct device link for ide-cs devices (#104670)
* Wed Aug 17 2005 - olh@suse.de
- update to 2.6.13-rc6-git9, inotify, nfts, acpi hotkey, jfs fixes
* Wed Aug 17 2005 - okir@suse.de
- patches.suse/netfilter-02-output-hooks: nat over ipsec.
- patches.suse/netfilter-03-input-hooks: nat over ipsec.
- patches.suse/netfilter-04-policy-lookup: nat over ipsec.
- patches.suse/netfilter-05-policy-checks: nat over ipsec.
- Update config files.
- patches.drivers/e100-update: Obsolete
- patches.drivers/megaraid-new: Obsolete
- patches.drivers/suse-ahci-disable: Obsolete
- patches.drivers/swsusp-b44: Obsolete
- patches.drivers/swsusp-via-velocity: Obsolete
- patches.drivers/usb-qc-usb-*: Obsolete
- patches.fixes/mtrr-check-gpf: Obsolete
- patches.fixes/posix-locks-race: Obsolete
- patches.fixes/procmisc-cached-underflow: Obsolete
- patches.fixes/quiet-sched: Obsolete
- patches.fixes/x86_64-panic-lockup: Obsolete
* Wed Aug 17 2005 - hare@suse.de
- remove patches.fixes/atapi-fix-error-handling.patch
- remove patches.fixes/libata-no-complete-on-error
  Newer version of libata error handling is on mainline.
* Tue Aug 16 2005 - schwab@suse.de
- Set BLK_DEV_LOOP=y.
* Tue Aug 16 2005 - agruen@suse.de
- scripts/compute-PATCHVERSION.sh: Fix after a patch started to
  confuse the very simple patch parser.
* Tue Aug 16 2005 - agruen@suse.de
- rpm/kernel-binary.spec.in: Move the nvidia pre-compiled object
  files to the -nongpl package (104153).
* Tue Aug 16 2005 - tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update.
- supported.conf: fix and clean up ALSA entries.
* Tue Aug 16 2005 - lmb@suse.de
- patches.suse/dm-flakey, patches.suse/dm-mpath,
  patches.suse/dm-mpath-path_selector,
  patches.suse/dm-mpath-psinit, patches.suse/dm-mpath-ref,
  patches.suse/dmmp-seperate-wqueue: Delete since merged upstream.
* Tue Aug 16 2005 - olh@suse.de
- add patches.suse/reiser4-machine_restart.patch
  call panic if something bad happens
* Tue Aug 16 2005 - olh@suse.de
- add patches.fixes/uml-pa-buildfix.patch
* Mon Aug 15 2005 - garloff@suse.de
- config.conf: Enable Xen build.
- kernel-source.changes: Remove empty series.conf: lines.
* Mon Aug 15 2005 - jeffm@suse.de
- series.conf: Re-activated ntfs-subfs
* Mon Aug 15 2005 - jeffm@suse.de
- patches.suse/export-get_sb_pseudo: Delete.
- series.conf: Removed dead patches.
* Mon Aug 15 2005 - gregkh@suse.de
  Remove USB ub specific patches, as we don't really support this driver
  for now.
- patches.drivers/usb-ub-01.patch: Delete.
- patches.drivers/usb-ub-02.patch: Delete.
- patches.drivers/usb-ub-03.patch: Delete.
* Mon Aug 15 2005 - gregkh@suse.de
  Remove my +gregkh marked patches as they should not be in the tree
- patches.fixes/cardbus-fixup-bridge: Delete.
* Mon Aug 15 2005 - jeffm@suse.de
- patches.suse/lookup_hash_nameidata.diff: Pass struct nameidata
  to subfs instead of NULL (#104657). [updated from 9.3]
* Mon Aug 15 2005 - olh@suse.de
- update to 2.6.13-rc6-git7, revert some scsi and pci io changes
* Mon Aug 15 2005 - kkeil@suse.de
- fix PCMCIA IDs for Sedlbauer Speedstar II (#104593)
* Sun Aug 14 2005 - olh@suse.de
- add suse-ppc32-mol* patches, maconlinux support
* Sat Aug 13 2005 - olh@suse.de
- update to 2.6.13-rc6-git5, netpoll fixes
* Sat Aug 13 2005 - schwab@suse.de
- Disable IA64_SGI_SN_XP until it is fixed.
* Sat Aug 13 2005 - gregkh@suse.de
- patches.drivers/w1-dont-spam-syslog.patch: w1: more debug
  level decrease. fixes #104020.
* Fri Aug 12 2005 - kraxel@suse.de
- patches.xen/smp-alts-uml.patch: fix smp alternatives for uml.
* Fri Aug 12 2005 - kraxel@suse.de
- Update xen config file.
- patches.xen/xen3-fixups-i386: more fixups, builds now.
* Fri Aug 12 2005 - schwab@suse.de
- Make sure *-nongpl owns all leading directories.
* Fri Aug 12 2005 - kraxel@suse.de
- Update config files.
- patches.xen/xen3-fixups-i386: add more fixups.
* Fri Aug 12 2005 - kraxel@suse.de
- First batch of xen3 patches:
- patches.xen/pmd-shared.patch: xen3 patch: pmd-shared.
- patches.xen/rcu-nohz.patch: xen3 patch: rcu-nohz.
- patches.xen/smp-alts.patch: xen3 patch: smp alternatives.
- patches.xen/x86_64-linux.patch: xen3 patch: x86_64.
- patches.xen/xen3-auto-arch.diff: xen3 arch/xen and
  include/asm-xen bits.
- patches.xen/xen3-auto-common.diff: xen3: common code changes.
- patches.xen/xen3-fixups-i386: xen3: 2.6.13 adaptions (i386)..
* Thu Aug 11 2005 - olh@suse.de
- update to 2.6.13-rc6-git3, misc fixes
* Thu Aug 11 2005 - olh@suse.de
- update patches.suse/acpi_enable_ec_burst_mode
  call acpi_ec_burst_add in the ->add method
* Thu Aug 11 2005 - hare@suse.de
- remove patches.drivers/open-iscsi-netlink.patch
  Patch is upstream.
* Thu Aug 11 2005 - gregkh@suse.de
  Add securityfs (is in -mm and will be in 2.6.14) so that subdomain
  can stop using /subdomain to make the YaST and LSB people happy.
- patches.drivers/securityfs.patch: [PATCH] add securityfs for
  all LSMs to use.
* Thu Aug 11 2005 - gregkh@suse.de
  Update floppy-cmos patch to the one that is upstream in -mm.
- patches.drivers/floppy-add-cmos-attr: Delete.
- patches.drivers/floppy-cmos-attribute.patch: Floppy: Add cmos
  attribute to floppy driver.
- patches.drivers/floppy-cmos-attribute-tidy.patch: Floppy:
  add cmos attribute to floppy driver tidy.
* Thu Aug 11 2005 - gregkh@suse.de
  Add PCI MSI quirk for PCI hotplug machines.  Is in -mm and will
  go into 2.6.14.
- patches.drivers/pci-quirk-6700-fix.patch: PCI: fix
  quirk-6700-fix.patch.
- patches.drivers/pci-quirk-6700.patch: PCI: 6700/6702PXH quirk.
* Thu Aug 11 2005 - gregkh@suse.de
  Sync up with upstream -mm and 2.6.14 pending USB patches that
  we can use in our tree (will fix a lot of usb-storage issues).
- Update config files.
- patches.drivers/usb-add-apple-touchpad-driver.patch: USB:
  add Apple USB Touchpad driver.
- patches.drivers/usb-ftdi_sio-new-ids.patch: USB ftdi_sio:
  New IDs for ELV, Xsens and Falcom products.
- patches.drivers/usb-ftdi_sio-userspecified-vid.patch: USB
  ftdi_sio: user specified VID/PID.
- patches.drivers/usb-hid-blacklist-apple-bluetooth.patch:
  USB: Prevent hid-core claiming Apple Bluetooth device on new
  G4 powerbooks.
- patches.drivers/usb-hub-code-motion.patch: USB: Code motion
  in the hub driver.
- patches.drivers/usb-hub-disconnect-children.patch: USB:
  Disconnect children when unbinding the hub driver.
- patches.drivers/usb-keyspan_remote-endian-fix.patch: Fix endian
  issue with keyspan_remote driver.
- patches.drivers/usb-pl2303hx-fix.patch: USB: pl2303 driver,
  makes pl2303HX chip work correctly.
- patches.drivers/usb-real-nodes-instead-of-usbfs-fix.patch:
  USB: Fix regression in core/devio.c.
- patches.drivers/usb-real-nodes-instead-of-usbfs.patch: USB:
  real nodes instead of usbfs.
- patches.drivers/usb-storage-01.patch: USB Storage: remove
  dependency on SCSI-provided serial/tag number.
- patches.drivers/usb-storage-02.patch: USB Storage: close a
  race condition in disconnect near probe.
- patches.drivers/usb-storage-03.patch: USB Storage: close a
  race condition in disconnect near queuecommand.
- patches.drivers/usb-storage-04.patch: USB Storage: add support
  for Maxtor One-Touch button.
- patches.drivers/usb-storage-05.patch: USB Storage: wedge SCSI
  revision at 2 for usb-storage devices.
- patches.drivers/usb-storage-unusual-devs-mitsumi.patch:
  usb-storage: Add IGNORE_RESIDUE flag for Mitsumi USB 2.0 card
  reader (VIA hardware).
- patches.drivers/usb-ub-01.patch: USB: ub 1/3: Axboe's quasi-S/G.
- patches.drivers/usb-ub-02.patch: USB: ub 2/3: Fold one line.
- patches.drivers/usb-ub-03.patch: USB: ub 3/3: death to
  ub_bd_rq_fn_1.
- patches.drivers/usb-usblp-rate-limit-error-messages.patch:
  USB usblp: rate-limit printer status error messages.
* Wed Aug 10 2005 - ak@suse.de
- patches.fixes/acpi-no-search: Disable too slow object search
  in ACPI memory tracking (#102565)
* Wed Aug 10 2005 - olh@suse.de
- add patches.suse/acpi_enable_ec_burst_mode
  change default acpi_ec_polling_mode from polling to burst (trenn)
* Wed Aug 10 2005 - okir@suse.de
- patches.suse/nfs-lockd-hostnames: [NFS] Make lockd use hostnames
  instead of IP addresses.
- patches.suse/nfs-lockd-kstatd: [NFS] Add in-kernel statd.
- patches.suse/kernel-statd: Obsolete.
- patches.suse/nfs-statd-hostnames: Obsolete.
- Update config files.
* Tue Aug 09 2005 - olh@suse.de
- update to 2.6.13-rc6-git1, pci, inotify, dvb, net fixes
* Tue Aug 09 2005 - hare@suse.de
- add patches.drivers/scsi-misc
  Include scsi-misc patches (updates to aacraid, aic7xxx, aic79xx).
* Mon Aug 08 2005 - hare@suse.de
- add patches.drivers/open-iscsi-*
  Update open-iscsi to official patch submission.
* Mon Aug 08 2005 - hare@suse.de
- add patches.drivers/sata-atapi-{fix-sata_sx4,alignment,restore-sg}.patch
  libata fixes for ATAPI drives.
* Sun Aug 07 2005 - olh@suse.de
- update to 2.6.13-rc6, pci, mce fixes
* Sun Aug 07 2005 - olh@suse.de
- update to 2.6.13-rc5-git5, bluetooth, isofs fixes
* Sat Aug 06 2005 - olh@suse.de
- update to 2.6.13-rc5-git4, misc fixes
* Fri Aug 05 2005 - olh@suse.de
- add patches.drivers/qla4xxx-extern-inline.patch
  turn extern inline into extern because gcc4 does not inline
  functions from other files
* Fri Aug 05 2005 - mantel@suse.de
- disable broken qla4xxx driver until fixed version is available
* Fri Aug 05 2005 - garloff@suse.de
- patches.suse/subdomain: Update to r5011.
* Fri Aug 05 2005 - olh@suse.de
- add patches.fixes/acpi_avoid_BIOS_debug
  remove ACPI_LV_DEBUG_OBJECT from debug output
* Fri Aug 05 2005 - olh@suse.de
- update to 2.6.13-rc5-git3, acpi, scsi, md, inotify, pci updates
* Fri Aug 05 2005 - mantel@suse.de
- patches.drivers/qla4xxx-simplefix: more fixes for gcc4
* Fri Aug 05 2005 - schwab@suse.de
- Drop kernel-64k-pagesize.
* Fri Aug 05 2005 - mantel@suse.de
- Update config files.
- patches.drivers/qla4xxx: update qlogic qla4xxx driver to
  version v5.00.03 (none).
- patches.drivers/qla4xxx-simplefix: make qla4xxx driver actually
  compile with recent kernel (none).
* Fri Aug 05 2005 - tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update.
- patches.drivers/alsa-intel8x0-old-options: Add dummy option
  for background compatibility of intel8x0 (73747).
* Fri Aug 05 2005 - mantel@suse.de
- patches.fixes/increase-firmware-loading-timeout: IPW2100 fails
  to load firmware when booting on battery (74526).
* Fri Aug 05 2005 - kraxel@suse.de
- patches.fixes/98873-itimer-real-exec-fix: fix: itimer_real
  doesn't survive execve (bug #98873).
* Thu Aug 04 2005 - olh@suse.de
- update patches.drivers/ppc64-adb, reenable MAC_EMUMOUSEBTN
* Thu Aug 04 2005 - olh@suse.de
- add patches.arch/ppc64-xmon-off.patch
  add patches.arch/ppc64-xmon-helptext.patch
  add patches.arch/ppc64-xmon-autobacktrace.patch
  allow xmon=off, print backtrace on first invocation
* Thu Aug 04 2005 - olh@suse.de
- update patches.arch/avoid_table_double_loading.diff, verify checksum
* Thu Aug 04 2005 - olh@suse.de
- update to 2.6.13-rc5-git2, acpi updates
* Thu Aug 04 2005 - okir@suse.de
- turned off CONFIG_NETFILTER_DEBUG in ia64/x86_64 debug kernels
* Thu Aug 04 2005 - olh@suse.de
- enable via ide driver, build promise and aec as module
  enable some pci sound drivers as well.
* Thu Aug 04 2005 - kraxel@suse.de
- patches.arch/optimize-686: wrap -mtune=i686 into $(call cc-options),
  so the kernel builds with older compilers as well (i.e. sles9).
* Wed Aug 03 2005 - olh@suse.de
- update to 2.6.13-rc5-git1, pci io resource fixes
* Wed Aug 03 2005 - olh@suse.de
- enable CONFIG_BOOTX_TEXT, as CONFIG_XMON_DEFAULT doesnt make much
  sense without it
* Wed Aug 03 2005 - axboe@suse.de
- patches.fixes/cdrom-open-failed: Kill cdrom: open failed
  message.
* Wed Aug 03 2005 - agruen@suse.de
- supported.conf: Add kernel/arch/x86_64/crypto/aes-x86_64.
* Tue Aug 02 2005 - axboe@suse.de
- patches.fixes/cfq-barrier-max-depth: Note in patch header that it is merged
* Tue Aug 02 2005 - olh@suse.de
- add patches.fixes/scsi-rc-fixes-2.6.diff
  st unload oops, aic and ips fixes
* Tue Aug 02 2005 - okir@suse.de
- patches.suse/netfilter-nf_conntrack-fixup: Fixed patch to apply
  properly.
* Tue Aug 02 2005 - okir@suse.de
- patches.fixes/usagi-ipv6-privacy: Delete.
- patches.fixes/ipv6-force-mldv1: Delete.
- patches.fixes/ipv6-expire-redirect: Delete.
- patches.suse/usagi-ipv6-addrselect: Delete.
- patches.suse/usagi-ipv6-fib-subtree: Delete.
- patches.suse/suse-ipv6-rt-expiry: Delete.
- patches.suse/usagi-ipv6-fragment: Delete.
- patches.suse/ipv6-no-too-big-to-self-msg: Delete.
- patches.suse/ipv6-tahi-nd-21: Delete.
- patches.suse/ipv6-tahi-pmtu-2: Delete.
- patches.suse/ipv6-v4-mapped-addrs: Delete.
- patches.suse/netfilter-nf_conntrack: Generic nf_conntrack support.
- patches.suse/netfilter-nf_conntrack-fixup: Adapt nf_conntrack
  patch to 2.6.13-rc4.
- Update config files.
* Tue Aug 02 2005 - axboe@suse.de
- series.conf: Reenable ext3/reiser barriers by default
* Tue Aug 02 2005 - axboe@suse.de
- patches.fixes/cfq-barrier-max-depth: Fix barrier hang with CFQ
  (96537).
* Tue Aug 02 2005 - axboe@suse.de
- patches.fixes/cfq-next-req-fixup: Delete.
- series.conf: Already merged!
* Tue Aug 02 2005 - axboe@suse.de
- patches.fixes/cfq-next-req-fixup: cfq_find_next_crq fixup.
* Tue Aug 02 2005 - olh@suse.de
- update to 2.6.13-rc5, net, v4l, inotify, pcmcia, misc updates
* Tue Aug 02 2005 - olh@suse.de
- update patches.suse/legacy-remap_page_range
  readd check_user_page_readable declaration for oprofile
* Mon Aug 01 2005 - olh@suse.de
- add patches.suse/error-implicit-function-declaration.patch
  add -Werror-implicit-function-declaration to CFLAGS
* Mon Aug 01 2005 - olh@suse.de
- update patches.drivers/qla4xxx
  disable driver, update email address of submitter
* Mon Aug 01 2005 - olh@suse.de
- add patches.drivers/alsa-struct_device.patch, fixes compile error
* Mon Aug 01 2005 - olh@suse.de
- add patches.fixes/i8xx_tco_reboot.diff (from trenn)
  Clear reboot tco bit (98853)
* Mon Aug 01 2005 - olh@suse.de
- update patches.arch/avoid_table_double_loading.diff (from trenn)
* Mon Aug 01 2005 - mantel@suse.de
- patches.fixes/invert_acpi_specific_hotkey: Notebook drivers
  are no longer working. (99259).
* Mon Aug 01 2005 - mantel@suse.de
- Update config files: enable CONFIG_CPU_FREQ_DEBUG for debug kernel
* Mon Aug 01 2005 - mantel@suse.de
- Update config files for i386 and x86_64: use default value for HZ (250)
* Mon Aug 01 2005 - tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update.
- patches.drivers/oss-device-assign: Assign the device pointer
  to OSS devices.
- Update config files.
* Mon Aug 01 2005 - schwab@suse.de
- Update kdb patch.
* Mon Aug 01 2005 - olh@suse.de
- update to 2.6.13-rc4-git4, network fixes, fbdev sysfs update
* Mon Aug 01 2005 - okir@suse.de
- patches.fixes/nfsd-rewrite-align: NFS: Fix rewrite performance
  (97941, 96957)
* Sun Jul 31 2005 - olh@suse.de
- update to 2.6.13-rc4-git3, updates all over the place
* Sat Jul 30 2005 - agruen@suse.de
- Mark pdc202xx_old as supported, just like pdc202xx_new.
* Thu Jul 28 2005 - vojtech@suse.cz
- make evdev be built-in to make sure it's always there.
  (#97022)
* Thu Jul 28 2005 - tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update.
* Thu Jul 28 2005 - kraxel@suse.de
- patches.drivers/lirc-drivers.diff: Delete.
- patches.drivers/lirc-drivers-0.7.1.diff: add lirc driver.
- patches.drivers/lirc-fixups.diff: lirc driver build fixups.
- patches.drivers/lirc-kconfig.diff: lirc kconfig stuff.
- supported.conf: remove lirc drivers from the list.
* Thu Jul 28 2005 - duwe@suse.de
- basically revert olh's change from 2005-02-16T13:32:47,
  short of the speed improvement. ACPI_DEBUG is back on,
  the "lite" version no longer needed.
* Tue Jul 26 2005 - tiwai@suse.de
- patches.suse/fuse-*: Sync FUSE patches with 2.6.13-rc3-mm1 tree
* Mon Jul 25 2005 - mantel@suse.de
- update configs for bootsplash
* Mon Jul 25 2005 - mantel@suse.de
- patches.fixes/quiet-bootsplash: Delete.
- patches.suse/bootsplash-anim-NLD: Delete.
- patches.suse/BOOTSPL1.diff: Delete.
- patches.suse/bootsplash: Bootsplash for current kernel (none).
* Mon Jul 25 2005 - hare@suse.de
- patches.suse/libata-enable-atapi.patch
  Enable ATAPI support for SATA devices.
* Sat Jul 23 2005 - olh@suse.de
- update to 2.6.13-rc3-git5, net updates
* Fri Jul 22 2005 - mantel@suse.de
- Update config files.
- patches.drivers/qla4xxx: add qlogic qla4xxx driver version
  v5.00.01b10 (none).
* Thu Jul 21 2005 - olh@suse.de
- add patches.suse/cpp-undefined-defines.patch
  build with -Wun-def to catch incomplete #ifdef usage
* Thu Jul 21 2005 - olh@suse.de
- add patches.fixes/aic-byteorder.patch
  handle #ifdef __WRONG_ENDIAN correctly in aic scsi driver
* Thu Jul 21 2005 - mantel@suse.de
- patches.drivers/ibm-acpi-update: update ibm acpi to 0.11 (none).
* Wed Jul 20 2005 - mantel@suse.de
- re-enable CONFIG_SONYPI (#97029)
* Tue Jul 19 2005 - olh@suse.de
- remove patches.suse/modprobe_unknown_symbol.patch
* Tue Jul 19 2005 - olh@suse.de
- update patches.suse/acpi_errors_on, export acpi_ut_report_warning
* Tue Jul 19 2005 - olh@suse.de
- update patches.suse/modprobe_unknown_symbol.patch
  more debug info
* Mon Jul 18 2005 - olh@suse.de
- disable CONFIG_ACPI_DEBUG_LITE until the EXPORT_SYMBOLS are fixed
* Mon Jul 18 2005 - mantel@suse.de
- fix logic error in ipt_TTL (#96981)
* Mon Jul 18 2005 - olh@suse.de
- update and reenable patches.suse/acpi_errors_on
* Mon Jul 18 2005 - olh@suse.de
- update patches.arch/avoid_table_double_loading.diff
  enable checks for real, from trenn@suse.de
* Mon Jul 18 2005 - olh@suse.de
- remove patches.fixes/posix-locks-race, not needed anymore in 2.6.12
  breaks glibc test-cancel16 testcase
* Sun Jul 17 2005 - olh@suse.de
- add patches.uml/uml-dep-user-offsets.h.patch
  add patches.uml/uml-missing-SYS_UTIL_DIR.patch
  allow parallel builds, readd missing define, add libpcap for uml
* Sun Jul 17 2005 - olh@suse.de
- update to 2.6.13-rc3-git4, ntfs updates
* Fri Jul 15 2005 - hare@suse.de
- Add 'cmos' attribute to floppy drives.
* Thu Jul 14 2005 - agruen@suse.de
- Compute PATCHVERSION automatically.
* Thu Jul 14 2005 - mantel@suse.de
- patches.fixes/no-config-security-define: fix kernel compile
  with CONFIG_SECURITY disabled (96459).
* Thu Jul 14 2005 - mason@suse.de
- turn barriers off by default on ext3 (#96537)
* Thu Jul 14 2005 - olh@suse.de
- update to 2.6.13-rc3-git1, inotify changes, reenable mtd
* Thu Jul 14 2005 - olh@suse.de
- remove patches.suse/old-cdrom-broken and disable the .config opts
* Thu Jul 14 2005 - mason@suse.de
- make barriers off by default on reiserfs so we can debug the
  blocker (#96537)
* Wed Jul 13 2005 - olh@suse.de
- update to 2.6.13-rc3, acpi, i2c, v4l, usb changes
* Tue Jul 12 2005 - olh@suse.de
- add patches.suse/mtd-broken.patch
  temporary disable CONFIG_MTD
* Tue Jul 12 2005 - olh@suse.de
- update to 2.6.13-rc2-git5, ieee1394 fixes
* Tue Jul 12 2005 - mantel@suse.de
- revert HZ value back to 1000
* Tue Jul 12 2005 - okir@suse.de
- patches.suse/sunrpc-svcsock-rqaddr: rq_daddr should be filled
  out for TCP-based RPC (SUSE49441).
- Deleted some old and unused patches
* Mon Jul 11 2005 - mantel@suse.de
- patches.fixes/pcmcia-ds.diff: fix build of pcmcia modules
* Mon Jul 11 2005 - okir@suse.de
- patches.fixes/posix-locks-match: Fix miscompare in
  __posix_lock_file (84154).
- patches.fixes/posix-locks-race: Fix race conditions with file
  lock vs close (84156, 64661, 86975).
- patches.fixes/posix-locks-remove: [NFS] Use proper tgid in
  locks_remove_posix.
* Mon Jul 11 2005 - olh@suse.de
- update to 2.6.13-rc2-git3
  update patches.fixes/reduce-do_mount-stack-frame to apply
* Sat Jul 09 2005 - schwab@suse.de
- Enable AGP on ppc64.
* Thu Jul 07 2005 - hare@suse.de
- patches.drivers/open-iscsi
  Update to SVN release 369.
* Wed Jul 06 2005 - kraxel@suse.de
- drop obsolete uml patches.
- update skas patch.
- update uml x11 framebuffer patch.
- add uml config for x86_64.
- Update config files.
* Wed Jul 06 2005 - hare@suse.de
- patches.drivers/open-iscsi
  Add support for iSCSI software initiator
- patches.drivers/drm-via
  Update for 2.6.13
* Wed Jul 06 2005 - mantel@suse.de
- series.conf: disable drm-via temporarily (needs update for 2.6.12)
* Wed Jul 06 2005 - schwab@suse.de
- Enable sound on ppc64.
* Wed Jul 06 2005 - hare@suse.de
- patches.drivers/drm-mach64
  Disable Mach64 support; does not compile.
* Wed Jul 06 2005 - hare@suse.de
- patches.drivers/iscsitarget
  Add support for iSCSI software target.
- patches.drivers/drm-via
  Update patch to CVS HEAD
- patches.drivers/drm-cvs-20050705
  Removed.
- patches.drivers/drm-mach64
  Add support for Mach64 graphics card.
* Tue Jul 05 2005 - axboe@suse.de
- patches.drivers/ide-serialize-updates-1: Delete.
- patches.drivers/cmd64x-idedma-pin-recursion: Delete.
- patches.fixes/ide-pin-irq: Delete.
- series.conf: Needs to be fixed differently
* Tue Jul 05 2005 - axboe@suse.de
- patches.drivers/libata-atapi-state-fix: Delete.
- series.conf: Better version exists
* Tue Jul 05 2005 - axboe@suse.de
- patches.fixes/scsi-allocate-request-ref: Delete.
- series.conf: Dead
* Tue Jul 05 2005 - axboe@suse.de
- patches.drivers/suse-ahci-disable: Don't touch the 6th bar
  unless it's really an ahci device (72074).
- series.conf: Rediff and enable
* Tue Jul 05 2005 - axboe@suse.de
- patches.suse/security-compile-if-disabled: Delete.
- series.conf: Not needed
* Tue Jul 05 2005 - axboe@suse.de
- patches.suse/ide-probe-delay: Reduce ide probe delays.
- series.conf: Rediff and enable
* Tue Jul 05 2005 - axboe@suse.de
- patches.fixes/cfq-ts-sl93: Delete.
- patches.fixes/cfq-requeue: Delete.
- patches.fixes/cfq-pending-work: Delete.
- patches.fixes/cfq-pending-work-fixup: Delete.
- patches.fixes/cfq-shutdown-timer-wq: Delete.
- patches.fixes/cfq-tweaks: Delete.
- series.conf: Merged
* Tue Jul 05 2005 - hare@suse.de
- add patches.drivers/drm-cvs-20050705-update
  Update DRM drivers to latest CVS version.
- add patches.fixes/gcc4-correct-signed-unsigned-mismatch
  Fix signed/unsigned mismatches from gcc-4
- Update configs.
* Tue Jul 05 2005 - olh@suse.de
- enable xmon per default on ppc64
* Tue Jul 05 2005 - olh@suse.de
- add nls_base to list of supported modules
* Mon Jul 04 2005 - hare@suse.de
- update patches.drivers/drm-via
  Update via_drv to compile against latest kernel code.
* Mon Jul 04 2005 - hare@suse.de
- add patches.arch/s390-atomic-sub-and-test
  Implement atomic_sub_and_test() for reiser4.
* Mon Jul 04 2005 - olh@suse.de
- update patches.drivers/drm-via
  update via_drv.c to rev 1.21 for recent drm interface changes
* Mon Jul 04 2005 - olh@suse.de
- add patches.arch/ppc64-vdso32_lds.patch
  fix link errors after recent toolchain changes
* Sun Jul 03 2005 - agruen@suse.de
- scripts/config.sh: rename VERSION+EXTRAVERSION => PATCHVERSION
  and a few other cleanups.
* Sat Jul 02 2005 - garloff@suse.de
- Update subdomain to SLES9SP2 codebase (export version, and use
  strncmp for tailglob).
* Sat Jul 02 2005 - schwab@suse.de
- Use SRCVERSION when referring to the source tarball to make it possible
  to use rc patches.
* Sat Jul 02 2005 - olh@suse.de
- add patches.suse/openfirmware-add-sysfs-nodes-for-open-firmware-devices.patch
  add patches.suse/openfirmware-generate-device-table-for-userspace.patch
  add patches.suse/openfirmware-implement-hotplug-for-macio-devices.patch
  macio patches from 2.6.13-rc-mm1, from jeffm
* Sat Jul 02 2005 - gregkh@suse.de
  Update to 2.6.13-rc1-git3
- patches.fixes/base-add-bus-find-device: Delete.
- Update config files.
- patches.fixes/patch-2.6.13-rc1-git3: Linux 2.6.13-rc1-git3.
* Sat Jul 02 2005 - gregkh@suse.de
  Update to 2.6.13-rc1
- patches.drivers/input-bk-64bit-compat.diff: Delete.
- patches.drivers/input-bk-hid-32bit.diff: Delete.
- patches.fixes/patch-2.6.12-git9: Delete.
- patches.suse/inotify: Delete.
- Update config files.
- patches.fixes/serial_console:
- patches.fixes/patch-2.6.13-rc1:
- patches.suse/inotify-0.23-rml-2.6.13-rc1-1.patch: inotify -
  currently for testing purposes only; can stay only when in
  mainline (none).
* Sat Jul 02 2005 - gregkh@suse.de
- Update config files.
* Thu Jun 30 2005 - tiwai@suse.de
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update.
- Update config files: removed CONFIG_SND_VXP440.
* Wed Jun 29 2005 - hare@suse.de
- patches.fixes/reduce-do_mount-stack-frame
  Reduce stack frame size for do_mount.
- Update config for i386.
* Wed Jun 29 2005 - hare@suse.de
- patches.arch/s390-qeth-compile-fix
  Fix qeth driver to actually compile
- patches.fixes/base-add-bus-find-device
  Implement bus_find_device().
* Wed Jun 29 2005 - schwab@suse.de
- Update kdb patch.
* Wed Jun 29 2005 - hare@suse.de
- patches.drivers/lirc-drivers.diff
  Use class_* instead of class_simple_*
- patches.drivers/also-2.6.12-git.diff
  compilation fix
- patches.suse/reiser4-mm-remove-pg_highmem-fix.patch
  Add missing file.
* Wed Jun 29 2005 - agruen@suse.de
- patches.fixes/missing-exports.diff: Add a missing export.
- patches.fixes/ext3-xattr-reserved-inodes.diff: improved comment.
* Wed Jun 29 2005 - hare@suse.de
- Update Reiser4 patches.
- Fix config files.
* Wed Jun 29 2005 - agruen@suse.de
- Fix dash/underscore conversion for RPM tags.
* Wed Jun 29 2005 - garloff@suse.de
- Preliminary update of xen patches.
* Tue Jun 28 2005 - garloff@suse.de
- patches.suse/security-*: Update and reenable security stubs
  cleanup patches.
* Tue Jun 28 2005 - agruen@suse.de
- patches.rpmify/remove-buildenv-paths-from-binaries: Obsolete.
- patches.rpmify/check-symvers: Obsolete.
- patches.rpmify/module-parmtype.diff: Obsolete.
- patches.rpmify/keep-offsets.h: Rediff.
- patches.fixes/license-fixes.diff: Obsolete.
- patches.suse/acl-kconfig-cleanup.diff: Rediff.
* Tue Jun 28 2005 - hare@suse.de
- Disabled reiser4 patches.
* Tue Jun 28 2005 - tiwai@suse.de
- patches.arch/optimize-686: Add i686 optimization flag.
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update from
  2.6.12.
* Tue Jun 28 2005 - hare@suse.de
- add patches.arch/s390-fix-arch-switch
  Fix macro finish_arch_switch()
- add patches.fixes/pci-hotplug-remove-nl
  Do not add newline to hotplug event variables
- patches.fixes/swsusp-mysqld
  Fix call to refrigerator()
- patches.suse/reiser4-only.patch
  Fix call to refrigerator().
* Tue Jun 28 2005 - agruen@suse.de
- patches.suse/tmpfs-acl.diff: Rediff for 2.6.12.
* Tue Jun 28 2005 - hare@suse.de
- Update to 2.6.12-git9
- add patches.drivers/open-iscsi-0.3rc6
  Include open-iscsi driver.
- Update config files.
* Tue Jun 28 2005 - mantel@suse.de
- Update config files.
- patches.suse/inotify: inotify - currently for testing purposes
  only; can stay only when in mainline (none).
* Mon Jun 27 2005 - axboe@suse.de
- patches.drivers/libata-timeout-without-command: Delete.
- patches.drivers/2.6.11-rc5-bk4-libata-dev1.patch: Delete.
- series.conf: dead patches
* Mon Jun 27 2005 - agruen@suse.de
- Delete patches that will reappear with the next mainline merge.
- patches.fixes/xdr-input-validation.diff: Overflow in xdr input
  validation (93652): Make sure we won't lose this one.
* Mon Jun 27 2005 - mantel@suse.de
- Update config files: enable CONFIG_IP_ROUTE_MULTIPATH_CACHED
* Mon Jun 27 2005 - mantel@suse.de
- Update config files.
* Fri Jun 24 2005 - gregkh@suse.de
  delete pci, i2c, and usb patches that are no longer needed in
  the tree
- patches.drivers/pci-1.2137.patch: Delete.
- patches.drivers/pci-1.2138.patch: Delete.
- patches.drivers/pci-1.2139.patch: Delete.
- patches.drivers/pci-1.2140.patch: Delete.
- patches.drivers/pci-1.2141.patch: Delete.
- patches.drivers/pci-1.2142.patch: Delete.
- patches.drivers/pci-1.2144.patch: Delete.
- patches.drivers/pci-1.2145.patch: Delete.
- patches.drivers/pci-1.2146.patch: Delete.
- patches.drivers/pci-1.2147.patch: Delete.
- patches.drivers/pci-1.2149.patch: Delete.
- patches.drivers/pci-1.2151.patch: Delete.
- patches.drivers/pci-1.2152.patch: Delete.
- patches.drivers/pci-1.2154.patch: Delete.
- patches.drivers/i2c-fscpos-01.patch: Delete.
- patches.drivers/i2c-fscpos-02.patch: Delete.
- patches.drivers/i2c-fscpos-03.patch: Delete.
- patches.drivers/i2c-gl520sm.patch: Delete.
- patches.drivers/i2c-ids.patch: Delete.
- patches.drivers/i2c-m41t00.patch: Delete.
- patches.drivers/i2c-mv64xxx.patch: Delete.
- patches.drivers/i2c-nforce2.patch: Delete.
- patches.drivers/i2c-piix4.patch: Delete.
- patches.drivers/i2c-sis5595.patch: Delete.
- patches.drivers/usb-zd1201-01.patch: Delete.
- patches.fixes/usb-storage-refcounting-as431.patch: Delete.
* Fri Jun 24 2005 - olh@suse.de
- remove patches.fixes/silence-SCSI_IOCTL_SEND_COMMAND (#61290)
* Fri Jun 24 2005 - tiwai@suse.de
- Remove old ALSA patches in patches.drivers.
- patches.suse/nice-and-rt-prio-rlimits.patch: Delete.
- patches.drivers/alsa-2.6.12-git.diff: ALSA GIT update to
  2.6.12.
* Fri Jun 24 2005 - axboe@suse.de
- patches.drivers/qla2xxx-block-segments: Delete.
- patches.drivers/ide-sata-barrier: Delete.
- patches.drivers/sata-enable-flush: Delete.
- patches.fixes/barrier-update-20050308: Delete.
- patches.fixes/scsi-dead-device: Delete.
- patches.suse/request_end_io-sl93: Delete.
- series.conf: Kill some merged patches
* Fri Jun 24 2005 - vojtech@suse.cz
- Update/remove input/console patches for 2.6.12.
* Fri Jun 24 2005 - schwab@suse.de
- Update kdb patches.
* Fri Jun 24 2005 - hare@suse.de
- Update to 2.6.12.
  Removed old patches.
- Updated configs.
* Fri Jun 24 2005 - olh@suse.de
- add patches.arch/avoid_table_double_loading.diff
  fixes acpi crashes, from trenn@suse.de
* Thu Jun 16 2005 - hare@suse.de
- patches.arch/s390-2.6.12-rc6-update
  compilation fixes.
* Thu Jun 16 2005 - hare@suse.de
- add patches.arch/s390-2.6.12-rc6-update
  Update to latest -rc.
- patches.arch/s390-mapped-base
  Update patch to apply again.
- Update configs for s390 and s390x.
* Wed Jun 15 2005 - olh@suse.de
- add patches.fixes/firewire-scsi-host-slab-corruption.patch
  allocate space for scsi_host->hostdata before using it
* Tue Jun 14 2005 - gregkh@suse.de
  update to 2.6.11.12 release
- patches.fixes/x86_64-ptrace-overflow: Delete.
- patches.fixes/patch-2.6.11.11-12: Linux-2.6.11.12 patch.
* Tue Jun 14 2005 - ak@suse.de
- Increase NR_CPUS on x86-64 to 128.
* Mon Jun 13 2005 - agruen@suse.de
- patches.rpmify/supported-flag: Clarify that this is about
  support by Novell.
* Sat Jun 11 2005 - garloff@suse.de
- Update Xen patches to 2.0.6a.
- Fix UDP fragment and RCU races.
* Sat Jun 11 2005 - tiwai@suse.de
- patches.suse/fuse-*: Add FUSE patches for evaluation, taken
  from 2.6.12-rc6-mm1
- Update config files.  Added CONFIG_FUSE_FS=m.
* Thu Jun 09 2005 - axboe@suse.de
- patches.fixes/ata_piix-scan-all-enabled-ports: ata_piix does
  not find any devices on ACER laptop (78564).
* Wed Jun 08 2005 - olh@suse.de
- add patches.arch/ppc-export-macio_find.patch
  export for alsa
* Wed Jun 08 2005 - olh@suse.de
- add patches.arch/ppc64-offb-remapped-address.patch
  The offb code did not take into account a remapped pci address.
  Adding in the pci_mem_offset fixed a DSI in offb.
* Wed Jun 08 2005 - tiwai@suse.de
- patches.suse/nice-and-rt-prio-rlimits.patch: Add nice and rt
  prio to rlimits.
* Wed Jun 08 2005 - agruen@suse.de
- Rename /lib/modules/$VER-$REL-$FLAVOR/updates symlink to
  updates2 so that we can use updates/ for per-kernel update
  modules.
* Tue Jun 07 2005 - schwab@suse.de
- Enable KDB in ia64/default.
* Fri Jun 03 2005 - tiwai@suse.de
- patches.drivers/alsa-cvs-fixes-post-9.3-20050603.diff: Post-9.3
  ALSA update: CVS 2005.06.03.
- Update config files.
* Fri Jun 03 2005 - schwab@suse.de
- subfs: cleanup parameter parsing.
* Fri Jun 03 2005 - schwab@suse.de
- Remove SN2 configuration.
* Thu Jun 02 2005 - mantel@suse.de
- patches.fixes/x86_64-ptrace-overflow: Fix ptrace overflow
  (84078).
* Wed Jun 01 2005 - agruen@suse.de
- rpm/check-supported-list: ignore .ko extensions.
* Tue May 31 2005 - agruen@suse.de
- patches.fixes/x86_64-sysret-fix: Already merged.
* Fri May 27 2005 - gregkh@suse.de
  Update to 2.6.11.11
- patches.fixes/usb-visor-throttle-fix.patch: Delete.
- patches.fixes/ptrace-check-segment: Delete.
- patches.fixes/patch-2.6.11.10-11: Linux-2.6.11.11 patch.
* Fri May 27 2005 - ro@suse.de
- disable CONFIG_DRM_VIA on x86_64
* Wed May 25 2005 - kraxel@suse.de
- build raid statically into the kernel-xen (bug #85423).
* Tue May 24 2005 - agruen@suse.de
- patches.drivers/drm-via: Update, and re-enable CONFIG_DRM_VIA.
* Mon May 23 2005 - kraxel@suse.de
- patches.uml/uml-gcc4: uml gcc4 buildfix.
* Mon May 23 2005 - olh@suse.de
- patches.arch/ppc64-smp-hwclock-sync.patch, handle i2c-hwclock
* Sun May 22 2005 - olh@suse.de
- patches.arch/ppc64-i2c_keywest_init.patch, add interrupt property
* Fri May 20 2005 - gregkh@suse.de
- patches.fixes/usb-visor-throttle-fix.patch: USB: fix bug in
  visor driver with throttle/unthrottle causing oopses (#81818).
* Thu May 19 2005 - agruen@suse.de
- patches.fixes/x86_64-sysret-fix: Back out; it breaks booting
  (84587).
* Thu May 19 2005 - mantel@suse.de
- Update config files.
* Wed May 18 2005 - tiwai@suse.de
- patches.drivers/alsa-cvs-fixes-post-9.3.diff: Post-9.3 ALSA
  update: CVS 2005.05.18.
* Wed May 18 2005 - agruen@suse.de
- Disable CONFIG_DRM_VIA for now -- it doesn't compile.
* Tue May 17 2005 - mantel@suse.de
- patches.fixes/ipodphoto-unusual-device: 60GB iPod Photo,
  wrong disk geometry detected (83906).
* Tue May 17 2005 - mantel@suse.de
- patches.fixes/x86_64-sysret-fix: fix AMD64 sysret local DoS
  (73701).
- patches.fixes/ptrace-check-segment: x86-64: Fix canonical
  checking for segment registers in ptrace (83143).
* Tue May 17 2005 - mantel@suse.de
- patches.fixes/drm-ioctl32: x86-64: fix possible root hole in
  DRM code (76863).
* Mon May 16 2005 - gregkh@suse.de
  Update to 2.6.11.10, which fixes 2 root holes
  (one of which was already fixed in the tree)
- patches.fixes/raw-blkdev_ioctl.patch: Delete.
- patches.fixes/patch-2.6.11.9-10:
* Fri May 13 2005 - mantel@suse.de
- patches.fixes/x86_64-sysret-fix: fix AMD64 sysret local DoS
  (73701).
* Fri May 13 2005 - gregkh@suse.de
- scripts/config.sh:
  Fix EXTRAVERSION to get the build working again, sorry about that...
* Fri May 13 2005 - gregkh@suse.de
  Update to 2.6.11.9, which catches a few security holes.
- patches.fixes/patch-2.6.11.1: Delete.
- patches.fixes/patch-2.6.11.2: Delete.
- patches.fixes/patch-2.6.11.2-3: Delete.
- patches.fixes/patch-2.6.11.3-4: Delete.
- patches.fixes/ipsec-toobig-deadlock: Delete.
- patches.fixes/ext3-release-race: Delete.
- patches.fixes/load_elf_library-kfree-fix: Delete.
- patches.fixes/bluetooth-check: Delete.
- patches.fixes/aio-up_read-deadlock: Delete.
- patches.fixes/patch-2.6.11.9: Linux 2.6.11.9.
* Thu May 12 2005 - mantel@suse.de
- patches.fixes/it8712f-a-detection: fix it87 sensor chip
  detection on GA-K8NF-9 (83483).
* Thu May 12 2005 - kraxel@suse.de
- Update config files: disable raid6 for xen, use-mmx-in-kernel
  tricks don't work here.
* Wed May 11 2005 - hare@suse.de
- patches.drivers/libata-atapi-state-fix
  patches.drivers/libata-timeout-without-command
  Fix ATAPI timeout problem (74450).
* Tue May 10 2005 - kraxel@suse.de
- Update config xen file (disable pci hotplug adapters & pcie,
  make microcode driver static builtin).
* Mon May 09 2005 - agruen@suse.de
- patches.fixes/asm-gcc4: compile fixes for kernel-xen from
  ro@suse.de.
* Fri May 06 2005 - schwab@suse.de
- Fix some missing exports.
* Fri May 06 2005 - mantel@suse.de
- patches.fixes/export-sock_getsockopt: export symbol
  sock_getsockopt needed by iscsi (81259).
* Thu May 05 2005 - andrea@suse.de
- patches.fixes/slab-account-reclaim: account reclaimable slabs
  correctly for over commit purposes (62695).
* Fri Apr 29 2005 - mantel@suse.de
- patches.suse/kdb-i386: fix for gcc4
* Thu Apr 28 2005 - okir@suse.de
- patches.fixes/ipv4-martian-oops: [IPv4] Prevent oops when
  printing martian source (65556).
* Thu Apr 28 2005 - schwab@suse.de
- Even more gcc4 fixes for ppc/ppc64.
* Wed Apr 27 2005 - schwab@suse.de
- More gcc4 fixes.
* Wed Apr 27 2005 - okir@suse.de
- patches.fixes/nfs-access-cache: NFS: Fix typo in access caching (80620).
* Wed Apr 27 2005 - pavel@suse.cz
- kernel-source.changes.old: split 2004 and earlier changes into .old
* Wed Apr 27 2005 - schwab@suse.de
- Double CONFIG_NR_CPUS to 512.
* Wed Apr 27 2005 - agruen@suse.de
- patches.fixes/gcc4-baycom_epp.diff: Fix another gcc4 compile-time
  error.
* Wed Apr 27 2005 - schwab@suse.de
- Set CONFIG_KDB_CONTINUE_CATASTROPHIC=2 in sn2 config [#80446].
* Wed Apr 27 2005 - schwab@suse.de
- Make kernel compilable with gcc4.
* Tue Apr 26 2005 - olh@suse.de
- enable CONFIG_CC_OPTIMIZE_FOR_SIZE on ppc,
  to keep the stripped vmlinux file size below 4M.
  this is a hard requirement for COFF netboot
* Tue Apr 26 2005 - mantel@suse.de
- patches.fixes/asm-gcc4: fix compilation with gcc4 (none).
* Tue Apr 26 2005 - okir@suse.de
- patches.drivers/drm-fixes: DRM: Fix 32bit support on x86_64
  (MGA and Rage128) (78708) (patch by eich@suse.de).
* Mon Apr 18 2005 - okir@suse.de
- patches.fixes/nfs-rename-zap-inode: [NFS] Drop inode after
  rename (76854).
* Thu Apr 14 2005 - agruen@suse.de
- rpm/running-kernel.init.in: Check for
  etc/sysconfig/kernel:SKIP_RUNNING_KERNEL, and don't do anything
  if it is set.
* Thu Apr 14 2005 - lmb@suse.de
- patches.drivers/nbd-configure-device-count: Do not create excessive
  numbers of network block devices on module load; introduce module
  parameter to limit (#76874).
* Thu Apr 14 2005 - hare@suse.de
- patches.fixes/jfs-disable-aops.patch
  Remove special handling for directory aops (#67328)
* Tue Apr 12 2005 - mantel@suse.de
- patches.drivers/bcm5752-enable: Add support for Broadcomm
  BCM5752 (75926).
* Thu Apr 07 2005 - agruen@suse.de
- rpm/kernel-binary.spec.in: Add back a version of /boot/vmlinux.gz
  without debug symbols to the binary kernel packages. This file
  was moved to the -debuginfo packages previously.
* Thu Apr 07 2005 - axboe@suse.de
- series.conf: re-enable CFQ, it should be safe with the SCSI fix below.
* Thu Apr 07 2005 - axboe@suse.de
- patches.fixes/scsi-device-lock-reference: Fix sdev <-> queue
  reference counting problems.
* Wed Apr 06 2005 - agruen@suse.de
- rpm/prepare-build.sh: Don't drop the list of km_ modules from
  BuildRequires: this breaks kernel building with build.rpm.
* Mon Apr 04 2005 - schwab@suse.de
- Enable CONFIG_PCI_MSI on ia64.
* Mon Apr 04 2005 - axboe@suse.de
- patches.fixes/aio-up_read-deadlock: [PATCH] rwsem: Make rwsems
  use interrupt disabling spinlocks (73640).
* Sun Apr 03 2005 - garloff@suse.de
- Xen: Drop readahead tuning.
- Update xen patches: Fix blkback performance problem, fix timer
  timeouts below one jiffy, update AGP patches.
- Enable xen AGP patch unconditionally.
* Fri Apr 01 2005 - mantel@suse.de
- patches.fixes/load_elf_library-kfree-fix: Fix potential DoS
  in load_elf_library (73837).
* Tue Mar 29 2005 - garloff@suse.de
- Initialize readahaed in virtual xen block driver.
* Tue Mar 29 2005 - mantel@suse.de
- patches.fixes/bluetooth-check: bluetooth: Fix signedness
  problem at socket creation (74519).
* Mon Mar 28 2005 - jeffm@suse.de
- patches.fixes/set_blocksize_race.diff: Updated header; accepted
  in 2.6.12-rc1
* Wed Mar 23 2005 - jeffm@suse.de
- patches.suse/lookup_hash_nameidata.diff: Version added to CVS did
  _not_ obsolete lookup_create_nameidata.diff, but it was removed
  anyway. Added required changes.
* Wed Mar 23 2005 - agruen@suse.de
- Add /boot/*-xen symlinks to file list; create /boot/*-um
  symlinks.
* Wed Mar 23 2005 - agruen@suse.de
- patches.fixes/atapi-fix-error-handling.patch: Fix sata atapi
  error handling (70918, hare@suse.de).
* Tue Mar 22 2005 - axboe@suse.de
- series.conf: Disable cfq-default
* Tue Mar 22 2005 - tiwai@suse.de
- patches.drivers/alsa-alc260-mono-vol.diff: Add mono volume on
  ALC260 (#72971).
* Tue Mar 22 2005 - agruen@suse.de
- patches.suse/lookup_hash_nameidata.diff: Pass struct nameidata
  to subfs instead of NULL.
- patches.suse/lookup_create_nameidata.diff: Obsoleted by
  patches.suse/lookup_hash_nameidata.diff.
* Tue Mar 22 2005 - mantel@suse.de
- patches.suse/bootsplash: fix problem with setfont (#74141)
* Tue Mar 22 2005 - agruen@suse.de
- Update config files: disable broken CONFIG_SONYPI (sonypi.ko).
* Mon Mar 21 2005 - axboe@suse.de
- patches.fixes/scsi-allocate-request-ref: SCSI request allocation
  reference counting problem.
* Mon Mar 21 2005 - kkeil@suse.de
- patches.drivers/isdn_hfc_sitecom: Add PCI IDs for Sitecom DC-105
- patches.drivers/isdn_pcmcia_cardbus_irq: enable PCMCIA IRQ
  sharing for all PCMCIA ISDN cards (#72300).
* Mon Mar 21 2005 - garloff@suse.de
- Update Xen patches: Floppy should work now.
* Sat Mar 19 2005 - kraxel@suse.de
- rpm/kernel-binary.spec.in: comment conflict between kernel-um
  and other kernel binaries (bug #73642).
* Sat Mar 19 2005 - garloff@suse.de
- Fix patches.xen/drm-io-remap-pfn-range broken by last rediff.
* Fri Mar 18 2005 - garloff@suse.de
- Update subdomain LSM.
* Fri Mar 18 2005 - kkeil@suse.de
- reenable ppp-mppe pptp driver (#73043)
* Fri Mar 18 2005 - olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  do not init 8250 ports on pmac64, also disable legacy ports
  enable pmac_zilog in ppc64 .config
* Fri Mar 18 2005 - mantel@suse.de
- patches.drivers/alsa-prototypes: ALSA core: add missing
  prototypes and export (66753).
* Fri Mar 18 2005 - axboe@suse.de
- series.conf: disable sata-enable-flush
* Fri Mar 18 2005 - axboe@suse.de
- patches.fixes/scsi-dead-device: Fix SCSI reference counting
  problem with a dead device.
* Fri Mar 18 2005 - vojtech@suse.cz
- patches.drivers/input-bk-rightwin.diff
  Fix right Win key on AT keyboards (OSDL #4361)
* Fri Mar 18 2005 - mantel@suse.de
- patches.fixes/no-partition-check-for-pcmcia.patch: Do not
  rescan for partitions on CF cards with PCMCIA adapters.
* Thu Mar 17 2005 - mason@suse.de
- patches.fixes/rwv_einval: readv and writev should check for
  EINVAL before Efault (71223).
* Thu Mar 17 2005 - okir@suse.de
- patches.drivers/drm-ioctl32: DRM: Support 32bit ioctls (from eich, #72943).
- patches.xen/drm-io-remap-pfn-range: Rediffed DRM patch
* Thu Mar 17 2005 - axboe@suse.de
- patches.fixes/cfq-tweaks: Small CFQ tweaks.
* Thu Mar 17 2005 - axboe@suse.de
- patches.fixes/cfq-shutdown-timer-wq: Shutdown pending timer/wq
  from both last put and exit case.
* Wed Mar 16 2005 - schwab@suse.de
- Fix name of module override directory.
* Wed Mar 16 2005 - garloff@suse.de
- (okir) Removed non-compiling dri-ioctl32 patch.
- Updated Xen patches.
* Wed Mar 16 2005 - jeffm@suse.de
- series.conf: enabled set_blocksize_race.diff
* Wed Mar 16 2005 - axboe@suse.de
- patches.fixes/cfq-pending-work-fixup: Fixup error in
  cfq-pending-work.
* Wed Mar 16 2005 - jeffm@suse.de
- patches.fixes/bd_claim_flags.diff: Delete.
- patches.fixes/set_blocksize_race.diff: blockdev: fix race between
  mount/umount (#63178).
- series.conf: checked in disabled pending discussion on kernel@suse.de
* Wed Mar 16 2005 - eich@suse.de
- patches.drivers/dri-ioctl32: DRI: Support 32bit ioctls (72943).
* Wed Mar 16 2005 - axboe@suse.de
- patches.fixes/cfq-pending-work: Fix CFQ 'do we have pending
  requests' check.
* Wed Mar 16 2005 - mason@suse.de
  Use >> for the post and postun install scripts so they don't
  get overwritten half way through (72866)
- rpm/kernel-binary.spec.in:
* Wed Mar 16 2005 - gregkh@suse.de
  Add bugzilla reference id to cpia patch.
- patches.drivers/usb-cpia-2.6.11.patch: USB: fix cpia_usb
  driver's warning messages in the syslog (71669).
* Wed Mar 16 2005 - mantel@suse.de
- enable patches.fixes/patch-2.6.11.3-4
* Wed Mar 16 2005 - axboe@suse.de
- patches.drivers/suse-ahci-disable: Don't touch the 6th bar
  unless it's really an ahci device (72074).
* Wed Mar 16 2005 - mantel@suse.de
- x86_64: CONFIG_DRM should be modular as on other archs
* Tue Mar 15 2005 - gregkh@suse.de
  Add 2.6.11.4 release to the tree, not the build.
- patches.fixes/patch-2.6.11.3-4: 2.6.11.4 release from
  kernel.org.
* Tue Mar 15 2005 - gregkh@suse.de
  Fix for bug 71669
- patches.drivers/usb-cpia-2.6.11.patch: USB: fix cpia_usb
  driver's warning messages in the syslog.
* Tue Mar 15 2005 - tiwai@suse.de
- patches.drivers/alsa-suspend-lock-fix.diff: Fix deadlock in
  the suspend code.
- patches.drivers/alsa-hda-cmedia-default.diff: Use full-digital
  model as default for CMI9880.
- patches.drivers/alsa-es1968-resume-fix.diff: Fix PM resume
  with ES1968.
- patches.drivers/alsa-atiixp-resume-fix.diff: Fix PM resume
  with ATIIXP.
- patches.drivers/alsa-timer-fix.diff: Fix Oops with timer
  event notification.
* Tue Mar 15 2005 - jeffm@suse.de
- patches.fixes/set_blocksize_race.diff: Delete.
- patches.fixes/bd_claim_flags.diff: blockdev: fix for racing mount/umount.
- series.conf: replaced set_blocksize_race.diff with bd_claim_flags.diff
* Tue Mar 15 2005 - axboe@suse.de
- patches.suse/thread_readahead.patch: Delete.
- series.conf: kill dead patch
* Tue Mar 15 2005 - vojtech@suse.cz
- patches.drivers/serial-globetrotter.diff: Deleted.
  Generic support works well enough.
* Tue Mar 15 2005 - axboe@suse.de
- patches.fixes/ide-noflush: Add hdX=noflush for buggy hard drives
  (66590).
* Tue Mar 15 2005 - okir@suse.de
- patches.fixes/ipv6-ppp-crash: Prevent IPv6 oops on PPP devices (72444).
* Tue Mar 15 2005 - axboe@suse.de
- patches.drivers/libata-ahci-error-handling: Fix AHCI fatal
  error handling.
* Tue Mar 15 2005 - olh@suse.de
- remove patches.suse/suse.ppc32.boot.zimage.built-in.cmdline
  will be merged into mainline, or its not worth having
* Mon Mar 14 2005 - okir@suse.de
- patches.drivers/bcm5752-enable: Add support for Broadcomm
  BCM5752 (71684).
* Mon Mar 14 2005 - garloff@suse.de
- patches.xen/drm-io-remap-pfn-range: Use io_remap_page_range
  in DRM under Xen.
* Mon Mar 14 2005 - tiwai@suse.de
- patches.drivers/alsa-emu10k1-voice-remove-printk.diff: Remove
  invalid debug prints.
* Mon Mar 14 2005 - okir@suse.de
- patches.fixes/ipsec-toobig-deadlock: ipsec deadlock patch:
  call tunnel_check_size w/o locking.
* Mon Mar 14 2005 - okir@suse.de
- patches.fixes/ext3-release-race: Prevent race condition in jbd.
* Mon Mar 14 2005 - okir@suse.de
- Update to 2.6.11.3
* Mon Mar 14 2005 - axboe@suse.de
- patches.suse/ide-hpa-off_by_1: Delete.
- patches.suse/ide-probe-delay: Reduce ide probe delays.
- patches.suse/ide-noraid: Add global parameter to disable
  ide raid.
- series.conf: Check up on various disabled patches
* Mon Mar 14 2005 - garloff@suse.de
- Enable subdomain LSM.
* Sun Mar 13 2005 - vojtech@suse.cz
- patches.fixes/framebuffer-cursor-fix.diff
  Fix cursor behavior
- patches.fixes/uli526x-fix.diff
  Fix ALi/ULi integrated ethernet
- patches.drivers/input-bk-64bit-compat.diff
  Add 32-bit emulation for input devices
- patches.drivers/input-bk-hid-32bit.diff
  Fix extraction of HID items >= 32 bit in size
- patches.drivers/input-bk-i8042-pnp-msg.diff
  Fix i8042 PnP detection if only KBD port is detected
- patches.drivers/input-bk-i8042-resume.diff
  Fix resume sequence for i8042
- patches.drivers/input-bk-sunrex.diff
  Work around bugs in Sunrex IR Keyboard/Mouse (#72331)
- patches.drivers/serial-globetrotter.diff
  Add support for Broadcom GPRS/EDGE CardBus modem
* Sun Mar 13 2005 - garloff@suse.de
- Update xen patches to xen 2.0.5 (post).
* Sat Mar 12 2005 - olh@suse.de
- merge pmac64+pseries64 defconfig back into one config: ppc64
* Sat Mar 12 2005 - olh@suse.de
- update patches.suse/suse-ipv6-rt-expiry
  declare fib6_update_expiry before use
* Sat Mar 12 2005 - olh@suse.de
- add patches.fixes/aoe-64bit.patch, fix minor pointer to int bug
* Sat Mar 12 2005 - olh@suse.de
- update patches.suse/netfilter-06-policy-match
->match prototype update
* Sat Mar 12 2005 - vojtech@suse.cz
- patches.fixes/fat-nokia-fix: Delete.
* Sat Mar 12 2005 - gregkh@suse.de
  Added the 2.6.11.3 patch to the tree
  (only added the file, did not add it to the build, will let others
  decide if that is necessary, as I think the kernel is supposed to
  be frozen...)
- patches.fixes/patch-2.6.11.2-3: 2.6.11.3 release from kernel.org.
* Sat Mar 12 2005 - agruen@suse.de
- patches.fixes/no-oom-kill: Delete.
- patches.suse/jfs-dmapi: Delete.
- patches.suse/jfs-dmapi-fix: Delete.
- patches.suse/jfs-dmapi-prio-tree: Delete.
- patches.suse/jfs-dmapi-regions: Delete.
- patches.suse/jfs-unique-slab-names: Delete.
* Sat Mar 12 2005 - gregkh@suse.de
  [#] new
-+Unused: patches.drivers/pci-1.2134.patch
-+Unused: patches.drivers/usb-zd1201-02.patch
-+Unused: patches.drivers/pci-1.2133.patch
  +Unused: patches.fixes/netfilter-checksum
* Sat Mar 12 2005 - gregkh@suse.de
  Delete a unused usb patch
- patches.drivers/usb-zd1201-02.patch: Delete.
* Sat Mar 12 2005 - gregkh@suse.de
  Deleted unused PCI patches.
- patches.drivers/pci-1.2133.patch: Delete.
- patches.drivers/pci-1.2134.patch: Delete.
- patches.drivers/pci-1.2136.patch: Delete.
- patches.drivers/pci-1.2135.patch: Delete.
- patches.drivers/pci-1.2143.patch: Delete.
- patches.drivers/pci-1.2148.patch: Delete.
- patches.drivers/pci-1.2150.patch: Delete.
* Fri Mar 11 2005 - tiwai@suse.de
- patches.drivers/alsa-via82xx-addition.diff: Add DXS support
  for MSI K8T Neo2-FI.
- patches.drivers/alsa-nm256-irq-fix.diff: Fix the lock-up of
  nm256 driver.
- patches.drivers/alsa-emu10k1-alloc-fix.diff: Fix voice
  allocation corruption on emu10k1.
- patches.drivers/alsa-alc655-spdif-route-fix.diff: Fix SPDIF
  route control on ALC655/658/850.
- patches.drivers/alsa-mixer-oss-fix.diff: Fix deadlock in
  error paths.
* Fri Mar 11 2005 - garloff@suse.de
- patches.suse/unmap_vmas-lat: Update unmap_vmas() block size
  according to advice from Andrea.
* Fri Mar 11 2005 - okir@suse.de
- patches.fixes/usagi-ipv6-esp-null: Obsolete.
- patches.suse/ipv6-export-symbols: Obsolete.
- re-enabled patches.fixes/tokenring-spin-lock-bh
* Fri Mar 11 2005 - pavel@suse.cz
- patches.drivers/swsusp-via-velocity: fix suspend/resume.
- patches.drivers/swsusp-b44: Fix swsusp with b44..
- patches.fixes/swsusp-disk-spindown: Do not force emergency
  spindowns of disks..
- README: better testing example
- series.conf: add above patches.
* Fri Mar 11 2005 - pavel@suse.cz
- patches.drivers/swsusp-via-velocity: fix suspend/resume.
- patches.drivers/swsusp-b44: Fix swsusp with b44..
- patches.fixes/swsusp-disk-spindown: do not force emergency spindown.
- series.conf: add above patches.
* Fri Mar 11 2005 - pavel@suse.cz
- patches.drivers/swsusp-via-velocity: fix suspend/resume.
- patches.drivers/swsusp-b44: Fix swsusp with b44..
- patches.fixes/swsusp-disk-spindown: do not spin disks down hard.
- series.conf: add above stuff.
* Fri Mar 11 2005 - okir@suse.de
- Update IPv6 patches:
- patches.fixes/netfilter-conntrack-ftp-seqno: conntrack ftp:
  fix sequence numbers, debug message.
- patches.suse/usagi-ipv6-ip6t-reject: implement
  reject target for ipv6 nefilter (67329)
- Update config files for REJECT target
- patches.suse/ipv6-v4-mapped-addrs: Fix the handling of IPv6
  mapped IPv4 addresses.
- patches.suse/ipv6-tahi-pmtu-2: IPv6 PMTU fix.
- patches.suse/ipv6-ndisc-breaks-arp: Obsolete.
- patches.suse/ipv6-tahi-nd-74: Obsolete.
- patches.suse/usagi-ipv6-netfilter: Obsolete.
- patches.suse/usagi-ipv6-conntrack: Delete
* Fri Mar 11 2005 - mantel@suse.de
- patches.fixes/moxa-ioctl-check: add permission check to moxa
  serial driver (65375).
* Fri Mar 11 2005 - olh@suse.de
- update patches.suse/acpi_EC_no_byteAcc_fix.diff
  increment offset by one, not eight
* Thu Mar 10 2005 - gregkh@suse.de
  Remove unneeded I2C patches from the tree.
- patches.drivers/i2c-1.2081.patch: Delete.
- patches.drivers/i2c-1.2083.patch: Delete.
- patches.drivers/i2c-1.2084.patch: Delete.
- patches.drivers/i2c-1.2085.patch: Delete.
- patches.drivers/i2c-1.2086.patch: Delete.
- patches.drivers/i2c-1.2087.patch: Delete.
- patches.drivers/i2c-1.2088.patch: Delete.
- patches.drivers/i2c-1.2090.patch: Delete.
- patches.drivers/i2c-1.2091.patch: Delete.
- patches.drivers/i2c-1.2092.patch: Delete.
- patches.drivers/i2c-1.2093.patch: Delete.
- patches.drivers/i2c-1.2094.patch: Delete.
- patches.drivers/i2c-1.2095.patch: Delete.
- patches.drivers/i2c-1.2097.patch: Delete.
- patches.drivers/i2c-1.2096.patch: Delete.
- patches.drivers/i2c-1.2102.patch: Delete.
- patches.drivers/i2c-1.2104.patch: Delete.
- patches.drivers/i2c-1.2106.patch: Delete.
- patches.drivers/i2c-1.2107.patch: Delete.
- patches.drivers/i2c-1.2108.patch: Delete.
- patches.drivers/i2c-1.2109.patch: Delete.
- patches.drivers/i2c-1.2110.patch: Delete.
- patches.drivers/i2c-1.2111.patch: Delete.
- patches.drivers/i2c-1.2112.patch: Delete.
- patches.drivers/i2c-1.2113.patch: Delete.
- patches.drivers/i2c-1.2115.patch: Delete.
- patches.drivers/i2c-1.2116.patch: Delete.
* Thu Mar 10 2005 - gregkh@suse.de
  Driver core update based on patches now in the 2.6.11-bk tree.
  Almost all of these are liked by udev / HAL in order that they
  can go faster, with less sysfs activity.
- patches.drivers/driver_core-1.2038.patch: [PATCH] driver core:
  Separate platform device name from platform device number.
- patches.drivers/driver_core-1.2039.patch: [PATCH] class core:
  export MAJOR/MINOR to the hotplug env.
- patches.drivers/driver_core-1.2040.patch: [PATCH] block core:
  export MAJOR/MINOR to the hotplug env.
- patches.drivers/driver_core-1.2041.patch: [PATCH] class_simple:
  pass dev_t to the class core.
- patches.drivers/driver_core-1.2042.patch: [PATCH] usb: class
  driver pass dev_t to the class core.
- patches.drivers/driver_core-1.2043.patch: [PATCH] i2c: class
  driver pass dev_t to the class core.
- patches.drivers/driver_core-1.2044.patch: [PATCH] videodev:
  pass dev_t to the class core.
- patches.drivers/driver_core-1.2046.patch: [PATCH] Driver core:
  add "bus" symlink to class/block devices.
- patches.drivers/driver_core-1.2047.patch: [PATCH] floppy.c:
  pass physical device to device registration.
* Thu Mar 10 2005 - gregkh@suse.de
  USB update based on patches now in 2.6.11-bk tree.
- patches.drivers/usb-static-sysfs-info: Delete.
- patches.drivers/usb-static-sysfs-info-configuration.patch:
  Delete.
- patches.drivers/usb-static-sysfs-info-fixups.patch: Delete.
- patches.drivers/usb-static-sysfs-info-input.patch: Delete.
- patches.drivers/usb-static-sysfs-info-interface.patch: Delete.
- patches.drivers/usb-static-sysfs-info-usb-storage.patch: Delete.
- patches.fixes/usb-usbnet.c-ax88772.patch: Delete.
- Update config files.
- patches.drivers/usb-1.2020.1.005.patch: [PATCH] USB: SN9C10x
  driver bugfix.
- patches.drivers/usb-1.2020.1.006.patch: [PATCH] USB: SN9C10x
  driver bugfix.
- patches.drivers/usb-1.2020.1.016.patch: [PATCH] USB ftdi_sio:
  an rs485 adaptor from 4n-galaxy.de.
- patches.drivers/usb-1.2020.1.017.patch: [PATCH] USB: Retry
  more aggressively during device initialization.
- patches.drivers/usb-1.2020.1.018.patch: [PATCH] USB: Make
  use_both_schemes=y the default.
- patches.drivers/usb-1.2020.1.031.patch: [PATCH] USB: Add ASIX
  AX88772 10/100 Ethernet support to usbnet.
- patches.drivers/usb-1.2020.1.050.patch: [PATCH] USB: UHCI:
  Fix build errors when CONFIG_DEBUG_FS isn't set.
- patches.drivers/usb-1.2020.1.121.patch: [PATCH] USB: usbfs
  fix for data loss in message.c.
- patches.drivers/usb-1.2020.1.122.patch: [PATCH] USB: set
  timeout message to debug level: message.c.
- patches.drivers/usb-1.2020.1.123.patch: [PATCH] USB: usbfs:
  remove debug message.
- patches.drivers/usb-1.2020.1.138.patch: [PATCH] USB: cache
  the product, manufacturer, and serial number strings at device
  insertion..
- patches.drivers/usb-1.2020.1.139.patch: [PATCH] USB: fix up
  the input drivers to use the built in strings, instead of
  re-reading them from the device..
- patches.drivers/usb-1.2020.1.141.patch: [PATCH] USB: make
  iInterface string cached.
- patches.drivers/usb-1.2020.1.142.patch: [PATCH] USB: cache
  the iConfiguration string, if present..
- patches.drivers/usb-1.2020.1.143.patch: [PATCH] USB: fix memory
  leak in get_string if usb_string() call failed..
- patches.drivers/usb-1.2020.1.144.patch: [PATCH] USB: fix up
  compiler warnings when CONFIG_USB_DEBUG is not set..
- patches.drivers/usb-1.2020.1.146.patch: [PATCH] USB: pegasus
  and rtl8150 cset for proper link detection.
- patches.drivers/usb-1.2020.1.152.patch: [PATCH] USB: Fix use
  after free in usb/core/devices.c.
- patches.drivers/usb-1.2020.1.153.patch: [PATCH] USB: PhidgetKit
  driver update.
- patches.drivers/usb-1.2020.1.140.patch: [PATCH] USB: remove
  string fetches from the usb-storage core, have them used the
  cached versions instead..
* Thu Mar 10 2005 - vojtech@suse.cz
- patches.drivers/input-bk-2073.diff
  Update patch to reset mouse immediately when a timing
  based sync loss is detected.
* Thu Mar 10 2005 - okir@suse.de
- patches.fixes/nfsd-nohide-fix: nfsd: Fix READDIRPLUS replies on
  "nohide" exports (71819).
* Thu Mar 10 2005 - agruen@suse.de
- scripts/tar-up.sh: Add minmem file to force mbuild to pick build
  hosts that have enough memory available.
* Thu Mar 10 2005 - garloff@suse.de
- patches.fixes/scsi-define-task-aborted: Don't mask off
  TASK_ABORTED from the SCSI error status (64150, LTC12947).
* Thu Mar 10 2005 - mantel@suse.de
- patches.suse/bootsplash: Bootsplash for current kernel (none).
- don't display output on blanked screens
- be less restrictive about the framebuffer type
- re-add switch to verbose mode on system panic
* Thu Mar 10 2005 - gregkh@suse.de
  Delete the W1 patches, as they are not needed to be in the tree.
- patches.drivers/w1-1.2080.patch: Delete.
- patches.drivers/w1-1.2081.patch: Delete.
- patches.drivers/w1-1.2082.patch: Delete.
- patches.drivers/w1-1.2083.patch: Delete.
- patches.drivers/w1-1.2084.patch: Delete.
- patches.drivers/w1-1.2085.patch: Delete.
- patches.drivers/w1-1.2086.patch: Delete.
* Wed Mar 09 2005 - agruen@suse.de
- patches.fixes/export-__d_path: Export the __d_path function
  (65751).
* Wed Mar 09 2005 - vojtech@suse.cz
- patches.fixes/usb-handoff-default.diff
  Update patch to enable handoff on i386 and x86-64 only
* Wed Mar 09 2005 - tiwai@suse.de
- patches.drivers/alsa-alc260-fix.diff: More fix for input
- patches.drivers/alsa-au88x0-spdif-fix.diff: Fix a typo in patch
- patches.drivers/alsa-midi-lock-fix.diff: Fix a typo in patch
* Wed Mar 09 2005 - olh@suse.de
- add patches.suse/acpi_EC_no_byteAcc_fix.diff
  disable syslog spamming (#67364)
* Wed Mar 09 2005 - agruen@suse.de
- rpm/postun.sh, rpm/post.sh: Stop using perl-Bootloader. We won't
  manage to resolve the remaining open issues.
* Wed Mar 09 2005 - agruen@suse.de
- scripts/config.sh: Update EXTRAVERSION.
- scripts/sequence-patch.sh: Add VERSION and EXTRAVERSION checks.
* Wed Mar 09 2005 - olh@suse.de
- remove obsolete patches
  patches.arch/suse-ppc32-chrp-rootdevice
  patches.arch/suse-ppc32-pmac-rootdevice
  patches.arch/suse-ppc32-prep-rootdevice
  patches.suse/suse-ppc64-chrp-root-sda3
  patches.fixes/root_dev-partition3
  ROOT_DEV is not used anymore now that linuxrc is "/init"
  patches.fixes/usb-proc-devices.patch
* Tue Mar 08 2005 - vojtech@suse.cz
- patches.fixes/input-bk.diff: Patch updated to avoid warnings
  in ALSA.
* Tue Mar 08 2005 - tiwai@suse.de
- patches.drivers/alsa-ac97-surround-fix.diff: Misc fixes
  for AC97.
- patches.drivers/alsa-alc260-fix.diff: Fix ALC260 support.
- patches.drivers/alsa-ali5455-dra-fix.diff: Don't enable DRA
  for ALI5455.
- patches.drivers/alsa-alias-fix.diff: Alias fixes for ALSA
  modules.
- patches.drivers/alsa-au88x0-spdif-fix.diff: Fix the SPDIF
  control for AU88x0.
- patches.drivers/alsa-audigy-spdif-fix.diff: Fix Audigy SPDIF
  register bits.
- patches.drivers/alsa-emu10k1-pop-fix.diff: Fix pop/click noises.
- patches.drivers/alsa-hda-codec-parser-fix.diff: Fix the parse
  of HDA widget tree.
- patches.drivers/alsa-intel8x0m-new-ids.diff: Add ICH6/ICH7
  support.
- patches.drivers/alsa-midi-lock-fix.diff: Fix possible MIDI
  deadlocks.
- patches.drivers/alsa-pcm-appl-ptr-fix.diff: Fix the calculation
  of appl_ptr.
- patches.drivers/alsa-revo-rate-fix.diff: Fix the sample rates
  on Revo 7.1.
- patches.drivers/alsa-usb-midi-fix.diff: Fix USB MIDI handling
  and new quirks.
- patches.drivers/alsa-user-control-alloc-fix.diff: Fix the
  wrong allocation size for user controls.
* Tue Mar 08 2005 - gregkh@suse.de
- patches.fixes/patch-2.6.11.2: 2.6.11.2 release from kernel.org.
* Tue Mar 08 2005 - gregkh@suse.de
- Update config files.
- patches.drivers/usb-zd1201-01.patch: [PATCH] USB: add zd1201
  wireless lan driver.
- patches.drivers/usb-zd1201-02.patch: [PATCH] USB: fix up HZ
  change in zd1201 driver..
- patches.drivers/usb-sisusbvga-01.patch: [PATCH] USB: add SiS
  USB2VGA kernel driver.
- patches.drivers/usb-sisusbvga-02.patch: [PATCH] USB: fix sparse
  bitwise warnings in the sisusb.c driver.
- patches.drivers/usb-sisusbvga-03.patch: [PATCH] USB: SiS
  USB2VGA minor fix..
- patches.drivers/usb-sisusbvga-04.patch: [PATCH] USB: give
  sisusb a valid minor number (133 - 140).
- series.conf: Add 2 new usb drivers (already in 2.6.11-bk tree)
* Tue Mar 08 2005 - axboe@suse.de
- patches.fixes/as-iosched-deactivate-fix: handle double invocation
* Tue Mar 08 2005 - garloff@suse.de
- patches.drivers/input-i8042-double-unregister:
  Avoid unregistering i8042 drivers twice.
- patches.xen/xen-avoid-disfunct-rtc: Don't register RTC driver
  if it only read 0xff from CMOS.
* Tue Mar 08 2005 - okir@suse.de
- patches.fixes/uhci-hcd-init-fix: hsb-hcd: change device state
  before enabling interrupts.
* Tue Mar 08 2005 - okir@suse.de
- patches.fixes/drm-setversion-missing-memset: Add missing memset
  to drm_setversion (65926). (from eich@suse.de)
* Tue Mar 08 2005 - axboe@suse.de
- patches.fixes/barrier-update-20050308: fix deadlock in write barriers
* Tue Mar 08 2005 - olh@suse.de
- add patches.fixes/raw-blkdev_ioctl.patch
  Replace ioctl_by_bdev with blkdev_ioctl in raw.c (#67212 - LTC14261)
  export blkdev_ioctl
* Tue Mar 08 2005 - gregkh@suse.de
- series.conf: disabled patches.fixes/usb-proc-devices.patch based
  on Andreas Jaeger's request.
* Tue Mar 08 2005 - andrea@suse.de
- patches.fixes/x86_64-panic-lockup: avoid lockup after panic
  even if kernel.panic > 0. (#67025)
* Mon Mar 07 2005 - jeffm@suse.de
- patches.suse/subfs.patch: updated to "new" version again, lookup_create
  patch fixes issue
- patches.suse/lookup_create_nameidata.diff: lookup_create should
  pass nameidata to lookup_hash.
* Mon Mar 07 2005 - pavel@suse.cz
- patches.fixes/swsusp-ehci_hcd: Delete.
- patches.fixes/swsusp-mysqld: Update to apply.
* Mon Mar 07 2005 - pavel@suse.de
- patches.fixes/swsusp-ehci_hcd: Delete.
- patches.fixes/swsusp-mysqld: Workaround mysqld-cant-be-stopped
  problem. Updated to apply.
* Mon Mar 07 2005 - jeffm@suse.de
- patches.fixes/03-reiserfs-priv-abstract.diff: updated for case
  where xattrs aren't enabled
* Mon Mar 07 2005 - agruen@suse.de
- patches.rpmify/fix-separate-compilation-with-preconf-kernel.diff:
  Fix compiling /usr/src/linux directly with O= (65891).
* Mon Mar 07 2005 - axboe@suse.de
- patches.suse/security-compile-if-disable: compile if !CONFIG_SECURITY
* Mon Mar 07 2005 - agruen@suse.de
- Fix invocation of km module Makefiles.
* Sun Mar 06 2005 - agruen@suse.de
- Add EXTRAVERSION to the rpm package version so that it agrees
  with what `uname -r' reports.
* Sun Mar 06 2005 - jeffm@suse.com
- patches.suse/subfs.patch: revert to previous version. It's
  possible for the lookup operation to be passed a NULL nameidata
  which means that all non-file creations will Oops. I'll post a
  revised version on Monday.
* Sun Mar 06 2005 - agruen@suse.de
- Merge minor nfsacl cleanups (mostly relevant for different
  configs).
* Sat Mar 05 2005 - vojtech@suse.cz
- patches.drivers/input-bk-alps.diff:
  All ALPS fixes in one patch
  Previous ALPS patches removed
* Fri Mar 04 2005 - vojtech@suse.cz
- patches.drivers/input-bk-2074.diff:
  Fix ALPS oops on resume/suspend
  (Ruediger Oertel <ro@suse.de>: [kernel] oops during s-t-d)
* Fri Mar 04 2005 - vojtech@suse.cz
- patches.drivers/input-bk-2073.diff:
  Fix psmouse.resetafter (#59325)
* Fri Mar 04 2005 - vojtech@suse.cz
- patches.drivers/input-bk-2072.diff:
  Fix ALPS DualPoint stick (#70928)
* Fri Mar 04 2005 - vojtech@suse.cz
- patches.fixes/usb-handoff-default.diff: Make usb-handoff the
  default. Fixes bug #67239 and similar.
* Fri Mar 04 2005 - gregkh@suse.de
- patches.fixes/patch-2.6.11.1: 2.6.11.1 release from kernel.org.
* Thu Mar 03 2005 - jeffm@suse.de
- patches.fixes/02-vfs-private-selinux.diff~: Delete.
- patches.fixes/02-vfs-private-flag-workaround.diff: workaround
  for vfs_link crash reported on research list.
* Thu Mar 03 2005 - agruen@suse.de
- patches.fixes/x86_64-ia32-icecream-fix.diff: Fix makefile
  dependency with parallel builds.
* Thu Mar 03 2005 - vojtech@suse.cz
- patches.drivers/input-bk-2067.diff: Allow setting the PS/2 mouse
  maximum protocol via a sysfs attribute.
- patches.drivers/input-bk-2068.diff: Fix a typo in i8042 ACPI
  printk().
- patches.drivers/input-bk-2069.diff: Properly ignore zero Command
  Register address in i8042 ACPI code.
* Thu Mar 03 2005 - pavel@suse.cz
- patches.suse/swsusp-noncontiguous: make apply
- patches.fixes/swsusp-from-initramfs.patch: make apply on top
  of modified swsusp.
- Update README.
* Thu Mar 03 2005 - schwab@suse.de
- Update kdb patches and reenable.
* Thu Mar 03 2005 - pavel@suse.cz
- patches.suse/swsusp-noncontiguous: Add.
- Remove obsolete swsusp stuff.
* Thu Mar 03 2005 - schwab@suse.de
- Bump version to 2.6.11 and remove obsolete patches.
* Thu Mar 03 2005 - okir@suse.de
- patches.suse/nfs-statd-hostnames: Fixed deadlock that caused NFS
  client hangs in certain cases (#66530)
- patches.fixes/sunrpc-optional-auth: Made it work with lockd/statd
* Thu Mar 03 2005 - gregkh@suse.de
- Update config files.
- patches.arch/linux-2.6.10-rc3_ImacG5_ids.diff: imac g5 and
  current g5 support.
- patches.drivers/pci-1.2133.patch: [PATCH] convert
  pci_dev->slot_name usage to pci_name().
- patches.drivers/pci-1.2134.patch: [PATCH] Remove
  pci_dev->slot_name.
- patches.drivers/pci-1.2135.patch: [PATCH] PCI Hotplug: Remove
  unneeded instructions from ibmphp_pci.c.
- patches.drivers/pci-1.2136.patch: [PATCH] PCI: pci_proc_domain.
- patches.drivers/pci-1.2137.patch: [PATCH] PCI: Make
  pci_claim_resource __devinit.
- patches.drivers/pci-1.2138.patch: [PATCH] PCI: fix
  pci_remove_legacy_files() crash.
- patches.drivers/pci-1.2139.patch: [PATCH] PCI: NUMA-Q PCI
  config access arg validation.
- patches.drivers/pci-1.2140.patch: [PATCH] PCI: pci_raw_ops
  should use unsigned args.
- patches.drivers/pci-1.2141.patch: [PATCH]
  arch/i386/kernel/pci/irq.c:  Wrong message output.
- patches.drivers/pci-1.2142.patch: [PATCH] PCI: Dynids -
  passing driver data.
- patches.drivers/pci-1.2143.patch: [PATCH] drivers/pci/*:
  convert to pci_register_driver.
- patches.drivers/pci-1.2144.patch: [PATCH] PCI Hotplug: Fix
  OSHP calls in shpchp and pciehp drivers.
- patches.drivers/pci-1.2145.patch: [PATCH] PCI: Add PCI quirk
  for SMBus on the Toshiba Satellite A40.
- patches.drivers/pci-1.2146.patch: [PATCH] PCI: allow x86_64
  to do pci express.
- patches.drivers/pci-1.2147.patch: [PATCH] pci/quirks.c: unhide
  SMBus device on Samsung P35 laptop.
- patches.drivers/pci-1.2148.patch: [PATCH] PCI: clean up the
  msi api.
- patches.drivers/pci-1.2149.patch: [PATCH] PCI: pci.ids update.
- patches.drivers/pci-1.2150.patch: PCI: remove pci_find_device
  usage from pci sysfs code..
- patches.drivers/pci-1.2151.patch: [PATCH] PCI: Apple PCI
  IDs update.
- patches.drivers/pci-1.2152.patch: [PATCH] PCI: tone down
  pci=routeirq message.
- patches.drivers/pci-1.2153.patch: [PATCH] PCI: fix hotplug
  double free.
- patches.drivers/pci-1.2154.patch: [PATCH] PCI: One more Asus
  SMBus quirk.
  Add bk-pci selected patches to the build, and fix up the g5 pci id conflicts.
* Thu Mar 03 2005 - gregkh@suse.de
- patches.drivers/i2c-1.2098.patch: Delete.
- patches.drivers/i2c-1.2101.patch: Delete.
- patches.drivers/i2c-1.2100.patch: Delete.
- patches.drivers/i2c-1.2099.patch: Delete.
- patches.drivers/i2c-1.2103.patch: Delete.
- patches.drivers/i2c-1.2105.patch: Delete.
- patches.drivers/i2c-1.2114.patch: Delete.
- Update config files.
- patches.drivers/i2c-gl520sm.patch: [PATCH] I2C: add GL520SM
  Sensor Chip driver.
- patches.drivers/i2c-ids.patch: [PATCH] I2C: fixed up the
  i2c-id.h algo ids..
- patches.drivers/i2c-m41t00.patch: [PATCH] I2C: add ST M41T00
  I2C RTC chip driver.
- patches.drivers/i2c-mv64xxx.patch: [PATCH] I2C: add Marvell
  mv64xxx i2c driver.
- patches.drivers/i2c-nforce2.patch: [PATCH] I2C i2c-nforce2:
  add support for nForce4 (patch against 2.6.11-rc4).
- patches.drivers/i2c-piix4.patch: [PATCH] I2C: Enable I2C_PIIX4
  for 64-bit platforms.
- patches.drivers/i2c-sis5595.patch: [PATCH] I2C: New chip
  driver: sis5595.
  Added new i2c drivers to the build and config
* Thu Mar 03 2005 - gregkh@suse.de
- patches.drivers/i2c-1.2098.patch: Delete.
- patches.drivers/i2c-1.2101.patch: Delete.
- patches.drivers/i2c-1.2100.patch: Delete.
- patches.drivers/i2c-1.2099.patch: Delete.
- patches.drivers/i2c-1.2103.patch: Delete.
- patches.drivers/i2c-1.2105.patch: Delete.
- patches.drivers/i2c-1.2114.patch: Delete.
- Update config files.
* Thu Mar 03 2005 - gregkh@suse.de
- patches.drivers/i2c-1.2080.patch: Delete.
- patches.drivers/i2c-1.2082.patch: Delete.
- patches.drivers/i2c-1.2089.patch: Delete.
- Update config files.
- patches.drivers/i2c-fscpos-01.patch: [PATCH] I2C: add fscpos
  chip driver.
- patches.drivers/i2c-fscpos-02.patch: [PATCH] I2C: Fix up some
  build warnings in the fscpos driver..
- patches.drivers/i2c-fscpos-03.patch: [PATCH] I2C: fix for
  fscpos voltage values.
  Add i2c patches for fscpos driver.
* Thu Mar 03 2005 - gregkh@suse.de
- patches.drivers/i2c-1.2080.patch: Delete.
- patches.drivers/i2c-1.2082.patch: Delete.
- patches.drivers/i2c-1.2089.patch: Delete.
- Update config files.
* Wed Mar 02 2005 - jeffm@suse.com
- add patches.fixes/01-vfs-private-flag.diff: adds S_PRIVATE flag for inodes
- add patches.fixes/02-vfs-private-selinux.diff: adds IS_PRIVATE to selinux
  inode loop
- add patches.fixes/03-reiserfs-priv-abstract.diff: abstracts reiserfs
  private inode test
- add patches.fixes/04-vfs-private-reiserfs.diff: uses the vfs-level private
  inode for reiserfs
  These patches are required for selinux to work with reiserfs (60041)
* Wed Mar 02 2005 - vojtech@suse.cz
- Re-enable patches.suse/fastboot-console-init, I disabled it
  by mistake earlier.
* Wed Mar 02 2005 - mantel@suse.de
- patches.drivers/e100-update: update e100 driver to 3.4.1
  (66716).
* Wed Mar 02 2005 - mantel@suse.de
- Update config files.
* Wed Mar 02 2005 - agruen@suse.de
- patches.suse/nfsacl-acl-umask-handling-workaround-in-nfs-client-3.patch:
  Fix file create bug (#67076).
* Wed Mar 02 2005 - axboe@suse.de
- patches.drivers/2.6.11-rc5-bk4-libata-dev1.patch: libata update
* Wed Mar 02 2005 - olh@suse.de
- replace patches.suse/acpi-dsdt-from-initrd
  with patches.suse/acpi_dsdt_initrd_initramfs
  update patches.suse/acpi_errors_on
* Wed Mar 02 2005 - gregkh@suse.de
  Added split out w1 patches.  Still protected with +gregkh
- patches.drivers/w1-1.2080.patch: [PATCH] w1/w1_therm: replace
  schedule_timeout() with msleep_interruptible().
- patches.drivers/w1-1.2081.patch: [PATCH] w1: dscore
  cleanups. 2/2.
- patches.drivers/w1-1.2082.patch: [PATCH] w1: Core cleanup 1/2.
- patches.drivers/w1-1.2083.patch: [PATCH] w1: fix some compiler
  warnings generated by the last "static" patch..
- patches.drivers/w1-1.2084.patch: [PATCH] w1: replace obsoleted
  *sleep_on*.
- patches.drivers/w1-1.2085.patch: [PATCH] w1: get rid of the
  potential problems with atomic operations..
- patches.drivers/w1-1.2086.patch: [PATCH] drivers/w1/*: convert
  to pci_register_driver.
* Wed Mar 02 2005 - olh@suse.de
- update to 2.6.11, serial, selinux, sysfs signedness, pnp fixes
* Wed Mar 02 2005 - gregkh@suse.de
  Added split out patches from my i2c-bk tree.  All still protected with a
  +gregkh symbol until I determine the rules about modifing the config files...
- patches.drivers/i2c-1.2080.patch: [PATCH] I2C: add fscpos
  chip driver.
- patches.drivers/i2c-1.2081.patch: [PATCH] I2C: Allow it87
  pwm reconfiguration.
- patches.drivers/i2c-1.2082.patch: [PATCH] I2C: Fix up some
  build warnings in the fscpos driver..
- patches.drivers/i2c-1.2083.patch: [PATCH] I2C: Kill
  i2c_client.id (1/5).
- patches.drivers/i2c-1.2084.patch: [PATCH] I2C: Kill
  i2c_client.id (2/5).
- patches.drivers/i2c-1.2085.patch: [PATCH] I2C: Kill
  i2c_client.id (3/5).
- patches.drivers/i2c-1.2086.patch: [PATCH] I2C: Kill
  i2c_client.id (4/5).
- patches.drivers/i2c-1.2087.patch: [PATCH] I2C: Kill
  i2c_client.id (5/5).
- patches.drivers/i2c-1.2088.patch: [PATCH] I2C: just delete
  the id field, let's not delay it any longer.
- patches.drivers/i2c-1.2089.patch: [PATCH] I2C: fix for fscpos
  voltage values.
- patches.drivers/i2c-1.2090.patch: [PATCH] I2C: i2c-dev
  namespace cleanup.
- patches.drivers/i2c-1.2091.patch: [PATCH] I2C: lm78 driver
  improvement.
- patches.drivers/i2c-1.2092.patch: [PATCH] I2C: Enable w83781d
  and w83627hf temperature channels.
- patches.drivers/i2c-1.2093.patch: [PATCH] I2C: Kill unused
  includes in i2c-sensor-detect.c.
- patches.drivers/i2c-1.2094.patch: [PATCH] I2C: unnecessary
  [#]includes in asb100.c.
- patches.drivers/i2c-1.2095.patch: [PATCH] I2C: lm80 driver
  improvement.
- patches.drivers/i2c-1.2096.patch: [PATCH] i2c-core.c: make
  some code static.
- patches.drivers/i2c-1.2097.patch: [PATCH] I2C: use time_after
  instead of comparing jiffies.
- patches.drivers/i2c-1.2098.patch: [PATCH] I2C: add ST M41T00
  I2C RTC chip driver.
- patches.drivers/i2c-1.2099.patch: [PATCH] I2C: New chip driver:
  sis5595.
- patches.drivers/i2c-1.2100.patch: [PATCH] I2C: add Marvell
  mv64xxx i2c driver.
- patches.drivers/i2c-1.2101.patch: [PATCH] I2C: add GL520SM
  Sensor Chip driver.
- patches.drivers/i2c-1.2102.patch: [PATCH] I2C: improve
  debugging output.
- patches.drivers/i2c-1.2103.patch: [PATCH] I2C: Enable I2C_PIIX4
  for 64-bit platforms.
- patches.drivers/i2c-1.2104.patch: [PATCH] I2C: fix typo in
  drivers/i2c/busses/i2c-ixp4xx.c.
- patches.drivers/i2c-1.2105.patch: [PATCH] I2C i2c-nforce2:
  add support for nForce4 (patch against 2.6.11-rc4).
- patches.drivers/i2c-1.2106.patch: [PATCH] I2C: Remove NULL
  client checks in rtc8564 driver.
- patches.drivers/i2c-1.2107.patch: [PATCH] I2C: Make i2c list
  terminators explicitely unsigned.
- patches.drivers/i2c-1.2108.patch: [PATCH] I2C: Fix some gcc
  4.0 compile failures and warnings.
- patches.drivers/i2c-1.2109.patch: [PATCH] I2C: S3C2410 missing
  I2C_CLASS_HWMON.
- patches.drivers/i2c-1.2110.patch: [PATCH] I2C: minor I2C
  cleanups.
- patches.drivers/i2c-1.2111.patch: [PATCH] Add class definition
  to the elektor bus driver.
- patches.drivers/i2c-1.2112.patch: [PATCH] I2C: saa7146
  build fix.
- patches.drivers/i2c-1.2113.patch: [PATCH] I2C: w83627hf needs
  i2c-isa.
- patches.drivers/i2c-1.2114.patch: [PATCH] I2C: fixed up the
  i2c-id.h algo ids..
- patches.drivers/i2c-1.2115.patch: [PATCH] I2C: Change of i2c
  co-maintainer.
- patches.drivers/i2c-1.2116.patch: [PATCH] I2C: Trivial
  indentation fix in i2c/chips/Kconfig.
* Wed Mar 02 2005 - jeffm@suse.com
- add patches.fixes/set_blocksize_race.diff: fixes mount/umount race
  brought out by subfs use
* Tue Mar 01 2005 - jeffm@suse.com
- add patches.suse/export_lookup_mnt.diff: Re-exported lookup_mnt
- updated patches.suse/subfs.diff: uses proper locking and reference
  counting on vfsmounts, doesn't try to find a vfsmount since open/lookup
  both supply one, and cleaned up the code
* Tue Mar 01 2005 - olh@suse.de
- update to 2.6.11-rc5-bk4, bio, more __init fixes
* Tue Mar 01 2005 - garloff@suse.de
- Update Xen patches.
* Tue Mar 01 2005 - gregkh@suse.de
- patches.drivers/usb-static-sysfs-info-fixups.patch: USB:
  minor fixups from the sysfs-info patches on the error paths.
* Mon Feb 28 2005 - vojtech@suse.cz
- Update to current Input BK tree. This obsoletes most of the
  input patches and should fix most of input-related bugs,
  namely touchpad sync problems and 'keyboard dead' problems.
* Mon Feb 28 2005 - olh@suse.de
- add patches.fixes/video-rivafb-i2c-oops.patch
  rivafb kernel oops (#66779)
* Mon Feb 28 2005 - olh@suse.de
- update to 2.6.11-rc5-bk3, network, __init, ide fixes
* Mon Feb 28 2005 - okir@suse.de
- patches.suse/nfs-statd-hostnames: Fixed a problem with the new
  statd code (#66530)
* Mon Feb 28 2005 - okir@suse.de
- patches.drivers/sk98lin-update: update sk98lin drivers to v8.14 (66497).
* Mon Feb 28 2005 - hare@suse.de
- patches.fixes/swsusp-from-initramfs
  Fix declaration of swsusp_close()
* Mon Feb 28 2005 - agruen@suse.de
- nfsacl patchset update.
* Mon Feb 28 2005 - andrea@suse.de
- patches.fixes/pipe-fixes: fix pipe bugs (#65562)
* Sun Feb 27 2005 - olh@suse.de
- update to 2.6.11-rc5-bk2, network, __init fixes
* Sun Feb 27 2005 - olh@suse.de
- add patches.suse/modprobe_unknown_symbol.patch
  debug spurious Unknown symbol errors (#66533,#63643,#64590,#66449)
* Sat Feb 26 2005 - olh@suse.de
- reenable patches.suse/unmap_vmas-lat
  one ZAP_BLOCK_SIZE for everyone
* Sat Feb 26 2005 - olh@suse.de
- update to 2.6.11-rc5-bk1, usb, fb, pty race fixes
* Fri Feb 25 2005 - olh@suse.de
- disable audio.ko, use the alsa snd-usb-audio.ko driver instead
  (#66670)
* Fri Feb 25 2005 - agruen@suse.de
- patches.fixes/x86_64-ia32-icecream-fix.diff: Icecream has no
  way of detecting assembler-level includes. Use the assembler
  directly instead.
* Fri Feb 25 2005 - olh@suse.de
- add patches.drivers/usb-static-sysfs-info-configuration.patch
  add patches.drivers/usb-static-sysfs-info-interface.patch
  cache more sysfs file contents
* Thu Feb 24 2005 - olh@suse.de
- update patches.drivers/usb-static-sysfs-info
  add patches.drivers/usb-static-sysfs-info-input.patch
  add patches.drivers/usb-static-sysfs-info-usb-storage.patch
  new version of the patch from gregkh
* Thu Feb 24 2005 - tiwai@suse.de
- patches.drivers/alsa-ac97-cm9761-fix.diff: Fix output of
  CM9761(A).
- patches.drivers/alsa-au88x0-fix.diff: au88x0 - do codec init
  more like windows does.
- patches.drivers/alsa-cm8338-fix.diff: Fix the chip query
  of cm8338.
- patches.drivers/alsa-dell-quirk.diff: Add AC97 quirk for Dell.
- patches.drivers/alsa-hda-digital-fix.diff: Fix SPDIF I/O on
  HDA codecs.
- patches.drivers/alsa-intel8x0m-hook.diff: Add mixer controls
  to intel8x0m.
- patches.drivers/alsa-misc-cleanup.diff: Misc cleanup.
- patches.drivers/alsa-usb-fix.diff: Add support for Emagic and
  Roland FANTOM-X.
- patches.drivers/alsa-via82xx-dxs-as-pcm.diff: Use DXS volume
  controls as PCM with CMI codecs.
* Thu Feb 24 2005 - okir@suse.de
- patches.fixes/sunrpc-restart-delay-fix: NFS: prevent hangs
  when NFS server returns EJUKEBOX.
* Thu Feb 24 2005 - olh@suse.de
- update to 2.6.11-rc5, sata, rtl8169, futex fixes
* Wed Feb 23 2005 - ak@suse.de
- patches.fixes/mtrr-check-gpf: Ignore MTRR setup errors (65639)
- patches.fixes/cardbus-fixup-bridge: Fix cardbus on some AMD64 laptops
* Wed Feb 23 2005 - okir@suse.de
- patches.suse/sunrpc-bindresvport: Fix sunrpc xprt_bindresvport.
* Wed Feb 23 2005 - olh@suse.de
- update to 2.6.11-rc4-bk11, nfs, network fixes
* Wed Feb 23 2005 - okir@suse.de
- patches.fixes/usagi-ipv6-privacy: IPv6 privacy fixes from USAGI.
- patches.fixes/ipv6-force-mldv1: Force use of MLD (multicast
  listener discovery) version 1 (SUSE34954).
- patches.suse/usagi-ipv6-addrselect: Address selection patches
  from USAGI.
- patches.suse/suse-ipv6-rt-expiry: Force timely expiry of
  IPv6 routes.
- patches.suse/ipv6-no-too-big-to-self-msg: Disable noisy printk
  in ICMPv6 code.
- patches.suse/usagi-ipv6-fragment: USAGI: IPv6 fragmentation
  fixes.
- patches.suse/usagi-ipv6-fib-subtree: USAGI: Add source address
  field to the IPv6 FIB.
- patches.suse/stop-nud_in_timer-warning: Delete.
- patches.suse/usagi-ipv6-ndisc: Delete.
* Wed Feb 23 2005 - schwab@suse.de
- Readd lost patch.
* Wed Feb 23 2005 - kraxel@suse.de
- patches.uml/skas-for-arch-xen: skas for arch/xen.
* Wed Feb 23 2005 - mantel@suse.de
- patches.fixes/remove-PIPE_LEN: remove stale PIPE_LEN macro in
  pipe_fs_i.h (66079).
* Tue Feb 22 2005 - olh@suse.de
- update to 2.6.11-rc4-bk10, libata, network fixes
* Tue Feb 22 2005 - garloff@suse.de
- Update xen patches.
* Tue Feb 22 2005 - kraxel@suse.de
- patches.uml/uml-sysemu-off: [patch] make sysemu support
  switchable.
* Mon Feb 21 2005 - kraxel@suse.de
- patches.uml/skas-2.6.11-v8-rc2-fix.patch: fix for skas patch.
* Mon Feb 21 2005 - olh@suse.de
- update to 2.6.11-rc4-bk9, netdriver, ide, i386 pci resource fixes
  remove patches.fixes/pci-resource-window-allocation-fix.diff
  which wasnt applied yet
* Mon Feb 21 2005 - kraxel@suse.de
- patches.uml/uml-tag-used: Delete.
- patches.uml/uml-sysemu-off: uml: turn sysemu off.
- patches.uml/uml-vt-runtime: add fix + enable.
* Mon Feb 21 2005 - olh@suse.de
- add patches.fixes/usb-storage-refcounting-as431.patch
  try to fix refcounting for unexpected add/remove events
* Mon Feb 21 2005 - mantel@suse.de
- patches.suse/enable-sysrq: allow again to use /proc/sysrq-trigger
  regardless the setting of /proc/sys/kernel/sysrq
* Mon Feb 21 2005 - mantel@suse.de
- patches.drivers/ibm-acpi-update: Update ibm-acpi to 0.10 (none).
* Sun Feb 20 2005 - agruen@suse.de
- patches.fixes/pci-resource-window-allocation-fix.diff: IBM
  Thinkpad G41 (and others) PCMCIA problems fix from Linus.
* Sun Feb 20 2005 - olh@suse.de
- update to 2.6.11-rc4-bk8, radeonfb, misc fixes
* Sun Feb 20 2005 - agruen@suse.de
- rpm/kernel-binary.spec.in: Move vmlinux.gz to the debuginfo
  package (except for ppc for now). It grows much too big with
  debug infos enabled.
* Sat Feb 19 2005 - olh@suse.de
- add patches.drivers/usb-qc-usb-0.6.2-remap_page.patch
  add patches.drivers/usb-qc-usb-0.6.2-urb-kill.patch
  workarounds for 2.6.11 changes
* Sat Feb 19 2005 - olh@suse.de
- add patches.drivers/bk-ieee1394.patch from 2.6.11-rc3-mm2
* Sat Feb 19 2005 - olh@suse.de
- update to 2.6.11-rc4-bk7, bluetooth fix
* Fri Feb 18 2005 - mason@suse.de
  Update the NAT over IPsec patches
- Update config files.
- patches.suse/netfilter-02-output-hooks:
- patches.suse/netfilter-03-input-hooks:
- patches.suse/netfilter-04-policy-lookup:
- patches.suse/netfilter-05-policy-checks:
- patches.suse/netfilter-06-policy-match:
* Fri Feb 18 2005 - tiwai@suse.de
- patches.drivers/alsa-cvs-fixes: ALSA CVS patches update.
* Fri Feb 18 2005 - olh@suse.de
- update to 2.6.11-rc4-bk6, acpi 3.0, 4lvl mm fixes
* Fri Feb 18 2005 - okir@suse.de
- patches.suse/nfs-statd-hostnames: Make kernel statd/lockd use
  hostnames for SM_NOTIFY.
* Fri Feb 18 2005 - agruen@suse.de
- Based on a patch from Olaf Dabrunz <odabrunz@suse.de>:
  Automatically enable CONFIG_DEBUG_INFO when building with debug
  symbols (in which case RPM_OPT_FLAGS contains -g).
* Fri Feb 18 2005 - kraxel@suse.de
- series.conf: update skas patches, disable one bad uml patch.
- patches.uml/skas-2.6.11-v7-rc1.patch: Delete.
- patches.uml/skas-2.6.11-v8-rc2.patch: skas3+sysemu patch v8.
* Fri Feb 18 2005 - agruen@suse.de
- patches.fixes/drm-i915-on-x86_64.diff: Enable CONFIG_DRM_I915
  on x86_64 as well.
- Update config files.
* Thu Feb 17 2005 - olh@suse.de
- update to 2.6.11-rc4-bk5, usb hub + ehci fixes
* Thu Feb 17 2005 - mantel@suse.de
- patches.fixes/i810-resume-fix: fix resume with i810 chipset
* Wed Feb 16 2005 - olh@suse.de
- update to 2.6.11-rc4-bk4, tty, network, tg3, radeonfb fixes
* Wed Feb 16 2005 - olh@suse.de
- add patches.suse/acpi_errors_on from trenn
  remove patches.suse/enable_acpi_object_cache.diff
  speedup acpi debug handling (SUSE50454)
  disable CONFIG_ACPI_DEBUG
* Tue Feb 15 2005 - olh@suse.de
- update to 2.6.11-rc4-bk3, xfs fixes
* Tue Feb 15 2005 - garloff@suse.de
- patches.suse/security-clean-stubs: Fix non CONFIG_SEC.._NETWORK
  case (by agruen).
* Mon Feb 14 2005 - tiwai@suse.de
- patches.drivers/alsa-cvs-fixes: ALSA CVS patches.
* Mon Feb 14 2005 - kkeil@suse.de
- add new driver patches.drivers/i4l-hisax-hfc48s
- fix HFC USB driver patches.fixes/i4l-hisax-hfcusb
- fix ST 5481 USB driver  patches.fixes/i4l-hisax-st5481
* Mon Feb 14 2005 - olh@suse.de
- update to 2.6.11-rc4-bk2, misc changes
* Mon Feb 14 2005 - okir@suse.de
- patches.fixes/vlan-bonding-normal-frames: VLAN over bonding:
  allow non-VLAN traffic to pass (SUSE50709).
* Mon Feb 14 2005 - okir@suse.de
- patches.fixes/sunrpc-cache-crash: RPC authentication cache fix
  from Neil Brown
* Mon Feb 14 2005 - mantel@suse.de
- Update config files.
- patches.drivers/drm-via: add DRM support for Via unichrome
  video cards (None). Re-enable driver now that it is fixed.
  Enable only on i386
* Mon Feb 14 2005 - mason@suse.de
- enable CONFIG_NTFS_RW
* Sun Feb 13 2005 - garloff@suse.de
- Split up security-disabled-... patch.
* Sun Feb 13 2005 - garloff@suse.de
- Clean patches.suse/security-disabled-optimize-cap-default.
* Sun Feb 13 2005 - olh@suse.de
- add patches.fixes/radeon_pm-register-typo.patch, from rc4-bk1
* Sun Feb 13 2005 - olh@suse.de
- update to 2.6.11-rc4, sparc, arm fixes
* Sat Feb 12 2005 - olh@suse.de
- update to 2.6.11-rc3-bk9, uml, fb sleep, dm, isdn, vm, tg3 fixes
* Fri Feb 11 2005 - olh@suse.de
- update to 2.6.11-rc3-bk8, scsi, sonypi, shmget fixes
* Fri Feb 11 2005 - mantel@suse.de
- disable drm-via driver temporarily until problems fixed
* Fri Feb 11 2005 - mantel@suse.de
- Update config files.
- patches.drivers/drm-via: add DRM support for Via unichrome
  video cards (None).
* Thu Feb 10 2005 - kkeil@suse.de
- readd patches.fixes/i4l-filter-fix
  patches.fixes/i4l-nullpointer-fix
* Thu Feb 10 2005 - agruen@suse.de
- Enable DRM config options.
* Thu Feb 10 2005 - kraxel@suse.de
- patches.xen/xen-common.diff: one more chunk dropped.
* Thu Feb 10 2005 - kraxel@suse.de
- patches.xen/xen-common.diff: drop bits which are already in
  patches.uml/xen-vt-runtime.
* Thu Feb 10 2005 - olh@suse.de
- update to 2.6.11-rc3-bk7, network, tg3 updates
* Thu Feb 10 2005 - kraxel@suse.de
- Update config files.
- patches.uml/xen-vt-runtime: make VT console runtime-switchable.
- patches.uml/uml-vt-runtime: use runtime-switchable vt for uml.
* Thu Feb 10 2005 - olh@suse.de
- add patches.suse/enable_acpi_object_cache.diff
  Improves performance for ACPI drivers especially when ACPI_DEBUG
  is compiled in.
* Thu Feb 10 2005 - kraxel@suse.de
- Update uml config file, update skas patch.
- patches.uml/host-skas3: Delete.
- patches.uml/skas-update-2.6.10.patch: Delete.
- patches.uml/skas-2.6.11-v7-rc1.patch: skas3+sysemu patch v7a.
* Wed Feb 09 2005 - garloff@suse.de
- Make IDE drivers more modular in Xen.
- Update Xen patches, drop various bits that have been merged.
- Clean up mkinitrd creation for Xen.
* Wed Feb 09 2005 - mantel@suse.de
- Update config files.
- patches.fixes/enable-megaraid-legacy: allow for both
  megaraid_mbox and megaraid to be built (SUSE50431).
* Wed Feb 09 2005 - olh@suse.de
- update to 2.6.11-rc3-bk6, drm, md updates
* Wed Feb 09 2005 - olh@suse.de
- update to 2.6.11-rc3-bk5, libata, bluetooth, netfilter updates
* Wed Feb 09 2005 - kkeil@suse.de
- fix a race condition in r8169 network driver which cause a
  endless loop on device close (SUSE50488)
* Tue Feb 08 2005 - ak@suse.de
- Disable CONFIG_INTEL_MCH_AGP
* Tue Feb 08 2005 - agruen@suse.de
- patches.fixes/remove-extraversion.diff: Remove; the instsys has
  been fixed to cope with long KERNELRELEASE strings already.
* Tue Feb 08 2005 - ak@suse.de
- patches.fixes/pt-gnu-stack-fix: Let E stack imply executable heap
* Mon Feb 07 2005 - okir@suse.de
- patches.fixes/nfsd-no-cache-readdir: Do not cache NFSv2 readdir
  replies (SUSE50435).
* Mon Feb 07 2005 - olh@suse.de
- update to 2.6.11-rc3-bk4, ide, net, tg3 updates
* Mon Feb 07 2005 - garloff@suse.de
- patches.suse/security-disabled-optimize-cap-default: Fix.
* Mon Feb 07 2005 - agruen@suse.de
- Require a recent enough version of mkinitrd, which is required
  due to modularizing the ide drivers.
- Use the perl-Bootloader library to update bootloader menus
  when installing/removing kernel packages.
* Mon Feb 07 2005 - agruen@suse.de
- patches.suse/security-disabled-optimize-cap-default: Make this
  patch compile again.
* Mon Feb 07 2005 - olh@suse.de
- add patches.fixes/usb-proc-devices.patch
  finger point at apps that still not use sysfs
* Mon Feb 07 2005 - olh@suse.de
- update patches.fixes/usb-storage-multilun-sony-usbfloppy.patch
  use correct revision in unusual_devs.h entry
* Sun Feb 06 2005 - olh@suse.de
- add patches.arch/ppc-chrp_nvram.patch
* Sun Feb 06 2005 - olh@suse.de
- update to 2.6.11-rc3-bk3, various small fixes
* Sat Feb 05 2005 - agruen@suse.de
- patches.fixes/xattr-sharing-bug.diff: Fix long-standing xattr
  sharing bug (SUSE50424).
* Sat Feb 05 2005 - olh@suse.de
- update to 2.6.11-rc3-bk2, uml updates
* Fri Feb 04 2005 - mason@suse.de
- series.conf: enable reiserfs-iosize-hotfix
* Fri Feb 04 2005 - olh@suse.de
- add patches.xen/xen-arch-silent-stack-overflow.diff
* Fri Feb 04 2005 - olh@suse.de
- update to 2.6.11-rc3-bk1, ide, ia64, s390, i2c, usb updates
* Fri Feb 04 2005 - axboe@suse.de
- patches.drivers/ide-sata-barrier: fix bug on requeing of flush
* Fri Feb 04 2005 - axboe@suse.de
- patches.fixes/cfq-requeue: Fix requeue ordering
* Fri Feb 04 2005 - okir@suse.de
- patches.fixes/netfilter-xfrm-get-by-name: IPsec was not working
  due to a bad patch (SUSE50310, fix by mholtmann)
* Fri Feb 04 2005 - ak@suse.de
- patches.fixes/input-no-hotplug: Fix compilation with !CONFIG_HOTPLUG
* Thu Feb 03 2005 - axboe@suse.de
- patches.drivers/ide-sata-barrier: fix various bugs
* Thu Feb 03 2005 - agruen@suse.de
- patches.suse/tmpfs-acl.diff: Fix for CONFIG_TMPFS_POSIX_ACL=n.
- patches.suse/devpts-acl.diff: Remove; feature probably not
  needed.
* Thu Feb 03 2005 - olh@suse.de
- add patches.arch/ppc32-MMCR0_PMXE-saga.patch, disable MMC
* Thu Feb 03 2005 - olh@suse.de
- update to 2.6.11-rc3, dvb, xfs, misc updates
* Wed Feb 02 2005 - vojtech@suse.cz
- patches.suse/input-small-fixes: Fixes more bugs from current BK
  input layer: makes USB keyboard LEDs work, and fixes broken
  implementation of i8042 return from multiplexed mode.
* Wed Feb 02 2005 - agruen@suse.de
- patches.fixes/attr-initialize: Obsolete.
- series.conf: Remove obsolete patches.
* Wed Feb 02 2005 - agruen@suse.de
- patches.suse/ext3-register-filesystem-lifo: Add
  register_filesystem_lifo function for ext2/ext3.
* Wed Feb 02 2005 - agruen@suse.de
- patches.suse/mem-acl.diff: rename to generic-acl.diff.
- patches.suse/tmpfs-acl.diff: Further cleanups.
- patches.suse/devpts-acl.diff: Access Control Lists for /dev/pts.
- Update config files.
* Wed Feb 02 2005 - agruen@suse.de
- patches.fixes/remove-extraversion.diff: Remove EXTRAVERSION.
* Wed Feb 02 2005 - mantel@suse.de
- enable boot splash
* Wed Feb 02 2005 - hare@suse.de
- Fix swsusp from initramfs.
* Wed Feb 02 2005 - axboe@suse.de
- patches.drivers/ide-sata-barrier: remove some debug code
* Wed Feb 02 2005 - axboe@suse.de
- patches.fixes/blk-wait-completion: fix oops for really fast completion
  in blk_execute_rq()
* Wed Feb 02 2005 - mantel@suse.de
- patches.suse/bootsplash: Bootsplash for current kernel (none).
* Wed Feb 02 2005 - agruen@suse.de
- rpm/kernel-binary.spec.in: Modules with spaces in the license
  string were accidentally put into the -nongpl packages.
* Wed Feb 02 2005 - axboe@suse.de
- patches.fixes/scsi-end-io-sense-valid-block-pc: don't assume there is always
  room for sense data in a REQ_BLOCK_PC request
* Wed Feb 02 2005 - axboe@suse.de
- Add new Promise TX4 sata support
* Tue Feb 01 2005 - andrea@suse.de
- patches.suse/silent-stack-overflow: ported to HEAD.
- deleted obsolete (merged in mainline) entries from the
  series file.
* Tue Feb 01 2005 - axboe@suse.de
- Enable/add/remove various patches
* Tue Feb 01 2005 - olh@suse.de
- add patches.fixes/input-event_field_not_found.patch
  [PATCH 3/3] Fix 'event field not found' message filling logs
* Tue Feb 01 2005 - olh@suse.de
- update to 2.6.11-rc2-bk10, acpi, net, bluetooth, tg3 updates
* Tue Feb 01 2005 - olh@suse.de
- add patches.fixes/usb-usbnet.c-ax88772.patch
  Fix ax8817x_bind to use allocated buffer to avoid DMA on the stack
* Tue Feb 01 2005 - olh@suse.de
- add kernel-$flavour to PreReq: in kernel-$flavour-nongpl
* Tue Feb 01 2005 - axboe@suse.de
- patches.drivers/sata-promise-tx2plus: add support for new controller
* Tue Feb 01 2005 - agruen@suse.de
- rpm/kernel-binary.spec.in: Fix module license check so that
  modules with multiple MODULE_LICENSE tags are recognized
  correctly.
- supported.conf: Mark several more modules as supported.
* Tue Feb 01 2005 - agruen@suse.de
- patches.suse/mem-acl.diff: Split off infrastructure from tmpfs
  acls.
- patches.suse/tmpfs-acl.diff: Fix a compile-time error when
  CONFIG_TMPFS_POSIX_ACL is not set.
* Tue Feb 01 2005 - mantel@suse.de
- patches.suse/enable-sysrq: allow enabling of sysreq via kernel
  parameter (SUSE47533).
* Tue Feb 01 2005 - agruen@suse.de
- supported.conf: Mark IDE modules as supported.
* Tue Feb 01 2005 - axboe@suse.de
- Add update barrier support, enable barriers for sata
* Tue Feb 01 2005 - axboe@suse.de
- patches.suse/request_end_io-sl93: async request end_io callback
* Tue Feb 01 2005 - axboe@suse.de
- Rediff and add patches.drivers/ide-serialize-updates-1
* Mon Jan 31 2005 - mantel@suse.de
- patches.fixes/META_stale.patch: JFS: Simplify stale metapage
  handling so that mp->count isn't held above zero by
  multiple threads. (SUSE50045).
* Mon Jan 31 2005 - mantel@suse.de
- Update config files.
- patches.drivers/sensors-vt1211: add vt1211 support to i2c to
  handle sensors on VIA EPIA motherboards (SUSE49641).
* Mon Jan 31 2005 - hare@suse.de
- Modularized IDE drivers for i386 / x86_64 / ia64.
* Mon Jan 31 2005 - olh@suse.de
- update to 2.6.11-rc2-bk9, netfilter memleak fix
* Mon Jan 31 2005 - axboe@suse.de
- patches.fixes/scsi_lib2611rc2bk8.diff: fix scsi_lib.c SG_IO screwup
* Mon Jan 31 2005 - tiwai@suse.de
- patches.drivers/alsa-cvs-fixes: ALSA CVS patches.
  Fix ppc compile error and intel8x0 update.
* Mon Jan 31 2005 - hare@suse.de
- add patches.fixes/swsusp-from-initramfs.patch
  Enabling resume from initramfs.
* Mon Jan 31 2005 - olh@suse.de
- add patches.arch/ppc64-p615-iommu-fix.patch
  fix crash in IDE DMA setup
* Mon Jan 31 2005 - mantel@suse.de
- patches.drivers/alsa-hda-intel: Delete.
- patches.drivers/alsa-cvs-fixes: ALSA CVS patches.
* Mon Jan 31 2005 - agruen@suse.de
- patches.suse/tmpfs-acl.diff: Access Control Lists for tmpfs.
* Sun Jan 30 2005 - agruen@suse.de
- patches.rpmify/module-parmtype.diff: Module parameter type
  fixes.
- patches.rpmify/cvs-timestamp-in-oopses.diff: Obsoleted by the
  release-numbers file in CVS.
- patches.fixes/kbuild-external-module-support.patch: Obsolete.
- patches.fixes/apic-initdata: Obsolete.
- patches.fixes/swsusp-fixup-pages-count: Obsolete.
- patches.fixes/suspend-wrong-wakeup-address: Obsolete.
- patches.rpmify/mod_param-typeinfo.diff: Obsolete.
- patches.rpmify/kbuild-deps-version.h: Obsolete.
* Sun Jan 30 2005 - olh@suse.de
- update to 2.6.11-rc2-bk8, x86_64, libata, cfg fixes
* Sun Jan 30 2005 - agruen@suse.de
- patches.suse/nfsd-acl: Syntax error with older compiler.
* Sat Jan 29 2005 - olh@suse.de
- add patches.fixes/patch-2.6.11-rc2-bk4-pegasos_chrp_pcibios_fixup.patch
  reverse check for pegasos board
* Sat Jan 29 2005 - olh@suse.de
- update to 2.6.11-rc2-bk7, scsi updates
* Sat Jan 29 2005 - olh@suse.de
- add patches.fixes/patch-2.6.11-rc2-rest_init-local_irq_disable.patch
  keep irqs enabled to avoid lockup during boot
* Fri Jan 28 2005 - olh@suse.de
- update to 2.6.11-rc2-bk6, input, netdriver updates
  update patches.drivers/bk-dtor-input-rc1-mm2.patch to apply
* Fri Jan 28 2005 - axboe@suse.de
- patches.fixes/cfq-default: make cfq the default io scheduler
* Fri Jan 28 2005 - axboe@suse.de
- patches.fixes/cfq-ts-sl93: update cfq io scheduler to time sliced version
* Fri Jan 28 2005 - ak@suse.de
- patches.arch/x86_64-srat-empty-nodes: Another fix
* Fri Jan 28 2005 - ak@suse.de
- patches.arch/i386-apic-up: Fix and reenable. APIC is
  now disabled on i386 UP kernels by default again.
* Fri Jan 28 2005 - ak@suse.de
- patches.arch/x86_64-srat-empty_nodes: Handle empty nodes in SRAT
  (SUSE50257)
* Fri Jan 28 2005 - agruen@suse.de
- rpm/kernel-syms.spec.in: Adapt to $KERNELRELEASE no longer
  matching %%version-%%release-$FLAVOR.
* Fri Jan 28 2005 - agruen@suse.de
- patches.suse/nfsacl-iop-NULL-fix.diff: Must not initialize
  inode->i_op to NULL.
- patches.fixes/ext3-xattr-reserved-inodes.diff: Don't write
  anything to the in-inode xattr space of reserved inodes.
* Thu Jan 27 2005 - olh@suse.de
- add patches.fixes/patch-2.6.11-rc2-bk5-ftape
  fix syntax error
* Thu Jan 27 2005 - agruen@suse.de
- patches.arch/oprofile-model4: Did not apply.
- patches.fixes/properly-export-find_exported_dentry:
  properly export find_exported_dentry (SUSE50038, SGI:PV923968).
- patches.fixes/xfs-kern-185126a-nfs-inode-data-corruption:
  nfs inode data corruption (SUSE50038, SGI:PV923968).
- patches.fixes/xfs-kern-185437a-nfs-exportfs-dependency-fix:
  nfs exportfs dependency fix (SUSE50038, SGI:PV923968).
- patches.fixes/xfs-kern-186566a-fix-modular-nfsd-exports:
  fix modular nfsd exports (SUSE50038, SGI:PV923968).
- Update config files.
* Thu Jan 27 2005 - hare@suse.de
- add patches.suse/initramfs-before-acpi.patch
  Call populate_rootfs prior to ACPI initialisation.
* Thu Jan 27 2005 - ak@suse.de
- Fix oprofile on newer P4s.
* Thu Jan 27 2005 - olh@suse.de
- update to 2.6.11-rc2-bk5, bluetooth, network updates
* Thu Jan 27 2005 - olh@suse.de
- scsi target patch requires new bootloader for ppc64 CHRP
* Wed Jan 26 2005 - olh@suse.de
- add patches.fixes/ixgb_fix_eeh.patch
  redundant Write-Back in Receive Descriptor Ring caused memory
  corruption. (SUSE50213 - LTC12695)
* Wed Jan 26 2005 - olh@suse.de
- update to 2.6.11-rc2-bk4, dvd, pcmcia updates
* Wed Jan 26 2005 - olh@suse.de
- add patches.fixes/usb-storage-multilun-sony-usbfloppy.patch
  another broken floppy (SUSE49049)
* Tue Jan 25 2005 - agruen@suse.de
- rpm/kernel-binary.spec.in: Re-enable km_ modules (they were
  turned off for debugging; forgot to remove the debug code.)
* Tue Jan 25 2005 - olh@suse.de
- enable parport printer option for pseries (SUSE50028 - LTC13260)
* Tue Jan 25 2005 - olh@suse.de
- update to 2.6.11-rc2-bk3, fix memleak in pipe code
* Tue Jan 25 2005 - agruen@suse.de
- rpm/kernel-source.spec.in: Make it so that the release number
  again shows up in the path /usr/src/linux-$VERSION-$RELEASE; it
  accidentally got removed.
* Tue Jan 25 2005 - olh@suse.de
- add patches.fixes/scsi-sd-scsi_device_put-refcount.patch
  add patches.fixes/scsi-sr-scsi_cd_put-refcount.patch
  no use of uninitalized memory (SUSE49207)
* Tue Jan 25 2005 - hare@suse.de
- Remove obsolete patches.
* Mon Jan 24 2005 - olh@suse.de
- update patches.suse/kdb-common, is_kernel() now in mainline
* Mon Jan 24 2005 - agruen@suse.de
- patches.suse/nfsacl-umask.diff: Fix NFSv2.
* Mon Jan 24 2005 - mantel@suse.de
- patches.suse/increase-MAX_MP_BUSSES: increase MAX_MP_BUSSES
  (SUSE42179).
* Mon Jan 24 2005 - mantel@suse.de
- patches.drivers/sk98lin-update: update sk98lin drivers to v8.13
* Mon Jan 24 2005 - agruen@suse.de
- rpm/kernel-binary.spec.in: Remove tolerate_unknown_new_config_options
  hack.
* Mon Jan 24 2005 - olh@suse.de
- update to 2.6.11-rc2-bk2
  x86_64 updates, fix module kallsym lookup breakage
* Mon Jan 24 2005 - kraxel@suse.de
- Update config files.
* Mon Jan 24 2005 - kraxel@suse.de
- series.conf: update+reenable uml+lirc patches.
- patches.uml/frame-size: Delete (merged).
- patches.drivers/lirc-drivers.diff: update + enable lirc drivers.
- patches.drivers/lirc-fixups.diff: Delete.
- patches.drivers/lirc-floating-point.diff: Delete.
* Sun Jan 23 2005 - olh@suse.de
- update to 2.6.11-rc2-bk1, dvb, ia64, 4lvl pagetable updates
* Sun Jan 23 2005 - garloff@suse.de
- xen: Update config and enable patches that don't touch common
  code unconditionally.
* Sat Jan 22 2005 - agruen@suse.de
- Integrate Olaf Kirch's nfsacl review feedback.
- Fix a patch-2.6.11-rc2 merge compile time error.
- Update config files.
* Sat Jan 22 2005 - agruen@suse.de
- patches.fixes/patch-2.6.11-rc2: Merge.
- Merge some xattr fixes that are the queue for 2.6.11.
- rpm/kernel-binary.spec.in: Allow kernel-$FLAVOR and kernel-xen
  to coexist.
- scripts/run_oldconfig.sh, config.conf: Special-case xen.
- patches.xen/xen-2611rc1bk8.diff: Compile-time fix.
* Sat Jan 22 2005 - agruen@suse.de
- Script / specfile cleanups.
- Update config files.
* Sat Jan 22 2005 - andrea@suse.de
- patches.suse/protect-pids-from-oom2/mapped-base: proc fix
* Fri Jan 21 2005 - garloff@suse.de
- Port xen to 2.6.11-rc1-bk8.
* Fri Jan 21 2005 - mason@suse.de
- series.conf: put ecc-pci_get_class into series.conf
* Fri Jan 21 2005 - mason@suse.de
- patches.drivers/ecc-pci_get_class: make drivers/char/ecc.c
  use pci_get_class.
* Fri Jan 21 2005 - mason@suse.de
- patches.suse/legacy-remap_page_range: add back remap_page_range
  until all modules are converted.
* Fri Jan 21 2005 - schwab@suse.de
- Update kdb patches.
* Fri Jan 21 2005 - mantel@suse.de
- patches.fixes/fix-aout-leak: Delete.
- patches.drivers/qla4xxx: add qlogic qla4xxx driver version
  v5.00.01b10 (none).
- patches.fixes/export-symbols-gpl: export some symbols for SGI
  GPL kernel modules (SUSE46082).
* Fri Jan 21 2005 - agruen@suse.de
- Update nfsacl patches.
- Update config files.
* Fri Jan 21 2005 - hare@suse.de
- patches.drivers/bk-input-rc1-mm2.patch
  Update input drivers to 2.6.11-rc1-mm2.
- patches.drivers/bk-dtor-input-rc1-mm2.patch
  Update input drivers
- patches.drivers/bk/input-{mm1,rc1}.patch
  Remove obsolete patches
- patches.drivers/bk-dtor-input-rc1.patch
  Remove obsolete patch.
* Fri Jan 21 2005 - andrea@suse.de
- patches.fixes/lowmem_reserve: forward ported
- patches.fixes/oom-killer: forward ported
- patches.fixes/tif_memdie: forward ported
- patches.fixes/used_math: forward ported
- patches.fixes/backout-smp_rmb-removal: fixed pte leaking smp race
  between i_size and truncate_count
* Fri Jan 21 2005 - mason@suse.de
- Update patches.suse/sunrpc-enosys-when-unavail so things
  compile
* Fri Jan 21 2005 - garloff@suse.de
- Adapt xen patches.
* Fri Jan 21 2005 - mason@suse.de
- patches.fixes/patch-2.6.11-rc1: 2.6.11-rc1.
- patches.fixes/patch-2.6.11-rc1-bk8: 2.6.11-rc1-bk8.
* Fri Jan 21 2005 - mason@suse.de
- Update to 2.6.11-rc1-bk8
* Thu Jan 20 2005 - garloff@suse.de
- Fix save/restore problem in Xen (__init in timer_tsc init).
* Thu Jan 20 2005 - axboe@suse.de
- patches.fixes/scsi-sg-unknown-warn: only warn on unknown commands
  in SG_IO
* Thu Jan 20 2005 - garloff@suse.de
- Merge Xen architecture (post-2.0.3 testing)
* Thu Jan 20 2005 - kraxel@suse.de
- update dvb/v4l drivers:
- patches.drivers/v4l-cx88-update: cx88 update.
- patches.drivers/v4l-tuner-update: v4l: tuner update.
- patches.drivers/v4l-mpeg-api: v4l2 mpeg api.
- patches.drivers/v4l-mt352: mt352 frontend update.
- patches.drivers/v4l-saa7134-update: saa7134 update.
* Thu Jan 20 2005 - hare@suse.de
- add patches.drivers/bk-input-class-device.patch
  Fix input layer to send proper hotplug events
* Thu Jan 20 2005 - schwab@suse.de
- Update to latest kdb patches.
* Wed Jan 19 2005 - olh@suse.de
- add patches.fixes/usb-net-ax8817x-goodway.patch
  Add support for another AX8817x network device
* Wed Jan 19 2005 - agruen@suse.de
- patches.suse/nfsacl-client-cache.diff: Fix CONFIG_NFS_ACL=n case.
* Wed Jan 19 2005 - mantel@suse.de
- patches.drivers/alsa-new-drivers: Delete.
- Update config files.
- patches.drivers/bk-alsa-update: Linus BK backport of ALSA stuff.
- patches.drivers/alsa-cvs-fixes: Backport of ALSA CVS fixes.
- patches.drivers/alsa-hda-intel: Addition of Intel High
  Definition Audio driver.
* Wed Jan 19 2005 - agruen@suse.de
- patches.rpmify/mod_param-typeinfo.diff: Fix for whenmoduleparm.h
  is included without including module.h.
* Wed Jan 19 2005 - agruen@suse.de
- rpm/kernel-binary.spec.in: Ghost initrd in the file list twice.
- patches.rpmify/release-number.diff: Release number inserted in
  the wrong position.
* Wed Jan 19 2005 - olh@suse.de
- add imac g5 patches, also needed for current desktop models
  patches.arch/linux-2.6.10-rc3_ImacG5_ide.diff
  patches.arch/linux-2.6.10-rc3_ImacG5_ids.diff
  patches.arch/linux-2.6.10-rc3_ImacG5_pci.diff
  patches.arch/linux-2.6.10-rc3_ImacG5_smu.diff
  http://perso.magic.fr/l_indien/linux-ImacG5/index.htm
* Wed Jan 19 2005 - schwab@suse.de
- Set NR_CPUS to 512 in ia64/debug.
* Tue Jan 18 2005 - agruen@suse.de
- patches.rpmify/buildhost: Hide the build hostname.
- patches.rpmify/check-symvers: Warn when building external
  modules without modversions.
- patches.rpmify/cloneconfig.diff: Add ``cloneconfig'' target.
- patches.rpmify/default-configuration: Don't use running kernel's
  config file by default.
- patches.rpmify/remove-buildenv-paths-from-binaries: Don't
  include absolute filenames in binaries.
- patches.rpmify/rpm-kernel-config: Add the CONFIG_SUSE_KERNEL
  option.
- patches.rpmify/release-number.diff: Hard-code the RPM release
  number; don't get it from .config.
- scripts/run_oldconfig.sh, scripts/sequence-patch.sh,
  rpm/check-for-config-changes, rpm/install-configs:
- patches.rpmify/extmod-extra: Delete obsolete patch.
- patches.rpmify/extmod-doc: Delete obsolete patch.
- Update config files.
* Tue Jan 18 2005 - olh@suse.de
- add /lib/modules/<uname -r> to nongpl package to avoid empty rpms
* Tue Jan 18 2005 - hare@suse.de
- Update input drivers from -mm.
  + add patches.drivers/bk-input-mm1.patch
  + add patches.drivers/bk-input-rc1.patch
  + add patches.drivers/bk-dtor-input-rc1.patch
- Fixed SLRS-pos patch for input update.
- Update config files.
* Mon Jan 17 2005 - agruen@suse.de
- New version of nfsacl: now caches acls on the client. Patches:
  + patches.suse/qsort: Qsort.
  + patches.suse/sunrpc-enosys-when-unavail: Return -ENOSYS for
  RPC programs that are unavailable.
  + patches.suse/sunrpc-enotsupp: Add missing -EOPNOTSUPP =>
  NFS3ERR_NOTSUPP mapping in nfsd.
  + patches.suse/sunrpc-multiple-programs: Allow multiple programs
  to listen on the same port.
  + patches.suse/sunrpc-change-program: Allow multiple programs to
  share the same transport.
  + patches.suse/nfsacl-lazy-alloc: Lazy RPC receive buffer
  allocation.
  + patches.suse/sunrpc-xdr-arrays: Encode and decode arbitrary XDR
  arrays.
  + patches.suse/nfs-access-acl: Add noacl nfs mount option.
  + patches.suse/nfsd-acl: Infrastructure and server side of
  nfsacl.
  + patches.suse/nfsd-acl-v2-solaris: Solaris nfsacl workaround.
  + patches.suse/nfs-acl: Client side of nfsacl.
  + patches.suse/nfsacl-umask.diff: ACL umask handling workaround
  in nfs client (SUSE48477).
  + patches.suse/nfsacl-client-cache.diff: Cache acls on the nfs
  client side (SUSE48477).
* Fri Jan 14 2005 - andrea@suse.de
- patches.fixes/writeback-nr_scanned: count the writeback as
  scanned.
* Fri Jan 14 2005 - mantel@suse.de
- patches.fixes/fix-smp-pagefault: fix race in SMP page fault
  handler (SUSE49652).
* Thu Jan 13 2005 - mantel@suse.de
- patches.fixes/smbfs-security-fix: merged 2.6.10-ac8 smbfs
  fixes and old stefan esser fixes (SUSE46204).
* Thu Jan 13 2005 - mantel@suse.de
- patches.fixes/fix-smp-pagefault: fix race in SMP page fault
  handler (SUSE49652).
* Wed Jan 12 2005 - axboe@suse.de
- patches.fixes/sg-ioctl-unsigned: sg_scsi_ioctl() sign issue (SUSE49782)
* Wed Jan 12 2005 - okir@suse.de
- patches.fixes/nfs-directio-maxsize: Correctly deal with
  oversized NFS DIRECTIO requests (SUSE49685).
* Wed Jan 12 2005 - agruen@suse.de
- Update config files.
* Wed Jan 12 2005 - agruen@suse.de
- rpm/kernel-source.spec.in: Fix "make silentoldconfig" invocation.
- rpm/kernel-binary.spec.in: Add conflict between kernel-um and
  other kernel-$BINARY packages. Add /usr/bin/linux symlink in
  um-host-kernel.
- rpm/post.sh: Small cleanup.
* Tue Jan 11 2005 - ak@suse.de
- (patches.arch/i386-enable-unit-at-a-time, lindenhurst-irqbalance):
  Remove
- i386-command-line: Update and enable.
- optimize-i686: Enable.
* Tue Jan 11 2005 - kraxel@suse.de
- update v4l/dvb drivers:
- patches.drivers/v4l-bttv-input-update: [patch] v4l: bttv IR
  input driver update.
- patches.drivers/v4l-bttv-update: [patch] v4l: bttv update.
- patches.drivers/v4l-cxSUSE22702: [patch] dvb: cxSUSE22702 update.
- patches.drivers/v4l-cx88-update: [patch] v4l: cx88 update.
- patches.drivers/v4l-saa7134-module: [patch] v4l: saa7134 module
  load fix.
- patches.drivers/v4l-tuner-update: [patch] v4l: tuner update.
- patches.drivers/v4l-tvaudio-update: [patch] v4l: tvaudio update.
- patches.drivers/v4l-tveeprom: [patch] v4l: tveeprom.
- patches.drivers/v4l-video-buf-update: [patch] v4l: video
  buf update.
* Mon Jan 10 2005 - ak@suse.de
- Remove some already removed patches from series
* Mon Jan 10 2005 - hare@suse.de
- update patches.s390/s390-netdev-eui64.patch
  Enable per-device IPv6 address generation.
* Sun Jan 09 2005 - olh@suse.de
- add a few fixes from mainline
  patches.fixes/linus-backport.CS461x_gameport_code_isn_t_being_included_in_build.patch
  patches.fixes/linus-backport.EDD_add_edd_off_and_edd_skipmbr_options.patch
  patches.fixes/linus-backport.Fix_broken_RST_handling_in_ip_conntrack.patch
  patches.fixes/linus-backport.Fix_for_NAT_core_on_nonlinear_skbs.patch
  patches.fixes/linus-backport.Fix_megaraid_oops_on_unload.patch
  patches.fixes/linus-backport.Fix_net_core_sock_o_build_failure.patch
  patches.fixes/linus-backport.Fix_up_compiler_inefficiencies.patch
  patches.fixes/linus-backport.Intel_ICH7_DID_s_PIRQ_and_PATA_support.patch
  patches.fixes/linus-backport.NFS_incorrect_df_results.patch
  patches.fixes/linus-backport.PKT_SCHED_dsmark_should_ignore_ECN_bits.patch
  patches.fixes/linus-backport.SERIAL_support_for_another_Rockwell_PNP_modem.patch
  patches.fixes/linus-backport.acpi_video_device_enumeration_fix_incorrect_device_list_allocation.patch
  patches.fixes/linus-backport.cs416x_use_upcase_in_config.patch
  patches.fixes/linus-backport.fix_cdrom_autoclose.patch
  patches.fixes/linus-backport.fix_missing_wakeup_in_ipc_sem.patch
  patches.fixes/linus-backport.fix_sx8_blk_driver_device_naming.patch
  patches.fixes/linus-backport.floppy_build_fix.patch
  patches.fixes/linus-backport.handle_quoted_module_parameters.patch
  patches.fixes/linus-backport.ide_serverworks_add_support_for_CSB6_RAID.patch
  patches.fixes/linus-backport.input_Add_support_for_Kensington_ThinkingMouse_PS_2_protocol.patch
  patches.fixes/linus-backport.ipt_ECN_corrupt_checksum_fix.patch
  patches.fixes/linus-backport.libata_PIO_error_handling_improvement.patch
  patches.fixes/linus-backport.libata_verify_ATAPI_DMA_for_a_given_request_is_OK.patch
  patches.fixes/linus-backport.make_microcode_text_less_confusing.patch
  patches.fixes/linus-backport.quiet_scsi_ioctls_warnings.patch
  patches.fixes/linus-backport.readdir_return_value_missed_in_getdents64.patch
  patches.fixes/linus-backport.time_runx_too_fast_after_S3.patch
* Fri Jan 07 2005 - kraxel@suse.de
- Update uml config file.
* Fri Jan 07 2005 - kraxel@suse.de
- delete a bunch of obsolete uml patches.
- patches.fixes/uml-system-i386-comment-out-cmpxchgb: Delete.
- patches.uml/uml-raise-tty-limit: Delete.
- patches.uml/uml-fix-umldir-order: Delete.
- patches.uml/uml-terminal-cleanup: Delete.
- patches.uml/uml-fix-export-symbol: Delete.
* Fri Jan 07 2005 - kraxel@suse.de
- add a bunch of uml patches from -mm kernels (merged mainline
  post-2.6.10).
* Fri Jan 07 2005 - olh@suse.de
- update emulex fc driver to lpfcdriver-2.6-8.0.13
* Fri Jan 07 2005 - kraxel@suse.de
- patches.fixes/dvb-pinnaclesat: dvb: fix pinnacle pctv sat
  support in 2.6.10.
* Fri Jan 07 2005 - olh@suse.de
- add patches.drivers/usb-qc-usb-0.6.2.patch
  add patches.drivers/usb-qc-usb-kbuild.patch
  Quickcam Express driver from http://qce-ga.sourceforge.net/ (SUSE32497)
* Fri Jan 07 2005 - mludvig@suse.de
- patches.drivers/crypto-padlock: Added PadLock crypto accelerator.
* Wed Jan 05 2005 - mason@suse.de
- delete some dead patches
- patches.suse/can_writepage: Delete.
- patches.suse/ext3-nofs-retry: Delete.
- patches.suse/reiserfs-file-write-prefault: Delete.
- patches.suse/file-write-prefault: Delete.
* Wed Jan 05 2005 - mason@suse.de
- update reiser4 to the latest code drop in -mm
* Tue Jan 04 2005 - mason@suse.de
- delete a number of patches that were already in mainline
* Tue Jan 04 2005 - okir@suse.de
- patches.fixes/cmsg-compat-signedness-fix-fix: Fix cmsg_len
  checks in 32bit compat mode (SUSE49517 - LTC13227).
* Tue Jan 04 2005 - andrea@suse.de
- patches.fixes/writeback-highmem: fix writeback of dirty
  pagecache on blkdev (blkdev is limited to lowmemory).
- patches.fixes/disable_swap_token: deleted from CVS, already in
  2.6.10
* Mon Jan 03 2005 - garloff@suse.de
- Disable CONFIG_IDEDMA_ONLYDISK everywhere.
* Mon Jan 03 2005 - okir@suse.de
- Moved to 2.6.10
- Removed some old patches
* Mon Jan 03 2005 - okir@suse.de
- patches.fixes/netfilter-rmmod-oops: properly clean up
  /proc/net/stat/ip_conntrack dentry when unloading module
* Sat Dec 25 2004 - andrea@suse.de
- patches.fixes/tif_memdie: Convert tsk->memdie to TIF_MEMDIE
  to fix a purerly theoretical race of alpha ev4+SMP or ev4+PREEMPT
  (ev4 is absolutely obsolete hardware).
- patches.fixes/used_math: Convert tsk->used_math to PF_USED_MATH
  to fix a purerly theoretical race of alpha ev4+SMP or ev4+PREEMPT
  (ev4 is absolutely obsolete hardware).
* Fri Dec 24 2004 - andrea@suse.de
- patches.fixes/disable_swap_token: disable swap token completely
  by default. New sysctl can re-enable it at runtime since it
  apparently helps some workload (but it destabilizes everything
  else, ignore-swap-token is still valid but not enough to fix
  all workloads, this is needed too).
- patches.fixes/oom-killer: lots of oom killer fixes. Most
  important fix is that there will not be suprious kills anymore
  so ssh is truly safe now. OTOH Oracle is still screwed by the
  oom killer, but fixing Oracle requires rewriting badness
  from scratch and it's orthogonal with these fixes.
  This also includes a write throttling fix (oom related),
  the p->memdie race fix, and a lock inversion fix
  during the task exiting.
- patches.suse/protect-pids-from-oom2: fixes a race and
  two minor aesthetical bugs.
* Tue Dec 21 2004 - olh@suse.de
- remove patches.suse/pci.ids-update
  CONFIG_PCI_NAMES is not enabled in our configs
* Tue Dec 21 2004 - olh@suse.de
- add patches.fixes/patch-2.6.10-rc3-bk10-bk14
* Mon Dec 20 2004 - hare@suse.de
- patches.suse/sysfs-backing-store-*: Delete.
  Included in mainline.
* Fri Dec 17 2004 - mason@suse.de
  Delete some reiserfs patches that have wandered into mainline
- patches.fixes/reiserfs-bitmap-overflow: Delete.
- patches.suse/reiserfs-cleanup-buffer-heads.diff: Delete.
- patches.suse/reiserfs-cleanup-sb-journal.diff: Delete.
- patches.suse/reiserfs-io-error-handling.diff: Delete.
- patches.suse/reiserfs-write-lock.diff: Delete.
* Fri Dec 17 2004 - mason@suse.de
  Copy getblk_slow-race from SP1
- patches.suse/getblk_slow-race: __getblk_slow can loop forever
  when pages are partially mapped (SUSE43890).
* Fri Dec 17 2004 - mason@suse.de
  Enable some patches
- patches.suse/reiserfs-barrier-default: Make reiserfs default
  to barrier=flush.
- patches.suse/reiserfs-old-format-size.diff: reiserfs_file_write
  should not allow files > 2G on 3.5.x disks (SUSE42191).
- patches.suse/ext3-barrier-default: make ext3 mount default
  to barrier=1.
- patches.suse/reiserfs-nobarrier-fsync: reiserfs_fsync should
  only use barriers when they are enabled.
- patches.suse/reiserfs-vs-8115-warning: reiserfs vs-8115 message
  is not needed. (SUSE40466).
- patches.suse/reiserfs-osync-dirty-inode: reiserfs: use
  mark_inode_dirty instead of reiserfs_update_sd.
* Fri Dec 17 2004 - mason@suse.de
- series.conf, get rid of some duplicates from the sles9 section
* Fri Dec 17 2004 - kraxel@suse.de
- patches.fixes/tiocgdev: rediffed.
- re-enable some patches.
* Fri Dec 17 2004 - kraxel@suse.de
- update + re-enable skas3 patches.
- update + re-enable uml patches.
* Fri Dec 17 2004 - mason@suse.de
  Drop patches where Patch-mainline tag indicated they were
  in mainline already
- patches.drivers/isdn_remove_broken_on_smp.patch: Delete.
- patches.drivers/megaraid-update: Delete.
- patches.fixes/serialize-dgram-read.diff: Delete.
- patches.fixes/prio-tree-expand-bits: Delete.
- patches.fixes/fix-elf-overlap: Delete.
- patches.fixes/cmsg-signedness: Delete.
- patches.fixes/ignore-swap-token: Delete.
- patches.fixes/fix-memory-leak-ip_conntrack_ftp: Delete.
- patches.fixes/cmsg-compat-signedness-fix: Delete.
- patches.fixes/c4_locking_fix: Delete.
* Fri Dec 17 2004 - ak@suse.de
- Enable dm multipath
* Thu Dec 16 2004 - ak@suse.de
- Remove dead entries in series.conf
* Thu Dec 16 2004 - ak@suse.de
- Delete lots of patches.
* Thu Dec 16 2004 - axboe@suse.de
- patches.drivers/ide-kill-stroke-parameter: Delete.
- patches.fixes/bio-map-bounce: Delete.
- patches.fixes/bio-partial-completion: Delete.
- patches.fixes/scsi-cmd-reference: Delete.
- patches.fixes/odirect-eof-fix: Delete.
- patches.fixes/libata-enotty: Delete.
- patches.fixes/scsi-bounce-limit: Delete.
- series.conf:
  Kill dead patches
* Thu Dec 16 2004 - okir@suse.de
- Moved to 2.6.10-rc3-bk10
* Tue Dec 14 2004 - mason@suse.de
- replace Suse-bugzilla tag with References
* Mon Dec 13 2004 - olh@suse.de
- drop pmac64_32bit kernel
* Mon Dec 13 2004 - mantel@suse.de
- patches.fixes/x86-64-up-lost-irq: Edge triggered IRQ lost
  forever when delivered while IRQ disabled.
* Sun Dec 12 2004 - andrea@suse.de
- patches.fixes/oom-warning: Tell the end user not to worry about
  GFP_ATOMIC failures (SUSE48965).
* Fri Dec 10 2004 - mantel@suse.de
- patches.fixes/unsymmetric-pageattr: Fix the non-symmetric
  pageattr changes (SUSE49015).
* Fri Dec 10 2004 - agruen@suse.de
- rpm/post.sh: Fix bugs introduced when fixing SUSE49028.
* Thu Dec 09 2004 - mantel@suse.de
- patches.fixes/fix-memory-leak-ip_conntrack_ftp: Fix memory
  leak in ip_conntrack_ftp (SUSE49047).
* Thu Dec 09 2004 - mantel@suse.de
- patches.fixes/cmsg-compat-signedness-fix: CMSG compat code
  needs signedness fixes too. (SUSE49047).
- patches.fixes/cmsg-signedness: Fix CMSG validation checks
  wrt. signedness. (SUSE49047).
* Thu Dec 09 2004 - mantel@suse.de
- patches.fixes/fix-ip-options-leak: Do not leak IP options. (SUSE49057).
* Thu Dec 09 2004 - mantel@suse.de
- patches.fixes/iPod-unusual-device: Apple iPod lies about its
  size, mounting via USB not possible (SUSE48783).
* Wed Dec 08 2004 - agruen@suse.de
- Add /lib/modules/$(uname -r)/modules.dep and other generated
  files as %%ghost only in kernel-$flavor, and instead always run
  depmod in %%post of kernel-$flavor and kernel-$flavor-nongpl.
* Wed Dec 08 2004 - olh@suse.de
- add patches.arch/asm-ppc-8253pit_h.patch
  missing header file from 2.6.9 for pc speaker driver
* Wed Dec 08 2004 - agruen@suse.de
- rpm/kernel-source.spec.in: Remove obsolete post.sh from file
  list.
* Wed Dec 08 2004 - mantel@suse.de
- patches.drivers/megaraid-update: fix data corruption bug in
  megaraid driver (SUSE49023).
* Tue Dec 07 2004 - olh@suse.de
- drop power3 and smp kernel
* Tue Dec 07 2004 - agruen@suse.de
- Fix initrd.previous creation (SUSE47813).
* Mon Dec 06 2004 - mantel@suse.de
- patches.fixes/igmp-fix: fix possible DoS in igmp code (SUSE48895).
* Mon Dec 06 2004 - mantel@suse.de
- patches.fixes/fix-elf-overlap: check insert_vm_struct failures
  with malicious vmas (SUSE48493).
* Sat Dec 04 2004 - andrea@suse.de
- patches.fixes/pageattr-guard-page: fix pageattr overflow on
  the next page (bug in mm/vmalloc.c). SUSE46920
- ptches.fixes/pageattr-flush-tlb: fix missing tlb flush with
  multiple pages being passed to pageattr at the same time
  (found from source while trying to fix SUSE46920)
* Thu Dec 02 2004 - mantel@suse.de
- patches.fixes/sys_ia32-overrun: Fix buffer overrun in
  arch/x86_64/sys_ia32.c (SUSE48813).
* Wed Dec 01 2004 - agruen@suse.de
- patches.fixes/serialize-dgram-read.diff: Serialize dgram read
  using semaphore just like stream (SUSE48427).
* Mon Nov 29 2004 - agruen@suse.de
- patches.fixes/aio_free_ring-oops.diff: Oops in aio_free_ring
  on 2.6.9 (SUSE48021).
* Thu Nov 25 2004 - andrea@suse.de
- patches.fixes/account-reserved-pages: allow reading from
  zeropage with O_DIRECT/rawio. (SUSE48141)
* Thu Nov 25 2004 - andrea@suse.de
- patches.fixes/prio-tree-expand-bits: fix prio-tree-expand bug.
* Thu Nov 25 2004 - andrea@suse.de
- patches.fixes/ignore-swap-token: disable swap token heuristic
  during mem pressure.
* Wed Nov 24 2004 - agruen@suse.de
- Disable patches.suse/nfsacl-umask.diff until we cache ACLs on
  the client side.
* Wed Nov 24 2004 - agruen@suse.de
- patches.suse/nfsacl-fixes.diff: Device special files and
  permission cache fix (SUSE48477).
- patches.suse/nfsacl-umask.diff: Fix ACL umask handling over nfs
  (SUSE48477).
* Mon Nov 22 2004 - kraxel@suse.de
- update skas3 patch to version 7.
* Fri Nov 19 2004 - trenn@suse.de
- patches.fixes/do_not_restart_on_shutdown
  fixes restart on acpi systems when trying to power off (SUSE47048)
* Fri Nov 19 2004 - okir@suse.de
- patches.fixes/nfs-sillyrename-fix: NFS: Prevent unnecessary
  sillyrenames (SUSE48347 - LTC12621).
* Fri Nov 19 2004 - duwe@suse.de
- config changes: disable dibusb DVB driver that doesn't compile
  with >=2.6.9, re-enable RTC interrupt, reclaim from rarely found
  HPET (Bug SUSE46813)
* Fri Nov 19 2004 - agruen@suse.de
- patches.fixes/compat-fcntl-flock-fix.diff: compat_sys_fcntl[64]
  contain superfluous, buggy test (SUSE47963, SUSE46863).
* Fri Nov 19 2004 - mantel@suse.de
- patches.fixes/compat_ioctl_tcsbrkp:
  move TCSBRKP support to compat layer instead of only fixing for
  x86-64 (SUSE48317)
* Thu Nov 18 2004 - agruen@suse.de
- scripts/log: Summarize config file updates as
  "Update config files".
- Update config files.
* Thu Nov 18 2004 - mantel@suse.de
- patches.fixes/compat_sys_fcntl64: fix overflow with fcntl with
  gcc32 (SUSE46863)
* Wed Nov 17 2004 - agruen@suse.de
- rpm/kernel-binary.spec.in: Include /usr/share/doc/packages/%%name
  in the file list if it exists; km packages may want to place
  additional documentation in there.
* Wed Nov 17 2004 - mantel@suse.de
- patches.fixes/elf-loader-setuid:
  additional checks for elf loader vulnerability
* Tue Nov 16 2004 - agruen@suse.de
- Update config files.
* Tue Nov 16 2004 - agruen@suse.de
- patches.rpmify/srcversion: put srcversion checksum in each
  modinfo section (SUSE46872).
* Tue Nov 16 2004 - agruen@suse.de
- SUSE48207: kernel-binary %%postun: Notify boot loader after another
  kernel has become active.
* Mon Nov 15 2004 - mantel@suse.de
- patches.fixes/fix-aout-leak:
  fix also for x86_64
* Mon Nov 15 2004 - mantel@suse.de
- patches.fixes/zap_pte_range-dirty-pages: [PATCH] zap_pte_range
  should not mark non-uptodate pages dirty.
* Mon Nov 15 2004 - mantel@suse.de
- patches.fixes/account-reserved-pages:
  properly account reserved pages (SUSE47343)
* Mon Nov 15 2004 - mantel@suse.de
- patches.fixes/fix-aout-leak:
  fix a.out leaking fds and memory (SUSE48199)
* Mon Nov 15 2004 - mantel@suse.de
- patches.fixes/smbfs-security-fix: Security fix for 2.6 smbfs (SUSE46204).
* Fri Nov 12 2004 - schwab@suse.de
- Fix handling of symlinks on tmpfs [SUSE48068].
* Fri Nov 12 2004 - mantel@suse.de
- patches.fixes/elf-loader-setuid:
  fix ELF loader when handling setuid binaries (SUSE45632)
* Thu Nov 11 2004 - mantel@suse.de
- patches.fixes/invalidate_inode_pages2-EIO: make invalidate_inode_pages2
  return -EIO on problems in order to fix BUG at fs/mpage.c:462
  during File system stress (SUSE47602 - LTC11826)
* Tue Nov 09 2004 - mantel@suse.de
- patches.fixes/parport-mutex:
  fix oops in parport_wait_peripheral (SUSE47947)
* Fri Nov 05 2004 - andrea@suse.de
- patches.fixes/ioremap-pageattr-fix: fixup DEBUG_PAGEALLOC config
  option on x86 and be even more strict on x86-64
* Wed Nov 03 2004 - axboe@suse.de
- Fix O_DIRECT EOF handling
* Fri Oct 29 2004 - olh@suse.de
- add patches.arch/x86_64-make-O-boot.patch
  allow make O=$dir
* Fri Oct 29 2004 - mantel@suse.de
- patches.fixes/swsusp-ehci_hcd: fix suspend to RAM which was
  prevented by ehci_hcd (SUSE45448)
* Fri Oct 29 2004 - mantel@suse.de
- patches.fixes/patch-2.6.8-005-bluetooth-core-accept-unlink-fix:
  Fix race when unlinking incoming connections
- patches.fixes/patch-2.6.8-006-bluetooth-cmtp-free-skb-fix:
  Let the CAPI free the SKB in the error case
* Thu Oct 28 2004 - vojtech@suse.cz
- patches.fixes/ioremap-pageattr-fix: fix incorrect calls
  to pageattr in ioremap/iounmap and refcounting problems
  in pageattr itself on x86-64 and i386. Thanks to Andi and
  Andrea for the patch. This fixes bug SUSE46920, and possibly
  some others.
* Thu Oct 28 2004 - andrea@suse.de
- patches.fixes/lowmem_reserve: one liner fix for harmless
  bug to really enable the feature by default (SP1 version
  was just fine)
* Wed Oct 27 2004 - hare@suse.de
- Proper cancellation of SCSI devices (SUSE47639)
  add patches.fixes/scsi-host-cancel-fix
  add patches.fixes/scsi-terminate-shost_for_each_device
* Wed Oct 27 2004 - axboe@suse.de
- Fix SCSI bounce limits (SUSE42331)
* Wed Oct 27 2004 - andrea@suse.de
- patches.fixes/kswapd_balance: fix longstanding bug in kswapd
  that didn't balance correctly the zones with the protection
  (now lowmem_reserve) algorithm enabled.
* Tue Oct 26 2004 - axboe@suse.de
- libata must return -ENOTTY for unknown ioctls, not -EOPNOTSUPP
* Tue Oct 26 2004 - axboe@suse.de
- Fix ide interrupt pinning (SUSE47425)
* Tue Oct 26 2004 - kraxel@suse.de
- add patches.drivers/bttv-pinnaclesat-has-dvb: tag the pinnacle sat as
  dvb card (SUSE47586).
- update patches.uml/uml-x11-fb patch (add mmap support).
* Mon Oct 25 2004 - andrea@suse.de
- patches.fixes/lowmem_reserve: avoid oom early kill or deadlocks
  due memory imbalances. This is useful both on x86-64 vs ZONE_DMA
  and especially on x86 on the 32G boxes vs ZONE_NORMAL. This has
  been a critical bugfix for google when implemented originally
  in 2.4. This makes the SUSE CVS the first 2.6 kernel out there
  without this bug. This especially matters on machines without
  swap. The algorithm used to fix this critical bug has been
  developed by SUSE. This algorithm is more efficient than
  throwing cpu and memcopies at the problem.
* Mon Oct 25 2004 - okir@suse.de
- patches.fixes/early-acpi-fix: Prevent partial ACPI setup when
  using acpi=off (SUSE46675).
* Mon Oct 25 2004 - okir@suse.de
- Merged missing patches from 9.2 branch:
  * patches.drivers/cifs-security-fix: Security fixes for CIFS
  (SUSE46501).
  * patches.fixes/smbfs-security-fix: Security fix for 2.6 smbfs
  (SUSE46204).
  * patches.fixes/early-acpi-fix: Prevent partial ACPI setup when
  using acpi=off (SUSE46675).
* Mon Oct 25 2004 - axboe@suse.de
- Bug in O_DIRECT io path if there's nothing left to do.
* Fri Oct 22 2004 - garloff@suse.de
- st-handle-ioctl.diff: general ioctls may succeed where st fails
  [SUSE46446]. st-non-blocking open may be needed as well. (Currently
  disabled.)
* Fri Oct 22 2004 - kraxel@suse.de
- add patches.uml/uml-checksum-fix: missing memory barrier
- add patches.uml/uml-ptrace-fix: fix hang-on-shutdown (SUSE45149).
* Wed Oct 20 2004 - axboe@suse.de
- Fix O_DIRECT/raw issue with reading the last bit of a device (SUSE47120)
* Mon Oct 18 2004 - agruen@suse.de
- patches.rpmify/extmod-extra: extra/ path was lost in last fix.
* Mon Oct 18 2004 - agruen@suse.de
- patches.fixes/suspend-wrong-wakeup-address: suspend-to-ram
  fixup: wrong wakeup address (from Pavel).
* Sun Oct 17 2004 - olh@suse.de
- add patches.fixes/do_anonymous_page-race (SUSE46948 - LTC11574)
  Fix threaded user page write memory ordering
  Make sure we order the writes to a newly created page with the
  page table update that potentially exposes the page to another CPU.
* Sat Oct 16 2004 - agruen@suse.de
- patches.rpmify/extmod-extra: Support official variable name
  INSTALL_MOD_DIR in addition to our MOD_DIR.
* Fri Oct 15 2004 - okir@suse.de
- patches.fixes/nfs-nolock-fix2: Fix broken locking on NFS
  nolock mounts (SUSE47287)
* Fri Oct 15 2004 - kkeil@suse.de
- patches.fixes/c4_locking_fix (SUSE47191)
  * Fix a SMP deadlock for the AVM c4 driver
* Thu Oct 14 2004 - andrea@suse.de
- patches.suse/dynamic-timeslice: re-enable nice levels and set
  default timeslice to good value. SUSE46716
* Wed Oct 13 2004 - garloff@suse.de
- patches.suse/protect-pids-from-oom2: Rediff against 2.6.8 and
  reenable.
* Wed Oct 13 2004 - agruen@suse.de
- patches.drivers/infiniband-kbuild: Fix the fix.
* Tue Oct 12 2004 - agruen@suse.de
- patches.drivers/infiniband-kbuild: Fix kbuild (O=).
- patches.drivers/cx88-kbuild: Fix kbuild (O=).
* Tue Oct 12 2004 - agruen@suse.de
- rpm/kernel-binary.spec.in: Create a dummy initrd with roughly
  the size the real one will have. That way, YaST will know that
  this package requires some additional space in /boot. Add the
  initrd as a %%ghost file.
- rpm/postun.sh: %%ghost files are cleaned up automatically; no need
  to remove it manually here anymore.
* Fri Oct 08 2004 - okir@suse.de
- patches.fixes/sunrpc-authdomain-lookup: Fix sunrpc
  auth_domain_lookup (SUSE46946)
* Fri Oct 08 2004 - agruen@suse.de
- patches.suse/acpi-dsdt-from-initrd: One more tiny tweak.
- kernel-binary.spec: Remove custom patch + custom config
  file hack: patches.addon provides a more general mechanism.
- rpm/kernel-binary.spec.in: Add version to provided symbol
  "kernel". This will help with extra packages that contain kernel
  modules.
- Add $post script to nongpl package so that mkinitrd is called
  if the initrd contains a module from the nongpl package.
* Fri Oct 08 2004 - agruen@suse.de
- patches.rpmify/supported-flag: Check for /.buildenv instead of
  an environment variable: this avoids superfluous rebuilds while
  working inside a build environment.
* Thu Oct 07 2004 - agruen@suse.de
- patches.suse/acpi-dsdt-from-initrd: Updated version; should fix
  SUSE46254 for real now.
- patches.fixes/quiet-acpi: Drop obsolete patch.
* Wed Oct 06 2004 - ak@suse.de
- Add C2/C3 blacklist entry for Medion laptop (SUSE45404)
* Wed Oct 06 2004 - okir@suse.de
- patches.fixes/ipfwadm-symbol-cleanup: Prevent exported symbols
  from showing up in ipfwadm.ko (SUSE46802)
* Wed Oct 06 2004 - agruen@suse.de
- patches.fixes/swsusp-fixup-pages-count: swsusp: Fix the number
  of pages to be copied (SUSE44832)
* Tue Oct 05 2004 - mantel@suse.de
- tagged SL92
* Tue Oct 05 2004 - mantel@suse.de
- patches.fixes/ide-dma-blacklist: fix IDE DMA blacklist handling
* Tue Oct 05 2004 - ak@suse.de
- Fix Thinkpad C2/C3 workaround (SUSE45404)
* Tue Oct 05 2004 - ak@suse.de
- Add two scheduler load balance fixes from l-k
* Mon Oct 04 2004 - agruen@suse.de
- patches.fixes/no-oom-kill: SUSE46535: Add local-oom-kill sysctl
  to allow disabling the OOM killer
- timestamps: Add the most important SUSE LINUX 9.2 snapshot
  timestamps.
* Mon Oct 04 2004 - agruen@suse.de
- patches.fixes/swsusp-proc-startup-times: swsusp: fix process
  start times after resume (from Pavel).
* Mon Oct 04 2004 - ak@suse.de
- Fix broken input parameter check in NUMA syscall.
* Mon Oct 04 2004 - ak@suse.de
- Don't free override DSDT early (hopefully fixes SUSE46254)
* Mon Oct 04 2004 - kraxel@suse.de
- add patches.drivers/dvb-cx24110-fix.diff
  Fix initialization order bug leading to an oops (SUSE46730).
* Mon Oct 04 2004 - hare@suse.de
- add patches.fixes/lsusb-lockup.patch
  Fix lockup on calling 'lsusb' (SUSE46600).
* Mon Oct 04 2004 - olh@suse.de
- add patches.fixes/usb-hcd-usb_register_bus-unlocking.patch
  usb: hcd locking fix, missing up() on an error path.
* Mon Oct 04 2004 - ak@suse.de
- Fix TCP window tracking in netfilter conntrack
* Mon Oct 04 2004 - schwab@suse.de
- Update /boot/vmlinuz symlink before calling /sbin/new-kernel-pkg.
* Sun Oct 03 2004 - schwab@suse.de
- Hide non-OF PCI devices on PowerMacs.
* Sat Oct 02 2004 - jeffm@suse.com
- Release path after iput in sys_unlink (SUSE45004)
* Sat Oct 02 2004 - olh@suse.de
- add patches.fixes/ieee1394-khpsbpkt-suspend
  handle -EINTR during suspend (SUSE45851)
* Sat Oct 02 2004 - ak@suse.de
- Fix compilation of x86-64 UP
* Fri Oct 01 2004 - ak@suse.de
- patches.fixes/export-kallsyms_lookup: Drop
- patches.drivers/infiniband-mlock: Add workaround for broken
  code.
* Fri Oct 01 2004 - ak@suse.de
- patches.arch/x86_64-msi: fix logical MSI target
- patches.arch/x86_64-nvidia-override: ignore timer override on nvidia
- patches.arch/x86_64-profile-pc: avoid bad register access with
  CONFIG_FRAME_POINTER
* Fri Oct 01 2004 - axboe@suse.de
- Clear bad sector count setting in ide-taskfile for some commands (SUSE42717)
* Fri Oct 01 2004 - agruen@suse.de
- patches.fixes/export-kallsyms_lookup: Export kallsyms_lookup
  (requied by Infiniband mosal.ko)
- patches.fixes/export_symbol: Probably obsoleted; removing.
* Fri Oct 01 2004 - mantel@suse.de
- patches.fixes/acpi-C2-C3: make C2 and C3 states work again (SUSE46597)
* Fri Oct 01 2004 - kraxel@suse.de
- patches.drivers/dvb-alps-fix.diff: make alps frontend ignore the
  cx88 driver (SUSE46559)
* Fri Oct 01 2004 - agruen@suse.de
- Remove obsolete anon-vma, prio-tree, and disable-cap-mlock
  patches.
* Fri Oct 01 2004 - hare@suse.de
- patches.fixes/usb-check-for-disconnect-before-submit
  We should check for disconnect before submitting commands
  to avoid races with the SCSI midlayer (SUSE46316).
* Fri Oct 01 2004 - andrea@suse.de
- patches.fixes/pte-establish-race avoid userspace corruption
  during COWs with threads on x86 PAE with >4G of ram.
* Fri Oct 01 2004 - agruen@suse.de
- patches.fixes/attr-initialize: Prevent chown from modifying
  inode ctimes without permission check (SUSE42542)
- patches.fixes/ext23-no-ace-write-limit.diff: re-enable.
- Remove a few obsolete patches.
* Thu Sep 30 2004 - vojtech@suse.cz
- replace patches.fixes/fat-nokia-fix with a correct (and
  provably harmless) fix, enable it again.
* Thu Sep 30 2004 - agruen@suse.de
- AlSA update from Takashi:
  + patches.fixes/alsa-zz-ac97-cm9761: [ALSA] Add CM9761 AC97
  codec support
  + patches.fixes/alsa-zz-au88x0: [ALSA] Fix au88x0 drivers.
  + patches.fixes/alsa-zz-emu10k1-ac3-fix: [ALSA] Fix EMU10k1
  AC3 playback
  + patches.fixes/alsa-zz-hdsp-meter-fix: [ALSA] HDSP meter
  ioctl fix
  + patches.fixes/alsa-zz-ice17xx-fixes: [ALSA] ice1712/ice1724
  fixes
  + patches.fixes/alsa-zz-ich4-spdif: [ALSA] ICH4/5/6 SPDIF fix
  + patches.fixes/alsa-zz-pcm-link-deadlock: [ALSA] Fix deadlock
  of linked PCM streams
  + patches.fixes/alsa-zz-rme32-oops: [ALSA] Fix RME32 Oops
  + patches.fixes/alsa-zz-seq-name-fix: [ALSA] Improve the sequencer
  client name
  + patches.fixes/alsa-zz-usb-edirol-ua25: [ALSA] Support of
  Edirol UA-25
  + patches.fixes/alsa-zz-usb-urb-fix: [ALSA] Fix unlinking URBs
  + patches.fixes/alsa-zz-via82xx-quirk: [ALSA] Fix via82xx quirk
* Thu Sep 30 2004 - okir@suse.de
- patches.fixes/netfilter6-ipv6-skip-exthdrs: Properly skip
  extension headers when matching IPv6 packets (SUSE46338)
- patches.fixes/netfilter6-icmp6-skip-exthdrs: Skip extension
  headers when matching ICMPv6 packets (SUSE46338)
* Thu Sep 30 2004 - hare@suse.de
- add patches.fixes/visor-override-probe
  Allow user to override Palm OS probe.
* Thu Sep 30 2004 - vojtech@suse.cz
- add patches.fixes/input-alps-dell-inspiron, which should
  fix SUSE46278, and adds an entry for a new type of ALPS
  touchpads used in Dell Inspiron notebooks.
* Thu Sep 30 2004 - olh@suse.de
- add patches.fixes/linux-2.6.9-rc2-rc3-aty128fb.diff
  init rage128 if the driver is compiled into the kernel
* Thu Sep 30 2004 - olh@suse.de
- add patches.fixes/usb-storage-nec-floppy-lun.patch
  floppy fails to report scsi LUNs correctly (SUSE42892)
* Thu Sep 30 2004 - hare@suse.de
- On disconnect we need to mark USB devices as gone and
  drop all requests (SUSE46316).
- Limit the class name size for hidp devices (SUSE46229)
* Thu Sep 30 2004 - hare@suse.de
- Fix resource claiming of SuperIO chips (SUSE45891)
* Thu Sep 30 2004 - axboe@suse.de
- Hold reference to scsi device for lifetime of pending commands (SUSE46316)
* Thu Sep 30 2004 - kkeil@suse.de
- fix from mainline for RLT8169 driver (disable DAC) SUSE46390
* Wed Sep 29 2004 - vojtech@suse.cz
- fixed patches.fixes/fat-nokia-fix, but not enabled yet
* Wed Sep 29 2004 - mason@suse.de
- disable patches.fixes/fat-nokia-fix until bug SUSE46434 is resolved
* Wed Sep 29 2004 - hare@suse.de
- Remove newline from hidp class name.
* Wed Sep 29 2004 - mason@suse.de
- fix reiserfs oops on small filesystems due to
  bitmap overflow
* Wed Sep 29 2004 - axboe@suse.de
- Kill SCSI_IOCTL_SEND_COMMAND until after 9.2 release
* Wed Sep 29 2004 - okir@suse.de
- patches.drivers/sata-uli: include driver for ULi SATA
- updated config files
* Wed Sep 29 2004 - hare@suse.de
- Remove scsi_host after cancelling I/O (bug SUSE46316)
* Wed Sep 29 2004 - olh@suse.de
- update default config, build scsi as module, disable offb
* Tue Sep 28 2004 - axboe@suse.de
- Fix problem with use of bio->bi_io_vec elements after io completion, since
  partial io completions may have overwritten ->bv_len and ->bv_offset.
  (bug SUSE45868)
* Tue Sep 28 2004 - mantel@suse.de
- patches.fixes/swsusp-mysqld: fix suspend to disk when mysqld is
  running (SUSE45953)
* Tue Sep 28 2004 - hare@suse.de
- Update patch to fix all input devices for sysfs (SUSE46229)
- Create dummy name for input_device if no name is provided.
* Tue Sep 28 2004 - holtmann@suse.de
- Fix crash of bluetooth HID devices (SUSE46229)
* Tue Sep 28 2004 - ak@suse.de
- Fix x86-64 MCE oops with multiple MCE entries (SUSE46284)
- Add a new line before MCE panics
* Tue Sep 28 2004 - hare@suse.de
- patches.fixes/null-argument-for-put_device
  put_device() should accept a NULL argument, too (SUSE46234).
* Tue Sep 28 2004 - agruen@suse.de
- patches.drivers/dm-minorcheck: device-mapper: fix minor
  number check
* Tue Sep 28 2004 - andrea@suse.de
- patches.suse/silent-stack-overflow: enforce gap between
  heap and stack. SUSE44807
* Mon Sep 27 2004 - hare@suse.de
- Fix input devices for macintosh.
* Mon Sep 27 2004 - ak@suse.de
- Disable C2/C3 on Thinkpad R40e (SUSE45044)
* Mon Sep 27 2004 - mantel@suse.de
- patches.fixes/fix-inconsistent-font-height: Fix inconsistent
  font height per vt of VGA console
* Mon Sep 27 2004 - ak@suse.de
- And fix the UP compilation too.
* Mon Sep 27 2004 - ak@suse.de
- Finally add proper fix for MSI problems
* Mon Sep 27 2004 - mantel@suse.de
- patches.drivers/dm-update: add device mapper updates needed for
  ataraid devices
* Mon Sep 27 2004 - hare@suse.de
- Fixing refcount error for input_device (SUSE45823).
* Sun Sep 26 2004 - ak@suse.de
- Fix compilation on i386
* Sat Sep 25 2004 - olh@suse.de
- update Release: tag for all specfiles, not just the current one
  (SUSE45207)
* Sat Sep 25 2004 - olh@suse.de
- reenable patches.fixes/nodemgr-locking
  cleanup nodemgr semaphore on module unload (SUSE45851)
* Fri Sep 24 2004 - mludvig@suse.de
- Avoid crash when installing IPsec SA (SUSE46006).
  patches.fixes/xfrm-locking
* Fri Sep 24 2004 - hare@suse.de
- Disable ->release for input_device; triggers a refcount error.
  Temporary fix only; real fix should be coming soon (SUSE45823).
* Fri Sep 24 2004 - ak@suse.de
- Really fix ipchains and ipfw modules (SUSE45141)
* Fri Sep 24 2004 - ak@suse.de
- Add workaround for Intel E75xx erratum 24
* Fri Sep 24 2004 - mludvig@suse.de
- Added module aes-i586 to supported.
* Fri Sep 24 2004 - ak@suse.de
- Fix MCE tainting to not trigger on all non fatal MCE polls.
* Fri Sep 24 2004 - ak@suse.de
- Don't disable IO-APIC on x86-64 VIA (SUSE45842, SUSE45887)
  This may readd the IDE DMA timeout problems some people saw.
* Fri Sep 24 2004 - okir@suse.de
- Fixed a typo in sunrpc-optional-auth
* Fri Sep 24 2004 - olh@suse.de
- remove patches.fixes/usb-ehci_urb_done-barrier.patch
  this patch is not needed, the inital bug was triggered by
  list corruption
* Thu Sep 23 2004 - vojtech@suse.cz
- Add a patch to fix a too strict check in the FAT filesystem
  code to allow mounting various Flash disks including Nokia
  phones.
* Thu Sep 23 2004 - okir@suse.de
- Disable TSO for bcm5700 as well (SUSE45864)
* Thu Sep 23 2004 - mantel@suse.de
- bootsplash: add extra consistency checks to animation update code
* Thu Sep 23 2004 - vojtech@suse.cz
- Remove patches.fixes/compaq-noloop, it's Linus's kernel now
  and in patches.drivers/input-bk.diff.
- Remove patches.drivers/driver-input-linuxwacom.patch, it
  should be merged in input-bk.diff as well
- Rediff & reenable patches.fixes/psmouse-resetafter, which
  was reverted by input-bk.diff by accident
* Thu Sep 23 2004 - ak@suse.de
- Fix ip_fw and ipchains load (SUSE45141)
- Don't enable interrupts in timer suspend on i386/x86-64
* Thu Sep 23 2004 - garloff@suse.de
- Disable scsi-scan-replun-non-ex-lun0.
* Wed Sep 22 2004 - okir@suse.de
- Allow NFS lockd callbacks to work (SUSE45168)
* Wed Sep 22 2004 - axboe@suse.de
- Enable ide disk stroke by default (SUSE45219)
* Wed Sep 22 2004 - axboe@suse.de
- Fix a typo in scsi-scan-replun-non-ex-lun0 (SUSE45717 and others)
* Wed Sep 22 2004 - mantel@suse.de
- fix cardbus issue on x86_64 (SUSE45677)
* Wed Sep 22 2004 - mantel@suse.de
- export symbol get_sb_pseudo (SUSE45571)
* Wed Sep 22 2004 - agruen@suse.de
- patches.rpmify/cvs-timestamp-in-oopses.diff,
  rpm/kernel-binary.spec.in: Add CVS timestamp to Oopses
* Tue Sep 21 2004 - kraxel@suse.de
- merged a bunch of uml kbuild fixes/cleanups from blaisorblade
  (make -j works now for uml).
* Tue Sep 21 2004 - ak@suse.de
- Use intel-agp driver for i865 chipsets (SUSE44894)
* Tue Sep 21 2004 - mantel@suse.de
- fix mounting ntfs filesystems via subfs (SUSE45277)
* Tue Sep 21 2004 - lmb@suse.de
- Fix clusterip patches + enable on all archs.
* Tue Sep 21 2004 - mantel@suse.de
- don't clear/remove referenced pages (SUSE44485)
* Tue Sep 21 2004 - kraxel@suse.de
- fixed and re-enabled lirc patches (SUSE45679).
* Tue Sep 21 2004 - okir@suse.de
- Disable TCP segment offload (TSO) for now; it's too broken (SUSE45666)
* Tue Sep 21 2004 - ak@suse.de
- Disable warning in cpufreq /proc interface code
* Mon Sep 20 2004 - ak@suse.de
- Fix x86-64 compat waitid call for new interface
* Mon Sep 20 2004 - olh@suse.de
- add patches.suse/subfs.patch, avoid km_* mess if possible
* Mon Sep 20 2004 - ak@suse.de
- Add "M" tainted flag for machine checks on i386 and x86-64
* Mon Sep 20 2004 - ak@suse.de
- Disable IO-APIC on VIA boards for x86-64.
- remove merge marks in series file
* Mon Sep 20 2004 - agruen@suse.de
- Remove more obsolete patches.
* Mon Sep 20 2004 - ak@suse.de
- Add left over x86-64 updates:
  Fix information leak in alignment exception (i386 too),
  quieten APIC code, really fix ELF header executable stack checking,
  optimize context switch, fix warnon in machine check handling,
  fix mem= handling.
* Mon Sep 20 2004 - okir@suse.de
- Fixed previous commit :-/
* Mon Sep 20 2004 - okir@suse.de
- Fixed usagi-ipv6-netfilter which got garbled during rc2 update
* Mon Sep 20 2004 - agruen@suse.de
- patches.fixes/nfs-optimistic-caching: Remove obsolete patch.
* Mon Sep 20 2004 - okir@suse.de
- Re-enabled several patches that got disabled post-rc2 merge:
-	patches.suse/kernel-statd
-	usagi-ipv6-fib-subtree, usagi-ipv6-netfilter,
  usagi-ipv6-ip6t-reject, usagi-ipv6-conntrack,
  netfilter-checksum
- Dropped e1000-TSMPT-and-tx-locking.patch
- Updated config files
* Mon Sep 20 2004 - agruen@suse.de
- scripts/log: Run scripts/check-cvs-add to make sure that all
  files in series.conf have been added to the cvs.
* Mon Sep 20 2004 - agruen@suse.de
- Update config files.
* Mon Sep 20 2004 - vojtech@suse.cz
- update the input layer to current BK version, rediff and
  reenable usb legacy disabling patch, update ALPS touchpad
  driver, add Hannes's input sysfs/hotplug patch.
* Mon Sep 20 2004 - agruen@suse.de
- patches.rpmify/extmod-extra: Allow to install external modules
  into custom path.
- Remove obsolete kbuild patches.
* Mon Sep 20 2004 - kraxel@suse.de
- add bttv bugfix.
* Mon Sep 20 2004 - kkeil@suse.de
- add isdn PPP filter fix (SUSE45579)
* Mon Sep 20 2004 - olh@suse.de
- add patches.suse/kdb-asm-hardirq.patch
  hardirq_count() moved from asm/ to linux/
* Mon Sep 20 2004 - garloff@suse.de
- swsusp-x86_64-itercount-register: Move loop iteration counter
  into register variable on x86-64, fixing swsusp. (SUSE44249)
- swsusp_fix_highmem.diff: Move highmem reinitialization before
  enabling local IRQs. (SUSE44329)
* Mon Sep 20 2004 - okir@suse.de
- sunrpc/svcsock: don't propagate TCP recvfrom errors up to nfsd;
  this causes nfsd to exit (SUSE45132)
* Mon Sep 20 2004 - kraxel@suse.de
- driver update: dvb, cx88.
* Mon Sep 20 2004 - axboe@suse.de
- Disable aacraid-update, mark for review.
* Mon Sep 20 2004 - garloff@suse.de
- scsi-scan-replun-non-ex-lun0: Try REPORT_LUNS also when target
  is present but not LUN 0.
* Mon Sep 20 2004 - ak@suse.de
- Add remaining safe fixes from 2.6.9rc2-bk*
  TCP fixes (SUSE45554), fix 64bit ABI, fix timer leak, fix
  NX ELF stack checking, other fixes.
* Mon Sep 20 2004 - mason@suse.de
- update reiser4 rcu barrier patches to match the ones in -mm
* Mon Sep 20 2004 - mason@suse.de
- update reiserfs-osync-dirty-inode
* Mon Sep 20 2004 - mason@suse.de
- enable reiserfs-barrier-default and reiserfs-nobarrier-fsync
* Sun Sep 19 2004 - olh@suse.de
- update patches.suse/suse-ppc-legacy-io.patch
  always disable serial console via legacy driver on pmac
* Sat Sep 18 2004 - olh@suse.de
- fix merge error in patches.drivers/usb-static-sysfs-info
* Fri Sep 17 2004 - ak@suse.de
- Add fixes for CBQ slab corruption and an flock hang
* Fri Sep 17 2004 - olh@suse.de
- add patches.fixes/make_oldconfig_nostamp.patch
  Omit .config file timestamp in the file if the environment
  variable "NOTIMESTAMP" is present (its value is not checked).
* Fri Sep 17 2004 - ak@suse.de
- Fix double unlock in new NETIF_F_LLTX path.
* Fri Sep 17 2004 - mantel@suse.de
- re-add bcm5700 driver version 7.3.5
* Fri Sep 17 2004 - mantel@suse.de
- add modules in kernel/lib to list of supported (SUSE45537)
* Fri Sep 17 2004 - agruen@suse.de
- series.conf: Add patches.drivers/alsa-new-drivers, and adjust
  config files.
* Fri Sep 17 2004 - schwab@suse.de
- Enable SGI_SNSC.
* Fri Sep 17 2004 - kraxel@suse.de
- update UML config.
* Fri Sep 17 2004 - agruen@suse.de
- patches.fixes/bluetooth-bnep-check-checksums: Check checksums
  for BNEP
- patches.fixes/bluetooth-broadcom-hidproxy-no-isoc: Don't use
  ISOC transfers for Broadcom dongle
- patches.fixes/bluetooth-l2cap-cmd-reject-fix: Don't send L2CAP
  reject command for bad responses
* Fri Sep 17 2004 - olh@suse.de
- add patches.arch/ppc32-fix-arch-ppc-boot-common-ns16550c.patch
* Fri Sep 17 2004 - olh@suse.de
- add patches.fixes/269rc3-ppc32-open_pic-build-fix
* Fri Sep 17 2004 - mantel@suse.de
- enable CONFIG_SGI_PARTITION also for i386 and x86_64 (SUSE44581)
* Fri Sep 17 2004 - agruen@suse.de
- patches.drivers/bk-alsa-update: Add __iomem annotations and
  convert from (long) to (void __iomem *).
* Thu Sep 16 2004 - olh@suse.de
- enable CONFIG_PROC_MM for uml on i386
* Thu Sep 16 2004 - jeffm@suse.com
- Fix host-skas3 compilation.
* Thu Sep 16 2004 - schwab@suse.de
- Fix kdb compilation.
* Thu Sep 16 2004 - kraxel@suse.de
- big post-mainline-merge UML patch update.
  * fixed and reenabled host-skas patch (SUSE45149).
  * added some uml fixes fished from lkml
  * added some uml fixes from user-mode-linux.sf.net
  * updated the current patches, dropped a few obsolete/merged ones.
* Thu Sep 16 2004 - garloff@suse.de
- bootsplash-anum-NLD: Fix bootsplash.
* Thu Sep 16 2004 - agruen@suse.de
- patches.rpmify/sumversion.diff: Fix .tmp_versions for external
  modules.
* Wed Sep 15 2004 - lmb@suse.de
- Drop legacy Lustre support hooks.
* Wed Sep 15 2004 - garloff@suse.de
- patches.fixes/269rc2-iomemptr-atm:
  2.6.9rc2 uses void __iomem * for readX/writeX/ioremap/...
- patches.fixes/269rc2-iomemptr-cciss: Likewise
- patches.fixes/269rc2-iomemptr-mtd: Likewise
* Wed Sep 15 2004 - agruen@suse.de
- patches.drivers/bk-alsa-update, patches.drivers/alsa-new-drivers:
  ALSA update from Takashi.
- Update config files.
- patches.drivers/bk-alsa, patches.drivers/kcalloc.dif: Obsolete.
* Wed Sep 15 2004 - axboe@suse.de
- DVD-RAM support for viocd has been merged in mainline
* Wed Sep 15 2004 - axboe@suse.de
- Update the series of barrier patches, luckily most are merged in
  mainline this time!
* Wed Sep 15 2004 - mantel@suse.de
- update PCI IDs to latest version
* Wed Sep 15 2004 - schwab@suse.de
- Remove useless casts.
* Wed Sep 15 2004 - schwab@suse.de
- Update configs.
* Tue Sep 14 2004 - garloff@suse.de
- Remove whirlpool algo.
- Fix patches broken by 2.6.9-rc2.
* Tue Sep 14 2004 - garloff@suse.de
- Update to 2.6.9-rc2.
* Mon Sep 13 2004 - kkeil@suse.de
- readd SET_NETDEV_DEV() call to sk98lin; lost by update (SUSE45174)
- enable vm_reserved patch
* Mon Sep 13 2004 - garloff@suse.de
- Make alps driver less chatty.
- Async serio input probing.
* Mon Sep 13 2004 - agruen@suse.de
- rpm/kernel-source.spec.in: Must not use bash extensions here.
* Mon Sep 13 2004 - agruen@suse.de
- Set VERSION and SUBLEVEL correctly in /usr/src/linux-obj/
  $ARCH/$FLAVOR/Makefile.
* Mon Sep 13 2004 - ak@suse.de
- Update XFS to 2.6.9rc1-bk19 state
- Remove old XFS O_DIRECT hack
- Don't enable reiser4 by default in Kconfig
* Mon Sep 13 2004 - axboe@suse.de
- CUE_SHEET command was not in -rc1 released list of allowed commands,
  readd it.
* Mon Sep 13 2004 - agruen@suse.de
- rpm/kernel-binary.spec.in: Put Module.symvers file into
  /usr/src/linux-obj/$ARCH/$FLAVOR/ so that modules can be built
  for the running kernel even without the kernel-syms package.
* Thu Sep 09 2004 - mason@suse.de
- add reiserfs-iosize-hotfix to solve rpm problems with the
  larger io sizes
* Thu Sep 09 2004 - agruen@suse.de
- Add an empty patches.addon.tar.bz2 for the convenience of
  people who want to rebuild their own kernels with add-on patches.
* Thu Sep 09 2004 - olh@suse.de
- disable CONFIG_BLK_DEV_UB (Low Performance USB Block driver)
* Thu Sep 09 2004 - agruen@suse.de
- patches.fixes/burnfix.diff: DVD writing fix from jens Axboe.
* Thu Sep 09 2004 - garloff@suse.de
- fastboot-console-init: Don't generate hotplug events for virtual
  consoles. Speeds up booting by ~2s. By okir.
* Thu Sep 09 2004 - garloff@suse.de
- swsusp-fix-small: suspend broke when onlyvery little memory was
  used (init=/bin/bash). By pavel.
- ide-probe-delay: sleep 5ms instead of 50ms in ide probe and
  provide idewait= boot param to change. Saves ~3s boot time.
* Wed Sep 08 2004 - agruen@suse.de
- patches.drivers/kcalloc.dif: Add kcalloc function (like
  user-space calloc). From Takashi Iwai <tiwai@suse.de>.
* Tue Sep 07 2004 - schwab@suse.de
- Enable IP_NF_CONNTRACK_MARK, IP_NF_TARGET_CONNMARK,
  IP_NF_MATCH_CONNMARK.
* Mon Sep 06 2004 - mantel@suse.de
- update aacraid driver to latest version
* Mon Sep 06 2004 - mantel@suse.de
- add new megaraid driver (LSI megaraid_mm) version 2.20.3.1
* Mon Sep 06 2004 - mantel@suse.de
- update ALSA to latest bk version
* Mon Sep 06 2004 - kkeil@suse.de
- add isdn fixes from 2.6.9-rc1-bk
* Sat Sep 04 2004 - ak@suse.de
- quieten and fix time lost logic on x86-64.
* Fri Sep 03 2004 - mantel@suse.de
- update sk98lin driver to 7.04
* Fri Sep 03 2004 - olh@suse.de
- add patches.fixes/usb-ehci-watchdog-queuelocking.patch
  fix list corruption when ehci_irq and ehci_watchdog operate
  one the same list elements (SUSE43633)
* Wed Sep 01 2004 - mantel@suse.de
- make bootsplash more verbose before reading the image
* Wed Sep 01 2004 - mantel@suse.de
- fix memory corruption in libata (SUSE44432)
* Wed Sep 01 2004 - mantel@suse.de
- fix bootsplash for new kernel version
* Wed Sep 01 2004 - agruen@suse.de
- rpm/source-post.sh: Remove $RPM_BUILD_ROOT which has nothing to
  do here.
* Wed Sep 01 2004 - agruen@suse.de
- Move comments from series.conf into patch files.
* Wed Sep 01 2004 - schwab@suse.de
- Export pm_power_off.
* Tue Aug 31 2004 - agruen@suse.de
- Clean up; move comments from series.conf into patch files.
- patches.fixes/swsusp-warnings.diff: Obsolete.
* Tue Aug 31 2004 - schwab@suse.de
- Fix kdb compilation.
* Tue Aug 31 2004 - schwab@suse.de
- Fix missing header.
* Tue Aug 31 2004 - ak@suse.de
- fix infiniband compilation
* Tue Aug 31 2004 - ak@suse.de
- fix 32bit emulation problems on x86-64 (SUSE44082)
* Tue Aug 31 2004 - agruen@suse.de
- patches.fixes/assembly-inline: Not needed anymore.
* Tue Aug 31 2004 - agruen@suse.de
- series.conf: Remove some leftovers.
- patches.suse/reiserfs-iosize-hotfix: Obsolete.
* Tue Aug 31 2004 - garloff@suse.de
- swsusp-linker-section-flags: Use currect section flags (x86-64)
- rss-limit-enforce: page out pages if process is over RSS and
  there's memory pressure.
* Mon Aug 30 2004 - agruen@suse.de
- patches.fixes/undo-broken-fh-conversion: Undo broken FH
  conversion that broke nfsroot compile.
- patches.suse/sunrpc-change-program-4: Add function to iswitch to
  another RPC program/version after cloning an RPC client.
- patches.suse/nfs-acl: Update to 2.6.9-rc1.
- scripts/cvs-touched-files: Set LC_ALL so that day of week and
  month won't end up localized for comparing timestamps.
* Mon Aug 30 2004 - schwab@suse.de
- Fix cc-version.
* Mon Aug 30 2004 - mantel@suse.de
- update to 2.6.9-rc1
* Mon Aug 30 2004 - garloff@suse.de
- radeonfb-swsusp-noblank: Don't blank radeon framebuffer during
  swsusp
- swsusp-performance-and-progress.diff: Display swsusp progress
  as percentage and major performance speedup
* Mon Aug 30 2004 - agruen@suse.de
- patches.fixes/ipsec-nat-t-old: This is already in mainline.
- patches.suse/ext3-register-filesystem-lifo: Revive.
* Sat Aug 28 2004 - axboe@suse.de
- Kill QIC02 in the configs, it's ancient. Linus is removing it from the
  kernel.
* Fri Aug 27 2004 - mantel@suse.de
- add ALPS driver
* Fri Aug 27 2004 - olh@suse.de
- add patches.fixes/usb-storage-genesys.patch
  work around broken devices from genesys,
  they dont follow the spec
* Thu Aug 26 2004 - kkeil@suse.de
- reenable psmouse-resetafter - it is still needed (SUSE44325)
* Thu Aug 26 2004 - agruen@suse.de
- rpm/kernel-syms.spec.in: Move Requires line below Release line
  so that the %%release macro gets expanded properly (kernel-syms
  requires kernel-source with the same version and release
  number).
* Thu Aug 26 2004 - agruen@suse.de
- patches.suse/writeback-lat, series.conf: Remove superfluous
  latency fix (tiwai@suse.de).
* Thu Aug 26 2004 - okir@suse.de
- prevent oops in ip6t_LOG (SUSE44213)
* Thu Aug 26 2004 - agruen@suse.de
- scripts/tar-up.sh, rpm/kernel-binary.spec.in: Add
  x-devel-packages in neededforbuild of kernel-um.spec.
* Wed Aug 25 2004 - okir@suse.de
- Fixed thinko in devpts-dentry-refcount patch
* Wed Aug 25 2004 - okir@suse.de
- devpts-dentry-refcount: plug memory leak in devpts (SUSE43210)
* Tue Aug 24 2004 - mason@suse.de
- add reiser4 patches from -mm
* Tue Aug 24 2004 - mantel@suse.de
- update IBM ServeRAID driver (ips.c) to 7.10.18
* Tue Aug 24 2004 - agruen@suse.de
- SUSE43492: rpm/post.sh: If mkinitrd fails (because no space is
  left in /boot, etc.), fail the postinstall script as well.
  Create the initrd before changing the symlinks in /boot, so
  that in case of a mkinitrd failure, the symlinks are still valid.
* Tue Aug 24 2004 - agruen@suse.de
- scripts/log: Generate better *.changes entries. Add support for
  doing a cvs commit as well, optiomally allowing to edit the
  commit message.
* Tue Aug 24 2004 - schwab@suse.de
- Import kdb 4.4.
* Mon Aug 23 2004 - axboe@suse.de
- SEND_CUE_SHEET was missing from allowed write command list in scsi_ioctl
- Update filtering table in scsi_ioctl.c to be more complete (makes
  cdrecord work as non-root again, if you have proper permissions).
* Mon Aug 23 2004 - agruen@suse.de
- patches.drivers/infiniband-license-fixes,
  patches.fixes/license-fixes.diff, series.conf: Further module
  license fixes.
* Mon Aug 23 2004 - kraxel@suse.de
- uml: reenable agruens O= fix (patches.fixes/um-O=.diff).
- uml: add framebuffer driver (patches.uml/uml-x11-fb).
* Mon Aug 23 2004 - okir@suse.de
- tcp-rtt-seq-out-of-sync: TCP RTO estimator could get confused,
  causing wrong RTT predictions (SUSE44086)
* Fri Aug 20 2004 - mludvig@suse.de
- Fixed and reenabled patches.rpmify/supported-flag
* Fri Aug 20 2004 - agruen@suse.de
- rpm/kernel-binary.spec.in: Use only the first line of
  build-source-timestamp as the ``uname -v'' timestamp: the second
  line may contain the CVS branch name.
* Fri Aug 20 2004 - mantel@suse.de
- use __u16 instead of u16 in crc-ccitt.h since this is exposed
  to user space (SUSE43884)
* Fri Aug 20 2004 - agruen@suse.de
- In /lib/modules, add symlink $VERSION-$RELEASE-$FLAVOR/updates
-> ../$VERSION-override-$FLAVOR to replace override hack in
  module-init-tools.
* Fri Aug 20 2004 - mantel@suse.de
- update ALSA to latest bk version
* Fri Aug 20 2004 - mantel@suse.de
- disable CONFIG_X86_SPEEDSTEP_CENTRINO on x86_64
* Fri Aug 20 2004 - garloff@suse.de
- i915-agp.diff: Add i915 to list in intel-agp. (SUSE43414)
* Fri Aug 20 2004 - okir@suse.de
- More nfsd xdr decoding fixes (SUSE43603)
* Fri Aug 20 2004 - garloff@suse.de
- bio-sgio-write-copy-from-user: Another fix needed for audio CD
  writing (SUSE43821). Unaligned multisegment BIOs wrote the first
  segment repeatedly instead of all data.
* Fri Aug 20 2004 - kraxel@suse.de
- more uml updates.
* Thu Aug 19 2004 - kraxel@suse.de
- update/review uml patches for 2.6.8 (first cut, more will follow ...).
* Wed Aug 18 2004 - agruen@suse.de
- Require that the versions and release numbers of these packages
  match: kernel-source === kernel-syms, kernel-$FLAVOR ===
  kernel-$FLAVOR-nongpl.
* Wed Aug 18 2004 - agruen@suse.de
- patches.fixes/license-fixes.diff, rpm/kernel-binary.spec.in,
  series.conf: Split binary kernel packages into kernel-$FLAVOR.rpm
  and kernel-$FLAVOR-nongpl.rpm. Resolve duplicate/conflicting
  MODULE_LICENSE tags.
* Wed Aug 18 2004 - agruen@suse.de
- rpm/kernel-binary.spec.in, series.conf:
* Wed Aug 18 2004 - mason@suse.de
- enable aio-wait-exclusive to fix hangs during aio reads.
* Wed Aug 18 2004 - kraxel@suse.de
- update vesafb-mtrr + bootsplash patches.
- enable vesafb-mtrr patch.
* Wed Aug 18 2004 - mantel@suse.de
- re-enable CONFIG_MWAVE
* Wed Aug 18 2004 - mason@suse.de
- update aio patch set
* Wed Aug 18 2004 - agruen@suse.de
- patches.arch/x86_64-patchkit-fix:
  Add missing parentheses in include/asm-x86_64/processor.h
* Wed Aug 18 2004 - kraxel@suse.de
- enable CONFIG_DVB_AV7110_OSD on amd64 (SUSE43455).
* Wed Aug 18 2004 - schwab@suse.de
- Remove obsolete hp-sx1000 patches.
* Tue Aug 17 2004 - schwab@suse.de
- Fix IPv6 mobility patches.
* Tue Aug 17 2004 - garloff@suse.de
- bio-uncopy-free-on-write: fix mem leak triggered by writing
  audio CDs. (SUSE43821)
* Tue Aug 17 2004 - mantel@suse.de
- fix swsuspend on highmem machines
* Tue Aug 17 2004 - mantel@suse.de
- fix files > 2 GB in isofs
* Tue Aug 17 2004 - mantel@suse.de
- fix swsusp-platform.diff
* Tue Aug 17 2004 - agruen@suse.de
- doc/README.SUSE: Update documentation.
- scripts/log: Adapt to improvement of vc script.
* Tue Aug 17 2004 - okir@suse.de
- don't truncate contents of /proc/pid/cmdline when size of argv
  exceeds page size (SUSE43769)
* Mon Aug 16 2004 - okir@suse.de
- updated and re-enabled Pv6 mobility patch
* Mon Aug 16 2004 - mantel@suse.de
- make "platform" suspend method actually work
* Mon Aug 16 2004 - schwab@suse.de
- Enable ROOT_NFS on ia64.
* Mon Aug 16 2004 - mantel@suse.de
- enable CONFIG_PM_DEBUG for the preview phase to help debugging
* Sat Aug 14 2004 - olh@suse.de
- add patches.fixes/nfs-2.6.8.1-oops
  Fix stupid thinkos in the fcntl f_op removal code.
* Sat Aug 14 2004 - agruen@suse.de
- scripts/tar-up.sh: Include CVS branch name in rpm info.
- scripts/sequence-patch.sh: Clean up some mess.
* Sat Aug 14 2004 - olh@suse.de
- update to 2.6.8 final
* Fri Aug 13 2004 - mantel@suse.de
- add Sony ACPI driver
* Fri Aug 13 2004 - axboe@suse.de
- Update to 2.6.8-rc4-bk3 (includes elv-init and SG_IO security fix)
* Fri Aug 13 2004 - olh@suse.de
- add patches.fixes/usb-ehci_urb_done-barrier.patch
  fix list corruption (SUSE43633)
* Fri Aug 13 2004 - ak@suse.de
- Fix ADM Comet NIC on 64bit systems (SUSE35897)
- Remove one obsolete patch
* Fri Aug 13 2004 - mantel@suse.de
- update swsuspend code
* Fri Aug 13 2004 - ak@suse.de
- Rediff & reenable /proc/pid/mapped_base patch
* Fri Aug 13 2004 - ak@suse.de
- Add -d / --dir argument to sequence-patch to avoid $SCRATCH_AREA
* Thu Aug 12 2004 - mason@suse.de
- enable reiserfs and ext3 barrier code again
- rediff and enable the remaining reiserfs patches
* Thu Aug 12 2004 - olh@suse.de
- update to patches.fixes/patch-2.6.8-rc4-bk2
  mtd updates, nfsd signed bug fixed.
* Thu Aug 12 2004 - axboe@suse.de
- Make sure queue members are properly setup before calling into
  elevator init functions. This hurts cfq that needs to check nr_requests.
* Wed Aug 11 2004 - axboe@suse.de
- Fix bug in barrier ide code for write cache off
* Wed Aug 11 2004 - ak@suse.de
- Update s2io driver (SUSE43383)
* Wed Aug 11 2004 - axboe@suse.de
- Update flakey and mpath dm targets to newest from the dm tree
* Wed Aug 11 2004 - olh@suse.de
- update to patches.fixes/patch-2.6.8-rc4-bk1
  net, prism54, libata updates, TEA/XTEA algorithm
* Wed Aug 11 2004 - ak@suse.de
- Remove obsolete XFS bug fixes.
  * DMAPI support temporarily dropped
* Tue Aug 10 2004 - ak@suse.de
- Fix IA64 compilation
* Tue Aug 10 2004 - olh@suse.de
- reenable patches.arch/ibm-ppc64-syscfg-2.diff
* Tue Aug 10 2004 - ak@suse.de
- Update ACPI to latest bk from 2.6.8rc4-mm1
- Add agpgart BK update from 2.8.8rc4-mm1
* Tue Aug 10 2004 - ak@suse.de
- Update to new demand hugetlbfs patches from Ken Chen
  * NUMA API support still missing
* Tue Aug 10 2004 - ak@suse.de
- Reenable tcp-proc-walk and tcp-proc-listen
- Hopefully fix UML compilation
- Reenable XFS locked O_DIRECT workaround/kludge.
- Review some more patches
- Increase i386 command line to 2048 bytes.
* Tue Aug 10 2004 - ak@suse.de
- Remove obsolete patches
* Tue Aug 10 2004 - axboe@suse.de
- Assign some patches to ak/mason, kill dirty address space patch
* Tue Aug 10 2004 - axboe@suse.de
- Enable and kill selected patches.
* Tue Aug 10 2004 - axboe@suse.de
- duplicate definition of ide_id_has_flush_*() macros
* Tue Aug 10 2004 - axboe@suse.de
- Update and include most of the barrier patches (core+drivers and ext3)
* Tue Aug 10 2004 - olh@suse.de
- update patches.suse/suse.ppc32.601cpu.exception
  use patch from Stef Simoens instead of -mno-string
* Tue Aug 10 2004 - axboe@suse.de
- Fixup dm rejects
* Tue Aug 10 2004 - axboe@suse.de
- Update the huge stack of dm patches. Only multipath, flakey, and bbr
  target are not merged in mainline.
* Tue Aug 10 2004 - axboe@suse.de
- congestion API and dm congestions bits are all merged
* Tue Aug 10 2004 - axboe@suse.de
- fbmem fix needs to go as well
* Tue Aug 10 2004 - axboe@suse.de
- Lots of patches merged
* Tue Aug 10 2004 - axboe@suse.de
- ide opcode dump and kblockd_schedule_work() export
* Tue Aug 10 2004 - olh@suse.de
- update to 2.6.8-rc4
* Mon Aug 09 2004 - mludvig@suse.de
- removed patches.fixes/build-crypto-aes - not needed anymore.
* Mon Aug 09 2004 - olh@suse.de
- reenable patches.drivers/ppc64-iseries-icom.patch
* Mon Aug 09 2004 - olh@suse.de
- update patches.suse/suse.ppc32.boot.zimage.built-in.cmdline
  put a built-in cmdline into zImage, overrides stuff passed from OF
  works now on prep and ppc64
* Mon Aug 09 2004 - axboe@suse.de
- Update a few more patches
* Mon Aug 09 2004 - ak@suse.de
- Update defconfigs
* Mon Aug 09 2004 - axboe@suse.de
- aacraid log level patch had an older equiv, add that instead and remove
  the new one from hubert.
- Remove old libata patches (one to go)
* Mon Aug 09 2004 - ak@suse.de
- Fix warnings in es7000
* Mon Aug 09 2004 - ak@suse.de
- Update ACPI to latest BK version from 2.6.8rc3mm2
  * lots of changes: suppor cpufreq  with "acpi" on SMP Nocona,
  update to ACPICA 20040715, Change OS name for better compatibility
  with broken BIOS, Better suspend/resume for IOAPIC, SMP
  support in processor driver, EBDA fixes.
* Mon Aug 09 2004 - olh@suse.de
- update to patches.fixes/patch-2.6.8-rc3-bk4
  Remove ESPIPE logic from drivers,
  letting the VFS layer handle it instead.
* Mon Aug 09 2004 - ak@suse.de
- Add cpufreq BK update from 2.6.8rc3mm2 (fixes x86-64)
  * support cpufreq on SMP Nocona and other fixes.
* Mon Aug 09 2004 - hare@suse.de
- Update patches.fixes/enable-all-events-for-initramfs.patch
- Update patches.suse/khelper-limit-dynamic.patch
* Mon Aug 09 2004 - axboe@suse.de
- Additional cciss patchlet from (to be) mainline
* Sun Aug 08 2004 - olh@suse.de
- update to patches.fixes/patch-2.6.8-rc3-bk3
  proc fixes, Make sysctl pass the pos pointer around properly.
  various ppc, ppc64, s390, net updates, asm aes for i586
* Sat Aug 07 2004 - olh@suse.de
- reenable patches.fixes/firewire-overflow (SUSE42402)
* Sat Aug 07 2004 - olh@suse.de
- reenable patches.fixes/dvdram-write-fail (SUSE41245 - LTC8828)
  reenable patches.drivers/ppc64-iseries-viocd-driveid
* Fri Aug 06 2004 - ak@suse.de
- Review more patches
- Reenable disable APIC patch on UP/i386
* Fri Aug 06 2004 - ak@suse.de
- Remove JFS patches that are already in mainline
  (everything except DMAPI)
* Fri Aug 06 2004 - mantel@suse.de
- fix configs
* Fri Aug 06 2004 - mantel@suse.de
- remove unneeded LOGLEVEL defines from aacraid driver
* Fri Aug 06 2004 - olh@suse.de
- update to patches.fixes/patch-2.6.8-rc3-bk1
  ia64, mtd, arm updates, drop aes
* Fri Aug 06 2004 - schwab@suse.de
- Remove early-printk patch.
* Fri Aug 06 2004 - axboe@suse.de
- Various storage drivers merged
* Fri Aug 06 2004 - axboe@suse.de
- Update cciss patches
* Thu Aug 05 2004 - schwab@suse.de
- Disable CONFIG_IRDA, it uses ISA DMA API without CONFIG_ISA.
- Disable CONFIG_EVLOG, clashes with CONFIG_SCSI_AACRAID.
* Thu Aug 05 2004 - mludvig@suse.de
- Fixed and reenabled patches.suse/netfilter-*
* Thu Aug 05 2004 - olh@suse.de
- reenable patches.drivers/patch-ipr_evlog
  reenable patches.suse/max-init-args
* Thu Aug 05 2004 - ak@suse.de
- Split HP bigsmp fix and acpi blacklists patch into cleaner
  separated patch.
* Thu Aug 05 2004 - mludvig@suse.de
- Enable building crypto/aes.ko on non-x86
  patches.fixes/build-crypto-aes
* Thu Aug 05 2004 - olh@suse.de
- add patches.fixes/usb-pl2303-bufferhandling.patch
  add a circular buffer to pl2303.c
* Thu Aug 05 2004 - olh@suse.de
- update patches.drivers/usb-static-sysfs-info
* Thu Aug 05 2004 - ak@suse.de
- Remove more merged patches
* Thu Aug 05 2004 - ak@suse.de
- Update to x86_64-2.6.8rc3-1
- Fix config files
* Thu Aug 05 2004 - ak@suse.de
- Enable ACPI_DEBUG by default on all architectures
- Add patch from osdl bug #2398 to control ACPI debugging from the
  command line
* Thu Aug 05 2004 - ak@suse.de
- fixup remaining acpi patches.
- remove more merged patches
* Thu Aug 05 2004 - olh@suse.de
- add patches.suse/suse-ppc-legacy-io.patch
  prevent legacy io access on pmac
* Thu Aug 05 2004 - schwab@suse.de
- Enable HW_RANDOM on ia64.
* Thu Aug 05 2004 - ak@suse.de
- Remove some more obsolete patches
* Thu Aug 05 2004 - schwab@suse.de
- Update ia64 configs.
* Thu Aug 05 2004 - schwab@suse.de
- Include <net/ip6_checksum.h> for csum_ipv6_magic.
* Thu Aug 05 2004 - schwab@suse.de
- Export sys_wait4 for xpnet driver.
* Thu Aug 05 2004 - schwab@suse.de
- Fix use of acpi_register_irq.
* Thu Aug 05 2004 - hare@suse.de
- Update S/390 configuration
- Added patches.arch/s390-netdev-eui64.patch
* Thu Aug 05 2004 - axboe@suse.de
- Forgot one patch
* Thu Aug 05 2004 - axboe@suse.de
- Check lots more patches
* Thu Aug 05 2004 - garloff@suse.de
- Build fixes.
* Thu Aug 05 2004 - garloff@suse.de
- Drop many patches (all upstream: axp, scsi, proc-info-leak).
- Port some (bootsplash, kbuild stuff).
- Adapt configs for i386 and x86-64.
* Wed Aug 04 2004 - schwab@suse.de
- Implement 32bit compat PTRACE_GETEVENTMSG for ia64 [SUSE41261].
* Wed Aug 04 2004 - schwab@suse.de
- Update serial console patch.
* Wed Aug 04 2004 - schwab@suse.de
- Update ia64 patches.
* Wed Aug 04 2004 - axboe@suse.de
- More merged patches
* Wed Aug 04 2004 - okir@suse.de
- Merged some more sunrpc and ipv6 patches
* Wed Aug 04 2004 - hare@suse.de
- Merged / removed S/390 patches.
- Update sysfs backing store patches.
* Wed Aug 04 2004 - okir@suse.de
- Reviewed NFS fixes and a few others
* Wed Aug 04 2004 - okir@suse.de
- Reviewed a bunch of network patches
* Wed Aug 04 2004 - olh@suse.de
- drop ppc64 ameslab patch
* Wed Aug 04 2004 - axboe@suse.de
- lots more merged
* Wed Aug 04 2004 - axboe@suse.de
- cdrom-rwrt-header-length is merged
* Wed Aug 04 2004 - axboe@suse.de
- bio_copy_user and ide-cd sg are merged.
* Wed Aug 04 2004 - axboe@suse.de
- Remove CFQ patches, they are all merged.
* Wed Aug 04 2004 - okir@suse.de
- Partial update to 2.6.8-rc3.
* Tue Aug 03 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-ptrace-geteventmsg.patch
  implement the 32bit compat PTRACE_GETEVENTMSG for ppc64
  (SUSE41261 - LTC8916)
* Tue Aug 03 2004 - schwab@suse.de
- Add tlb_migrate_finish hook [SUSE43341].
* Mon Aug 02 2004 - okir@suse.de
- netfilter-unload-crash: drop bogus skb's that can be seed during
  module unload (SUSE42902 - LTC9841)
* Wed Jul 28 2004 - garloff@suse.de
- writepages-bh-race: Avoid writepages vs readpages race [SUSE42748],
  finally fixing ext2 corruption..
- uml-fix-mconsole-proc: Reading /proc from uml_mconsole would
  have crashed UML on the fourth time [SUSE42952].
* Wed Jul 28 2004 - olh@suse.de
- remove patches.arch/suse-ppc64-miscdev-late_initcall
  misc_init is now subsys_initcall()
* Wed Jul 28 2004 - olh@suse.de
- build pc floppy driver as module on ppc and ppc64
* Wed Jul 28 2004 - okir@suse.de
- Fixed buffer overflow in cryptoapi [SUSE43364]
* Wed Jul 28 2004 - hare@suse.de
- Enable hotplug events in initramfs again (Backport from
  2.6.8-rc2-mm1).
  add patches.fixes/early-hotplug-events.patch
* Tue Jul 27 2004 - schwab@suse.de
- Add support for partial pages [SUSE41755].
* Tue Jul 27 2004 - mantel@suse.de
- make fix for firewire overflow problem actually compile
* Tue Jul 27 2004 - schwab@suse.de
- Fix initialisation bug of sched_domain_init to allow booting 512p [SUSE43326].
* Tue Jul 27 2004 - mantel@suse.de
- fix integer overflow in firewire code (SUSE42402)
* Tue Jul 27 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-pseries-hvsi-autodetect.diff
  autodetect the pseries hvsi console (SUSE42805 - LTC9839)
* Tue Jul 27 2004 - hare@suse.de
- Fix z90crypt module warnings (SUSE43302).
* Tue Jul 27 2004 - hare@suse.de
- Fix zFCP kernel oops (SUSE43187).
* Tue Jul 27 2004 - garloff@suse.de
- Increase log buffer to 128k minimum (i386 def+um, ia64 configs)
* Mon Jul 26 2004 - mantel@suse.de
- make old megaraid driver advertize itself as "megaraid-old" (SUSE42046)
* Sun Jul 25 2004 - agruen@suse.de
- SUSE39181 pending signal queues: Expose RLIMIT_SIGPENDING to user
  space as it has already been added to the 2.6.8-rc2 mainline
  kernel.
* Fri Jul 23 2004 - olh@suse.de
- add patches.drivers/ibm-ppc64-vscsi-sysfs-config-cat
  reading sysfs config file caused panic (SUSE43097 - LTC10031)
* Fri Jul 23 2004 - mantel@suse.de
- activate fixes for /proc info leak (SUSE41074)
* Tue Jul 20 2004 - olh@suse.de
- add patches.arch/suse-ppc32-undef-IDE_PMAC_DEBUG.patch
  less output when booted with 'quiet'
* Tue Jul 20 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp-removal-listhandling.patch
  do not access freed memory while walking list (SUSE43025 - LTC9966)
* Mon Jul 19 2004 - olh@suse.de
- add patches.fixes/e1000-TSMPT-and-tx-locking.patch
  * include the entire cleaning of the transmit descriptor queue,
  instead of only the netif_wake_queue in e1000_clean_tx_irq.
  * The TSMPT register (TCP Segmetation Pad offset) has been
  modified from the default of 0x0100 to 0x0C00.
  fixes a few more EEH device shutdowns (SUSE41111 - LTC8539)
* Mon Jul 19 2004 - olh@suse.de
- add patches.fixes/scsi_remove_device_locking.patch
  serializes scsi_add_device with scsi_remove_device for each
  scsi host adapter (SUSE42691 - LTC9732)
* Mon Jul 19 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-syscfg-2.diff
  update timebase fields in systemcfg (SUSE42824 - LTC9288)
* Mon Jul 19 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-more-unbalanced-get-put.patch
  fix another slab corruption in EEH (SUSE43041 - LTC10011)
* Mon Jul 19 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-pseries-hvsi-SLES9-obsolete.diff
  do not assicated hvc0 and hvsi0 to the same lowlevel driver
  (SUSE42838 - LTC9860)
* Mon Jul 19 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-handle-altivec-assist-exception.patch
  patches.arch/ibm-ppc64-single-stepping-emulated-instructions.patch
  handle invalid altivec/vmx instructions (SUSE42803 - LTC9837)
* Sat Jul 17 2004 - garloff@suse.de
- Fix fchmod error return value (SUSE41346)
* Fri Jul 16 2004 - mantel@suse.de
- fix kobil USB PnP card readers
* Fri Jul 16 2004 - mantel@suse.de
- fix lost timer ticks problem on x86_64 (SUSE42836)
* Fri Jul 16 2004 - mantel@suse.de
- fix oops in JFS code (SUSE42823)
* Fri Jul 16 2004 - mantel@suse.de
- ckrm: propagate existing class from CORE to CRBCE on attach (SUSE42030)
* Fri Jul 16 2004 - mantel@suse.de
- properly initialize attrs at chown() (SUSE42542)
* Fri Jul 16 2004 - hare@suse.de
- add patches.suse/vm-nocheck-reserved.patch
  Relax checking rules for anonymous non-pageable memory (SUSE42772)
* Thu Jul 15 2004 - schwab@suse.de
- Fix race in fsys_gettimeofday [SUSE42906].
* Thu Jul 15 2004 - olh@suse.de
- add patches.fixes/ehci-handoff-broken-bios.patch
  ignore failed bios handoff (SUSE42897)
* Thu Jul 15 2004 - axboe@suse.de
- Fix a bounce problem with bio_copy/map_user (bug SUSE43020)
* Thu Jul 15 2004 - hare@suse.de
- Latest Update from IBM (patches.arch/s390-06-[16-21]-april2004.diff)
- Removed offending patch for arch/s390/entry.S from
  patches.suse/ltt-hooks-full-linux-2.6.5-7.17.patch and
  ltt-hooks-remove-non-i386-7.39.patch
- Updated patches.arch/s390-06-{01,05,07,11}-april2004.diff
  patches have been rearranged; update to conform to IBMs patches.
* Wed Jul 14 2004 - agruen@suse.de
- SUSE42972 / LTC9906: Fix include/linux/version.h build dependencies.
* Wed Jul 14 2004 - garloff@suse.de
- Fixes for bug SUSE42748:
  * writepage-fs-corruption: Make sure we don't mark pages clean
  prematurely without them being written in the confused case.
  *  writepages-zero: Make sure we zero out the last page.
  * i-size-read-race: i_size could change below us, let's use one
  value consistently in the function.
* Wed Jul 14 2004 - axboe@suse.de
- cfq unlock badness and missing clear causing rb_next() to return bogus
  pointer if slab poisoning is enabled.
* Tue Jul 13 2004 - axboe@suse.de
- adjust idecd length/align dma alignment restrictions
* Mon Jul 12 2004 - axboe@suse.de
- aic7xxx modprobe oops fixes (bug SUSE42711)
* Fri Jul 09 2004 - ak@suse.de
- Fix ACPI support in powernow-k8 driver
* Fri Jul 09 2004 - olh@suse.de
- add patches.fixes/usb-keyspan_pda-lockup.patch
  fix instant lockup in keyspan_pda driver (SUSE42883)
* Fri Jul 09 2004 - axboe@suse.de
- Fix instant SMP deadlock on atp870u scsi driver
* Fri Jul 09 2004 - ak@suse.de
- Fix memory corruption during SMP bootup on x86-64
* Fri Jul 09 2004 - ak@suse.de
- Fix reference of freed memory in exit in NUMA API
* Fri Jul 09 2004 - axboe@suse.de
- Fix sleep-under-queue-lock problem in CFQ.
* Fri Jul 09 2004 - hare@suse.de
- S/390: Enable modular build of local 3270 tubes.
* Fri Jul 09 2004 - hare@suse.de
- S/390: Enable modular build of all crypto modules (SUSE41666).
* Thu Jul 08 2004 - hare@suse.de
- Add IBM codedrop 06 for SLES9 GA.
* Thu Jul 08 2004 - axboe@suse.de
- always setup sg bio for SG_IO (SUSE42314, SUSE42822 (and hopefully SUSE42704)), remove
  crufty kmalloc hack
* Tue Jul 06 2004 - axboe@suse.de
- make sure request segment counts are valid for non-bio requests (SUSE42314)
* Fri Jul 02 2004 - mantel@suse.de
- bump version number of ibmveth driver
* Thu Jul 01 2004 - agruen@suse.de
- SUSE42449: patches.fixes/clone-thread-deadlock: release self-reaping
  zombies that are under ptrace when the tracing process
  terminates.
* Thu Jul 01 2004 - mantel@suse.de
- fix oops in ibmveth driver (PPC only) (SUSE42579)
* Thu Jul 01 2004 - agruen@suse.de
- SUSE42081: patches.fixes/cifs-hash-inode: Add new inodes to the
  inode hash.
* Thu Jul 01 2004 - mantel@suse.de
- fix vulnerability in tcp_find_option (SUSE42661)
* Thu Jul 01 2004 - agruen@suse.de
- Move flush_barriers_disabled from drivers/ide/ide-disk.c to
  drivers/block/ll_rw_blk.c so that it's also defined in non-IDE
  configurations. Move SLES9_RC3 tag.
* Wed Jun 30 2004 - agruen@suse.de
- SUSE42619: patches.fixes/flush-barrier-disable: make reiserfs and
  ext3 honor barrier=off (mason@suse.de).
* Wed Jun 30 2004 - agruen@suse.de
- kbuild: Fix the search path for the Module.supported file so
  that external modules can declare themselves supported or
  externally supported when needed.
* Tue Jun 29 2004 - mantel@suse.de
- update qla2xxx driver to v8.00.00b14
* Tue Jun 29 2004 - mantel@suse.de
- disable file-write-prefault
* Tue Jun 29 2004 - mantel@suse.de
- remove reiserfs debug trigger code
* Tue Jun 29 2004 - mantel@suse.de
- enable CONFIG_VIDEO_ZORAN; driver builds and works now (SUSE42094)
* Tue Jun 29 2004 - mantel@suse.de
- remove remove-via82xx-generic-ide as it would cause problems on
  update (SUSE42335)
* Tue Jun 29 2004 - schwab@suse.de
- Fix perfmon-2 local exploit [SUSE42515].
* Mon Jun 28 2004 - mantel@suse.de
- dprobes: Fix console hang (SUSE42023)
* Mon Jun 28 2004 - mantel@suse.de
- work around TLB fetch timeout defect on sx1000 chipset (SUSE42455)
* Mon Jun 28 2004 - agruen@suse.de
- SUSE42360: patches.fixes/cciss_getluninfo_fix_for_sls9.patch:
  Fix kernel oops while scanning cciss devices.
* Mon Jun 28 2004 - mason@suse.de
- SUSE42191 make reiserfs_file_write honor 2GB limit in 3.5.x FS
- SUSE42038 fix deadlock between ext3/reiserfs and copy_from_user
* Mon Jun 28 2004 - mason@suse.de
- change ide-disk-barrier_mode-2 to match what I put into cvs GA
* Mon Jun 28 2004 - agruen@suse.de
- SUSE42495: Disable CONFIG_E100_NAPI for ia64.
* Sun Jun 27 2004 - agruen@suse.de
- SUSE41246: patches.fixes/ide-disk-barrier_mode-2: Only use IDE
  barriers if advertised by the drive.
* Sun Jun 27 2004 - agruen@suse.de
- SUSE42409: patches.fixes/hugetlb-pmd-free: fix hugetlb pmd reuse.
- SUSE42353: patches.fixes/hugetlb-page-fault-ia32-amd64-ia64: fix
  races and make all architectures use the same hugetlb code.
  IA64 is now using hugetlb-quotas as well.
* Sun Jun 27 2004 - agruen@suse.de
- SUSE42453: patches.fixes/huge-sysctl-nodes: fix changing hugepages
  over sysctl (ak@suse.de).
* Sun Jun 27 2004 - agruen@suse.de
- From Andrew Morton: Several file systems drop the return value
  of inode_setattr instead of propagating it. This causes truncate
  errors to get lost.
* Sat Jun 26 2004 - ak@suse.de
- Fix swiotlb increase patch to use better parameter (SUSE42448)
* Sat Jun 26 2004 - agruen@suse.de
- Fix yield() with spin lock held in hvsi_drain_input().
* Sat Jun 26 2004 - agruen@suse.de
- SUSE42509: patches.fixes/ipsec-nat-t-old: Patch did appends two
  random bytes to packages encapsulated with the method described
  in draft-ietf-ipsec-udp-encaps-01.txt.
* Fri Jun 25 2004 - schwab@suse.de
- Fix discontigmem discovery in non-NUMA case [SUSE42060].
* Fri Jun 25 2004 - hare@suse.de
- add patches.arch/s390-04-28-april2004.diff
  Add missing symbols for qeth and lcs (SUSE42483).
* Fri Jun 25 2004 - mantel@suse.de
- avoid underflow of "Cached:" field in /proc/meminfo (SUSE42182)
* Fri Jun 25 2004 - mantel@suse.de
- remove via82xx S-ATA chip from generic ide driver list (SUSE42335)
* Fri Jun 25 2004 - agruen@suse.de
- SUSE41412: ppc64: Init ppc_md udbg pointers to dummy values if not
  found.
- SUSE42233: ppc64: allow for shared update disks.
- SUSE42404: Check for NULL pointer when dereferencing PCI slot.
* Fri Jun 25 2004 - agruen@suse.de
- SUSE42033: An int vs. a long constant is used in lib/radix-tree.c.
* Fri Jun 25 2004 - okir@suse.de
- Minor fix to previous patch
* Fri Jun 25 2004 - okir@suse.de
- pcnet32 patch from Don Fry: correctly program MII Control
  and Status Register (SUSE40341 - LTC9045)
* Thu Jun 24 2004 - ak@suse.de
- Fix iommu=memaper= option on x86-64.
- Add new iommu=noaperture option to disable aperture setup
  on x86-64 (SUSE42450)
* Thu Jun 24 2004 - ak@suse.de
- Increase software iotlb default size on em64t and ia64 to 64MB
  (SUSE42448)
* Thu Jun 24 2004 - okir@suse.de
- Added ipv6-tcp-dst-refcounting to fix a refcounting problem
  in tcp6_connect, which could cause kernel oopses when connecting
  to an IPv6 address (SUSE42342)
* Thu Jun 24 2004 - mantel@suse.de
- ckrm: fix changing shares values for a class (SUSE42319)
* Thu Jun 24 2004 - garloff@suse.de
- procstat-comm-race: Make a copy of task->comm when we output
  /proc/stat to avoid race making top segfault. (SUSE42364)
* Thu Jun 24 2004 - agruen@suse.de
- A minor improvement to the Makefiles in /usr/src/linux-obj/*/*:
  Also include VERSION and PATCHLEVEL so that external modules can
  adapt to the kernel version (mainly 2.4 vs. 2.6).
* Thu Jun 24 2004 - duwe@suse.de
- add temporary hack for floppy controller on x445+DL740 SUSE40940
* Thu Jun 24 2004 - okir@suse.de
- pcnet32 fix from Don Fry: acknowledge all interrupts (SUSE42408 - LTC9592)
* Thu Jun 24 2004 - mason@suse.de
- add and disable reiserfs-file-write-prefault to match the state
  of the GA branch
* Wed Jun 23 2004 - axboe@suse.de
- export kblockd_schedule_work() for vscsi
* Wed Jun 23 2004 - garloff@suse.de
- Add hvsi console for PPC.
* Wed Jun 23 2004 - mason@suse.de
- bug SUSE42091, fix a bogus warning when barrier writes fail
* Wed Jun 23 2004 - axboe@suse.de
- vscsi must not block in a tasklet, convert to work queue (SUSE42210)
* Wed Jun 23 2004 - okir@suse.de
- Added CIFS patch from Steve French which fixes request
  queueing to handle more than 100 overlapped requests (SUSE39916 - LTC8025)
* Wed Jun 23 2004 - agruen@suse.de
- Three obvious bug fixes from mainline:
  + patches.fixes/ieee1394-null-dereference.diff
  + patches.fixes/ip-conntrack-missing-check.diff
  + patches.fixes/megaraid-get_user.diff
* Tue Jun 22 2004 - agruen@suse.de
- SUSE42324: patches.fixes/jfs-link-timestamps: the link system call
  did not update i_ctime and i_mtime as required by POSIX.
* Tue Jun 22 2004 - agruen@suse.de
- SUSE42134 / LTC9401: patches.fixes/rphahp_add_slot.patch: call
  rpaphp_config_pci_adapter() when adding a non-empty slot.
- SUSE42259 / LTC9477: patches.fixes/eeh-event-race.patch: prevent
  kernel panic on duplicate EEH event (ppc64).
* Tue Jun 22 2004 - axboe@suse.de
- in case of ide errors, dump the offending opcode
* Tue Jun 22 2004 - hare@suse.de
- Update to IBM codedrop 04-april2004.
  Added patches.arch/s390-04-[15|18-27].diff
* Tue Jun 22 2004 - mantel@suse.de
- add megaraid-old to list of supported modules
* Tue Jun 22 2004 - agruen@suse.de
- SUSE42062: patches.fixes/xfs-O_DIRECT-i_sem-hotfix: Fix xfs inode
  locking for direct I/O by taking i_sem. A better fix that does
  not symchronize direct I/O writers will replace this fix later.
* Tue Jun 22 2004 - hare@suse.de
- Renamed patches to match IBM codedrop 04-april2004.
- Renamed patches.arch/s390-dirty-2.6.5.diff to
  patches.arch/s390-04-16-april2004.diff
- Renamed patches.arch/s390-dasd_modules_unload2.patch to
  patches.arch/s390-04-17-april2004.diff
- Removed old patches.arch/s390-dasd_modules_unload.patch
* Tue Jun 22 2004 - hare@suse.de
- Re-diffed patches to match IBM codedrop 04-april2004.
  Modified patches.arch/s390-04-{02|13|14}.patch
* Tue Jun 22 2004 - garloff@suse.de
- Disable [I][N]FTL flash drivers.
* Tue Jun 22 2004 - mantel@suse.de
- avoid pagecache underflow (SUSE42182)
* Tue Jun 22 2004 - agruen@suse.de
- Merge recent kbuild improvements, update the documentation and
  demo module. Add upstream documentation. Looking good now.
* Mon Jun 21 2004 - ak@suse.de
- Handle maxnode == 0 in NUMA API too (suggested by agruen)
* Mon Jun 21 2004 - agruen@suse.de
- SUSE41420: replace patches.suse/xfs-blockdev with patches.fixes/
  bdev-address_space.patch, export-blk_get_backing_dev_info.patch
  from Nathan Scott <nathans@sgi.com>: Prevents corruption
  on XFS when the underlying block device is accessed while XFS
  is mounted.
* Mon Jun 21 2004 - ak@suse.de
- Fix early CPU detect on i386 for non Intel CPUs
* Mon Jun 21 2004 - ak@suse.de
- Handle maxnode == 1 in NUMA API syscalls without crashing
* Mon Jun 21 2004 - agruen@suse.de
- SUSE42084: patches.fixes/apic-initdata: Remove __initdata tag from
  enable_local_apic variable which is also accessed during
  shutdown. (Fix from Andi Kleen <ak@suse.de>.)
* Mon Jun 21 2004 - mantel@suse.de
- ckrm: use varargs in rbce_tc_classify/rbce_sc_classify (SUSE42241)
* Mon Jun 21 2004 - agruen@suse.de
- SUSE42124 / LTC9408: patches.fixes/compat_sched_setaffinity_fix:
  Fix bitmap composition order in compat_sys_sched_setaffinity.
* Fri Jun 18 2004 - agruen@suse.de
- SUSE42230: Check for self-configured /usr/src/linux tree in
  running-kernel init script, and don't touch the sources in
  that case.
* Fri Jun 18 2004 - mantel@suse.de
- check existance of device in eql (SUSE42217)
* Fri Jun 18 2004 - mantel@suse.de
- fix reentry spinlock deadlock (SUSE42173)
* Fri Jun 18 2004 - mason@suse.de
- fix bug SUSE40752, ext3 needs to wait for io to complete
  before locking buffers for journal commits.
* Fri Jun 18 2004 - mantel@suse.de
- fix cpumask bug on es7000 machines (SUSE42178)
* Fri Jun 18 2004 - ak@suse.de
- Fix MCE panic printing on x86-64
* Fri Jun 18 2004 - axboe@suse.de
- Fix direct io alias problem in cfq (Netapp)
* Fri Jun 18 2004 - andrea@suse.de
- Fix anon-vma mprotect extension-merging that generated kernel
  crashes with wine. SUSE42132
* Fri Jun 18 2004 - ak@suse.de
- Generate kerntypes on x86-64
* Thu Jun 17 2004 - ak@suse.de
- Fix more O_DIRECT  hugetlbfs problems (SUSE41943)
* Thu Jun 17 2004 - mantel@suse.de
- ckrm: remove task from resource controllers on exit (SUSE42130)
* Thu Jun 17 2004 - ak@suse.de
- Fix bad use of __initdata in x86-64 mce code
* Thu Jun 17 2004 - ak@suse.de
- Disable x86_64-ioremap patch for now (SUSE42154)
* Thu Jun 17 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-phb-id-rev3-init_pci_config_tokens.patch
  call init_pci_config_tokens even if the box has no EEH,
  or if EEH was turned off via kernel cmdline (SUSE41946 - LTC9283)
* Thu Jun 17 2004 - agruen@suse.de
- SUSE39181 pending signal queues: denial of service.
* Thu Jun 17 2004 - garloff@suse.de
- pss-user-pointer: Properily check userspace pointer (SUSE42050).
* Wed Jun 16 2004 - agruen@suse.de
- kernel-source package: Prevent the /etc/init.d/running-kernel
  boot script from needlessly touching files in /usr/src/linux:
  this triggers superfluous rebuilds. (From SLES9 branch.)
* Wed Jun 16 2004 - garloff@suse.de
- vgettimeofday-optimize: Don't do int 0x80 instead of sysenter.
* Wed Jun 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-phb-id-rev3.patch
  Obtain PHB Unit ID's from the "regs" property. (SUSE41946 - LTC9283)
* Wed Jun 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-iseries-mf-completion
  use completion instead of semaphores in OS400 interface
  (SUSE39541 - LTC8142)
* Wed Jun 16 2004 - garloff@suse.de
- hugetlb-implicit-only: remove MAP_HUGETLB completely. (SUSE41918)
* Wed Jun 16 2004 - garloff@suse.de
- ehci-bios-handoff: Fix typo in USB ehci handoff code.
* Wed Jun 16 2004 - garloff@suse.de
- bootsplash-anim-NLD: Allow bootsplash animations.
* Wed Jun 16 2004 - mantel@suse.de
- fix memory overwrite bug in airo driver (SUSE42096)
* Wed Jun 16 2004 - mantel@suse.de
- fix copy_from_user/copy_to_user thinko in ALSA (SUSE42095)
* Wed Jun 16 2004 - mantel@suse.de
- asus_acpi: parse arguments in a safe way (SUSE42052)
* Wed Jun 16 2004 - mantel@suse.de
- properly use _user in OSS ioctls (SUSE42050)
* Wed Jun 16 2004 - ihno@suse.de
- fixing module unload of DASD-mod (SUSE41717)
* Wed Jun 16 2004 - mantel@suse.de
- allow old and new megaraid driver to co-exist. The old one is
  named "megaraid-old". It's still needed for some hardware
* Wed Jun 16 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  fix event handling (SUSE41934 - LTC9273)
* Wed Jun 16 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  clear bi_next in end_io (SUSE41555 - LTC9033)
  merge patches.fixes/ibm-vscsi-ltc9255 into vscsi patch
* Wed Jun 16 2004 - okir@suse.de
- CKRM: honor euid/egid when classifying task (SUSE42083 - LTC9399)
* Wed Jun 16 2004 - mantel@suse.de
- don't write user pointers without checking in decnet (SUSE42049)
* Wed Jun 16 2004 - garloff@suse.de
- partition-table-msdos: Be more critical about accepting a part
  table as an msdos one.
* Wed Jun 16 2004 - hare@suse.de
- Update patches.arch/s390-dirty-2.6.5.diff
  Update to version suggested by akpm (SUSE42066).
* Wed Jun 16 2004 - mantel@suse.de
- ckrm: fix system hang when trying to classify exited proc. (SUSE41872)
* Wed Jun 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-unbalanced-dev-put.patch
  fix double free of pci_dev pointers (SUSE42077 - LTC9396)
* Wed Jun 16 2004 - schwab@suse.de
- Workaround problem in Altix console driver [SUSE42002].
* Wed Jun 16 2004 - schwab@suse.de
- Workaround high network load panics on Altix [SUSE41995].
* Wed Jun 16 2004 - okir@suse.de
- Another CIFS fix to prevent data corruption (SUSE41826 - LTC9164)
* Wed Jun 16 2004 - garloff@suse.de
- raid5-resync-bug: Wrong optimization in raid5 resync code.
* Wed Jun 16 2004 - olh@suse.de
- add patches.suse/kdb-ppc64-recurse
  set RECURSE=2 on ppc64 (SUSE41871 - LTC9240)
* Tue Jun 15 2004 - ihno@suse.de
- fixing data corruption under memory pressure for s390 (SUSE42066)
* Tue Jun 15 2004 - mantel@suse.de
- enable CONFIG_SCSI_INIA100
* Tue Jun 15 2004 - garloff@suse.de
- scsi-device-state-remove: Cleanup of SCSI state machine from
  2.6.7-pre.
- scsi-forget-host: Flush cache before removing host. (SUSE41825)
* Tue Jun 15 2004 - ak@suse.de
- Fix use of uninitialized memory in ioremap() on x86-64
* Tue Jun 15 2004 - okir@suse.de
- IPv6: added usagi patch to prevent double free when an error
  occurs during UDPv6 multicast delivery (SUSE42019)
* Tue Jun 15 2004 - hare@suse.de
- add patches.arch/s390-dasd_modules_unload.patch
  Fix unloading of DASD modules (SUSE41717).
* Tue Jun 15 2004 - okir@suse.de
- Fix insertion of dprobes in shared libraries (SUSE41966 - LTC9269)
* Tue Jun 15 2004 - okir@suse.de
- vgettimeofday patch from John Stultz to fix LTP gettimeofday01
  failure (SUSE40504 - LTC8395)
- Updated CIFS to 1.18 (SUSE41963 - LTC9328)
* Tue Jun 15 2004 - agruen@suse.de
- SUSE40829 / LTC8406: patches.fixes/power3-numabug: Fix memory zone
  setup that caused the emergency pool to underrun.
* Mon Jun 14 2004 - olh@suse.de
- add patches.arch/ppc64-fix-out_be64.patch
  fixes out_be64 implementation on ppc64 along with a glich in
  out_be32 (inconsistent) use of barrier.
* Mon Jun 14 2004 - ak@suse.de
- Fix acpi=off on x86-64 (SUSE41990)
* Mon Jun 14 2004 - olh@suse.de
- add patches.arch/suse-ppc64-cut-iseries-cmdline
  avoid multiline /proc/cmdline on iseries
* Mon Jun 14 2004 - ak@suse.de
- Enable CONFIG_DEBUGREG and CONFIG_KDB_MODULES in i386 debug kernel
* Mon Jun 14 2004 - agruen@suse.de
- Enable CONFIG_CRASH_DUMP in kernel-64k-pagesize.
* Mon Jun 14 2004 - ak@suse.de
- Turn "too many keys pressed" printk into KERN_DEBUG
* Mon Jun 14 2004 - garloff@suse.de
- ext3-barrier-default: Enable barriers on ext3 by default, use
-o barrier=0 to disable.
* Mon Jun 14 2004 - okir@suse.de
- updated e1000-validate: the fix to ETHTOOL_GREGS prevented the
  ioctl from copying all registers
* Mon Jun 14 2004 - ak@suse.de
- Check for suspend state in e1000 get_stats (SUSE41278)
* Mon Jun 14 2004 - agruen@suse.de
- SUSE41884 / LTC8990: patches.fixes/lkcd_64K_pagesize: disk dump
  failure on ia64 w/64K pages.
* Mon Jun 14 2004 - garloff@suse.de
- reiserfs-bitmap-overflow-2: Avoid stack overflow in new reiser
  block allocator (SUSE41441, mason).
* Mon Jun 14 2004 - ak@suse.de
- Reduce stack footprint of page state structure
- Fix XFS NFS delayed write corruption
- Don't get statistics from suspended drivers in link watch (SUSE41278)
- Fix kernel hang with uncleared FPU exceptions on i386/x86-64
  (SUSE41951)
* Sat Jun 12 2004 - axboe@suse.de
- harden blk_execute_rq() a little so it doesn't inspect ->waiting
  at all. Similar to how mainline works.
* Sat Jun 12 2004 - schwab@suse.de
- Rename modules to work around lkcd bug [SUSE41891].
* Fri Jun 11 2004 - garloff@suse.de
- hugetlb-disable-nonstd-maphugetlb-sysctl: Don't honour
  MAP_HUGETLB; instead print a warning. It can be enabled by sysctl
  though. It's deprecated and will be removed. SUSE41918.
- patches.suse/apic-timer-irq-delivery-dl760: Also add Proliant
  hack to setup_ExtINT_IRQ0_pin(), causing it to fail; it works
  in Virtual Wire mode ... This is needed for acpi=off boots.
  SUSE40944.
* Fri Jun 11 2004 - ak@suse.de
- Prevent access to block devices XFS has mounted (SUSE41420)
* Fri Jun 11 2004 - agruen@suse.de
- SUSE41490 / LTC9047: additional jfs fix from Dave Kleikamp.
- SUSE41868 / LTC9255: Fix vscsi double-deactivation.
* Fri Jun 11 2004 - ak@suse.de
- Quieten printk in the input layer
* Fri Jun 11 2004 - ak@suse.de
- Fix race in XFS delayed write handling (SUSE41420)
- Fix deadlock in XFS ENOSPC handling (partial SUSE41544)
* Fri Jun 11 2004 - schwab@suse.de
- Fix race in fsys fallback path [SUSE40832].
* Fri Jun 11 2004 - okir@suse.de
- Updated pcnet32-overrun-restart patch to fix some remaining
  problems with restart after FIFO overrun (SUSE40951 - LTC8726)
* Fri Jun 11 2004 - okir@suse.de
- Added e1000 patches to address (SUSE41875 - LTC8972)
* Fri Jun 11 2004 - ak@suse.de
- Check correct for strace too for SIGSEGVs on x86-64
- Detect correct bank on fatal MCEs on x86-64
* Thu Jun 10 2004 - ak@suse.de
- Avoid printks for handled SIGSEGVs on x86-64
* Thu Jun 10 2004 - agruen@suse.de
- Fix thinko in third-party module support (+external).
* Thu Jun 10 2004 - agruen@suse.de
- Add README.SUSE to kernel-source file list.
* Thu Jun 10 2004 - ak@suse.de
- Take inode lock around hugepages overcommit check (SUSE41528)
* Thu Jun 10 2004 - ak@suse.de
- Don't call smp_send_stop in lkcd (SUSE41843)
* Thu Jun 10 2004 - ak@suse.de
- Add another bugfix for the sigprof exit race.
* Thu Jun 10 2004 - ak@suse.de
- Handle O_DIRECT in hugetlb holes (SUSE41733)
* Thu Jun 10 2004 - ak@suse.de
- Handle PMD holes in hugetlbpages on i386/x86-64 (SUSE41604)
* Thu Jun 10 2004 - axboe@suse.de
- Don't move completion event to request sense structure, it causes nasties
  with completing on dead request (bug SUSE38944)
* Wed Jun 09 2004 - mason@suse.de
- barrier-eopnotsupp, deal with asynchronous ide barrier failures
* Wed Jun 09 2004 - ak@suse.de
- Make sure x86-64 machine check handler logs correct MCE
- Don't threat MCE overflows as fatal
* Wed Jun 09 2004 - agruen@suse.de
- Allow modules to be tagged as "externally supported" ("+external"
  in supported.conf). Doument the supported/unsupported flags
  in README.SUSE.
* Wed Jun 09 2004 - garloff@suse.de
- evlog-header-inval-pgrp: Avoid dereferencing inval
  current->signal ptr in evlog (SUSE41804).
* Wed Jun 09 2004 - hare@suse.de
- Added patches.arch/s390-04-{13|14}-april2004.diff
  Last update by IBM to SLES9 RC2 (hopefully).
- Re-diffed ltt patches to apply again.
* Wed Jun 09 2004 - okir@suse.de
- Added smbfs-request-counting: failure to allocate an smb request
  did not decrement the overall request counter, leading to deadlock
* Wed Jun 09 2004 - okir@suse.de
- Added smbfs-sendqueue-backoff to make smbiod react more gracefully
  to a full tcp send queue (SUSE41343 - LTC8669)
* Wed Jun 09 2004 - agruen@suse.de
- Additional consistency check for tar-up.sh: Make sure that all
  patches referenced in series.conf have been added to the CVS.
* Wed Jun 09 2004 - okir@suse.de
- Merged patch from mainline: /proc/net/tcp would not show all
  listening sockets if the first socket in a hash chain had a
  different address family.
* Wed Jun 09 2004 - okir@suse.de
- IPv6 Fix from Shirley Ma to use proper ip6_output handler in
  IPv6 dst cache entries created by ndisc (SUSE41669 - LTC9123)
- 2 CIFS fixes from Steve French:
- prevent races when accessing tcpStatus (SUSE41757 - LTC1953)
- fix for data corruption on partial writes to page cache (SUSE41826 - LTC9164)
* Wed Jun 09 2004 - hare@suse.de
- add patches.arch/s390-04-[08-12].diff
  Update to IBM codedrop for SLES9.
* Wed Jun 09 2004 - hare@suse.de
- update sysfs-backing store to v0.6 from 2.6.6-mm4 (SUSE40072)
* Wed Jun 09 2004 - agruen@suse.de
- SUSE41748: LAuS msgsnd reporting invalid syscall parameter size.
* Wed Jun 09 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-eeh-check-n-panic-earlier.patch
  pass correct device node info to rtas_call (SUSE41818 - LTC9219)
* Wed Jun 09 2004 - garloff@suse.de
- scsi-error-test-unit-ready-timeout: Use 30s timeout for
  TEST_UNIT_READY (SUSE41689).
* Tue Jun 08 2004 - ak@suse.de
- Really remove ibm-noacpi patch now
* Tue Jun 08 2004 - agruen@suse.de
- patches.fixes/downgrade_write: Fix from mainline.
- patches.fixes/ext3-htree-rename: htree rename fix from mainline.
* Tue Jun 08 2004 - garloff@suse.de
- firewire-suspend: Update patch to fix ieee1394 suspend (SUSE40177).
* Tue Jun 08 2004 - garloff@suse.de
- suspend-pci-cfg-space, suspend-agpgart-intel-resume:
  For devices without specific suspend / resume support, save PCI
  config space at least and restore on resume. Use one intel-agp.
* Tue Jun 08 2004 - garloff@suse.de
- fremap-race: Fix locking in fremap. (SUSE40699, andrea).
* Tue Jun 08 2004 - garloff@suse.de
- const-udelay-fix-3: Fuix rounding bug in const_udelay on i386
  (SUSE41553, jstulz, garloff, browdowski).
* Tue Jun 08 2004 - ak@suse.de
- Fix printks in serverworks and intel AGP drivers
- Remove IBM HS40 blacklist entry again (SUSE38178)
* Tue Jun 08 2004 - mason@suse.de
- fix a race between fs writeback and unmounting that can lead to
  general memory corruption
- add more reserved pages for PF_MEMALLOC and atomic allocations
- make ext3 redirty when allocations fail in writepage
- make shrink_cache process clean pages first
* Tue Jun 08 2004 - kkeil@suse.de
- add patches.fixes/hisax_tj320_fix; fix IRQ storm for TJ320
  based ISDN cards (newer TELES PCI, netjet)
* Tue Jun 08 2004 - ak@suse.de
- Readd pci=noacpi blacklist for IBM HS40
* Tue Jun 08 2004 - olh@suse.de
- add patches.suse/suse-ppc64-disable-spinlock-debug
  disable DEBUG_SPINLOCK_SLEEP on ppc64 for the time being
* Tue Jun 08 2004 - olh@suse.de
- remove bogus DEBUG_SPINLOCK_SLEEP changes (SUSE41447 - LTC9040)
* Tue Jun 08 2004 - ak@suse.de
- Fix hugetlb accounting bugs (SUSE41528)
* Tue Jun 08 2004 - okir@suse.de
- Fix restart of pcnet driver after FIFO overrun (SUSE40951 - LTC8726)
* Tue Jun 08 2004 - okir@suse.de
- nfsd: ignore attempts to change the mode of a symlink (SUSE41602 - LTC9096)
* Tue Jun 08 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp-embedded_drc_name.patch
  Allow rpadlpar to properly identify dlpar-capable slots
  (SUSE41760 - LTC9180)
* Tue Jun 08 2004 - olh@suse.de
- add patches.suse/kdb-clean-percpu.patch
  new command to print per_cpu variables (SUSE41753 - LTC9107)
* Tue Jun 08 2004 - olh@suse.de
- add patches.drivers/ipr_abort_hang.patch
  fixes a hang that occurs when an abort is issued by the midlayer
  add patches.drivers/ipr_only_tcq_cancel_all.patch
  only send a cancel all when the device is running TCQ
  add patches.drivers/ipr_driver_version_2_0_10.patch
  bump version number (SUSE41689 - LTC9144)
* Tue Jun 08 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  change inquiry data length from 0xfb to 0xfa
* Tue Jun 08 2004 - olh@suse.de
- add patches.suse/kdb-ppc64-unrecoverable-exception
  Don't return from KDB upon unrecoverable exception (SUSE40982 - LTC8623)
* Tue Jun 08 2004 - ak@suse.de
- Handle bad PIT readings in the cyclone timer driver (SUSE40644)
* Tue Jun 08 2004 - agruen@suse.de
- SUSE41718 / LTC9150: revalidate_special may invalidate dentry->d_op
  (as it sometimes does with cifs), so re-check when revalidating
  again.
* Mon Jun 07 2004 - agruen@suse.de
- Quota fixes from Jan Kara <jack@suse.cz> (patches.fixes/
  quota-1-v2rootfix, quota-2-v1initfix, quota-3-slabfix).
* Mon Jun 07 2004 - schwab@suse.de
- Fix boot hanging during KDB initialization [SUSE40187].
* Mon Jun 07 2004 - agruen@suse.de
- patches.fixes/jfs-btstack: Fix btstack debugging code.
* Mon Jun 07 2004 - garloff@suse.de
- tmscsim-267rc2: Update patches to tmscsim driver.
* Mon Jun 07 2004 - ak@suse.de
- Add /proc/sys/kernel/check_deadlocks to control file lock
  deadlock checking.
* Mon Jun 07 2004 - agruen@suse.de
- SUSE40752: patches.fixes/jbd-dirty-uptodate: jbd bugs cause dirty
  buffers not marked uptodate to become visible to the buffer
  layer (commit for Chris Mason <mason@suse.com>).
- SUSE41701: Change smbfs default encodings to more sane defaults
  by request of Lars Mueller <lmuelle@suse.de>.
* Mon Jun 07 2004 - olh@suse.de
- add patches.drivers/ppc64-iseries-viocd-driveid
  more dvd drive ids for legacy dvd-ram (SUSE41245 - LTC8828)
* Mon Jun 07 2004 - ak@suse.de
- Update powernow-k8 driver to 1.00.09d from AMD.
  * Fix hangs at bootup with BIOS that set up bogus PST tables.
* Mon Jun 07 2004 - ak@suse.de
- Fix compilation of kdb kdbm_pg module
- Fix warnings on kdb/i386
- Fix warning in Lustre
* Mon Jun 07 2004 - ak@suse.de
- Quiet down noisy JEDEC probing
* Mon Jun 07 2004 - ak@suse.de
- Fix compilation without CONFIG_MODULES
* Mon Jun 07 2004 - olh@suse.de
- update patches.fixes/e1000-mb.patch
  another one needed in e1000_clean_tx_irq()  (SUSE41111 - LTC8539)
* Mon Jun 07 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  fix list corruption (SUSE41555 - LTC9033)
  fixes the serial number returned on SCSI Inquiry to virtual
  devices
  Clean up text returned on error messages
  Return correct information when the client passes a buffer too
  small to the server.
  minor ibmvscsi client fixes
  Better error message from VSCSI client when adapter can't be
  opened.
* Sun Jun 06 2004 - agruen@suse.de
- xfs-fix-lowbit64: Fix use of ffs(0) which apparently is
  undefined on some architectures.
* Sun Jun 06 2004 - garloff@suse.de
- directio-inval-fix: The wrong no of DIO blocks was invalidated.
* Sun Jun 06 2004 - agruen@suse.de
- patches.fixes/nfsd-symlink-setattr: Update; silently ignore
  nfsd requests to set the file mode permission bits of a symlink.
* Sun Jun 06 2004 - ak@suse.de
- disable debugging printks in udf
* Sun Jun 06 2004 - olh@suse.de
- add patches.fixes/recvmsg-compat-MSG_CMSG_COMPAT
  Fix bogus msg_flags checks, need to mask out MSG_CMSG_COMPAT
* Sat Jun 05 2004 - garloff@suse.de
- apic-timer-irq-delivery-dl760: Enable tweak for DL740. (SUSE40944)
* Sat Jun 05 2004 - olh@suse.de
- add patches.suse/suse.ppc32.binutils-version.patch
  newer binutils require -many
* Fri Jun 04 2004 - ak@suse.de
- add workaround for wrong _BBN on serverworks boards
  (SUSE38178)
- disable IBM ACPI H20,H40 blacklist entries (SUSE41656)
* Fri Jun 04 2004 - mason@suse.de
- enable patches.fixes/shrink_zone.patch
* Fri Jun 04 2004 - ak@suse.de
- add additional check to nforce2 c1 disconnect workaround
* Fri Jun 04 2004 - ak@suse.de
- fix race handling in lazy hugetlbfs on i386,x86-64,ppc64,ia64
  (SUSE41604)
* Fri Jun 04 2004 - hare@suse.de
- add patches.arch/s390-04-05-april2004.diff
  add patches.arch/s390-04-06-april2004.diff
  add patches.arch/s390-04-07-april2004.diff
  Update to latest IBM codedrop.
* Fri Jun 04 2004 - okir@suse.de
- Added patch from netdev to prevent e1000 NAPI crash during ifdown
* Fri Jun 04 2004 - mason@suse.de
- enable 01-redirty-for-writepage and gfp-nofs-extra-scan
* Fri Jun 04 2004 - ak@suse.de
- Let acpi=force overwrite pci=noacpi blacklists (SUSE41206)
* Thu Jun 03 2004 - ak@suse.de
- fix name of IBM HS40 in dmi blacklist
* Thu Jun 03 2004 - axboe@suse.de
- Bad length check in cdrom_get_random_writable() (SUSE41245)
* Thu Jun 03 2004 - olh@suse.de
- add patches.fixes/no_cpuhp_on_nonlpar.patch
  add patches.fixes/ppc64-cpuhotplug-online-0.patch
  hide sysfs cpu hotplug files in non LPAR mode (SUSE41603 - LTC9039)
* Thu Jun 03 2004 - garloff@suse.de
- Make elevator=anticipatory default again; YaST will put
  elevator=cfq for servers into boot loader config.
* Thu Jun 03 2004 - olh@suse.de
- disable patches.fixes/usb-dell-patch-4-ul
  causes deadlocks during unplug/replug (SUSE40827)
* Thu Jun 03 2004 - hare@suse.de
- Update patches.arch/s390-crypto-api.patch
  to official version from bitkeeper (SUSE41386).
* Thu Jun 03 2004 - okir@suse.de
- ppc64: do_IRQ now warns if free space on the kernel stack
  drops below 2K; previously this was 4K. (SUSE41431 - LTC9026)
* Thu Jun 03 2004 - agruen@suse.de
- SUSE41202: patches.suse/nfsd-acl-v2-solaris: If the nfs_acl program
  is exported, Solaris clients expect both version 2 and version 3
  to be available; a RPC_PROG_MISMATCH reply which would indicate
  that the requested version is not available leads to a mount
  failure. Make up a fake RPC_PROG_UNAVAIL reply when asked for
  nfs_acl version 2 instead.
* Thu Jun 03 2004 - ak@suse.de
- Fix LDT/TSS limit on x86-64 (SUSE41574)
* Thu Jun 03 2004 - garloff@suse.de
- Mark as SLES9_RC1.
* Thu Jun 03 2004 - agruen@suse.de
- SUSE41202 / nfs_acl: Fix mounting NFSv2 volumes from Solaris
  clients: the supported program version numbers were wrong. Also
  fix the transport buffer size calculation (we were still safe).
* Thu Jun 03 2004 - garloff@suse.de
- SUSE40944: apic-timer-irq-delivery-dl760: Add workaround for timer
  IRQ delivery for DL760.
* Thu Jun 03 2004 - ak@suse.de
- add IDE support for nvidia nforce3,nforce3-mcp04,nforce3-ck804
* Wed Jun 02 2004 - olh@suse.de
- add patches.drivers/ibm-ppc64-hvcs_write_room.2.0.patch
  improve buffering in hvcs_write_room
* Wed Jun 02 2004 - agruen@suse.de
- SUSE41490: patches.fixes/jfs-dtstack: jfs dtstack overflow.
- SUSE41503: patches.fixes/jfs-mp-leak: jfs deadlock in fsstress.
* Wed Jun 02 2004 - garloff@suse.de
- serial8250_console_write-ier: Fix a race where we could get out
  of sync with the IER, leaving IRQs disabled. (SUSE34840)
* Wed Jun 02 2004 - ak@suse.de
- really fix acpi=ht on x86-64
* Wed Jun 02 2004 - mason@suse.de
- drop overly verbose reiserfs allocator message on mount
- make lkcd use NR_CPUS instead of it's own constant (SUSE41509)
* Wed Jun 02 2004 - ak@suse.de
- Fix acpi=ht on x86-64
- Remove xfs debug patch
* Wed Jun 02 2004 - agruen@suse.de
- SUSE41504: patches.fixes/LAuS-login-msg: audit record sometimes
  is missing the executable name.
* Wed Jun 02 2004 - mason@suse.de
- turn off CONFIG_KLOG_CHANNEL everywhere (bug SUSE40653)
* Wed Jun 02 2004 - garloff@suse.de
- compaq-noloop: Some Compaq ProLiant machines lockup on issueing
  the AUX LoopBack command. Blacklist. (SUSE36474, vojtech)
* Wed Jun 02 2004 - agruen@suse.de
- patches.fixes/ramfs-O_SYNC: Fix NULL pointer dereference of
  a_ops->writepage in page_writepages with O_SYNC ramfs.
* Wed Jun 02 2004 - olh@suse.de
- add patches.suse/kdb-recurse
  handle RECURSE=x setting in KDB (SUSE40982 - LTC8623)
* Wed Jun 02 2004 - axboe@suse.de
- megaraid must not use spin_is_locked() in UP
* Wed Jun 02 2004 - hare@suse.de
- Really modularize SHA1 and DES
- Add cpint and arch/s390/crypto to the list of supported modules.
* Wed Jun 02 2004 - ak@suse.de
- fix SIGPROF <-> exit race (SUSE41527)
- fix msync on hugetlbfs pages
- fix reuse of large pages
* Wed Jun 02 2004 - hare@suse.de
- compile SHA1 and DES as module on S/390 to enable
  support for z990-specific modules.
* Wed Jun 02 2004 - ak@suse.de
- dump bad block when internal xfs consistency checks fail
- add more KERN_ALERTs to oopses on x86-64 and i386
* Wed Jun 02 2004 - garloff@suse.de
- swsusp-free-more-mem: Several tries to free memory, allows low-
  mem machines to successfully suspend to disk.
* Tue Jun 01 2004 - ak@suse.de
- fix deadlock in active_load_balance
* Tue Jun 01 2004 - ak@suse.de
- Fix metapage leak in JFS (SUSE41503 - LTC9062)
* Tue Jun 01 2004 - garloff@suse.de
- usb-dell-patch-4-ul: Update serialisation of USB cmnds. (SUSE40827)
* Tue Jun 01 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  dont crash if the vscsi server disappears (SUSE41266 - LTC8924)
* Tue Jun 01 2004 - olh@suse.de
- add patches.fixes/jfs-nfs-inode
  Limit metapage reads to i_size (SUSE41434)
* Tue Jun 01 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-hvcs
  many bugfixes, changed from using wait tasks to kernel_threads
* Tue Jun 01 2004 - ak@suse.de
- quieten some annoying/unnecessary printks
- fix bootsplash to not print overlong lines on error.
* Tue Jun 01 2004 - olh@suse.de
- add patches.arch/suse-ppc64-iseries-available_veth2
  print the entire map as hex in AVAILABLE_VETH
* Tue Jun 01 2004 - ak@suse.de
- apply spinlock debug change from ppc64 to all architectures (SUSE41447)
* Tue Jun 01 2004 - hare@suse.de
- S/390: Add in-kernel crypto support for z990 (SUSE41386).
  Add patches.arch/s390-crypto-api.patch
* Tue Jun 01 2004 - agruen@suse.de
- SUSE41427: Better handle out of space errors in jfs.
* Tue Jun 01 2004 - mason@suse.de
- fix rbce insmod bug (SUSE41422)
* Tue Jun 01 2004 - agruen@suse.de
- /etc/init.d/running-kernel: Fix fallback logic.
* Tue Jun 01 2004 - okir@suse.de
- Merged two CIFS patches from Steve French, via air mail:
- Fix block count reported to du (SUSE41487 - LTC9036)
- Fix prepare_write bug (SUSE41131)
* Tue Jun 01 2004 - hare@suse.de
- Update to unofficial IBM codedrop; renamed
  patches from s390-03-{29|30}-april2004.diff to
  official IBM name s390-04-*.
* Tue Jun 01 2004 - axboe@suse.de
- flag BH_Eopnotsupp on buffer_heads for failed barriers
* Tue Jun 01 2004 - agruen@suse.de
- SUSE41443: rpm/running-kernel.init.in: Keep include/asm-*/offsets.h
  when doing a `make clean' and also link it into /usr/src/linux
  on those platforms that have it.
* Tue Jun 01 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-veth-buffer_pool
  handle buffer pools correctly (SUSE41392 - LTC8999)
* Tue Jun 01 2004 - okir@suse.de
- Merge nfsd fix from Neil Brown to correct handling of nfsd
  readahead
* Tue Jun 01 2004 - agruen@suse.de
- Fix kernel-binary post-install script for upgrading from SLES8
  to SLES9.
* Tue Jun 01 2004 - garloff@suse.de
- Serialise usb-storage commands with usbfs operations (SUSE40827).
* Tue Jun 01 2004 - okir@suse.de
- Fix refcounting problem in ipsec xfrm_state (SUSE41219)
* Tue Jun 01 2004 - okir@suse.de
- Tentative fix for nfsd/solaris9 readdirplus interoperability
  issue (SUSE41010 - LTC8781)
* Tue Jun 01 2004 - okir@suse.de
- Added workaround for pcnet skb_over_panic when the card reports
  weird frame sizes (SUSE42438 - LTC9029)
* Tue Jun 01 2004 - okir@suse.de
- CIFS readdir should deal gracefully with inode & dentry
  allocation failures (SUSE41131)
* Tue Jun 01 2004 - hare@suse.de
- add patches.suse/lkcd-netdump-discontig.patch
  Fix netdump for CONFIG_DISCONTIGMEM enabled (SUSE41399 - LTC9007)
* Tue Jun 01 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-prom-reloc
  missing RELOCs, add linux,phandle properties to device-tree
* Tue Jun 01 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  remove sysfs entry for vscsis
* Tue Jun 01 2004 - kkeil@suse.de
- ppp-filter-fix: new version with correct filter headers for
  DLT_LINUX_SLL filter (see # SUSE34724)
* Mon May 31 2004 - okir@suse.de
- Updated lustre-intent-fix-3 with latest from IBM (SUSE41025 - LTC8786)
* Mon May 31 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp-dealloc_slot_struct.patch
  dealloc_slot_struct was called twice on error (SUSE41451 - LTC9011)
* Mon May 31 2004 - mason@suse.de
- make -o barrier=none also disable blkdev_flush on fsync for
  reiserfs
* Mon May 31 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-veth
  Flush pending packets when remote partition goes down
  fix virtual ethernet hangs (SUSE39499 - LTC7908)
* Mon May 31 2004 - mason@suse.de
- remove debugging printk from aio-debug add comments now that
  the bug is understood
* Mon May 31 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-hash_table-fixes
  add patches.arch/ibm-ppc64-iseries-hash_table-fixes
  more hashtable locking fixes (SUSE39039 - LTC7625)
* Mon May 31 2004 - olh@suse.de
- add patches.fixes/ppc64-rpa_vio.patch
  fix removal of virtual ethernet slots  (SUSE41442 - LTC9031)
* Mon May 31 2004 - olh@suse.de
- add patches.suse/kdb-gfp (SUSE40759)
  Use the correct GFP flags when kdb is running in interrupt context
* Sun May 30 2004 - schwab@suse.de
- Fix fpu register leak [SUSE41411].
* Sat May 29 2004 - okir@suse.de
- Fixed lustre revalidate_special to not return dentries with
  d_inode == NULL (SUSE41025 - LTC8786)
* Sat May 29 2004 - olh@suse.de
- add patches.fixes/radeonfb_new-ibook
  support for the latest iBook models
  fix initialisation problem on some IGP chipsets
* Sat May 29 2004 - olh@suse.de
- add patches.fixes/ppc32.serial.zilog.channel_b
  fix rx on channel b
* Sat May 29 2004 - ak@suse.de
- add more adaptec support to i2o driver
- ignore unwriteable sysenter registers on x86-64
* Fri May 28 2004 - agruen@suse.de
- SUSE41259: Fix handling of mmap vs. dmapi regions on jfs.
- Rename `supported' command line option to `unsupported'. Allow
  the values 0 = no, 1 = with warnings, and 2 = without warnings,
  identical to /proc/sys/kernel/unsupported. A value of 2 still
  taints the kernel if unsupported modules are loaded. Make
  self-compiled kernels default to 2.
- Instead of the build time, put cvs timestamp in `uname -v'.
- Don't cause unresolved symbols to abort the build.
* Fri May 28 2004 - ak@suse.de
- fix i386 kdb for regparms (SUSE40952)
* Fri May 28 2004 - ak@suse.de
- fix ugly warning in cciss change
* Fri May 28 2004 - ak@suse.de
- prefer panic to deadlock on MCE on x86-64 (SUSE41070)
* Fri May 28 2004 - mantel@suse.de
- enable CONFIG_BLK_DEV_TRM290 and CONFIG_BLK_DEV_OPTI621 (SUSE38814)
* Fri May 28 2004 - ak@suse.de
- ignore holes in mlock to work around ld.so issue (SUSE41356)
* Fri May 28 2004 - ak@suse.de
- fix and reenable tcp-proc-listen patch (SUSE40888)
* Fri May 28 2004 - mason@suse.de
- fix DIRECT_IO hole filling bug (SUSE41325)
* Fri May 28 2004 - mantel@suse.de
- fix 32/64 bit problem in cciss driver for configuration utility
  (SUSE41377)
* Fri May 28 2004 - ak@suse.de
- fix 32bit select on x86-64 (partial SUSE41260)
* Fri May 28 2004 - mantel@suse.de
- family field of struct sockaddr should contain AF_XXX values,
  not IPPROTO_XXX (SUSE41348)
* Fri May 28 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-veth-modinfo
  provide driver version via modinfo (SUSE41326 - LTC8966)
* Fri May 28 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  improve locking
* Fri May 28 2004 - agruen@suse.de
- patches.fixes/anon-d_hash: Set d_bucket correctly for anonymous
  dentries.
* Fri May 28 2004 - ihno@suse.de
- adding fix from IBM for s390-iucv-Interface (SUSE41252)
* Fri May 28 2004 - mason@suse.de
- aio debugging patch
* Thu May 27 2004 - ak@suse.de
- add missing GSI code for es7000 (SUSE41319)
* Thu May 27 2004 - agruen@suse.de
- patches.fixes/xfs-overflow: Fix 64-bit overflow.
- Make failures in external modules non-fatal.
- Make unlisted modules non-fatal.
* Thu May 27 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-numa-off.patch
  handle numa=off (SUSE41334 - LTC8921)
* Thu May 27 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-hvcs
  add MODULE_VERSION (SUSE41332 - LTC8969)
* Thu May 27 2004 - ak@suse.de
- Fix another bug in x86_64 find_first_bit()
- Reenable x86_64-early-console that got disabled by mistake
* Thu May 27 2004 - ak@suse.de
- Disable /proc/net/*listen for now
* Thu May 27 2004 - ak@suse.de
- readd broken hack to lustre-intent to make the module
  compile again.
* Thu May 27 2004 - ak@suse.de
- Make x86-64 compile for uniprocessor again
* Thu May 27 2004 - garloff@suse.de
- Mark bcm4400 as unsupported (bad code, b44 being much better).
* Thu May 27 2004 - ak@suse.de
- add missing memory clobber in x86-64 find_first_bit
* Thu May 27 2004 - ak@suse.de
- Update ACPI to 2.6.7-bk state
  es7000 temporarily broken
* Thu May 27 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  make sure properties are not changed while target is active
* Thu May 27 2004 - mantel@suse.de
- fix incorrect error handling in sysfs_rename_dir (SUSE40072)
* Thu May 27 2004 - ak@suse.de
- disable tcp-proc-walk temporarily
* Thu May 27 2004 - ak@suse.de
- disable pageattr-nx fix, replace with subtly wrong hack (SUSE41184)
- fix early console on x86-64
- remove bogus code in lustre patch
* Thu May 27 2004 - mantel@suse.de
- lkcd: fix compilation on IPF with 64k page size (SUSE41265)
* Thu May 27 2004 - agruen@suse.de
- Add /usr/src/linux/Makefile.suse for external module testing.
* Thu May 27 2004 - axboe@suse.de
- Fix deadlock in flush_workqueue() for singlethreaded work queues (SUSE41244)
* Thu May 27 2004 - okir@suse.de
- Fix kernel statd server to actually accept SM_NOTIFY calls
- Fix minor oops in net/sched_tbf (from mainline)
* Thu May 27 2004 - olh@suse.de
- reenable patches.fixes/dm-Fix-6432-bit-ioctl-problems.
  add patches.fixes/dm-remove-all
  use dm ioctl wrappers from mainline (SUSE40454 - LTC8344)
* Thu May 27 2004 - mantel@suse.de
- update qla2xxx driver to 8.00.00b13
* Thu May 27 2004 - okir@suse.de
- Updated nfsd-encode-dirent3 to fix nfsd memory corruption when
  handling readdirplus calls from non-Linux clients (LTC8781 - SUSE41010)
* Thu May 27 2004 - olh@suse.de
- add patches.fixes/ppc32-boot-chrp-ldscript.patch
  do not include ld.script in boot header
* Thu May 27 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  add sysfs support for vscsi server
* Thu May 27 2004 - olh@suse.de
- add patches.arch/suse-ppc64-as-option
  pass -a64 instead of -64 to as
* Thu May 27 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp-multifunction-devices
  handle multi-fuction devices correctly (SUSE40901 - LTC8702)
* Thu May 27 2004 - agruen@suse.de
- LTC8470 / SUSE40615: Fix the fix.
* Thu May 27 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-IOMAP_MAX_ORDER
  bump IOMMU_MAX_ORDER (SUSE41133 - LTC8862)
* Thu May 27 2004 - mantel@suse.de
- allow probe to be inserted into already loaded module (SUSE41281)
* Thu May 27 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  fix implementation of the SRP protocol (SUSE40997 - LTC8745)
* Thu May 27 2004 - mantel@suse.de
- don't make rcfs unusable when class directory under taskclass
  gets removed (SUSE41242)
* Thu May 27 2004 - okir@suse.de
- merged pcnet-promisc-switchover patch (Don Fry)
* Thu May 27 2004 - olh@suse.de
- add patches.drivers/ipr_ioa_reset_timeout_oops2.patch
  add patches.drivers/ipr_driver_version_2_0_9.patch
  fix oops when ipr adapter times out coming operational
  (SUSE41282 - LTC8950)
* Thu May 27 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-check-n-panic-earlier.patch
  add patches.arch/ibm-ppc64-panic_on_oops.patch
  trigger a panic after an EEH error (SUSE41277 - LTC8773)
* Thu May 27 2004 - okir@suse.de
- Updated to cifs 1.16 to fix the prepare write bug (SUSE41131)
* Thu May 27 2004 - mantel@suse.de
- fix write failure on virtual DVDRAM (PPC) (SUSE41245)
* Thu May 27 2004 - agruen@suse.de
- LTC8470 / SUSE40615: Fix teardown of partially initialised xfs
  buffers.
* Thu May 27 2004 - okir@suse.de
- fix typo in previous pcnet fix
* Thu May 27 2004 - okir@suse.de
- Merged patch for JFS hang on get_metapage (LTC8905 - SUSE41253)
- Fixed pcnet32 diagnostics patch (LTC8726 - SUSE40951)
* Thu May 27 2004 - ak@suse.de
- force pci=noacpi for IBM HS20 and asus pr-dls (SUSE38178)
- fix b44 resume when interface is down
* Thu May 27 2004 - agruen@suse.de
- patches.suse/jfs-dmapi-fix: Back out broken 32-bit compatibility
  code.
* Thu May 27 2004 - garloff@suse.de
- tulip-napi-remove-hang: Better fix. (okir, SUSE39668)
* Wed May 26 2004 - mason@suse.de
- ckrm permission fix (bug SUSE41270)
* Wed May 26 2004 - mason@suse.de
- lkcd doesn't compile with 64k page size on ia64
* Wed May 26 2004 - ak@suse.de
- Fix noapic, lapic, nolapic options (SUSE41236)
* Wed May 26 2004 - olh@suse.de
- update emulex fc driver to lpfcdriver-2.10f
  fix snprintf bug in lpfc_proc_info
* Wed May 26 2004 - ak@suse.de
- fix siblings issue on vmware
* Wed May 26 2004 - mason@suse.de
- ckrm fix (bug SUSE41243) fix rcfs checking of values from userland
* Wed May 26 2004 - mason@suse.de
- fix some compiler warnings in the rbce module
* Wed May 26 2004 - mason@suse.de
- add ckrm rbce module (bug SUSE40398)
* Wed May 26 2004 - agruen@suse.de
- SUSE41048: jfs dmapi fix for 64-bit kernel with 32-bit userspace.
* Wed May 26 2004 - okir@suse.de
- merged two patches from mainline:
  1.1717.17.1 04/05/20 18:20:15 yoshfuji@linux-ipv6.org +1 -0
  [IPV6] handle return value from ip6_push_pending_frames().
  1.1726.1.17 04/05/21 13:20:48 akpm@osdl.org[torvalds] +1 -0
  Fix NFSD oops in readdir
* Wed May 26 2004 - mason@suse.de
- export smp_send_stop on ia64 for lkcd
* Wed May 26 2004 - mason@suse.de
- remove bogus vs-8115 warning from reiserfs
* Wed May 26 2004 - mason@suse.de
- fix bug SUSE40642, reiserfs_commit_for_inode return values was
  causing problems for O_DIRECT and directory fsyncs
* Wed May 26 2004 - mason@suse.de
- add lkcd-ia64-kerntypes-compile to use
-fno-eliminate-unused-debug-types on for ia64 kerntypes file
* Wed May 26 2004 - hare@suse.de
- add patches.arch/s390-03-{29|30}-april2004.diff
  Fix kernel oops on unloading DASD modules.
* Wed May 26 2004 - mantel@suse.de
- add support for E7501 and CNB20LE/CNB30LE to ecc driver (SUSE41220)
* Wed May 26 2004 - ak@suse.de
- add /proc/net/tcp_listen, tcp6_listen to make slpd scale better
  (SUSE40888)
* Wed May 26 2004 - garloff@suse.de
- lustre-intent-fix-2: Fix intent initialization and interaction
  with fshooks.
* Wed May 26 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-uninline-spinlocks
  In _raw_spin_lock_flags we were branching to the wrong spot and
  would restore random stuff to the MSR.
  (function is unused in our tree, fix it anyway)
* Wed May 26 2004 - ak@suse.de
- print backtrace on bad vfrees
* Wed May 26 2004 - axboe@suse.de
- don't allow non-fs requests to ide-disk, currently only the taskfile
  io path was checked (SUSE40704)
* Wed May 26 2004 - ak@suse.de
- dump all registers on x86-64 in lkcd (part of SUSE39442)
* Wed May 26 2004 - ak@suse.de
- enable IO-APIC in default kernel on IBM x445 (SUSE34649)
* Wed May 26 2004 - ak@suse.de
- optimize proc tcp socket list walking slightly (SUSE40888)
* Wed May 26 2004 - olh@suse.de
- add patches.fixes/blockdev-readahead-fix
  We need to set file->f_ra _after_ calling blkdev_open(), when
  inode->i_mapping points at the right thing.
  And we need to get it from inode->i_mapping->host->i_mapping too,
  which represents the underlying device.
* Wed May 26 2004 - mantel@suse.de
- update b44 driver to version 0.94 (SUSE41149)
* Wed May 26 2004 - okir@suse.de
- Added pcnet diagnostics patch (LTC8726 - SUSE40915)
* Wed May 26 2004 - garloff@suse.de
- Enable tng_forkfnc/exitfnc.
* Wed May 26 2004 - okir@suse.de
- added patch from John Stultz to fix vgettiomeofday on i386 (LTC8395-SUSE40504)
- s/tg3-autonet/tg3-autoneg/ in series.conf to fix previous commit
* Wed May 26 2004 - ak@suse.de
- enable hardware flow control in tg3 driver
* Tue May 25 2004 - mason@suse.de
- update ia64 .config for lkcd
* Tue May 25 2004 - mason@suse.de
- add lkcd for ipf again
* Tue May 25 2004 - olh@suse.de
- update patches.fixes/e1000-mb.patch
  remove mb again from e1000_clean_tx_irq() bug (SUSE41111 - LTC8539)
* Tue May 25 2004 - mason@suse.de
- fix lkcd compile problem on x86_64
* Tue May 25 2004 - mason@suse.de
- potential fix for SUSE40701 (BUG in aio) and some O_SYNC related
  reiserfs fixes
* Tue May 25 2004 - andrea@suse.de
- fix the other smp race condition in do_stop() SUSE40082
* Tue May 25 2004 - agruen@suse.de
- SUSE41146: jfs acls broken.
* Tue May 25 2004 - kraxel@suse.de
- fix ieee1394 nodemgr locking (SUSE40177).
* Tue May 25 2004 - ak@suse.de
- fix typo in previous lkcd patch
* Tue May 25 2004 - mantel@suse.de
- work around parser problem for kernel-docs
* Tue May 25 2004 - ak@suse.de
- clean up x86-64 lkcd changes and make them compile without CONFIG_DUMP
- minor lkcd fixes
* Tue May 25 2004 - olh@suse.de
- add patches.suse/lkcd_cpu_hotplug_fix.patch
  use num_possible_cpus() when looking for cpus (SUSE41135 - LTC8863)
* Tue May 25 2004 - olh@suse.de
- update patches.fixes/ibm-ppc64-iseries-viodasd-probe-disks
  write 1 to /sys/bus/vio/drivers/viodasd/probe instead of reading
  from it (SUSE40528 - LTC8159)
* Tue May 25 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-fix-real_virtual-irq-mapping.patch
  fix virtual to real irq mapping
* Tue May 25 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-siginfo-copy
  ppc64: siginfo conversion fix for 32 -> 64bit
* Tue May 25 2004 - hare@suse.de
- S/390: Update to IBM codedrop 25-05-2004
* Tue May 25 2004 - olh@suse.de
- add patches.drivers/ipr_duplicate_ioa_reset_fix.patch
  fix timeout after duplicate reset commands (SUSE41050 - LTC8814)
  add patches.drivers/ipr_scsi_busy_io_hang.patch
  fix hang in io on unexpected scsi status (SUSE41049 - LTC8678)
  add patches.drivers/ipr_driver_version_2_0_8.patch
  bump version number
* Tue May 25 2004 - agruen@suse.de
- patches.fixes/udf-cvsfix: Fix reading udf filesystems created
  with recent Win* tools.
* Tue May 25 2004 - olh@suse.de
- remove patches.fixes/proc_bus_usb_bielefeld
  binary only apps like vmware cant be fixed to not read
  from /proc/bus/usb/devices (SUSE41036)
* Tue May 25 2004 - olh@suse.de
- reenable patches.arch/ibm-ppc64-memcpy_tofromio.diff
  increment the loop counter (SUSE40978 - LTC8701)
* Tue May 25 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-veth-longbusy
  check for busy state (SUSE41039 - LTC8798)
* Tue May 25 2004 - olh@suse.de
- enable CONFIG_IXGB and CONFIG_S2IO on pseries64,
  enable NAPI for both drivers (SUSE41112 - LTC8851)
* Tue May 25 2004 - okir@suse.de
- Fix lustre patch to work with updated cifs patch
* Tue May 25 2004 - hare@suse.de
- Fix cifs merge to patch again.
* Tue May 25 2004 - axboe@suse.de
- ide_pin_hwgroup() should check ->doing_barrier as well
* Tue May 25 2004 - hare@suse.de
- really fix arch-atomic_inc_and_test for S/390 (SUSE41096).
* Tue May 25 2004 - okir@suse.de
- Merge CIFS 1.15e to address problems in build_path_from_dentry (SUSE40973)
* Tue May 25 2004 - olh@suse.de
- add patches.fixes/e1000_discriptor.patch
  allow setting Tx or Rx Descriptors above 3272 (SUSE41116 - LTC8857)
* Tue May 25 2004 - olh@suse.de
- enable CONFIG_IBMOL on pseries (SUSE41099 - LTC8836)
* Tue May 25 2004 - okir@suse.de
- pcnet32 driver on 79c973 reported all outgoing packets as
  TX errors; patch from Don Fry (LTC8689 - SUSE40886)
* Tue May 25 2004 - hare@suse.de
- add patches.suse/ltt-hooks-remove-non-i386-7.39.patch
  Remove LTT on non-i386 architectures.
- fix xfs-mem-retry to build again.
* Tue May 25 2004 - mantel@suse.de
- clean up megaraid driver (use own subdir for new driver)
* Tue May 25 2004 - garloff@suse.de
- tulip-napi-remove-hang: Fix issue with removed tulip pcmcia card
  when NAPI is enabled (SUSE39668, cadaha).
* Tue May 25 2004 - ak@suse.de
- retry failed allocations in XFS (SUSE39962)
- fix bug in NUMA API with huge nodemasks
* Tue May 25 2004 - agruen@suse.de
- Add EXPORT_SYMBOL(laptop_mode).
- jfs updates/fixes: jfs-__get_metapage-size, jfs-d_instantiate-fix,
  jfs-error-recovery, jfs-invalidate-metadata-race, jfs-memleak,
  jfs-reduce-stack-usage, jfs-rmmod-fix.
* Tue May 25 2004 - olh@suse.de
- update patches.fixes/e1000-mb.patch
  need also mb in e1000_clean_tx_irq() bug (SUSE41111 - LTC8539)
* Mon May 24 2004 - agruen@suse.de
- xfs updates/fixes:
  + xfs-laptop-mode-patch: final laptop mode patch; rest already
  in kernel.
  + xfs-remove-some-dead-code: xfs_swappable code not used.
  + xfs-fix-some-warnings
  + xfs-jiffies-to-centisecs: Export/import tunable time
  intervals as centisecs not jiffies.
  + xfs-forced-shutdown-fix: Fix a use-after-free during
  transaction commit when the log is in error state.
  + xfs-use-set_current_state: Use set_current_state instead of
  direct current->state assignment, it has added memory barrier
  goodness.
* Mon May 24 2004 - agruen@suse.de
- SUSE41054: Require irqbalance package for kernel-smp on x86_64.
* Mon May 24 2004 - axboe@suse.de
- cfq rq allocation race fix
* Mon May 24 2004 - hare@suse.de
- fix patches.arch/s390-mapped-base.patch
  to properly handle 31-bit emulation prgs (SUSE40895).
* Mon May 24 2004 - axboe@suse.de
- cfq should check cfqd->xxx instead of the global defaults
* Mon May 24 2004 - okir@suse.de
- Merged several pcnet32 fixes from Don Fry (LTC8703 - SUSE41034)
* Mon May 24 2004 - mantel@suse.de
- DM fixes:
  o fix mpathd log writing loop (SUSE40787)
  o fix potential memory leak in an I/O mapping error-path
  o make kcopyd daemon single-threaded
* Mon May 24 2004 - ak@suse.de
- add acpi=oldboot alias for acpi=ht for compatibility
* Mon May 24 2004 - mantel@suse.de
- re-add cleaned up version of ES7000 support
* Mon May 24 2004 - okir@suse.de
- fix setsockopt/getsockopt 32bit emulation for IPV6_ONLY and
  a few other ioctls (LTC7563/SUSE38941)
* Mon May 24 2004 - kraxel@suse.de
- framebuffer palette handling fix (SUSE38364).
* Mon May 24 2004 - okir@suse.de
- Fixed typo in previous patch
* Mon May 24 2004 - okir@suse.de
- Fix for IPv6 tunnel PMTU problem (SUSE41017)
* Mon May 24 2004 - schwab@suse.de
- Set platform specific PROM flag on sn2 [SUSE40927].
* Mon May 24 2004 - hare@suse.de
- S/390: Update to official IBM codedrop 18-05-2004
- S/390: Split IBM codedrop 27-04-2004 in individual patches
  for better maintenance.
* Mon May 24 2004 - hare@suse.de
- add patches.suse/lkcd-x86_64-netdump.patch
  Fix netdump on x86_64 (SUSE40608)
* Mon May 24 2004 - andrea@suse.de
- fix for ia64 arch-atomic_inc_and_test needed by the
  page-freeing-race-fix.
* Sun May 23 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-oprofile-fix2.patch
  update for power4 (SUSE40468 - LTC8498)
* Sun May 23 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  init iseries_vscsi_dev.iommu_table (SUSE40818 - LTC8642)
* Sun May 23 2004 - olh@suse.de
- add patches.drivers/ipr-gcc-attribute-fixes-1.patch
  split packed ipr structs
  add patches.drivers/ipr_delete_anon_unions-4.patch
  make gcc 2.95 happy
  add patches.drivers/ipr_eh_elog_fixes-2.patch
  more logging in abort, device reset, and bus reset paths
  add patches.drivers/ipr_ioa_reset_timeout_oops-3.patch
  fix oops on bad hardware (SUSE40207 - LTC8316)
  add patches.drivers/ipr_driver_version_2-0-7-5.patch
  bump driver version
* Sun May 23 2004 - olh@suse.de
- add patches.fixes/initramfs-uncompress.patch
  handle 512 byte aligned gzip headers
* Sun May 23 2004 - axboe@suse.de
- fix ide barrier plugging race (SUSE41028)
* Sun May 23 2004 - agruen@suse.de
- SUSE41015: Deadlock on path reiserfs_setxattr => xah->set =>
  user_set => reiserfs_permission_locked => _reiserfs_permission:
  reiserfs_setxattr does down_write(xattr_sem);
  _reiserfs_permission then does down_read(xattr_sem).
* Sun May 23 2004 - garloff@suse.de
- Disable page-freeing-race-fix.patch on ia64.
* Sun May 23 2004 - axboe@suse.de
- Fix barrier clearing in ext3, and fix several bugs in barrier-ide
  in error handling.
* Sun May 23 2004 - agruen@suse.de
- Preserve timestamps of km_* files when copying them from
  /usr/src/kernel-modules to %%_builddir.
* Sat May 22 2004 - schwab@suse.de
- Fix cosmetical bug in quiet_cmd_modules_install_extra.
* Sat May 22 2004 - garloff@suse.de
- small-filp: Reduce size of struct file from 264 to 256 on 64bit.
* Sat May 22 2004 - garloff@suse.de
- lustre-intent-fix: streamline locking and export symbol.
* Sat May 22 2004 - garloff@suse.de
- steal-locks: Only migrate locks to current if we have the resp.
  file descriptors (agruen, SUSE40400).
* Fri May 21 2004 - ak@suse.de
- Fix x86-64 export for smp_stop_*
- Backport fixed 32bit select from 2.6.7 for x86-64
- Make it compile without CONFIG_CKRM
- Add some missing numa API documentation
* Fri May 21 2004 - agruen@suse.de
- Fix a reference to page->count on s390.
* Fri May 21 2004 - mantel@suse.de
- SLES9 Beta6 (CVS tag SLES9_BETA6)
* Fri May 21 2004 - axboe@suse.de
- Make CFQ the default IO scheduler
* Fri May 21 2004 - olh@suse.de
- disable broken patches.arch/ibm-ppc64-memcpy_tofromio.diff
  reimplement eeh_memcpy_fromio (SUSE40978 - LTC8701)
* Fri May 21 2004 - mantel@suse.de
- remove bogus WARNING from futex (SUSE40837)
* Fri May 21 2004 - mason@suse.de
- export __log_start_commit for ext3
* Fri May 21 2004 - mantel@suse.de
- update acenic driver to make it work; verified by IBM (SUSE40983)
* Fri May 21 2004 - mason@suse.de
- fix a reiserfs bug when filesystem block size is less then the
  page size
* Fri May 21 2004 - garloff@suse.de
- security-disabled-optimize-cap-default: Put a correctly predicted
  branch in the inlined LSM hooks rather than doing the indirect
  calls. The default is capability now, the module does not need
  to be compiled-in nor loaded (SUSE39439).
* Fri May 21 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-memcpy_tofromio.diff
  reimplement eeh_memcpy_fromio (SUSE40978 - LTC8701)
* Fri May 21 2004 - mason@suse.de
- bug SUSE40197, make ext3 retry failed allocations
* Fri May 21 2004 - okir@suse.de
- patch from IPSec Oops when deleting an ip address to prevent
  IPSec Oops when deleting an ip address (via netdev)
* Fri May 21 2004 - ak@suse.de
- Remove ES7000 patches for now since they break too many
  other machines (SUSE40944)
* Fri May 21 2004 - mantel@suse.de
- CKRM: add missing root checks (SUSE40106)
* Fri May 21 2004 - schwab@suse.de
- Enable oprofile [SUSE40939].
* Fri May 21 2004 - schwab@suse.de
- Unwinding fixes [SUSE40928].
* Fri May 21 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-cpu-hotplug-add-smt
  add patches.fixes/show_stat-for_each_online_cpu.patch
  report sibling cpus properly in /proc/stat (SUSE38886 - LTC7522)
* Fri May 21 2004 - okir@suse.de
- Prevent buffer overflows if buggy/hostile NFS server returns
  giant symlinks
* Fri May 21 2004 - ak@suse.de
- disable another annoying printk in ipv6
* Fri May 21 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-iseries-viodasd-probe-disks
  probe new disks by reading /sys/bus/vio/drivers/viodasd/probe
  (SUSE40528 - LTC8159)
* Fri May 21 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  ibmvscsi_remove doesnt take null pointers (SUSE40818 - LTC8642)
* Fri May 21 2004 - ak@suse.de
- add fix for via rhine negotation problems with forced link
* Fri May 21 2004 - okir@suse.de
- prevent race condition in procfs access to task->group_info (SUSE38009 - LTC7259)
* Fri May 21 2004 - olh@suse.de
- add patches.suse/lkcd_remove_ioctl32reg_ppc64.patch
  LKCD ppc64 tries ioctl32 registration twice (SUSE40543 - LTC8552)
* Fri May 21 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-pci_dev_get.patch
  fix unbalanced pci_dev_get()/put() calls (SUSE40899 - LTC8698)
* Fri May 21 2004 - garloff@suse.de
- qla-nvram-settings: Patch from A Vasquez to fixup an invalid
  NVRAM setting in qla2xxx. (SUSE40092)
* Fri May 21 2004 - okir@suse.de
- Prevent deadlock in IPIP tunnel (error path)
* Fri May 21 2004 - axboe@suse.de
- don't leave ->waiting pointer left pointing to old stack
* Fri May 21 2004 - okir@suse.de
- Fix handling of IPv6 mapped IPv4 addresses (SUSE40894)
* Fri May 21 2004 - andrea@suse.de
- SUSE38478: fix ramfs 2G limit
* Fri May 21 2004 - agruen@suse.de
- SUSE40950: Add files to kernel-source.spec so that binary kernels
  can be built directly from kernel-source.spec.
* Fri May 21 2004 - andrea@suse.de
- fix VM double freeing longstanding race condition, patches
  from -mm, bug SUSE38424
* Fri May 21 2004 - mason@suse.de
- bug SUSE40450 and SUSE40581, data miscompares on reiser
- catch some missed reiserfs io error handling cases (jeffm)
- enable reiserfs write barriers by default
* Fri May 21 2004 - mason@suse.de
- fix problem between reiserfsck --rebuild-tree and the
  new reiserfs block allocator
* Thu May 20 2004 - mason@suse.de
- bug SUSE40937, SUSE40929, SUSE40396 ckrm fixes
* Thu May 20 2004 - mason@suse.de
- bugzilla dump
- bug SUSE40391, SUSE40660, SUSE40659, SUSE40653 - ckrm fixes
- bug SUSE40755 lkcd fix for ppc64
- bug SUSE40893 apply limits to jfs mount options
* Thu May 20 2004 - ak@suse.de
- Fix CPU online check in msr and cpuid drivers
* Thu May 20 2004 - ak@suse.de
- Remove 99 char limit on cpumask (SUSE40820)
* Thu May 20 2004 - garloff@suse.de
- scsi-early-set-max-dev-blocked: Avoid possible recursion by
  initializing max_device_blocked early enough.
- st-ioctl-idlun-support: st would not answer SCSI_IOCTL_GET_IDLUN
  correctly without this.
* Thu May 20 2004 - olh@suse.de
- enable patches.arch/ibm-ppc64-hotcpu_sched_domains.patch
  and patches.arch/ibm-ppc64-hotcpu_numa.patch
  add patches.arch/ibm-ppc64-numa-find_min_common_depth.patch
  DLPAR and NUMA married. (SUSE40430 - LTC8104)
* Thu May 20 2004 - schwab@suse.de
- A better fix for the rt_sigprocmask fast syscall [SUSE30297].
* Thu May 20 2004 - olh@suse.de
- add patches.fixes/ext2-init-goal
  [PATCH] use-before-uninitialized value in ext3(2)_find_ goal
* Thu May 20 2004 - ak@suse.de
- Update clone-balance patch to newer version from mainline for
  better performance.
- Disable clone balancing on ia64 since it doesn't scale well to
  huge machines.
- Rediff LaUS-kernel patch.
* Thu May 20 2004 - olh@suse.de
- add patches.fixes/sunrpc-svc_recv-init-len
  svc_recv may call svc_sock_release before rqstp->rq_res is
  initialized.
* Thu May 20 2004 - olh@suse.de
- add patches.fixes/ppc32-save-all-regs
  Get full register set on bad kernel accesses
* Thu May 20 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-set_pte-race
  close a race windows when set_pte is called on a present PTE
  (SUSE39039 - LTC7625)
* Thu May 20 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-systemcfg
  add POWER5 value to systemcfg.h (SUSE40870 - LTC8666)
* Thu May 20 2004 - olh@suse.de
- add patches.arch/suse-ppc64-autoconsole.patch
  try to autodetect serial console on Xserve
* Thu May 20 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-uninline-spinlocks
  Fix inline version of _raw_spin_trylock
* Thu May 20 2004 - garloff@suse.de
- selinux-opt-selinux0: Don't do the indirect security_opt calls
  if selinux is not enabled to avoid perf penalty. (SUSE39439)
* Wed May 19 2004 - olh@suse.de
- enable zilog console for pmac64
* Wed May 19 2004 - olh@suse.de
- add patches.drivers/qla-check-pci_map_sg-2.patch
  check for pci_map_sg failure (SUSE40677 - LTC8321)
* Wed May 19 2004 - olh@suse.de
- add patches.fixes/jfs-GFP_NOFS-2.patch
  Set bdev's gfp_mask to GFP_NOFS when mounting rw (SUSE40654 - LTC8590)
* Wed May 19 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-slot_errbuf_lock.patch
  slot-error-detail buffer needs a lock (SUSE40823 - LTC8661)
* Wed May 19 2004 - okir@suse.de
- Made vgettimeofday controllable by boot param; default to off
* Wed May 19 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtas_slot_error_detail.patch
  log slot-error-detail properly (SUSE40824 - LTC8656)
* Wed May 19 2004 - schwab@suse.de
- Convert /proc/perfmon to seqfile API [SUSE40819].
* Wed May 19 2004 - garloff@suse.de
- lustre-intent: Integrate the intent stuff LUSTRE needs for
  integration into the kernel.
* Wed May 19 2004 - ak@suse.de
- Fix 64bit sendfile on s390x too
* Wed May 19 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-veth
  missing spin_unlock in error path
* Wed May 19 2004 - ak@suse.de
- Fix sendfile for files >2GB on 64bit architectures
- Fix >2GB sendfile on XFS
* Wed May 19 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-veth
  fix TX errors in iseries_veth, another logic bug
* Wed May 19 2004 - olh@suse.de
- add patches.suse/kdb-ppc64-udbg_write
  write to OF stdout instead of console
* Wed May 19 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-readq_writeq
  fix readq/writeq
* Wed May 19 2004 - olh@suse.de
- add patches.fixes/ppc64-PT_FPSCR
  Fix incorrect PT_FPSCR definition
* Wed May 19 2004 - olh@suse.de
- add patches.fixes/ppc.970-cpuinit
  Cleanup PPC970 CPU initialization
  add patches.fixes/ppc32-altivec-exception-handling
  Handle altivec assist exception properly
  add patches.fixes/ppc32-altivec-trap
  Fix thinko in the altivec exception code
* Wed May 19 2004 - olh@suse.de
- add patches.fixes/video-radeon-lvds-typo
  Fix typo nonsense test in radeon PMAC backlight code.
* Wed May 19 2004 - olh@suse.de
- add patches.suse/ibm-ppc64-970fx-smp-init
  Add proper  SMP init on dual 970FX based machines
* Wed May 19 2004 - olh@suse.de
- add patches.fixes/usb-keep-bound-interfaces
  dont oops in usb_ifnum_to_if
  add patches.fixes/usb-serial-keyspan-upr112
  add patches.fixes/usb-storage-ibm-memkey
  add patches.fixes/usb-storage-kyocery-finecam
  add patches.fixes/usb-storage-sony-clie
  add patches.fixes/usb-storage-sony-handycam
  new firmware for keyspan device, new unusual dev entries
* Wed May 19 2004 - axboe@suse.de
- Patchlet to expose backing device read-ahead setting through sysfs
* Wed May 19 2004 - okir@suse.de
- mmapped pages on NFS would never be discarded (SUSE39480)
* Wed May 19 2004 - okir@suse.de
- Updated CIFS to cifs-1.15-suse provided by Steve French (SUSE40736)
- Make CIFS sockets use sk_allocation = NOFS to prevent deadlock (SUSE40736 too)
* Wed May 19 2004 - andrea@suse.de
- Fix smp race in set_page_dirty (SUSE39268)
* Wed May 19 2004 - garloff@suse.de
- scsi-bflags-266: Add BLIST_MS_192_BYTES_FOR_3F from 2.6.6 to
  avoid conflicting blacklist constants.
* Tue May 18 2004 - olh@suse.de
- update patches.fixes/jfs-commit_threads
  more updates for the fix (SUSE40540 - LTC8497)
* Tue May 18 2004 - agruen@suse.de
- Fix use of floating-point in lirc-parallel.ko.
* Tue May 18 2004 - ak@suse.de
- Fix empty node 0 on x86-64 (SUSE39708)
* Tue May 18 2004 - agruen@suse.de
- Export swapper_space and delete_from_swap_cache symbols; the
  former is used by ocfs2.
* Tue May 18 2004 - agruen@suse.de
- patches.fixes/jfs-config-fix: Fix for CONFIG_JFS_POSIX_ACL=n.
* Tue May 18 2004 - ak@suse.de
- Another try at fixing the x86-64 timer bug (SUSE40751)
* Tue May 18 2004 - garloff@suse.de
- sched-double-lock-contention: less locking in balancing (sched).
* Tue May 18 2004 - olh@suse.de
- add patches.drivers/scsi_debug.patch
  update driver to 1.73
* Tue May 18 2004 - garloff@suse.de
- Merge PCIe and Standard PCI hotplug updates from 2.6.6 (SUSE34641).
* Tue May 18 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-hash-page-ri.patch
  dont clear MSR.RI in exit path of do_hash_page_DSI. (SUSE40637 - LTC8576)
* Tue May 18 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-hvcs
  Changes to hvcs to fix several concerns including documentation,
  interrupt handling, and code formatting.
* Tue May 18 2004 - olh@suse.de
- add patches.fixes/sg_cmd_done_oops_again.patch
  fix races in sg ioctl handling (SUSE40394 - LTC8371)
* Tue May 18 2004 - olh@suse.de
- add patches.suse/kdb-ppc64-bt-tail-recursion
  handle tail-recursive routines in kdb bt (SUSE39989 - LTC8037)
* Tue May 18 2004 - okir@suse.de
- allow 8 instead of 5 levels of indirection via symlinks (SUSE40720)
- changed smbfs follow_link function to use kmalloc instead of
  putting a 256 byte buf on the stack
* Tue May 18 2004 - okir@suse.de
- Updated sunrpc-bogus-export-entry to official fix from
  Neil Brown; disabled sunrpc-null-noauth which is obsoleted by this.
* Tue May 18 2004 - ak@suse.de
- Disable es7000+x86-64 fixes because they still seem to have
  problems
* Tue May 18 2004 - okir@suse.de
- Merged several CIFS fixes from Steve French:
- out of memory deadlock (SUSE40736, SUSE40735)
- deadlock in readdir
- truncated readdir() results in some cases
* Tue May 18 2004 - mantel@suse.de
- fix oops in hiddev.c
* Tue May 18 2004 - okir@suse.de
- Cleaned up cifs-update patch, removed garbage file cifs/file.c.temp.short.c
* Tue May 18 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-iSeries-SRC.patch
  update SRC on boot (SUSE40756 - LTC8360)
* Tue May 18 2004 - mantel@suse.de
- inrease blk_queue_max_sectors for cciss driver (SUSE40757)
* Tue May 18 2004 - ak@suse.de
- Backport SIS 746,648 AGP fixes from mainline
* Tue May 18 2004 - ak@suse.de
- Fix VIA, SIS, Nvidia, AMD K7 AGP drivers to only announce their
  supported PCI IDs (SUSE40622)
- Add missing SIS755 ID to amd64 AGP driver
* Tue May 18 2004 - ak@suse.de
- Fix timer interrupt on x86-64 (SUSE40751)
* Tue May 18 2004 - agruen@suse.de
- SUSE40682: Make arch/$ARCH/defconfig the default configuration for
  `make menuconfig' instead of /boot/config-`uname -r`.
* Mon May 17 2004 - olh@suse.de
- add patches.suse/kdb-common-console_detection
  disable kdb if no console detected, rather than stop booting.
  (SUSE40737)
* Mon May 17 2004 - okir@suse.de
- Fixed BUG() in nfs_clear_inode (SUSE40536)
* Mon May 17 2004 - agruen@suse.de
- Add symbol versions of modules from km_* packages to
  /boot/symvers-%%ver_str.gz.
- Fix minor linkage bug in mobile ipv6.
* Mon May 17 2004 - kraxel@suse.de
- add patches.uml/uml-general-protection-fault: fix uml general
  protection fault handling (SUSE35761).
* Mon May 17 2004 - garloff@suse.de
- exec-sig-tty-timer-init: When we alloc a new signal struct by
  calling exec from a a thread, posix_timers and tty were not
  properly initialized. (SUSE40407, LTC8378, ssant@in.ibm.com)
* Mon May 17 2004 - hare@suse.de
- Disable LTT for S/390. Totally broken.
* Mon May 17 2004 - olh@suse.de
- add patches.arch/intel-soft-float, finally!
* Mon May 17 2004 - ak@suse.de
- Fix AGP/NX allocation bug on x86-64 (SUSE40703)
* Mon May 17 2004 - olh@suse.de
- add patches.fixes/e1000_memory_leak_fix.patch
  fix e1000 DMA mapping leak (SUSE40371 - LTC8427)
* Mon May 17 2004 - agruen@suse.de
- kernel-binary.spec: Fix check for unresolved symbols.
* Sun May 16 2004 - agruen@suse.de
- kernel-syms.spec: Don't fail when symver dump files are
  missing.
* Sun May 16 2004 - agruen@suse.de
- SUSE40545: patches.fixes/xfs-endianness-fix: Fix XFS recovery on
  64-bit big-endian architectures.
- SUSE38009: patches.fixes/groups-alloc-0 did not fix the actual bug.
- SUSE40545: patches.fixes/jfs-commit_threads-fix: Get rid of
  floating point in jfs.
* Sat May 15 2004 - schwab@suse.de
- Fix botched riva fbdev lvalue conversion.
* Sat May 15 2004 - olh@suse.de
- disable patches.fixes/jfs-commit_threads, uses floats (SUSE40540)
* Sat May 15 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-fix-smt-oprofile
  set the run latch in the control register to make PMC6 count
  (SUSE40643 - LTC8582)
* Sat May 15 2004 - olh@suse.de
- update patches.fixes/e1000-netdev_register.patch
  move debug printk (SUSE40181 - LTC8195)
* Sat May 15 2004 - olh@suse.de
- add patches.suse/kdb-xmon-ppc64-shuffle-sysrq-keys
  Alt-SysRq-d for KDB overrides LKCD (SUSE40373 - LTC8431)
* Sat May 15 2004 - olh@suse.de
- add patches.suse/kdb-ppc64-print-unknown-sym
  put some spaces between addr and opcode (SUSE40427 - LTC8364)
* Sat May 15 2004 - olh@suse.de
- update patches.fixes/e100-mb.patch
  mb needed in e100_exec_cmd() (SUSE40387 - LTC8455)
* Sat May 15 2004 - olh@suse.de
- add patches.fixes/compat-ioctl-HDIO_DRIVE_TASK.patch
  handle also HDIO_DRIVE_TASKFILE (SUSE40276 - LTC8380)
* Sat May 15 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-iseries-viodasd-readonly-disks
  handle read-only viodasd disks (SUSE40380 - LTC8442)
* Sat May 15 2004 - olh@suse.de
- update patches.fixes/e100-mb.patch
  rmb needed in e100_rx_indicate() (SUSE40376 - LTC8434)
* Fri May 14 2004 - olh@suse.de
- update patches.arch/suse-ppc64-iseries-available_veth
  do not write outside the allocated buffer
* Fri May 14 2004 - garloff@suse.de
- Fix minor merging error of sysctl_hugetlb_shm_group and
  disable-cap-mlock (from andrea).
* Fri May 14 2004 - olh@suse.de
- disable patches.fixes/dm-Fix-6432-bit-ioctl-problems.
  as broken as patches.suse/dm-03-32bit-ioctl
* Fri May 14 2004 - agruen@suse.de
- Add supported command line option to disallow loading of
  unsupported modules.
* Fri May 14 2004 - olh@suse.de
- disable kdb per default on pseries64. use 'kdb=on' to activate it
* Fri May 14 2004 - agruen@suse.de
- Fix file list in kernel-syms.spec.
* Fri May 14 2004 - okir@suse.de
- fixed strip level in previous patch
* Fri May 14 2004 - okir@suse.de
- groups_alloc(0) would not allocate enough memory (SUSE38009)
* Fri May 14 2004 - schwab@suse.de
- Fix missing VM_RESERVED in ia32 emulation [SUSE40532].
* Fri May 14 2004 - schwab@suse.de
- Fix error handling in fast version of rt_sigprocmask [SUSE30297].
* Fri May 14 2004 - agruen@suse.de
- running-kernel init script: Allow the running kernel and kernel
  sources to have a different version/release.
* Fri May 14 2004 - mantel@suse.de
- fix boot on ES7000 machines (SUSE40274)
* Fri May 14 2004 - mantel@suse.de
- JFS: fix hang with multiple mkdir commands (SUSE40540)
* Fri May 14 2004 - mantel@suse.de
- CKRM: Don't allow non-root users to move any process to any
  class (SUSE40106)
* Fri May 14 2004 - agruen@suse.de
- Create missing directories in kernel-syms.spec.
* Fri May 14 2004 - hare@suse.de
- Fix lkcd dump for DUMP_LEVEL=1 (SUSE39840).
* Fri May 14 2004 - okir@suse.de
- CIFS: prevent oops in smb_init if kmalloc fails (SUSE40385)
* Fri May 14 2004 - agruen@suse.de
- No loger abort the build when modules are not listed in
  supported.conf.
* Fri May 14 2004 - ak@suse.de
- Add simple CMP support to x86-64
* Fri May 14 2004 - hare@suse.de
- Update sysfs-backing-store to official version from
  2.6.6-mm2 (SUSE36248).
* Fri May 14 2004 - mantel@suse.de
- update pci.ids file to latest version
* Fri May 14 2004 - mantel@suse.de
- fix AMD64 iommu compatibility in aacraid driver
* Fri May 14 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-numa-topology
  make some variables unsigned int (SUSE40201 - LTC8309)
* Fri May 14 2004 - agruen@suse.de
- Fold patches.suse/tainted-warning into
  patches.rpmify/supported-flag where the bug was introduced.
* Thu May 13 2004 - mason@suse.de
- enable ltt and dprobes in the i386 debug kernel
- fix minor merging error between kdb and ltt/dprobes
- fix lkcd so that it cant reboot after a crash (SUSE40218)
- fix ltt so that it works with regparm (SUSE40392)
- fix relayfs to use a workqueue for file removal (SUSE40393)
- fix the kernel taint message to send the proper number of args
  to printk (patches.suse/tainted-warning)
* Thu May 13 2004 - mantel@suse.de
- back put aic7xxx driver update: driver panics
* Thu May 13 2004 - kkeil@suse.de
- fix typo in the PCMCIA driver name in avm_cs.c
* Thu May 13 2004 - olh@suse.de
- add patches.arch/suse-ppc64-iseries-available_veth
  show the configured veth interfaces in /proc/iSeries/config
  (SUSE40527)
* Thu May 13 2004 - schwab@suse.de
- Don't strip at all when compiling with debug info.
* Thu May 13 2004 - agruen@suse.de
- Update unsupported modules patch; add /proc/sys/kernel/unsupported
  switch to allow/disallow loading unsupported modules.
* Thu May 13 2004 - olh@suse.de
- add patches.fixes/scsi_device-type-signed.patch
  char is signed, aic7xxx puts a -1 in it.
* Thu May 13 2004 - schwab@suse.de
- Add debug configuration for ia64.
* Thu May 13 2004 - olh@suse.de
- add patches.drivers/qla2xxx-wmb_additions-sles9.diff
  io barriers for qla driver (SUSE40173 - LTC8017)
* Thu May 13 2004 - kraxel@suse.de
- fix uml network problem (SUSE39978).
* Thu May 13 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-uninline-spinlocks-kconfig
  CONFIG_SPINLINE for slpar locks
* Thu May 13 2004 - mantel@suse.de
- fix scalability problem with del_timer_sync() (SUSE40475)
* Thu May 13 2004 - mason@suse.de
- patch ltt and dprobes in again after some review from s390
  maintainers.  These patches are still disabled in .config
* Thu May 13 2004 - mantel@suse.de
- update aic7xxx to 6.3.6 and aic79xxx to 2.0.8 (SUSE40144)
* Thu May 13 2004 - mason@suse.de
- fix a race during writeback_inodes where the filesystem may
  be unmounted while it is being processed (bug SUSE40457 I hope)
* Thu May 13 2004 - garloff@suse.de
- Correct binary kernel license: Proprietary modules are contained
  thus the license is non-GPL.
* Thu May 13 2004 - schwab@suse.de
- Kill node_first_cpu [SUSE40449].
* Thu May 13 2004 - ak@suse.de
- Implement simple overcommit memory checking for hugepages
  Can be controlled with /proc/sys/vm/overcommit_hugepages
- Do lazy hugepage allocation on IA64
- Support NUMA policy for huge tlb pages on IA64
- Fix a race in i386 hugepage allocation
- Fix mbind to not crash when it reaches end of memory
- Fix get_user_pages for lazy hugetlb
* Thu May 13 2004 - ak@suse.de
- Mark subfs as supported again
* Thu May 13 2004 - schwab@suse.de
- Update configs.
* Thu May 13 2004 - olh@suse.de
- disable patches from SUSE40430 - LTC8104, go with this one instead:
  patches.arch/ibm-ppc64-numa-topology (SUSE40113 - LTC8259)
* Thu May 13 2004 - mason@suse.de
- disable ltt and dprobes
* Thu May 13 2004 - hare@suse.de
- Add patches.suse/lkcd-arch-kerntypes.patch
  to enable kerntypes support for all architectures.
* Thu May 13 2004 - hare@suse.de
- Fix patches.arch/s390-mapped-base.patch to compile on s390x.
* Thu May 13 2004 - olh@suse.de
- add patches.fixes/linux-2.6.5-6.usb.dvb.diff
  fix unresolved symbol in dvb-ttusb-budget driver
* Thu May 13 2004 - schwab@suse.de
- Fix breakage from mason.
* Thu May 13 2004 - hare@suse.de
- Fix /proc/mapped_base for S/390 (SUSE40080).
  Add patches.arch/s390-core-changes.patch
  Add patches.arch/s390-mapped-base.patch
  Remove patches.arch/s390-proc-mapped-base.patch
  Reworked patches.suse/noexec_stack4 to apply again.
* Thu May 13 2004 - ak@suse.de
- check for disabled nodes before registering them in sysfs
  partial fix for SUSE39708
* Thu May 13 2004 - ak@suse.de
- mark econet and wanpipe as unsupported too
* Thu May 13 2004 - ak@suse.de
- fix locking in bond_close()
* Thu May 13 2004 - olh@suse.de
- revert rename hid -> usbhid from usb update
  remove random_ether_addr change from usbnet
* Thu May 13 2004 - ak@suse.de
- really kill all reparent_to_init()s in amdshpc
* Thu May 13 2004 - okir@suse.de
- nfsd: allow NULL calls to succeed, even if we don't know the
  client (SUSE40463)
* Thu May 13 2004 - ak@suse.de
- set /dev/mem memory holes to uncached on x86-64 to make MTRRs
  work (SUSE29200)
* Thu May 13 2004 - axboe@suse.de
- barrier-core update. clear_buffer_write_io_error() on
  WRITE_BARRIER, not just write (should just check direction).
  Correctly check BIO_EOPNOTSUPP at end_io time as well (for async
  notication of lacking barrier support)
* Thu May 13 2004 - axboe@suse.de
- Correctly check cfs_enable_2 bits for FLUSH_CACHE/_EXT support
  (SUSE39747)
* Thu May 13 2004 - mason@suse.de
- add ltt and dprobes, disabled in .configs
- fix ckrm bugs SUSE40024 SUSE40084 SUSE40386
- fix ckrm memory corruption in networking code
- fix relayfs compiler warning
* Thu May 13 2004 - andrea@suse.de
- rewrite swap-unplug fixing at least one unplugging bug
  and with much cleaner design that doesn't expose swapcache
  details into the highlevel pagecache code, this should fix
  SUSE39744 correctly.
* Thu May 13 2004 - olh@suse.de
- update usb stack to 2.6.6 level
* Thu May 13 2004 - olh@suse.de
- build ibmveth as a module on pseries64
* Thu May 13 2004 - olh@suse.de
- build tokenring as a module on iseries64
* Thu May 13 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-uninline-spinlocks
  [PATCH] Un-inline spinlocks on ppc64
* Thu May 13 2004 - agruen@suse.de
- patches.suse/intel-vtune-fix: Make compile on i386, enable it
  in the config files.
* Wed May 12 2004 - okir@suse.de
- Fix TCPv6 dst underruns introduced by MIPv6 patch (SUSE39713)
* Wed May 12 2004 - schwab@suse.de
- Only strip debug symbols from vmlinux.
* Wed May 12 2004 - ak@suse.de
- add amd 8131 hotplug pci driver
* Wed May 12 2004 - kraxel@suse.de
- make uml kernels uname syscall return machine == "i586" [bug SUSE40273]
* Wed May 12 2004 - ak@suse.de
- small powernow-k8 update from AMD to handle newer CPUs
* Wed May 12 2004 - axboe@suse.de
- dm-zero.c is buggy, it passes a bad argument to bvec_kunmap_irq()
* Wed May 12 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-hotcpu_sched_domains.patch
  patches.arch/ibm-ppc64-hotcpu_numa.patch
  patches.fixes/hotcpu_notifier_c99_initializers.patch
  obsoletes patches.arch/ibm-ppc64-numa-topology
  (SUSE40430 - LTC8104) CPU DLPAR and NUMA wont play well together
* Wed May 12 2004 - agruen@suse.de
- Add missing wlan modules to supported.conf.
* Wed May 12 2004 - garloff@suse.de
- sbp2-reset-3: Return SUCCESS in _abort handler if command can
  just be dequeued. Don't abort running commands then by resetting
  the bus. (SUSE38892)
- Enable i386/debug kernel in config.conf.
* Wed May 12 2004 - schwab@suse.de
- Force little-endian during signal delivery [SUSE40382].
* Wed May 12 2004 - mantel@suse.de
- fix shutting down network with quad tulip card (SUSE39204)
* Wed May 12 2004 - okir@suse.de
- Fixed bug in tcp_ipv6_check_established
* Wed May 12 2004 - olh@suse.de
- enable patches.arch/ibm-ppc64-numa-topology (SUSE40113 - LTC8259)
* Wed May 12 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-rtasmsgs.patch
  rtasmsg patch with on/off instead of 0/1 (SUSE40195 - LTC8320)
* Wed May 12 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-isa-check.patch
  handle EEH on ISA devices (SUSE40221 - LTC8347)
* Wed May 12 2004 - agruen@suse.de
- Fix external module support for SUBDIRS="more/ than/ one/".
* Wed May 12 2004 - mantel@suse.de
- set up read-ahead for cciss driver on a per queue basis (SUSE40389)
* Wed May 12 2004 - garloff@suse.de
- Enable CONFIG_DEBUG_STACK_OVERFLOW in i386 kernels, disbale
  CONFIG_DEBUG_STACK_USAGE instead.
- Add debug kernel config (currently disabled).
* Wed May 12 2004 - mantel@suse.de
- don't start stopped processes on suspend to disk (SUSE38637)
* Wed May 12 2004 - schwab@suse.de
- Fix pci probing on ia64 [SUSE38930].
* Wed May 12 2004 - schwab@suse.de
- Don't use EXEC_PAGESIZE when PAGE_SIZE is meant.
* Wed May 12 2004 - agruen@suse.de
- SUSE39199: Add Intel VTune(TM) Performance Analyzer Driver, with
  fixes from Intel.
- Add patches.fixes/priotree-hugetlbfs-truncate-lockup to
  series.conf.
* Wed May 12 2004 - olh@suse.de
- remove patches.drivers/pcnet32-drop-ltint.patch
  add patches.fixes/pcnet32-disable-ltint
  just disable ltint for the time being
* Wed May 12 2004 - olh@suse.de
- add patches.fixes/ext3-bogus-enospc
  [PATCH] Fix ext3 bogus ENOSPC
* Wed May 12 2004 - olh@suse.de
- add patches.fixes/radeonfb_overlapping_copyarea
  [PATCH] radeon: fix overlapping copyarea
* Wed May 12 2004 - olh@suse.de
- add patches.arch/ppc-XTABS-termio.patch
  PPC termio fix for TABDLY bits TAB3/XTABS
* Wed May 12 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  Fix panic in ibmvscsi_eh_abort_handler (LTC bugzilla 7983)
  fix the ibmvscsi server
- getting rid of some debug that shouldn't be there
- fixes the way adapter information is sent to the client
- fixes a hang when the client sends device_reset or abort
* Tue May 11 2004 - garloff@suse.de
- priotree-hugetlbfs-truncate-lockup: Patch from andrea, fixing
  a corner case with hugetlbfs truncate lockup in priotree.
* Tue May 11 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-cpu-hotplug-add-smt
  show correct number of cpus (SUSE40194 - LTC8340)
* Tue May 11 2004 - olh@suse.de
- add patches.fixes/dentry_inode_cache_hash.patch (SUSE40102 - LTC8261)
  [PATCH] dentry and inode cache hash algorithm performance changes.
* Tue May 11 2004 - agruen@suse.de
- Add supported flag for modules. The file supported.conf lists
  all modules, and marks unsupported modules as in series.conf.
  Loading an unsupported module taints the kernel.
- Mark all drivers that depend on CONFIG_ISA as unsupported.
- Add a warning when symbol versions are not found while compiling
  external modules. Update documentation and example module.
* Tue May 11 2004 - olh@suse.de
- update patches.fixes/schedaffinity-compat
  reverse check for access_ok result
* Tue May 11 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-vpurr (SUSE39732 - LTC8074)
  replaces patches.arch/ibm-ppc64-vpurr-preserve-cpumask
* Tue May 11 2004 - okir@suse.de
- removed a few obsolete nfs and ipv6 patches
* Tue May 11 2004 - mantel@suse.de
- device mapper fixes:
  o fix some potential buffer-overflow issues
  o exchange slow bit-by-bit count to use hweight32 to count bits
  per uint32_t
* Tue May 11 2004 - mantel@suse.de
- fix non-working filtering based on file device number (SUSE40089)
* Tue May 11 2004 - mantel@suse.de
- disable CONFIG_INTERMEZZO_FS
* Tue May 11 2004 - olh@suse.de
- add patches.arch/ppc64-io-barrier2, make barriers stronger
* Tue May 11 2004 - garloff@suse.de
- dentry-bloat: We don't need cache line alignment for dentries,
  more space for inline filenames (from Linus, in 2.6.6)
- qlogicisp-eh: Minimal for for qlogicisp exception handling
- scsi-format-unit-timeout: Some SCSI disks need much more than
  two hours to format.
- acpi-pci-link: Patch from Len Brown to fix IRQ assignment for
  2.6.6, disabled for 2.6.5 for now.
* Tue May 11 2004 - mantel@suse.de
- fix oops in aic7xxx driver when hardware is not present (might
  fix SUSE35757)
* Tue May 11 2004 - olh@suse.de
- add patches.fixes/report-printk-buffer-size_selinux
  [PATCH] SElinux interface for reporting size of printk buffer
* Tue May 11 2004 - olh@suse.de
- add patches.fixes/bfs_read_past_end_of_dir
  [PATCH] bfs filesystem read past the end of dir
* Tue May 11 2004 - okir@suse.de
- Merged several SCTP fixes from Sridhar Samudra
* Tue May 11 2004 - mantel@suse.de
- make use of SHM_HUGETLB shm memory configurable via sysctl (SUSE40301)
* Tue May 11 2004 - olh@suse.de
- add patches.suse/gendisk_removeable_media.patch
  flag removeable media via /block/*/removable with content 0/1
* Tue May 11 2004 - hare@suse.de
- Update to IBM codedrop 16-05-2004 (preliminary)
* Tue May 11 2004 - ak@suse.de
- Fix PCI ID tables for Intel AGP drivers (SUSE40150)
* Tue May 11 2004 - agruen@suse.de
- SUSE40115: Fix installation path of Kerntypes for `make install'
  (now done in /sbin/installkernel).
* Tue May 11 2004 - okir@suse.de
- updated ipv6-expire-redirect patch to fix bug SUSE38543
* Tue May 11 2004 - okir@suse.de
- IPv6: IPv6 redirects to routers with no neighbor cache entry
  were ignored (TAHI test nd/74, bug SUSE38554)
* Tue May 11 2004 - kraxel@suse.de
- fix uml build failure.
* Tue May 11 2004 - okir@suse.de
- Added patch to prevent IPv6 ndisc changes from breaking
  gratuitous ARPs (needed for HA failover, bug SUSE30104)
* Mon May 10 2004 - garloff@suse.de
- bluetooth-patch-265-mh3: Complete patchset patch-2.6.5-mh3
  (merged in 2.6.6) as advised by Marcel, fixing SUSE39349,
  obsoleting bluetooth-init-fix, bluetooth-usb-unlink-race,
  from-2.6.6-rcx-Bluetooth-Fix-broken-HCI-security-filter,
  from-2.6.6-rcx-Bluetooth-Fix-race-in-RX-complete-routine-of-
  the-USB-drivers.
- bluetooth-isoc-disconnect-crash: Fixing a crash when discon-
  necting from the ISOC interface. (SUSE39349)
* Mon May 10 2004 - olh@suse.de
- add patches.arch/suse-ppc64-export-HvLpEvent_registerHandler
  allow iseriesveth to be a module, needed for version upgrade
* Mon May 10 2004 - mantel@suse.de
- fix deadlock in create_workqueue (SUSE40073)
* Mon May 10 2004 - mantel@suse.de
- fix kthread_stop for migration_thread (SUSE40075)
* Mon May 10 2004 - mantel@suse.de
- fix I/O permission leak (SUSE40256)
* Mon May 10 2004 - agruen@suse.de
- Fix typo in install path for Kerntypes-%%ver_str on x86_64.
* Mon May 10 2004 - mantel@suse.de
- fix incorrect kobject_set_name usage (SUSE40078)
* Mon May 10 2004 - agruen@suse.de
- patches.fixes/shrink_slab-handle-GFP_NOFS.patch: Improve fairness
  when shrinking pagecache vs. shrinking slab (from -mm).
* Mon May 10 2004 - mantel@suse.de
- fix race in sys_sched_getaffinity (SUSE40079)
* Mon May 10 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-iseries-bolted-fix.patch
  fix power4 iseries (SUSE40104 - LTC8269)
* Mon May 10 2004 - garloff@suse.de
- selinux-default-disable: Disable selinux by default (SUSE39439).
* Mon May 10 2004 - okir@suse.de
- fix bug in nfsd export list handling (SUSE37879)
* Mon May 10 2004 - mantel@suse.de
- fix programs that include cciss_ioctl.h (SUSE40090, SUSE26843)
* Mon May 10 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-oprofile-fix.patch
  avoid oops on shutdown. added support for 970FX and GS
* Mon May 10 2004 - hare@suse.de
- add patches.arch/s390-dasd-erp-debug.patch
  Remove ERP debugging messages (SUSE36834)
* Mon May 10 2004 - olh@suse.de
- update patches.arch/ppc64-eeh-race.patch
  fix list handling (SUSE40066 - LTC8219)
* Mon May 10 2004 - mantel@suse.de
- fix yet another name clash for JFS dmapi (SUSE40166)
* Mon May 10 2004 - olh@suse.de
- add patches.fixes/modversions_dedotify.patch
  do not taint the kernel if a dot function is not found
* Mon May 10 2004 - olh@suse.de
- update patches.fixes/schedaffinity-compat (SUSE40186)
* Mon May 10 2004 - ak@suse.de
- Remove broken ppc64 only hugepage cow patch
* Mon May 10 2004 - axboe@suse.de
- re-add requeueing as-iosched patch, integrate barrier request leak, fix
  sync reporting of missing driver barrier support, fix use-after-free of
  rq in failure case
* Mon May 10 2004 - axboe@suse.de
- cpqarray fixlet
* Sun May 09 2004 - schwab@suse.de
- Don't override default target.
* Sun May 09 2004 - agruen@suse.de
- Add external kernel module documentation.
- Some fixes in xfs.
- Stop jfs dmapi from using the same slab names as xfs dmapi.
* Sun May 09 2004 - olh@suse.de
- add patches.arch/ppc64-io-barrier
  extra barrier in I/O operations for cacheable stores
* Sun May 09 2004 - olh@suse.de
- add patches.fixes/schedaffinity-compat to fix glibc make check
* Sun May 09 2004 - agruen@suse.de
- Add improved external module support from 2.6.6-rc*.
* Sun May 09 2004 - olh@suse.de
- add patches.fixes/sctp_memset_parameter
  [SCTP] Fix memset() parameter ordering.
* Sun May 09 2004 - schwab@suse.de
- Audit LAuS patches for bad uses of audit_result [SUSE39936].
* Sat May 08 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-iommu_alloc_consistent-return
  return null on allocation failure
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/Call-populate_rootfs-later-in-boot2
  call populate_rootfs before do_initcalls
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/rwsem-sleepers patches.fixes/rwsem-sleepers2
  Be more careful about semaphore contention memory ordering.
* Sat May 08 2004 - olh@suse.de
- add patches.drivers/pcnet32-drop-ltint.patch
  disalbe TxDone-intr inhibitor support (SUSE40202 - LTC7799)
* Sat May 08 2004 - olh@suse.de
- add patches.arch/ppc64-slbie-hugepage
  [PATCH] ppc64: Use slbie, not slbia in hugepage code
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/ppc32.support.update
  new ibook g4, windtunnel fixes
* Sat May 08 2004 - olh@suse.de
- update patches.drivers/firewire_ieee1394_nodemgr
  fix rmmod ieee1394 (SUSE39731)
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/ppc32.serial.zilog.CRTSCTS.mode
  fixes a bug in the pmac-zilog driver when in CRTSCTS mode
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/ncpfs-data-corruption
  [PATCH] ncpfs data corruption when using large TCP transfers
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/selinux.tags.patch  make tags for selinux
* Sat May 08 2004 - olh@suse.de
- CONFIG_SECURITY_SELINUX_BOOTPARAM=y on pseries (SUSE40204 - LTC8359)
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/new-slab-order-0-for-vfs-caches.patch from -mm
  fix deadlocks with order-1 allocations ext3_inode_cache.
  (SUSE39707 - LTC8045)
* Sat May 08 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtasmsgs.patch
  disable rtas logs via rtasmsgs=off (SUSE40195 - LTC8320)
* Sat May 08 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-irqstack-local-paca
  Check local cpus paca in slb miss code (SUSE40193 - LTC8355)
* Sat May 08 2004 - olh@suse.de
- add patches.fixes/e100-napi-pseries
  EEH and NAPI do not play well together (SUSE38183 - LTC7201)
* Fri May 07 2004 - olh@suse.de
- add patches.fixes/e1000-netdev_register.patch
  move the reading of the user tunable parameters to before the
  registering of the netdevice. (SUSE40181 - LTC8195)
* Fri May 07 2004 - ak@suse.de
- fix unload races in 32bit ioctl emulation
- change pty allocation to prefer low numbers again
* Fri May 07 2004 - olh@suse.de
- add patches.fixes/e100-io_barrier.patch
  another io_barrier to keep things going (SUSE38183 - LTC7201)
* Fri May 07 2004 - olh@suse.de
- disable patches.arch/ibm-ppc64-bolt-first-vmalloc-area
  fix booting on power4 iseries (SUSE40104 - LTC8269)
* Fri May 07 2004 - olh@suse.de
- enable lkcd block device dump on ppc64 (SUSE39910 - LTC8147)
* Fri May 07 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-numa-topology
  leave it disabled (SUSE40113 - LTC8259)
* Fri May 07 2004 - olh@suse.de
- disable patches.arch/ibm-ppc64-force_max_zoneorder
  (SUSE40031 - LTC8213)
* Fri May 07 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-cpu-hotplug-add-smt
  handle cpus with than one SMT thread (SUSE40010 - LTC8174)
* Fri May 07 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh-global-enable.patch
  POWER5 Requires EEH to be enabled for all devices (SUSE40105 - LTC8267)
* Fri May 07 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-irq-stacks-check
  more sanity checks
* Fri May 07 2004 - olh@suse.de
- add patches.suse/kdb-xmon-coexistance-ppc64
  xmon may be more reliable, so allow coexistance of 2 debuggers.
* Fri May 07 2004 - ak@suse.de
- move kmod patch to the end to make it actually patch
* Fri May 07 2004 - ak@suse.de
- Fix compilation without KMOD
- Fix white space in series.conf
* Fri May 07 2004 - okir@suse.de
- disable another ipv6 debug message
* Fri May 07 2004 - olh@suse.de
- add patches.fixes/fix-tty-race (SUSE39399 - LTC7756)
* Fri May 07 2004 - olh@suse.de
- add patches.arch/ppc64-PTE_FREELIST_SIZE.patch
  typo in PTE_FREELIST_SIZE (LTC8238)
* Fri May 07 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-sbl_invalidation
  Never flush out the kernel stack, even with interrupt stacks
  enabled (SUSE40014 - LTC8170)
* Fri May 07 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-irqstacks
  fix compile without CONFIG_IRQSTACKS (SUSE40014 - LTC8170)
* Fri May 07 2004 - olh@suse.de
- add patches.arch/ppc64-eeh-race.patch
  close deadlock window in EEH failure path (SUSE40066 - LTC8219)
* Fri May 07 2004 - olh@suse.de
- build rpms in subdir
* Thu May 06 2004 - olh@suse.de
- do not strip the vmlinux elf binary (SUSE36735 - LTC7003)
* Thu May 06 2004 - mason@suse.de
- fix request leak in the ide barriers
  (patches.suse/barrier-request-leak)
* Thu May 06 2004 - axboe@suse.de
- revert small requeueing change, appears to still be a bug there
* Thu May 06 2004 - mantel@suse.de
- fix race in kthread_stop (SUSE40082)
* Thu May 06 2004 - duwe@suse.de
- re-introduce blacklist entries for HP P44 & P47 mainboards
  (a.k.a DL760G2 & DL740), to force pci=noacpi, and to hint
  bigsmp for Andi's new genapic code. Un-panic IO-APIC id setting
  along the way, now back to our SLES8 behaviour.
  Fixes blocker SUSE37238
* Thu May 06 2004 - mantel@suse.de
- fix race in worker_thread (SUSE40065)
* Thu May 06 2004 - mantel@suse.de
- fix UID/GID problems in audit subsystem (SUSE39031, SUSE39829)
* Thu May 06 2004 - mantel@suse.de
- update i2o driver to 64bit clean version
* Thu May 06 2004 - olh@suse.de
- update ipr scsi driver to version 2.0.6
  update patches.fixes/patch-2.6.5-sd_timeout_mod
  Don't run BIST at module load time. (SUSE39622 - LTC7974)
  This fixes the coldplug/ifup/lspci issue and speeds up boot time.
* Thu May 06 2004 - mantel@suse.de
- export sys_ioctl on ia64 too. Needed by audit subsystem
* Thu May 06 2004 - axboe@suse.de
- ... and one in sata_vsc, sorry folks.
* Thu May 06 2004 - axboe@suse.de
- fix typo in sata_promise
* Thu May 06 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-cpu_up_schedule_timeout.patch
  better version of this patch (SUSE39909 - LTC8091)
* Thu May 06 2004 - axboe@suse.de
- don't let sata sub drivers pci_disable a device, could be used by
  native driver (bug SUSE39044)
* Thu May 06 2004 - ak@suse.de
- Disable suspend message in PAE kernels.
* Thu May 06 2004 - schwab@suse.de
- Fix infiniband driver and enable on ia64.
* Thu May 06 2004 - olh@suse.de
- update patches.drivers/ppc64-iseries-veth
  Fix discovery of MAC address in Virtual Ethernet. (LTC8191)
* Thu May 06 2004 - agruen@suse.de
- SUSE39949: Update modules.dep correctly by running /sbin/
  update-modules.dep before creating the initrd. The modules.dep
  contained in the kernel package will not be complete if scripts
  create additional modules (for example, nvidia).
- Add three jfs fixes.
* Thu May 06 2004 - axboe@suse.de
- Use requeue hook for ide re-adding real barrier request, works because
  the as accounting had another bug that is now fixed as well.
* Thu May 06 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-cpu_up-race
  dont use cpu_is_offline() (SUSE39977 - LTC8128)
* Thu May 06 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-irqstacks
  fix typo, call handle_irq_event() always (SUSE40011 - LTC8197)
* Thu May 06 2004 - olh@suse.de
- add patches.suse/lkcd-kerntypes.ppc64.patch (SUSE40019 - LTC8198)
* Thu May 06 2004 - okir@suse.de
- added patches.fixes/sunrpc-sched-deadlock to prevent rpc deadlock (SUSE38960)
* Thu May 06 2004 - axboe@suse.de
- flush ide cache before unlocking door to prevent removal race there
* Thu May 06 2004 - ak@suse.de
- Fix non contiguous APIC ID handling on i386 bigsmp
* Thu May 06 2004 - ak@suse.de
- Disable mcdx and sbpcd drivers because they are broken.
* Wed May 05 2004 - olh@suse.de
- enable CONFIG_E1000_NAPI also on ppc64
* Wed May 05 2004 - axboe@suse.de
- only enable HPA if the protected area is bigger by more than a single
  sector (bug SUSE38147)
* Wed May 05 2004 - ak@suse.de
- Fix infiniband undefined symbols on x86-64
* Wed May 05 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-cpu_up_schedule_timeout.patch
  wait for a cpu to become online (SUSE39909 - LTC8091)
* Wed May 05 2004 - olh@suse.de
- disable CONFIG_CRASH_DUMP_MEMDEV on pseries (SUSE39910 - LTC8147)
* Wed May 05 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-iseries_bolted_segment_fix
  do not overwrite SLB entry 0 (SUSE39915 - LTC8166)
* Wed May 05 2004 - okir@suse.de
- fix off by one in CKRM accept_queue patch (SUSE39918)
* Wed May 05 2004 - okir@suse.de
- fix compilation if CKRM accept_queues are enabled (SUSE39913)
* Wed May 05 2004 - okir@suse.de
- selinux_socket_sock_rcv_skb: changed write_lock to read_lock
  to avoid deadlock (SUSE39912)
* Wed May 05 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  deadlock fix (SUSE39758 - LTC8099)
* Wed May 05 2004 - ak@suse.de
- Add workaround for Nforce2 C1 disconnect hangs
* Wed May 05 2004 - ak@suse.de
- Disable ECC driver on x86-64
- Make sure MCE error output on x86-64 reaches the console and do not
  try to kill init or the idle task silently.
* Wed May 05 2004 - olh@suse.de
- disable CONFIG_VPURR until all related bugs get fixed
  (SUSE39732 - LTC8074)
* Wed May 05 2004 - olh@suse.de
- add patches.fixes/report-printk-buffer-size
  dmesg can now dump entire log buffer by default (SUSE39761 - LTC8103)
* Tue May 04 2004 - mantel@suse.de
- enable CONFIG_HISAX_SEDLBAUER_CS (SUSE39828)
* Tue May 04 2004 - agruen@suse.de
- Update to patches.fixes/reiserfs-ioerror-xattr-fix.diff: Another
  bad unlock on an error path (jeffm@suse.com).
* Tue May 04 2004 - olh@suse.de
- add patches.arch/ppc64-ames-rtas_flash-proc.patch
  fix a typo that prevents the creation of manage_flash /proc file
* Tue May 04 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-irqstack_dynamic_allocation.patch
  force irq stacks into the first segment (SUSE39753 - LTC8089)
* Tue May 04 2004 - axboe@suse.de
- update barrier-ide
* Tue May 04 2004 - mason@suse.de
- fix for aio stalls (patches.suse/aio-context-stall)
* Tue May 04 2004 - agruen@suse.de
- SUSE39848: patches.fixes/nfsd-symlink-setattr: Creating symlinks
  on nfs over reiserfs fails on the server side if acls are
  enabled. Bug introduced in mainline.
* Tue May 04 2004 - schwab@suse.de
- Better fix for the 8250 HCDP shared irq problem [SUSE39152].
* Tue May 04 2004 - olh@suse.de
- kernel-pseries64 obsoletes kernel-ppc64
* Tue May 04 2004 - axboe@suse.de
- bug SUSE39744 temp work-around
* Tue May 04 2004 - agruen@suse.de
- SUSE39775: patches.fixes/reiserfs-ioerror-xattr-fix.diff: Lock
  releasing fix on error path (xattrs) from Jeff Mahoney
  <jeffm@suse.com>.
* Tue May 04 2004 - axboe@suse.de
- kernel doesn't link it CKRM isn't configured (sigh)
* Tue May 04 2004 - schwab@suse.de
- Enable CONFIG_SERIAL_8250_EXTENDED and CONFIG_SERIAL_8250_SHARE_IRQ
  [SUSE39152].
* Tue May 04 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-irqstacks
  add patches.fixes/irqstacks-do_softirq.patch
  add patches.arch/ibm-ppc64-irqstack_dynamic_allocation.patch
  (SUSE39753 - LTC8089) Stack overflow on SF2 running NFS/samba test
* Mon May 03 2004 - ihno@suse.de
- Adding LAuS driver for s390 and s390x (missing Kconfig)
* Mon May 03 2004 - mantel@suse.de
- make "clock=tsc" the default
* Mon May 03 2004 - mantel@suse.de
- add generic APIC support for ES7000 platform
* Mon May 03 2004 - ak@suse.de
- Increase i386 NR_CPUS for smp to 32 and bigsmp to 128
* Mon May 03 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-mark-exception-frames
  print SP in stack backtraces.
* Sun May 02 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-pseries-stackoverflow
  print stack trace in case of stackoverflow
* Sun May 02 2004 - agruen@suse.de
- Add POSIX message queue patches (disabled so far).
- xfs: Fix qsort removal patch; update vmtruncate fix; add
  security namespace fix.
* Sun May 02 2004 - olh@suse.de
- add ioc4-serial-move-job-control-stuff-tosignal_struct.patch
  use the new define
* Sun May 02 2004 - olh@suse.de
- add move-job-control-stuff-tosignal_struct-flag-our-backport.patch
  [#]define HAS_TTY_STRUCT_IN_SIGNAL_STRUCT for external drivers
* Sun May 02 2004 - olh@suse.de
- add patches.suse/xfs-cvs-sleepers
  struct semaphore has no ->sleepers
* Sun May 02 2004 - olh@suse.de
- reenable successful boot on ppc64
  SPINLOCK_SLEEP catches too many hard errors
* Sun May 02 2004 - agruen@suse.de
- Add move-job-control-stuff-tosignal_struct.patch.
- XFS fixes; re-enable CONFIG_XFS_DMAPI; enable CONFIG_JFS_DMAPI.
- Re-enable hugetlb patches.
- Update cifs to 1.13a.
* Sun May 02 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-numa-flat
  fix numa probing code, fall back to flat model (SUSE39160 - LTC7725)
* Sun May 02 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-signal-handler-args
  [PATCH] ppc64: fix incorrect signal handler argument
* Sat May 01 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-mark-exception-frames
  Mark exception frames, look for the marker in show_stack().
* Sat May 01 2004 - garloff@suse.de
- Back to 8 CPUs for x86-64 smp kernel (APIC limited).
* Sat May 01 2004 - olh@suse.de
- add patches.suse/suse.ppc32.sysfs-adb.patch
  adds /sys/class/adb/, removes unused devfs lines and updates a
  comment to match reality.
* Sat May 01 2004 - olh@suse.de
- update patches.drivers/atixl-noinit-2.6.2
  set pll_gen_cntl based on mclk_post_div_real, fixes ibook1
* Sat May 01 2004 - olh@suse.de
- add patches.arch/ppc64-no_sleep_in_irq
  allocate irq_map with GFP_ATOMIC
* Sat May 01 2004 - olh@suse.de
- enable SPINLOCK_SLEEP, STACKOVERFLOW, STACK_USAGE on ppc64
* Fri Apr 30 2004 - olh@suse.de
- Bump max no of CPUs to 64 on x86-64 Konfig.
* Fri Apr 30 2004 - olh@suse.de
- drop patches.arch/ibm-ppc64-rtas-error-log-max, bug fixed
* Fri Apr 30 2004 - olh@suse.de
- add patches.fixes/pcnet32-mac, patches.fixes/pcnet32-timer
  (SUSE36471 - LTC6941) machine displays the wrong MAC addresses
  added timer for 971/972 so skbufs don't remain on tx ring forever.
* Fri Apr 30 2004 - olh@suse.de
- add patches.suse/sched-trivial-ppc64.patch
  [PATCH] [ppc64] ARCH_HAS_SCHED_WAKE_BALANCE doesnt exist
* Fri Apr 30 2004 - kraxel@suse.de
- add patches.fixes/Call-populate_rootfs-later-in-boot
  (fix bad atomic schedule with initrd).
* Fri Apr 30 2004 - mantel@suse.de
- disable infiniband on ia64 as it does not build there as well
* Fri Apr 30 2004 - garloff@suse.de
- Bump max no of CPUs to 64 on x86-64 smp config.
* Fri Apr 30 2004 - agruen@suse.de
- Disable hugetlb-06_sles-map-hugetlb-flag,
  hugetlb-06.5_sles-map-flag-s390-ppc,
  hugetlb-07_sles-hugetlb-implicit.
* Fri Apr 30 2004 - olh@suse.de
- update selinux-sock-rcv-skb-crash, return res;
* Fri Apr 30 2004 - kraxel@suse.de
- update patches.fixes/posix-timers-deadlock2 (from kurt).
* Fri Apr 30 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-iseries-setri.patch
  set MSR.RI in iSeries exception prolog (SUSE39085 - LTC7655)
* Fri Apr 30 2004 - olh@suse.de
- compile CONFIG_SCSI_SYM53C8XX_2=y on ppc32
* Fri Apr 30 2004 - okir@suse.de
- Added selinux-sock-rcv-skb-crash (SUSE38762)
* Fri Apr 30 2004 - mantel@suse.de
- fix infiniband on x86_64
* Fri Apr 30 2004 - mantel@suse.de
- remove enhanced speedstep feature as it breaks ACPI on x86_64
* Fri Apr 30 2004 - mantel@suse.de
- disable infiniband on x86_64 (does not compile)
* Fri Apr 30 2004 - mantel@suse.de
- re-add infiniband drivers (SUSE35064)
* Fri Apr 30 2004 - agruen@suse.de
- SUSE39662: Add a few extra files to kernel-source.src.rpm to
  simplify building from that package.
* Fri Apr 30 2004 - mantel@suse.de
- add support for enhanced speedstep feature (SUSE39618)
* Fri Apr 30 2004 - mantel@suse.de
- use correct fix for swsuspend-agp problem (SUSE36167)
* Fri Apr 30 2004 - axboe@suse.de
- blk_start_queue() should use kblockd_schedule_work() to avoid blocking
  on keventd
* Fri Apr 30 2004 - mantel@suse.de
- tag ibmasm driver experimental and have it print so at loading
* Fri Apr 30 2004 - axboe@suse.de
- make the CFQ io sched tunables available in sysfs
* Fri Apr 30 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-vio-devspec
  provide pointer into the device-tree for vio devices
* Fri Apr 30 2004 - kraxel@suse.de
- add patches.fixes/posix-timers-thread.patch (from 2.6.6-rc).
* Fri Apr 30 2004 - okir@suse.de
- NFS: blocksize defaults to wsize, not the server's
  advertised wtmult anymore.
* Fri Apr 30 2004 - okir@suse.de
- nfsd: Return proper error code in subtree check (SUSE38584)
* Fri Apr 30 2004 - agruen@suse.de
- Enable 2.6.6-rc patches.
- Enable jfs dmapi patches (disable in config files).
* Fri Apr 30 2004 - kraxel@suse.de
- add USB-fix-up-fake-usb_interface-structure-in-hiddev
  (from -rc kernels, ack by Vojtech)
* Fri Apr 30 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-shmget_translation
  32->64 bit syscall translation layer on ppc64 incorrectly
  sign-extends rather than zero-extending the second parameter to
  shmget() (LTC7941)
* Thu Apr 29 2004 - agruen@suse.de
- Add some more patches from 2.6.6-rc.
* Thu Apr 29 2004 - agruen@suse.de
- patches.fixes/zoran-overflow-fix.patch: Fix a potential integer
  overflow.
* Thu Apr 29 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-lparcfg
  lparcfg fixup of capped indicator, and pool_capacity values.
* Thu Apr 29 2004 - olh@suse.de
- update hugetbl patches, do_mmap call stack differs in our tree
* Thu Apr 29 2004 - kraxel@suse.de
- committed a batch of small fixes from 2.6.6-rc kernels,
  disabled in series.conf for now.
* Thu Apr 29 2004 - mason@suse.de
- fix rcfs compile on ia64, it doesn't really need asm/namei.h
* Thu Apr 29 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-iseries-handle_irq_event
  enable interrupts on iseries during bh handlers (SUSE39489 - LTC7254)
* Thu Apr 29 2004 - mason@suse.de
- fix some ckrm compiler warnings
* Thu Apr 29 2004 - okir@suse.de
- Fixed problem with spin_lock usage in token ring drivers (netdev)
  (SUSE39489 - LTC7254)
* Thu Apr 29 2004 - mason@suse.de
- ckrm update to e12
* Thu Apr 29 2004 - agruen@suse.de
- Update cifs to 1.12.
* Thu Apr 29 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-force_max_zoneorder
  CONFIG_FORCE_MAX_ZONEORDER must be set via Kconfig
* Thu Apr 29 2004 - olh@suse.de
- update patches.drivers/icadd-2.6-0.23.3.sysfs.patch
  call class_simple_device_remove() on rmmod (SUSE39493)
* Thu Apr 29 2004 - rw@suse.de
- update xpnet driver patches for Altix (SUSE39488)
* Thu Apr 29 2004 - olh@suse.de
- reenable hugetlb patches for ppc64, reenable shm_use_hugepages
* Thu Apr 29 2004 - olh@suse.de
- change CONFIG_FORCE_MAX_ZONEORDER from 13 to 19 on ppc64 (16MB/1GB)
* Thu Apr 29 2004 - mantel@suse.de
- update megaraid driver to version v2.20.0.B2.04.27.2004
* Thu Apr 29 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-cpu_up-race
  wait in start_secondary() until current cpu is in cpu_online_map
* Thu Apr 29 2004 - agruen@suse.de
- Disable CONFIG_XFS_DMAPI until it is fixed in the xfs cvs.
* Thu Apr 29 2004 - olh@suse.de
- update patches.drivers/r8169-update
  include linux/dma-mapping.h because the driver uses stuff from it
* Thu Apr 29 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-bolt-first-vmalloc-area
  add patches.arch/ibm-ppc64-hardcode-slb_size
  improve SLB handling (LTC7754)
* Thu Apr 29 2004 - hare@suse.de
- Update xip2fs; fixes copyrights and lineendings.
* Thu Apr 29 2004 - kraxel@suse.de
- add ethtool support to the uml virtual network driver.
* Thu Apr 29 2004 - olh@suse.de
- update ipr scsi driver to version 2.0.5
  Adapter dump fixes.
  Add adapter type and microcode version to the dump.
* Thu Apr 29 2004 - olh@suse.de
- add patches.fixes/alpha-procfs-dynamic-inodes
  remove last user of PROC_NDYNAMIC
* Thu Apr 29 2004 - olh@suse.de
- fix build without CONFIG_BLK_DEV_INITRD on pseries,
  fix the case where the initrd is loaded before the kernel
  (SUSE39613 - LTC8005)
* Thu Apr 29 2004 - hare@suse.de
- add patches.fixes/rwsem-contention-fix
  Fix rwsem contention on alpha and s390x.
* Thu Apr 29 2004 - hare@suse.de
- modify patches.arch/s390-update-01-april2004.diff
  add patches.arch/s390-qeth-28042004.diff
  Update to IBM Codedrop 28/04/2004.
  Removed bk patches for S/390.
* Thu Apr 29 2004 - mason@suse.de
- lkcd for x86_64
* Wed Apr 28 2004 - olh@suse.de
- add patches.drivers/icadd-2.6-0.23.3.sysfs.patch
  provide sysfs data to create chardev /dev/ica via udev
* Wed Apr 28 2004 - olh@suse.de
- dont hide /linuxrc on ppc64.
  setting ROOT_DEV to Ram0 was never correct.
  Read Documentation/initrd.txt
* Wed Apr 28 2004 - olh@suse.de
- disable patches.fixes/cpumask_arith-first_cpu.patch
  causes oops on x86_64, s390 doesnt even boot
* Wed Apr 28 2004 - olh@suse.de
- update emulex fc driver to lpfcdriver-2.10e1
* Wed Apr 28 2004 - mason@suse.de
- reiserfs data=journal support
- reiserfs bit operations cleanups
- reiserfs journal macro cleanups
- reiserfs io error handling
- fix aio bug where delayed timers don't get waited on during process
  exit
* Wed Apr 28 2004 - bk@suse.de
- S/390 cpint: extend struct for cpint by an uppercase flag
* Wed Apr 28 2004 - agruen@suse.de
- Update xfs to current cvs.
* Wed Apr 28 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-hvc_console
  Handle H_LongBusyOrder* hypervisor return codes in hvconsole.c
* Wed Apr 28 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-power5-slbie-workaround
  POWER5 < DD2.1 has a problem where slbie's need to be repeated
  under some circumstances. Apply workaround.
* Wed Apr 28 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  * allow the ibmvscsi adapter to reconnect properly to the server
  if the server disconnects (i.e. reboots.)
  * Fix the ibmvscsi server to correctly handle the case where the
  client is active and waiting when the server boots.
* Wed Apr 28 2004 - okir@suse.de
- Fix vgettimeofday sysenter case (SUSE39537)
* Wed Apr 28 2004 - hare@suse.de
- S/390: Update configs for S/390 Crypto API.
* Wed Apr 28 2004 - olh@suse.de
- add patches.arch/ppc64-user-stackcheck
  (SUSE37975 - LTC7227) shmdt01 ltp test fails to detach shared memory
* Wed Apr 28 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtasd-error_log
  (SUSE39501 - LTC7920) restore /proc/ppc64/rtas/error_log
* Wed Apr 28 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp_remove_slot_errno.patch
  (SUSE39556 - LTC7722) RPA DLPAR: remove slot error case error code
* Wed Apr 28 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-pSeries_log_error
  add patches.arch/ibm-ppc64-ras-irq
  (SUSE39557 - LTC7435) handle EPOW events sent by OS/400 NWSDs
* Wed Apr 28 2004 - olh@suse.de
- add patches.suse/hotplug-cpu-sched_balance_exec-fix
  add patches.fixes/cpumask_arith-first_cpu.patch
  reenable patches.suse/ibm-ppc64-domain-sched-fix.patch
  cpu hotplug fixes for DLPAR (SUSE39549 - LTC7946)
* Wed Apr 28 2004 - olh@suse.de
- add patches.suse/lkcd-cpumask_t-handling
  better handling for cpumask_t in lkcd (SUSE39252 - LTC7781)
* Wed Apr 28 2004 - olh@suse.de
- add patches.suse/sched-domain-stop_machine_run.patch
  possible fix for crash in find_busiest_group() (SUSE39160 - LTC7725)
* Wed Apr 28 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtasd-rtas_error_log_buffer_max.patch
  (SUSE39257 - LTC7709) vmalloc enough space
* Wed Apr 28 2004 - olh@suse.de
- add max_cpus to 128 again on pseries (SUSE39252 - LTC7781)
* Wed Apr 28 2004 - hare@suse.de
- S/390 update from Bitkeeper
  add patches.arch/s390-update-01-april2004.diff
  add patches.arch/s390-update-02-april2004.diff
  add patches.arch/s390-update-04-april2004.diff
  add patches.arch/s390-update-05-april2004.diff
* Wed Apr 28 2004 - mantel@suse.de
- fix problem with 8 bit characters on JFS (SUSE39542)
* Wed Apr 28 2004 - olh@suse.de
- add patches.fixes/e100-mb.patch, patches.fixes/e1000-mb.patch
  add memory barriers to order stores (SUSE36881 - LTC7055)
* Wed Apr 28 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-numa-node_set_online.patch
  (SUSE39550 - LTC7901) support NUMA nodes with empty memory/cpus in sysfs
* Wed Apr 28 2004 - mantel@suse.de
- update Broadcom driver bcm5700 to 7.2.24
* Tue Apr 27 2004 - olh@suse.de
- add patches.arch/ppc64-iseries-mf_proc-write.patch
  report errors back to userland when writing to /proc/iSeries/mf/
* Tue Apr 27 2004 - mantel@suse.de
- re-add ecc driver (SUSE39508)
* Tue Apr 27 2004 - mantel@suse.de
- fix anon vma locking
* Tue Apr 27 2004 - mantel@suse.de
- fix swsuspend with $VENDOR-agp (SUSE36167)
* Tue Apr 27 2004 - olh@suse.de
- add patches.fixes/get_user_pages-cow-corruption
  patch from Andrea to prevent unmapping of pinned pages
  (SUSE39138 - LTC7702)
* Tue Apr 27 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-sys32shmctl.patch
  fix ipcs -l output (SUSE39431 - LTC7852)
* Tue Apr 27 2004 - rw@suse.de
- fix initialization of Vitesse SATA controller (SUSE39352)
* Tue Apr 27 2004 - okir@suse.de
- IPv6: Add patch for TAHI pmtu test case #2 from mludvig (SUSE38557)
* Tue Apr 27 2004 - rw@suse.de
- make 8250_hcdp.c set the share irq flag on console port and fix
  iosapic.c to not touch an irq, if an action is already attached
  (SUSE39152)
* Tue Apr 27 2004 - olh@suse.de
- update patches.drivers/ibm-ppc64-vscsi
  * Correctly fail requests if the adapter is disabled.  This makes
  raid work very nicely across multiple virtual scsi adapters
  * Correctly handle busy return codes from H_FREE_CRQ call
* Tue Apr 27 2004 - rw@suse.de
- remove obsolete pda overflow check to revive SGI Altix (SUSE39320)
- increase NR_CPUS to 128 in ia64/default and 64k-pagesize (SUSE38722)
* Tue Apr 27 2004 - axboe@suse.de
- Fix SG_IO page pinning leak
* Tue Apr 27 2004 - hare@suse.de
- Add patches.suse/lkcd-dump-gzip-compress.patch
  Fix error message on writing gzipped dump (SUSE39416)
* Tue Apr 27 2004 - okir@suse.de
- allow kernel to compile with CONFIG_NETFILTER off (SUSE39391)
* Tue Apr 27 2004 - olh@suse.de
- update patches.fixes/psmouse-usb-fix-3
  do not call the pci quirk for ppc until it is fixed (SUSE38070)
  causes a machine check
* Tue Apr 27 2004 - olh@suse.de
- add patches.fixes/sunrpc-unix_domain_find-kmalloc-check.patch
  [SUNRPC]: Missing NULL kmalloc check in unix_domain_find().
* Tue Apr 27 2004 - hare@suse.de
- Renamed patches.fixes/icmp-percpu-modules to
  patches.fixes/no-static-percpu-in-modules;
  Fixes drivers/scsi/scsi.c and drivers/char/random.c, too.
* Tue Apr 27 2004 - mantel@suse.de
- update qla2xxx driver to 8.00.00b12
* Tue Apr 27 2004 - hare@suse.de
- Fixed fshooks compilation for S/390
- Add patches.fixes/icmp-percpu-modules to fix loading
  of ipv6 modules with more the 4 GB (SUSE38820)
- Add patches.suse/sysfs-backing-store-0{0,1,2,3,4,5,6}.patch
  for S/390 only to reduce sysfs memory usage (SUSE36248)
* Tue Apr 27 2004 - axboe@suse.de
- update ide-serialize-update-1 to allow !hwgroup
* Mon Apr 26 2004 - axboe@suse.de
- Correct logic bug in ide-cd-loej-1
* Mon Apr 26 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp_warningfix.patch
  declare function prototype
* Mon Apr 26 2004 - agruen@suse.de
- Some more post-2.5.6 patches (patches.fixes/):
  QD65xx-io-ports-fix.patch, alpha-fix-unaligned-stxncpy-again.patch,
  ext2-alternate-sb-mount-fix.patch, ext3-alternate-sb-mount-fix.patch,
  get_user_pages-shortcut.patch, isicom-jiffies-fix.patch,
  jbd-do_get_write_access-lock-contention-reduction.patch,
  raid56-masking-fix.patch.
* Mon Apr 26 2004 - mantel@suse.de
- update audit subsystem
* Mon Apr 26 2004 - axboe@suse.de
- don't log failures to load a cdrom drive on START_STOP_UNIT
* Mon Apr 26 2004 - olh@suse.de
- add patches.fixes/bluetooth-usb-unlink-race
  fix lockup on bluetooth disconnect (SUSE39349)
* Mon Apr 26 2004 - garloff@suse.de
- Integrate CluserIP alias patches and enable in all configs.
- Enable BINFMT_MISC as module on ppc configs that lacked it.
* Mon Apr 26 2004 - olh@suse.de
- add patches.arch/ppc64-xics_set_affinity_bug.patch
  (SUSE39397 - LTC7826) System hangs when write into /proc/irq/<irq#>
* Mon Apr 26 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp_phy_location1.patch
  (SUSE39418 - LTC7876) system crash when loading rpaphp module
* Mon Apr 26 2004 - olh@suse.de
- put the penguins back to the barn until linuxrc is fixed
  (SUSE39428 - LTC7873)
* Mon Apr 26 2004 - okir@suse.de
- Merged netfilter fix from Rusty: missing ip_rt_put in ipt_MASQUERADE
* Mon Apr 26 2004 - okir@suse.de
- Prevent annoying "nud_in_timer" warning
* Mon Apr 26 2004 - okir@suse.de
- Added some more aliases for crypto module, so loading them
  by algorithm name works (mludvig)
* Mon Apr 26 2004 - olh@suse.de
- update patches.suse/lkcd-bio-vector.patch
  use better version from Jens Axboe
* Mon Apr 26 2004 - olh@suse.de
- Update kdb to 2.6.5-kdb-v4.3-{common-2,i386-1,ia64-040413-1}.
  dump() must be called after kdb, not before.
  Use the current version of sn_serial.c.
  (SUSE39355)
* Mon Apr 26 2004 - olh@suse.de
- add patches.suse/lkcd-bio-vector.patch
  (SUSE39375 - LTC7697) setup bio->bi_vcnt correctly
* Mon Apr 26 2004 - olh@suse.de
- add patches.fixes/ppc64-rpaphp_phy_location.patch
  (SUSE39422 - LTC7486) use "linux-style" naming scheme
* Mon Apr 26 2004 - olh@suse.de
- add patches.arch/ppc64-eeh-include.patch
  include struct device after recent changes
  add patches.suse/LAuS-kernel-ioctl-include
  include ioctl function prototypes
  add patches.suse/kdb-ppc64-warningfix.patch
  pass correct options to ss
* Mon Apr 26 2004 - olh@suse.de
- Update ibmvscsis driver with bug fixes and cleanup.
- fix incorrect report capacity
- fix missing length in buffer pool
- change driver to use dma_foo interfaces
- change driver to use tasklet instead of workqueue
* Mon Apr 26 2004 - axboe@suse.de
- pin hwgroup before making speed/dma changes to the interface (SUSE38595)
* Mon Apr 26 2004 - okir@suse.de
- Merged patch to make lockd use the file system's
  underlying lock ops (conditional on a sysctl)
* Mon Apr 26 2004 - okir@suse.de
- Merged several SCTP fixes from Sridhar Samudra
- Merged a fix for e100 at 10Mbbps/half-duplex
* Mon Apr 26 2004 - okir@suse.de
- Merged patches for vsyscall-gettimeofday
* Mon Apr 26 2004 - olh@suse.de
- consolidate ppc64 patches, update to current ameslab status
  set MAX_CPU back to 64, lkcd broken
* Mon Apr 26 2004 - hare@suse.de
- add patches.suse/lkcd-netdump.patch
  Fixing lkcd netdump (SUSE39396)
* Mon Apr 26 2004 - okir@suse.de
- Merged patch from netdev to prevent oops when removing tulip module
* Sun Apr 25 2004 - olh@suse.de
- disable hugetlb patches for ppc64, disable shm_use_hugepages
  has to be fixed first, leads to segfaults in insmod
* Sat Apr 24 2004 - agruen@suse.de
- scripts/sequence-patch: Improve integration with quilt; now
  sequence-patch.sh can apply patches up to a specific point
  (which it does slightly faster than quilt); the resulting tree
  is fully compatible with quilt. (Use the --clean option to get
  rid of quilt specific files in .pc/.)
* Sat Apr 24 2004 - agruen@suse.de
- Add more stuff from -mc4 (patches.fixes/):
  ext3-transaction-batching-fix.patch, intermezzo-leak-fixes.patch,
  load_elf_binary-overflow-detection-fix.patch
  nfs-readdirplus-overflow-fix.patch, pmdisk-needs-asmlinkage.patch,
  proc-load-average-fix.patch, selinux-ipv6-support.patch,
  selinux-remove-duplicate-assignment.patch
  v850-bitop-volatiles.patch, v850-dma-mapping-fix.patch.
- Another minor nfsacl optimization: Reserve a little space for
  SETACL arguments in nfs so that in the common cases, no extra
  pages need to be allocated.
* Fri Apr 23 2004 - olh@suse.de
- display brand on the front panel display
* Fri Apr 23 2004 - olh@suse.de
- enable hugetlb patches for ppc64, enable shm_use_hugepages
  add patches.arch/ibm-ppc64-cow-bugfix
* Fri Apr 23 2004 - agruen@suse.de
- From -mc4, add patches.fixes/hysnd-MOD_USE_COUNT-fix.patch and
  patches.fixes/remove-nswap-cnswap.patch; enable patches.fixes/
  huge-sparse-tmpfs-files.patch + rediff patches.suse/numa-api.
* Fri Apr 23 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtas-error-log-max
  use 1k for rtas-error-log-max (SUSE37978 - LTC7338)
* Fri Apr 23 2004 - olh@suse.de
- add patches.fixes/net-MCAST_MSFILTER-error.patch
  [IPV4]: Fix return value on MCAST_MSFILTER error case.
* Fri Apr 23 2004 - garloff@suse.de
- cpufreq-unsigned: Use unsigned in cpufreq ioctl handler (SUSE38898).
* Fri Apr 23 2004 - agruen@suse.de
- xfs dmapi: Add vm_operations_struct->mprotect.
- Update cifs to version 1.10.
- patches.fixes/file-operations-fcntl.patch: Add fcntl file
  operation.
* Fri Apr 23 2004 - hare@suse.de
- add patches.arch/s390-proc-mapped-base.patch (SUSE39066)
  Fix /proc/<pid>/mmapped_base for s390x
* Fri Apr 23 2004 - okir@suse.de
- Make sure the null cipher crypto module is loaded automatically
  (patch from mludvig, SUSE39274)
* Fri Apr 23 2004 - ak@suse.de
- add early cpu detect for i386
- add balance on fork for scheduler
* Fri Apr 23 2004 - ak@suse.de
- Add SMT scheduling for x86-64
- Disable NUMA scheduler on x86-64
* Thu Apr 22 2004 - olh@suse.de
- add patches.arch/eeh_rpaphp.patch (SUSE39259 - LTC7797)
  ethernet drivers can't create interfaces for newly added adapters
* Thu Apr 22 2004 - olh@suse.de
- add patches.drivers/pcnet32-dump_regs.patch
  (SUSE39299 - LTC7796) add register dump capability to pcnet32
* Thu Apr 22 2004 - ak@suse.de
- Add more overflow fixes (sdla)
- Prevent unloading of old IDE drivers
- Fix compilation with kmod off
- Fix typo in NUMA API
- Fix LFS in sendfile (SUSE39156)
- Fix bug in i810 overflow fix
* Thu Apr 22 2004 - mantel@suse.de
- clean up fshooks/LAuS code
* Thu Apr 22 2004 - agruen@suse.de
- nfsacl: Add on-demand buffer allocation patch from okir; this
  significantly improves common-case performance.
* Thu Apr 22 2004 - kraxel@suse.de
- fix smp bugs in skas3 patch.
* Thu Apr 22 2004 - axboe@suse.de
- dm-mp must use own work queue, to not stall others if it ends up block.
  Bug SUSE39260
* Thu Apr 22 2004 - schwab@suse.de
- Disable KDB in default and 64k-pagesize.
* Wed Apr 21 2004 - agruen@suse.de
- nfsacl: Fix another bug in xdr_xcode_array2, and clean it up.
  Remove some unnecessary xdr code. Return a more useful error
  code when an acl is too large.
* Wed Apr 21 2004 - okir@suse.de
- Tentative fix for arp_solicit crash (SUSE38442)
- Fix for failure in tahi nd#21 (SUSE38542)
* Wed Apr 21 2004 - olh@suse.de
- add patches.fixes/rpaphp_err_free.patch
  RPA PCI Hotplug - redundant free (SUSE39258 - LTC7101)
* Wed Apr 21 2004 - olh@suse.de
- add patches.fixes/kobject_set_name-lenght.patch
  kobject_set_name() doesn't allocate enough space (SUSE39258 - LTC7101)
* Wed Apr 21 2004 - olh@suse.de
- add patches.drivers/firewire_ieee1394_nodemgr
  allow rmmod ohci1394  (SUSE39190)
* Wed Apr 21 2004 - garloff@suse.de
- More elegant solution for not attaching other highlevel drivers.
* Wed Apr 21 2004 - kraxel@suse.de
- v4l driver updates (cx88, saa7134).
* Wed Apr 21 2004 - garloff@suse.de
- Drop 2.4 style SCSI scanning patches except inq_timeout, in
  favour of using new style flags (scsi_mod.)default_dev_flags=Flags
  and dev_flags=Vendor:Model:Flags. Instead:
  * scsi-scan-deprecate-forcelun: Document we don't want FORCELUN
  entries. Instead max_luns=N parameter should be used.
  * scsi-scan-blist_replun: BLIST_NOREPORTLUN (0x10000) and BLIST_
  REPORTLUN2 (0x20000), the first disallowing the use of
  REPORT_LUNS, the second allowing even for SCSI-2 (if HBA
  supports more than 8 LUNs).
  * scsi-scan-no-offl-pq-notcon: Don't mark entire device offline
  if PQ reports not connected. Instead prevent sd driver from
  attaching. Replaces allow_ghost_luns parameter.
  * scsi-scan-dont-att-pq-notcon: Don't attach sr, st, or osst
  either for a PQ different from 0.
  * scsi-scan-dont-att-pq-notcon-ch: Don't attach changer.
* Wed Apr 21 2004 - garloff@suse.de
- Disable posix-timers-deadlock patch as it's broken (at least
  on x86-64).
* Wed Apr 21 2004 - garloff@suse.de
- Change CPU in bigsmp config to MPENTIUMII. Old PPro machines
  need to run the (small) smp kernel, as they need PPRO_FENCE
  (erratum #51).
* Wed Apr 21 2004 - mantel@suse.de
- fix memory leak in do_fork() (SUSE39223)
* Wed Apr 21 2004 - olh@suse.de
- CONFIG_HOTPLUG_PCI_RPA=y in pseries64 config (SUSE39216 - LTC7773)
* Wed Apr 21 2004 - agruen@suse.de
- Remove patches.fixes/shm_unlink-posix.diff: This is supposed to
  be fixed in glibc (and it is indeed fixed there).
- Add selected fixes from -mc4:
  + bitmap_parse-fix.patch: Broken bitmap_parse for ncpus > 32
  + i4l-kernelcapi-rework.patch: receive workqueue and locking
  rework
  + strip-param-quotes.patch: Strip quotes from kernel parameters
  + sys_time-subtick-correction-fix.patch: Fix sys_time() to get
  subtick correction from the new xtime
  + huge-sparse-tmpfs-files.patch: Fix huge sparse tmpfs files
  (disabled, pending confirmation).
* Wed Apr 21 2004 - okir@suse.de
- IPv6: Fixing various IPv6 redirect problems flagged by TAHI (SUSE38543, SUSE38549)
* Wed Apr 21 2004 - garloff@suse.de
- posix-timers-deadlock: Avoid deadlock.
* Wed Apr 21 2004 - agruen@suse.de
- patches.suse/sunrpc-xdr-arrays, patches.suse/nfs-acl: More
  fixes in nfsacl; the cleanup revealed a few additional bugs
  that did not trigger before.
- patches.fixes/ice-workaround.diff: Work around internal compiler
  error.
* Tue Apr 20 2004 - garloff@suse.de
- fix-fb_copy_cmap: Fix error in framebuffer colourmap ioctl (SUSE39053)
* Tue Apr 20 2004 - olh@suse.de
- reenable kdb for pseries
* Tue Apr 20 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-veth-devinfo
  provice sysfs device symlink for hwinfo
* Tue Apr 20 2004 - olh@suse.de
- update patches.arch/ppc64.patch
  preserve cpus_allowed in collect_startpurr() (# SUSE39143 - LTC7339)
* Tue Apr 20 2004 - olh@suse.de
- add patches.fixes/ibm-ppc64-procfs-dynamic-inodes
  [PATCH] Increase number of dynamic inodes in procfs
* Tue Apr 20 2004 - olh@suse.de
- update ipr scsi driver to version 2.0.4
  Don't zero the hostrcb dma buffer address in unit check processing.
* Tue Apr 20 2004 - ak@suse.de
- Add overflow fixes from linux-kernel (e1000, i810, 3ware, fusion)
- Add acpi_skip_timer_override option for nforce2
- update x86-64 patchkit:
  * fix MCE logging
  * allow compilation without PCI or GART_IOMMU
  * Add cache_alignment field/macro
  * more flexible node<->cpu mapping
  * fix stack page printing in oops log
  * minor cleanups
* Tue Apr 20 2004 - mantel@suse.de
- disable CONFIG_PM_DISK on i386
* Tue Apr 20 2004 - garloff@suse.de
- SCSI scanning parameters: Drop sparselun and largelun params,
  they are superceeded by default_dev_flags.
- SCSI scanning parameters: Drop llun_blklst: Superceeded by
  dev_flags.
- tmscsim-64bit: 64bit fixes for tmscsim SCSI driver.
* Tue Apr 20 2004 - axboe@suse.de
- CFQ iosched alias request hash fix
* Tue Apr 20 2004 - garloff@suse.de
- SCSI scanning parameters: Drop scsi_ prefixes as we have a
  scsi_mod. prefix anyways. Also split inq_timeout patch.
* Tue Apr 20 2004 - hare@suse.de
- Update call_usermode_helper to use workqueues
  (from 2.6.6-rc1-mm)
  Removed patches.fixes/call_usermodehelper_async.patch,
  patches.fixes/call_usermodehelper_async-always.patch.
  Added patches.fixes/create_singlethread_workqueue.patch,
  patches.fixes/use-workqueue-for-call_usermodehelper.patch
* Tue Apr 20 2004 - okir@suse.de
- added a fix from usagi for UDP sendmsg with options
* Tue Apr 20 2004 - okir@suse.de
- Pulled in two ipsec patches: pfkey-prio, xfrm-family
* Tue Apr 20 2004 - olh@suse.de
- add patches.suse/ibm-ppc64-domain-sched-fix.patch
  updates description to get it in sync with x86
  fixes one nodemask which wasnt being anded with cpu_possible_map.
* Tue Apr 20 2004 - okir@suse.de
- Fixed firmware address in tg3 driver (Andreas Jochens)
* Tue Apr 20 2004 - mantel@suse.de
- make suspend to S4 via powerbutton work more than once (SUSE39089)
* Tue Apr 20 2004 - mantel@suse.de
- use in-kernel e100 driver; new version was meant for 2.4 only
  according to Intel
* Tue Apr 20 2004 - garloff@suse.de
- vesafb-video-mem-mtrr: Apply MTRR setting to whole framebuffer.
  (SUSE39104)
* Mon Apr 19 2004 - olh@suse.de
- add  patches.fixes/rcu_large_cpumask.patch
  The RCU code was missing cpus_empty() in one place,
  required with large cpumasks.
* Mon Apr 19 2004 - schwab@suse.de
- Fix broken LAuS patch.
* Mon Apr 19 2004 - schwab@suse.de
- Update configs.
* Mon Apr 19 2004 - agruen@suse.de
- Add a few patches from Andrew's -mc4 tree:
  ext2-fsync-speedup-2, ext3-fsync-speedup, jbd-commit-ordered-fix,
  jbd-iobuf-error-handling-fix, jbd-move-locked-buffers,
  kerneldoc-handle-attributes,
  set-mod-waiter-before-calling-stop_machine.
* Mon Apr 19 2004 - okir@suse.de
- IPv6: use official IANA value for MLDv2 (SUSE39070)
* Mon Apr 19 2004 - olh@suse.de
- update arch/ppc64/kernel/rtas.c
* Mon Apr 19 2004 - okir@suse.de
- How embarrassing - a missing semicolon in my previous commit
* Mon Apr 19 2004 - mason@suse.de
- update to CKRM-e5
* Mon Apr 19 2004 - okir@suse.de
- nat-before-ipsec patches were lacking an EXPORT_SYMBOL(nf_rcv_postxfrm_local)
* Mon Apr 19 2004 - okir@suse.de
- open(O_EXCL) on NFSv3 produced incorrect time stamp (SUSE39056)
* Mon Apr 19 2004 - mason@suse.de
- fix reiserfs oops during umount due to undeleted work queue timer
* Mon Apr 19 2004 - kraxel@suse.de
- raise number of ttys for uml [bug SUSE38995].
* Mon Apr 19 2004 - mason@suse.de
- merge aio O_SYNC code
- remove hunks from barrier-reiser that revert other patches
- fix reiserfs-dirty-warning to catch another bogus warning that
  was triggering an oops
* Mon Apr 19 2004 - okir@suse.de
- Merged nat-before-ipsec patches and enabled CONFIG_IP_NF_MATCH_POLICY=m
* Mon Apr 19 2004 - agruen@suse.de
- Use `make silentoldconfig' instead of `make oldconfig' in spec
  files: As a side effect, this prevents the infinitely growing
  build log problem from happening.
* Mon Apr 19 2004 - axboe@suse.de
- update barrier md to use same layout as md unplug bits
* Mon Apr 19 2004 - okir@suse.de
- Enabled CONFIG_SCHED_SMT on ppc64
- Fixed typo in sched-domain-setup-lock.patch
* Mon Apr 19 2004 - mantel@suse.de
- added Intel e100 driver version 2.3.40. Since there is already a
  driver for this hardware in the kernel (e100.c version 3.0.17),
  the new one from Intel has been added under the name e100-intel.o
* Mon Apr 19 2004 - axboe@suse.de
- update swap unplug bits. From Hugh.
* Mon Apr 19 2004 - axboe@suse.de
- update md unplug bits. From Neil.
* Mon Apr 19 2004 - mantel@suse.de
- update e1000 driver to 5.2.39
* Mon Apr 19 2004 - mantel@suse.de
- add audit subsystem (LAuS-kernel and fshooks)
* Mon Apr 19 2004 - okir@suse.de
- Merged domain scheduler patches from mm tree
* Sun Apr 18 2004 - olh@suse.de
- add patches.drivers/ibm-ppc64-hvcs-warning-fix
* Sun Apr 18 2004 - olh@suse.de
- update kdb-ppc64 patch, fix bt <addr>
* Sun Apr 18 2004 - olh@suse.de
- update patches.arch/ibm-ppc64-rtas-races
  avoid stale rtas lock, remove lock from rtas_stop_self()
* Sun Apr 18 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-oops-platform_info
  add platform to oops message
* Sat Apr 17 2004 - olh@suse.de
- fix alsa suspend
* Sat Apr 17 2004 - olh@suse.de
- enable lkcd for ppc64
* Sat Apr 17 2004 - agruen@suse.de
- patches.suse/nfs-acl: Add missing check.
* Sat Apr 17 2004 - olh@suse.de
- temporary disable CONFIG_PPC_VPURR on pseries64
* Sat Apr 17 2004 - olh@suse.de
- add patches.drivers/raw-2.6.6-rc1.patch
  create dev nodes in sysfs for raw device (SUSE39037 - LTC7618)
* Sat Apr 17 2004 - olh@suse.de
- return 1 in kdb_debugger on ppc64 to avoid recursive calls to kdb
* Fri Apr 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-xmon, update from ameslab
* Fri Apr 16 2004 - olh@suse.de
- update kdb for ppc64 from ameslab
* Fri Apr 16 2004 - garloff@suse.de
- Forward port 2.4 SCSI patches:
  * scsi-log-unlikely: Branch prediction optimization
- Forward port 2.4 SCSI scanning patches:
  * patches.suse/scsi-scan-newopts:
  Introduce scsi_sparselun=1 and scsi_largelun=1 boot/module
  parameters.
  * patches.suse/scsi-scan-reportlun2:
  Drop SCSI_REPORT_LUNS config option, introduce scsi_noreportlun
  parameter instead. Also scsi_reportlun2 to allow trying
  REPORT_LUNS on SCSI-2 devices.
  * patches.suse/scsi-scan-allow-ghost-devs:
  Allow to avoid setting LUNs offline as needed by some EMC
  device (scsi_allow_ghost_devices parameter).
  * patches.suse/scsi-scan-inq-timeout:
  Allow the user to specify the SCSI scanning timeout, as some
  devices may need more (scsi_inq_timeout parameter).
  * patches.suse/scsi-scan-llun-blklst-param:
  Implement llun_blklst=C,B,T[,C,B,T[,...]] parameter that allows
  setting BLIST_LARGELUN|BLIST_SPARSELUN for single devices.
  * patches.suse/scsi-scan-host-noreportlun:
  Allow host adapters to not use REPORT_LUNS scanning.
  * patches.suse/scsi-zfcp-noreportlun.diff:
  The zfcp adapter uses it's own way of mapping LUNs, different
  from Linux. Thus don't use REPORT_LUNS.
* Fri Apr 16 2004 - olh@suse.de
- add hugetblfs patches for ppc64
  patches.arch/ibm-ppc64-01_sles-macro-cleanup-1.patch
  patches.arch/ibm-ppc64-02_sles-hugetlb-race-1.patch
  patches.arch/ibm-ppc64-03_sles_dyn_as.patch
* Fri Apr 16 2004 - olh@suse.de
- add patches.suse/dm-bbr.vmalloc
  vmalloc needs vmalloc.h
* Fri Apr 16 2004 - olh@suse.de
- update patches.drivers/firewire_ieee1394
  rev 1206, leave out whitespace changes
* Fri Apr 16 2004 - agruen@suse.de
- Some cleanups in nfsacl.
* Fri Apr 16 2004 - mason@suse.de
- reiserfs update:
- improved allocator (less fragmentation)
- optimizations for synchronous workloads
- metadata readahead
* Fri Apr 16 2004 - schwab@suse.de
- Build sgi_fetchop as module [SUSE38862].
* Fri Apr 16 2004 - mantel@suse.de
- fix alsa suspend
* Fri Apr 16 2004 - schwab@suse.de
- Add driver for Intel Multimedia Timer [SUSE38873].
* Fri Apr 16 2004 - agruen@suse.de
- Update cifs to version 1.0.8.
* Fri Apr 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtas-buffer-rmo
  may help (SUSE37978 - LTC7338) Bad kernel stack pointer on power4
* Fri Apr 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-duplicate-mmu-hash-entry
  [PATCH] ppc64: Fix possible duplicate MMU hash entries
* Fri Apr 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-branch-trap
  [PATCH] [ppc64] catch branch to 0 in real mode (SUSE38737 - LTC7403)
* Fri Apr 16 2004 - okir@suse.de
- merged some pcnet fixes (SUSE38961)
* Fri Apr 16 2004 - axboe@suse.de
- import my correct unplug counting patch from mainline
* Fri Apr 16 2004 - axboe@suse.de
- update sr reference count and disconnect race patch to match mainline
* Fri Apr 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtas-races
  may help (SUSE37978 - LTC7338) Bad kernel stack pointer on power4
* Fri Apr 16 2004 - mantel@suse.de
- fix performance problems with pcnet32 driver (SUSE38962)
* Fri Apr 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-initialise-dn-properties
  [PATCH] [ppc64] always initialise dn->type and dn->name
  (SUSE37976 - LTC7231) qla2xxx driver oops on device discovery
* Fri Apr 16 2004 - olh@suse.de
- add patches.fixes/call_usermodehelper_async-always.patch
  add patches.fixes/call_usermodehelper_async.patch
  add patches.fixes/kstrdup-and-friends.patch
  from 2.6.5-mm6
  (SUSE38925 - LTC7358) Boot hang in call_usermodehelper
* Fri Apr 16 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-dart-absolute_to_virt
  [PATCH] ppc64: Fix G5 build with DART (iommu) support
* Thu Apr 15 2004 - agruen@suse.de
- Remove a few 64-bit cleanliness warnings that lead to build
  failures.
* Thu Apr 15 2004 - olh@suse.de
- add patches.drivers/icadd-2.6-0.23.3.patch (SUSE37425)
  ftp://www-126.ibm.com/pub/icadd/icadd-2.6-0.23/
* Thu Apr 15 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-eeh_register_disable_func
  export function for pci hotplug
  add patches.arch/ibm-ppc64-restore-r13s
  have to restore r13 when entering unrecoverable_exception
  add patches.arch/ibm-ppc64-si_addr-fix
* Thu Apr 15 2004 - okir@suse.de
- Disabled CONFIG_NFS_V4 and CONFIG_NFSD_V4 on all platforms
* Thu Apr 15 2004 - axboe@suse.de
- fix reference bug in barrier-core, fix clearing of ->doing_barrier
  in ide core in case of errors
* Thu Apr 15 2004 - okir@suse.de
- Updated statfs-no-eoverflow: ia32 mode on AMD64 had the
  same problem with ffiles == -1 (SUSE36400)
* Thu Apr 15 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-signal_frame-corruption
  ppc64 signal frame issue
* Thu Apr 15 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-ras-bss
  (SUSE37978 - LTC7338) Bad kernel stack pointer on power4
* Thu Apr 15 2004 - mantel@suse.de
- fix ALSA update for PPC
* Thu Apr 15 2004 - okir@suse.de
- Fix a typo on ipv6/ah6.c (from netdev)
* Thu Apr 15 2004 - olh@suse.de
- update ipr scsi driver to version 2.0.3
  add patches.drivers/patch-ipr_evlog
  add patches.fixes/patch-2.6.5-sd_timeout_mod
  allows LLDs to override the default read/write timeout for scsi
  disks. The default timeout value used is too short for many RAID
  array devices, such as those created by the ipr driver.
* Thu Apr 15 2004 - mantel@suse.de
- ALSA update and cleanup
* Thu Apr 15 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtas-loglevel
  (SUSE38172 - LTC7219) Frequent RTAS messages reported to the console
* Wed Apr 14 2004 - garloff@suse.de
- Back out barrier patches temporarily (SUSE38950, SUSE38949).
* Wed Apr 14 2004 - garloff@suse.de
- Patch from Arjan to fix cursor setting for framebuffer drivers.
* Wed Apr 14 2004 - olh@suse.de
- update icom driver, fix PORT_ICOM define
* Wed Apr 14 2004 - ak@suse.de
- Merge ext3 data=journal data corruption fix from mainline.
* Wed Apr 14 2004 - garloff@suse.de
- Added missing ISO9660 symlink length check (mason, agruen).
* Wed Apr 14 2004 - okir@suse.de
- IPv6: Disabled xfrm6_tunnel, adjusted several other patches (SUSE36302, SUSE37357)
* Wed Apr 14 2004 - axboe@suse.de
- renable barrier-ide again, I killed the sync on block device close.
* Wed Apr 14 2004 - okir@suse.de
- SCTP: fail if /proc/net/sctp couldn't be created (SUSE38038)
* Wed Apr 14 2004 - agruen@suse.de
- Makefile.suse (for building external modules): Allow symlinks,
  too.
* Wed Apr 14 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-cpu-power5
  add patches.suse/ibm-ppc64-cpu-features
  Update CPU features. Remove DABR feature, all cpus have it.
  Add MMCRA, PMC8, SMT, COHERENT_ICACHE, LOCKLESS_TLBIE features
* Wed Apr 14 2004 - schwab@suse.de
- Enable parsing of PCI link entries in ACPI [SUSE36790].
* Wed Apr 14 2004 - olh@suse.de
- add patches.fixes/generalise-system_running.patch
  (SUSE38395 - LTC7308) Crash at reboot on CONFIG_NUMA systems
* Wed Apr 14 2004 - hare@suse.de
- S/390: Rename qeth module to qeth_mod for compability with
  old versions.
* Wed Apr 14 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-numa-16mb-lmb
  (SUSE37612 - LTC7163)   [PATCH] ppc64: NUMA fix for 16MB LMBs
* Wed Apr 14 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-numa-register-secondary
  (SUSE38648 - LTC7337) sibling cpus are not mapped to nodes
* Wed Apr 14 2004 - hare@suse.de
- S/390: Update to IBM Codedrop 2004/04/15
- S/390: Removed obsolete patches
- Rediffed patches.suse/lkcd-kernel-changes-linux263.patch,
  patches.fixes/anon-vma to apply again.
* Tue Apr 13 2004 - mantel@suse.de
- update mpt/fusion driver to 3.01.03
* Tue Apr 13 2004 - mantel@suse.de
- fix dm so that EVMS snapshotting works correctly
* Tue Apr 13 2004 - mantel@suse.de
- fix nonlinear/truncate problem
* Tue Apr 13 2004 - mantel@suse.de
- fix module parameter problem in qla2xxx driver (SUSE38764)
* Tue Apr 13 2004 - mantel@suse.de
- update cifs to 1.0.6
* Tue Apr 13 2004 - schwab@suse.de
- Increase NR_CPUS to 512 in sn2 config.
* Tue Apr 13 2004 - mantel@suse.de
- fix file system corruption from qla1280 driver (SUSE38732)
* Thu Apr 08 2004 - ak@suse.de
- Disable unnecessary MTD drivers on x86-64
* Thu Apr 08 2004 - ak@suse.de
- Add lazy time stamps for networking
* Thu Apr 08 2004 - axboe@suse.de
- Don't issue unconditional sync on block driver release.
* Thu Apr 08 2004 - ak@suse.de
- Readd new version of NUMA API
* Thu Apr 08 2004 - agruen@suse.de
- Update check for unresolved symbols so that it is also effective
  inside Autobuild.
* Thu Apr 08 2004 - garloff@suse.de
- Disable barrier-ide until it's fixed.
* Thu Apr 08 2004 - agruen@suse.de
- scripts/cvs-wd-timestamp: Fix for users who don't have bash
  as their default shell on cvs.unitedlinux.com.
* Thu Apr 08 2004 - andrea@suse.de
- Replace slab-no-comp with gfp-level-mask to better localize
  the dependencies on new gfpmask bitflags.
* Thu Apr 08 2004 - andrea@suse.de
- Updated xfs-hugetlbfs-mm-corruption using an alternate
  cleaner fix from the XFS developers. This patch was less
  obvious than the previous one but it has been tested by now
  so it can be applied.
* Thu Apr 08 2004 - andrea@suse.de
- added patches.fixes/mprotect-vma-merging and replaced prio-tree
  with the one in 2.6-aa and splitted out the prio-tree-suse
  part (covering kdb etc..) in a separate patch. This way
  the prio tree is applied before the numa-api patches.
- Disabled temporarily the three NUMA-API patches numa-api,
  mpol-copy-fix, numa-api-htlbpages. Andi has been notified,
  the patches need to be rediffed.
* Wed Apr 07 2004 - garloff@suse.de
- Fix vscsi deadlocking (against call_usermode_helper/hotplug).
* Wed Apr 07 2004 - garloff@suse.de
- Fix slab allocation flags (bug triggered by
  xfs-hugetlbfs-mm-corruption)
* Wed Apr 07 2004 - garloff@suse.de
- Fix UML build.
* Wed Apr 07 2004 - garloff@suse.de
- Disable non-executable stack on S390.
* Wed Apr 07 2004 - ak@suse.de
- Fix 2TB overflow in MD RAID5
* Wed Apr 07 2004 - ak@suse.de
- Fix PHY timer bug in updated r8169 driver
* Wed Apr 07 2004 - agruen@suse.de
- lvm hash bucket calculation fix, solves snapshot creation
  problems on 32bit machines with > 4GB of ram.  Bug SUSE34418
  (mason@suse.de)
* Wed Apr 07 2004 - agruen@suse.de
- fixes/xfs-hugetlbfs-mm-corruption: xfs mm corruption fix
  (andrea@suse.de)
- patches.fixes/anon_vma_prepares-locking: Fix locking for page
  faults in concurrent threads (andrea@suse.de).
- fixes/ext3-infoleak: SUSE35212: fixes/ext3-infoleak, CAN-2004-0133.
* Tue Apr 06 2004 - agruen@suse.de
- SUSE38544: fixes/linux-2.6-flash-list-4gig-1: allows flashing of
  the JS20 firmware with the 2.6 kernel (ppc, meissner@suse.de).
- SUSE37815: fixes/iommu-alloc-failed: pci_alloc_consistent should
  return a NULL pointer instead of the magic NO_TCE value. (ppc,
  meissner@suse.de).
* Tue Apr 06 2004 - schwab@suse.de
- Reenable auto-IRQ for HCDP serial driver.
* Tue Apr 06 2004 - mantel@suse.de
- add Bad Block Relocation Device Target for device mapper
* Tue Apr 06 2004 - agruen@suse.de
- SUSE38503: Running fsx-linux generates a truncate + mmap workload
  that can make reiserfs leak bufers.  Eventually the system will
  run out of ram and die.
* Tue Apr 06 2004 - axboe@suse.de
- add ext3 barrier patch
* Tue Apr 06 2004 - axboe@suse.de
- add barrier patchset
* Tue Apr 06 2004 - agruen@suse.de
- patches.fixes/vicam-fix: Add missing copy_from_user (instead
  of direct memory access).
* Tue Apr 06 2004 - kraxel@suse.de
- saa7134 driver card list fixes.
* Tue Apr 06 2004 - agruen@suse.de
- Fix problem with %%prepare in kernel-source (triggered on ppc).
- Fix permissions of arch/x86_64/offset.h
* Tue Apr 06 2004 - hare@suse.de
- S/390: Add patches.arch/s390-xip2fs-lru.patch.
  Fix build for xip2fs.
* Tue Apr 06 2004 - agruen@suse.de
- SUSE38013: Enable patches.fixes/shm_unlink-posix.diff.
- Merge selected bug fixes from 2.6.5-mc1.
- Fail if km_* modules don't build or there are undefined
  symbols.
* Tue Apr 06 2004 - axboe@suse.de
- update cdrom-refcount to better fix
* Tue Apr 06 2004 - schwab@suse.de
- Update configs.
* Tue Apr 06 2004 - schwab@suse.de
- Set MAX_DMA_ADDRESS earlier for HP platforms.
* Tue Apr 06 2004 - axboe@suse.de
- update libata-update to latest
* Tue Apr 06 2004 - mantel@suse.de
- remove HP ProLiant machines from ACPI blacklist (SUSE38427)
* Tue Apr 06 2004 - andrea@suse.de
- backed out swap-writepage-sync-1 and applied real fix for SUSE38247
* Mon Apr 05 2004 - ak@suse.de
- change map_base to mapped_base (SUSE38434)
* Mon Apr 05 2004 - ak@suse.de
- keep ACPI processor module loaded even without ACPI (SUSE37702)
* Mon Apr 05 2004 - ak@suse.de
- update r8169 driver (SUSE37793)
* Mon Apr 05 2004 - ak@suse.de
- disable CONFIG_NET_DIVERT on pseries64 too
* Mon Apr 05 2004 - schwab@suse.de
- Fix mmap overflow [SUSE37845].
* Mon Apr 05 2004 - ak@suse.de
- handle empty/disabled nodes without oopsing (SUSE37135)
* Mon Apr 05 2004 - agruen@suse.de
- Include binaries below scripts/ in kernel-source.$arch.rpm:
  Some external modules expect them.
- Include arch/asm-x86_64/offsets.h in kernel-source.$arch.rpm.
- Remove wrong Provides from kernel-syms.spec.
* Mon Apr 05 2004 - garloff@suse.de
- cdcrom-refcount: Patch from axboe for CDROM refcounting (SUSE38222).
* Mon Apr 05 2004 - okir@suse.de
- Remove remainder of udp-no-eagain patch; it breaks poll() on raw
  sockets (SUSE37842).
* Mon Apr 05 2004 - hare@suse.de
- S/390: add patches.drivers/xip2fs_part{1,2}.diff
  Add new execute-in-place fs for S/390.
* Mon Apr 05 2004 - mantel@suse.de
- disable CONFIG_PCI_NAMES
* Mon Apr 05 2004 - schwab@suse.de
- Disable 32bit emulation when the cpu does not support it [SUSE37594].
* Mon Apr 05 2004 - schwab@suse.de
- Fix missing include file.
* Mon Apr 05 2004 - okir@suse.de
- Updated and re-enabled patches.fixes/sunrpc-disconnect-race (SUSE37686)
* Mon Apr 05 2004 - mantel@suse.de
- fix AC97 register initialization
* Mon Apr 05 2004 - ak@suse.de
- Force IPv6 FIB cleanup on netdevice unregister (SUSE38246)
* Mon Apr 05 2004 - ak@suse.de
- add mapped-base for ppc64
* Mon Apr 05 2004 - okir@suse.de
- Disabled patches.fixes/sunrpc-verbose-disconnect; bad idea
* Mon Apr 05 2004 - kkeil@suse.de
- fix bug in the init of some bluetooth PCMCIA cards (SUSE34038)
* Mon Apr 05 2004 - andrea@suse.de
- prio-tree internal fix from Rajesh Venkatasubramanian,
  changes only mm/prio_tree.c.
* Mon Apr 05 2004 - garloff@suse.de
- Update to linux-2.6.5, dropping merged patches and adapt a few.
* Mon Apr 05 2004 - ak@suse.de
- add alpha fixes from ro
* Sun Apr 04 2004 - ak@suse.de
- add acpi_link_tolerant option to work around problems
  with VIA chipsets. Disabled by default for now.
* Sun Apr 04 2004 - andrea@suse.de
- added obviously safe patches.suse/unmap_vmas-lat to provide
  lowlatency even with preempt disabled.
* Sun Apr 04 2004 - andrea@suse.de
- XFS vmtruncate fix, will fix bug SUSE37257
* Sun Apr 04 2004 - agruen@suse.de
- patches.fixes/sound-ati-ixp-fix: Fix the S/PDIF port on ATI IXP
  boards (takashi@suse.de).
* Sun Apr 04 2004 - andrea@suse.de
- anon-vma arch update (noop for x86/x86-64 and most others)
* Sun Apr 04 2004 - ak@suse.de
- add ACPI always enable gpes change from mainline
* Sun Apr 04 2004 - garloff@suse.de
- Update cifs to version 1.0.5. (SUSE35685, SUSE37871).
* Sun Apr 04 2004 - ak@suse.de
- disable apic off dmi entry for HP DL380 (SUSE34704)
* Sun Apr 04 2004 - agruen@suse.de
- SUSE38070 hang in hwscan loading module uhci-hcd: Extended
  psmouse-usb-fix patch to reset the USB controller thoroughly
  (vojtech@suse.cz).
* Sat Apr 03 2004 - agruen@suse.de
- patches.fixes/alsa-via82xx-amira-fix.diff: Fix from Takashi.
* Sat Apr 03 2004 - ak@suse.de
- add ACPI updates from mainline (pci bridge and ACPI SCI fixes)
* Sat Apr 03 2004 - garloff@suse.de
- protect-pids-from-oom2: Patch that allows adjustment of oom
  score per pid in powers of 2: 1 << $((/proc/$PID/oom_adj))
  with oom_adj in [-16 ... 15] and exports oom scores in /proc/
  $PID/oom_score. OOM killer sends SIGTERM prior to SIGKILL now.
- rediff patch-delay-2.6.3-040317
* Fri Apr 02 2004 - garloff@suse.de
- Change max request size from 128k to 124k for SATA devices w/o
  LBA48 support.
* Fri Apr 02 2004 - ak@suse.de
- Disable vectored interrupts support for i386 smp/bigsmp
* Fri Apr 02 2004 - ak@suse.de
- set nodes online on ia64
* Fri Apr 02 2004 - andrea@suse.de
- Removed suprious warnings from gfp-no-compound, and added
  further bugchecks to be more robust. Added some further
  __GFP_NO_COMP in the swapsuspend/swapresume (not strictly
  needed but just in case).
* Fri Apr 02 2004 - kraxel@suse.de
- add missing MODULE_DEVICE_TABLE() to skystar2 driver.
* Fri Apr 02 2004 - olh@suse.de
- merge a few patches from the linuxppc64-2.5 tree
  veth, vscsi, eeh
* Fri Apr 02 2004 - mantel@suse.de
- JFS: initialize log->bp before calling lmNextPage
* Fri Apr 02 2004 - mason@suse.de
- update snapshot locking code, fix possible deadlock cause by
  during dm activation.
* Fri Apr 02 2004 - agruen@suse.de
- patches.fixes/shm_unlink-posix.diff: Proposed fix for for
  SUSE38013, error status of shm_unlink not compliant with
  POSIX.1-2001 (minor issue).  The fix is disabled right now; we
  will test/enable it after SL91 is out.
* Fri Apr 02 2004 - mantel@suse.de
- downgrade bcm5700 driver to 7.1.22 as this is the latest official
  version
* Fri Apr 02 2004 - hare@suse.de
- Fix patches.fixes/prio-tree to cover S/390.
* Fri Apr 02 2004 - kkeil@suse.de
- fix Oops on unloading ISDN drivers with still activ connections
* Fri Apr 02 2004 - axboe@suse.de
- update dm-02-leftovers to include fix for blk_pc_request residuals
* Fri Apr 02 2004 - okir@suse.de
- Replaced IGMPv3 timer list fix icmp-dead-backout with a
  different one from DL Stevens (igmp-timerlist)
* Fri Apr 02 2004 - agruen@suse.de
- kernel-source package: Call running-kernel init script with
  argument "start" in %%post; a few more rc.d => init.d changes.
* Fri Apr 02 2004 - okir@suse.de
- IPv6 mcast defaults to MLDv1 now in order to prevent network
  meltdown with some cisco switches (SUSE34954)
- Remove obsolete patches.fixes/suse-ipv6-mld2 patch
* Fri Apr 02 2004 - andrea@suse.de
- patches.fixes/aic7xxx-suspend (fix swap suspend for aic7xxx
  driver from Pavel)
- patches.fixes/gfp-no-compound this fixes a collision between
  rw_swap_page_sync with compound pages and anon-vma: swapsuspend
  called rw_swap_page_sync with a compound page. This is the last
  bit needed to close SUSE37442. This also cures the no-hugetlbfs
  compilation that currently is very suspect since it doesn't
  setup the page_count of all page_t * for the secondary pages
  in the multipage.
- patches.fixes/anon-vma added hardness check for PageCompound
  in rw_swap_page_sync so an explicit bug will trigger instead
  of a random oops (decoding the asm once is more than enough ;)
- patches.suse/disable-cap-mlock new version (slightly cleaner)
  from Andrew Morton (after s/unlikely/likely)
* Thu Apr 01 2004 - okir@suse.de
- statfs should not return EOVERFLOW on 32bit systems if
  b_files or b_ffree is -1 (SUSE36400)
* Thu Apr 01 2004 - agruen@suse.de
- Fix a build dependency in lkcd (kerntypes.o needs compile.h).
- Add missing PreReq entires in kernel-source.spec.in.
- Use /etc/init.d instead of /etc/rc.d.
* Thu Apr 01 2004 - olh@suse.de
- update icom driver to version 1.3.1
* Thu Apr 01 2004 - okir@suse.de
- patches.fixes/nfs-blocksize is superfluous, removed it
* Thu Apr 01 2004 - okir@suse.de
- Starting the NFS server didn't work (SUSE37925)
  patches.fixes/sunrpc-xprt-connfix should address this
* Thu Apr 01 2004 - okir@suse.de
- Some people still saw kernel messages complaining about an old
  NFS mount version. Fixed. (SUSE37689)
* Thu Apr 01 2004 - mason@suse.de
- add BKL around reiserfs_end_persistent_transaction, fixing an
  oops in when reiserfs_get_block returns an error to
  reiserfs_prepare_write
* Thu Apr 01 2004 - ak@suse.de
- make pci_dma_allowed on x86-64 bug to bug compatible to i386
  for alsa (SUSE37943)
* Thu Apr 01 2004 - mason@suse.de
- disable reiserfs warning about locked buffers being marked dirty
  (bug SUSE37758)
* Thu Apr 01 2004 - andrea@suse.de
- One more fix for bug SUSE37442 so that the page written with
  rw_swap_page_sync aren't considered exclusive by the
  swap_writepage operations. This should allow swapsuspend to
  work again. Added further bugchecks in the rw_swap_page_sync
  to protect against non-private pages being passed to that
  interface.
* Thu Apr 01 2004 - okir@suse.de
- sunrpc-disconnect-race patch is broken; disabled for now
* Thu Apr 01 2004 - agruen@suse.de
- Remove some swsusp warnings.
- patches.suse/disable-cap-mlock: Add sysctl so that the
  CAP_IPC_LOCK capability can be ignored in mlock/mlockall/mmap,
  and so unprivileged processes can use them.
* Thu Apr 01 2004 - mantel@suse.de
- pci: Add quirks for USB devices, so that SMM BIOS Legacy PS/2
  emulation is switched off even when USB drivers are not loaded.
  (SUSE34824)
* Thu Apr 01 2004 - kraxel@suse.de
- added updates for v4l drivers.
* Thu Apr 01 2004 - olh@suse.de
- update emulex fc driver to lpfcdriver-2.10d
* Thu Apr 01 2004 - andrea@suse.de
- Allow swap header to be rewritten with rw_swap_page_sync,
  may fix bug SUSE37442.
* Thu Apr 01 2004 - ak@suse.de
- disable EDD reporting url
* Wed Mar 31 2004 - olh@suse.de
- add patches.drivers/usb-static-sysfs-info
  the sysfs files 'serial', 'product' and 'manufacturer' will be
  read on the fly. this causes problems and unexpected results
  if many processes read that file at once.
  just read this info once now during plugin time and keep it in
  memory.
* Wed Mar 31 2004 - andrea@suse.de
- Andrew's fix for SUSE37442 was buggy, rewritten the fix
  and hopefully fixed the bug for real this time.
* Wed Mar 31 2004 - okir@suse.de
- Fixed a race condition in the NFS disconnect code (SUSE37686)
* Wed Mar 31 2004 - agruen@suse.de
- patches.suse/nfs-mount-warning: Include user space mount version
  in warning.
* Wed Mar 31 2004 - stepan@suse.de
-  update bootsplash to 3.1.6
* Wed Mar 31 2004 - andrea@suse.de
- Fix a very minor bug while dealing with device driver memory
  in anon-vma (it couldn't harm but this is more correct).
- Fix another minor issue in xfs in prio-tree with nonlinear vmas.
  An xfs fixup for a generic VM truncate bug spotted by objrmap is
  also pending but it's unrelated to this so it'll be in another
  checkin.
- Rediffed ppc64-kdb so it applies cleanly with my scripts (no
  difference for anybody else).
* Wed Mar 31 2004 - agruen@suse.de
- Add reiserfs acl support for special files (jeffm@suse.de).
* Tue Mar 30 2004 - ak@suse.de
- Add missing vmalloc.h include on x86-64
* Tue Mar 30 2004 - mason@suse.de
- lkcd update, disable IPF support until IBM can integrate and
  test the fujitsu patch
- merge ppc64 support, leave them disabled in series.conf until
  the ppc folks can try things out and make sure it compiles
* Tue Mar 30 2004 - agruen@suse.de
- Don't artificially limit the number of ACL entries on ext[23].
* Tue Mar 30 2004 - garloff@suse.de
- Forward port patch to increase sense buffer size to 96 bytes.
  (Some devices need it, e.g. IBM MagStar tapes.)
- Increase the libata request size from 100k to 128k resp. 512k
  for LBA48 devices.
* Tue Mar 30 2004 - okir@suse.de
- Increased the limit when nfsd starts dropping connections
- NFSD now prints a (hopefully) helpful message when it reaches
  this limit and has to drop connections
* Tue Mar 30 2004 - agruen@suse.de
- Generate symlinks in /boot also for uml.
* Tue Mar 30 2004 - okir@suse.de
- NFS now prints a message when the server drops the connection
* Tue Mar 30 2004 - ak@suse.de
- Enable oprofile in i386 configuration
* Tue Mar 30 2004 - ak@suse.de
- support more than 8 local APICs on x86-64
* Tue Mar 30 2004 - kraxel@suse.de
- update lirc patch and update config files (fixes SUSE37261).
* Tue Mar 30 2004 - kkeil@suse.de
- add SET_NETDEV_DEV macros to many network drivers
* Tue Mar 30 2004 - agruen@suse.de
- prio_tree: Add missing include module.h for symbol exports.
- Exclude um from module test build: it's badly broken with
  respect to O= building.
* Tue Mar 30 2004 - axboe@suse.de
- Make partial io completions with io errors work properly when
  .using bio pairs
* Tue Mar 30 2004 - axboe@suse.de
- Fix PREP_KILL return in elv_next_request(), can cause dead
  kernel if used by drivers (send MODE6 to ide-cd, for instance).
* Tue Mar 30 2004 - agruen@suse.de
- Export prio_tree_{first,next} symbols.
* Mon Mar 29 2004 - mason@suse.de
- Make reiserfs warnings give device details (SUSE29740)
* Mon Mar 29 2004 - agruen@suse.de
- Two small prio-tree fixes from Andrea.
* Mon Mar 29 2004 - mason@suse.de
- properly set block device size during loop device setup
* Mon Mar 29 2004 - mantel@suse.de
- added prio-tree feature
* Mon Mar 29 2004 - axboe@suse.de
- fix oops in pci_alloc_consistent with iommu for pcidev == NULL (SUSE37191)
* Mon Mar 29 2004 - olh@suse.de
- remove changes to arch/ppc/mm/pgtable.c from anon_vma patch
* Mon Mar 29 2004 - andrea@suse.de
- Add bugcheck for page->mapcount == 0 in alloc/free page paths
  (just in case).
- Convert BUG_ON to WARN_ON in page_remove_rmap and added a
  WARN_ON(page->mapcount) in remove_from_page_cache, to try
  to trap the case of pages being removed from pagecache while
  they still had some mapping. This should fix SUSE37257.
* Mon Mar 29 2004 - mantel@suse.de
- add swsuspend support for highmem machines; show progress (SUSE37147)
* Mon Mar 29 2004 - mantel@suse.de
- ALSA update:
- fix the hang up of AD1985 codec.
- fix the handling of chained AD188x/AD198x codecs.
- fix the detection of AC97 rev2.3.
* Mon Mar 29 2004 - axboe@suse.de
- return -ENXIO in scsi_device_get() if it isn't fully set up yet (SUSE37303)
* Mon Mar 29 2004 - mantel@suse.de
- update IBM ServeRaid driver (ips) to 7.00.15
* Mon Mar 29 2004 - mantel@suse.de
- don't use arbitrary MAC address in prism driver when firmware is
  not yet loaded
* Mon Mar 29 2004 - mantel@suse.de
- fix signal/restart loop in autofs (SUSE35148)
* Mon Mar 29 2004 - kkeil@suse.de
- update ppp-filter-fix to fix also the ippp autodial filter (SUSE37284)
* Mon Mar 29 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040329
  s390 updates, mount compat changes, ide updates
* Sun Mar 28 2004 - olh@suse.de
- update patches.fixes/usb-unplug-2.6.5rc2-reverse.patch
  use the official version
* Sun Mar 28 2004 - olh@suse.de
- add patches.drivers/ppc64-iseries-icom.patch
  serial icom driver for iseries
* Sun Mar 28 2004 - olh@suse.de
- add patches.arch/ppc64.patch_iseriesworkaround
  the segment handling patch broke iseries, temporary fix
  add patches.drivers/ppc64-iseries-viocd-removableflag
  dont show iSeries virtual CD in /proc/partitions
* Sun Mar 28 2004 - agruen@suse.de
- patches.fixes/alsa2.diff: Fix from Takashi Iwai <tiwai@suse.de>.
* Sun Mar 28 2004 - olh@suse.de
- disable patches.suse/dm-03-32bit-ioctl
  breaks interfaces on ppc (SUSE36813 - LTC7019)
* Sat Mar 27 2004 - garloff@suse.de
- Enable noexec-stack on all archs and put in front of anon-vma.
  (Rediffed the latter.)
* Sat Mar 27 2004 - agruen@suse.de
- xfs got the attribute namespaces wrong with a tight buffer as in
  listxattr(file, buffer, listxattr(file, NULL, 0)).
* Sat Mar 27 2004 - schwab@suse.de
- Remove obsolete patches.
* Sat Mar 27 2004 - olh@suse.de
- add patches.suse/suse.ppc32.pmac.no_pcspkr.patch
* Sat Mar 27 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040327
  acpi, ia64, ppc23, arm, sparc64 updates
  add patches.drivers/usb-2.6-disable-pwc
  disabled umaintained usb driver
* Fri Mar 26 2004 - olh@suse.de
- add patches.fixes/usb-interface-init-fix (SUSE36990)
* Fri Mar 26 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040326
  add patches.drivers/pci_dma_mapping_error.patch
* Fri Mar 26 2004 - mason@suse.de
- merge patches.fixes/reiserfs-writepage back into
  reiserfs-writepage-ordered-race (which added the bug)
- add writepage-ordered-race to fix the data=ordered race with
  fsync/O_SYNC for ext3, integrate speedups from Andrew's fix into
  reiserfs-writepage-ordered-race
  fsync should really be syncing now (finally)
* Fri Mar 26 2004 - axboe@suse.de
- Back out problematic igmp dev ref counting patch (SUSE36696)
* Fri Mar 26 2004 - schwab@suse.de
- Export register_percpu_irq.
* Fri Mar 26 2004 - schwab@suse.de
- Fix an unwind bug.
* Fri Mar 26 2004 - ak@suse.de
- Make VIA IOMMU change compile on SMP too
* Fri Mar 26 2004 - okir@suse.de
- Removed my mcast timer fix after Jens imported the mainline fix
* Fri Mar 26 2004 - mantel@suse.de
- do not panic when resume partition cannot be found (SUSE36972)
* Fri Mar 26 2004 - ak@suse.de
- Force swiotlb on VIA chipsets for >3GB RAM.
* Fri Mar 26 2004 - ak@suse.de
- Make ACPI modular on x86-64
* Fri Mar 26 2004 - axboe@suse.de
- add ip_mc_down() fix from linux-bk (SUSE36696)
* Fri Mar 26 2004 - ak@suse.de
- Disable debugging messages in parport daisy driver
* Fri Mar 26 2004 - ak@suse.de
- Enable powernow k8 acpi driver on x86-64 and i386 (SUSE36822)
* Thu Mar 25 2004 - agruen@suse.de
- xfs cvs update.
* Thu Mar 25 2004 - andrea@suse.de
- Fixup one locking bit in the objrmap-core, more precisely
  backed out this below incorrect patch. This results in a
  microscalability optimization for munmap, and it fixes an smp
  race in swapoff (such race existed in mainline too btw).
- After modifying this part of objrmap-core, anon-vma generated a
  trivial reject, but there is absolutely no change to anon-vma
  except for the reject fixup.
* Thu Mar 25 2004 - ak@suse.de
- Fix use of uninitialized memory in split_vma (SUSE36890)
* Thu Mar 25 2004 - okir@suse.de
- Prevent dst underrun in ip6t_REJECT (SUSE36923)
* Thu Mar 25 2004 - ak@suse.de
- Force alignment of task_struct to 16 bytes (SUSE36301)
* Thu Mar 25 2004 - okir@suse.de
- prevent "uninitialized timer in ip_mc_down" message (SUSE36842)
* Thu Mar 25 2004 - schwab@suse.de
- Make VFAT builtin.
* Thu Mar 25 2004 - ak@suse.de
- Fix vsyscall debugging on x86-64
* Thu Mar 25 2004 - agruen@suse.de
- SUSE36841: Disable ``mount version is older than kernel'' warning:
  The kernel for SL 9.1 will support a higher mount version than
  the mount binary.
* Thu Mar 25 2004 - mantel@suse.de
- update libata
* Thu Mar 25 2004 - axboe@suse.de
- add CFQ io sheduler
* Thu Mar 25 2004 - mantel@suse.de
- add objrmap nonlinear and anon-vma ppc support
* Thu Mar 25 2004 - ak@suse.de
- Use correct optimization option for intel x86-64 CPUs (SUSE36901)
* Thu Mar 25 2004 - ak@suse.de
- Disable network debugging messages
* Thu Mar 25 2004 - axboe@suse.de
- Fix ide-cd capacity query
* Thu Mar 25 2004 - ak@suse.de
- Emulate bridge ioctls for vmware (SUSE36641)
* Thu Mar 25 2004 - garloff@suse.de
- Revert sysfs changes from rc2. (SUSE36844, SUSE36198).
* Wed Mar 24 2004 - garloff@suse.de
- Drop part from lkcd_ipf that panics the kernel on accessing
  /proc/sys/kernel/cad_pid.
* Wed Mar 24 2004 - agruen@suse.de
- patches.fixes/doc-syntax.diff: Fix a syntax error that causes
  the kernel-docs package to fail.
* Wed Mar 24 2004 - agruen@suse.de
- Update configs, and relax the config file consistency check.
* Wed Mar 24 2004 - ak@suse.de
- another swap fix for NUMA kernels under load (SUSE36806)
- remove debugging messages in usagi ip6ip6 tunnel
- enlarge kernel log size on x86-64
* Wed Mar 24 2004 - mantel@suse.de
- some ALSA updates still missing from 2.6.5-rc2
* Wed Mar 24 2004 - olh@suse.de
- add patches.fixes/usb-unplug-2.6.5rc2-reverse.patch
  do not hang during usb device unplug (SUSE36830)
* Wed Mar 24 2004 - schwab@suse.de
- Fix buffer list walking bug in reiserfs writepage [SUSE36797].
* Wed Mar 24 2004 - agruen@suse.de
- kernel-dummy.spec.in: Remove wrong Provides line.
* Wed Mar 24 2004 - axboe@suse.de
- don't show cdroms in /proc/partitions (SUSE36527)
* Wed Mar 24 2004 - mantel@suse.de
- allow capabilities to be disabled via kernel parameter (SUSE36821)
* Wed Mar 24 2004 - olh@suse.de
- update kdb for ppc64, keep the ameslab version intact
  fix stacktrace for current process
* Wed Mar 24 2004 - schwab@suse.de
- Fix SAL revision detection [SUSE36782].
* Wed Mar 24 2004 - ak@suse.de
- delete obsolete patches.
* Wed Mar 24 2004 - ak@suse.de
- Fix 32bit getdents and remount on x86-64
* Wed Mar 24 2004 - hare@suse.de
- Disable LTT & dprobe completely as they also do not
  work on S/390.
- Rediff numa-api.
* Tue Mar 23 2004 - schwab@suse.de
- Enable KDB on ia64, off by default.
* Tue Mar 23 2004 - ak@suse.de
- fix oops in numa api code (SUSE36806)
* Tue Mar 23 2004 - garloff@suse.de
- Non executable stack for x86-64.
* Tue Mar 23 2004 - kkeil@suse.de
- add PPP filter fix (SUSE34724)
- add ported iff_dynamic patch
* Tue Mar 23 2004 - ak@suse.de
- Disable relayfs on um
* Tue Mar 23 2004 - ak@suse.de
- Fix build on x86-64 again
* Tue Mar 23 2004 - ak@suse.de
- Really disable IO-APIC on UP by default in ACPI (SUSE36767)
* Tue Mar 23 2004 - agruen@suse.de
- patches.fixes/um-O=.diff: UML related fix for O=.
- rpm/generate-Makefile.suse: Minor quircks.
* Tue Mar 23 2004 - agruen@suse.de
- Add Required-Start: $remote_fs to running-kernel.init so that
  the script will find /usr mounted.
* Tue Mar 23 2004 - schwab@suse.de
- Enable forced interrupts by default on SN [SUSE36439].
* Tue Mar 23 2004 - ak@suse.de
- Disable non fatal MCE checks for i386 (too many false errors)
* Tue Mar 23 2004 - ak@suse.de
- Disable HPET timer support for i386 (SUSE35081)
* Tue Mar 23 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-pci_dma_error.patch
  update vio drivers for recent pci_dma changes
* Tue Mar 23 2004 - okir@suse.de
- nfs-blocksize: prevent 32bit statfs failures on large NFS file
  systems (SUSE36400)
- nfs-mount-fail-crash: do not oops when fsinfo call fails during
  OB  NFS super block initialization (SUSE36018)
* Tue Mar 23 2004 - garloff@suse.de
- ngroups-max-var: Add patch to allow adjustment of NGROUPS_MAX
  (SUSE36724).
* Tue Mar 23 2004 - garloff@suse.de
- vm_reserve-patch: Add patch from Karsten Keil to implement
  vm_reserve boot parameter.
* Tue Mar 23 2004 - garloff@suse.de
- Make __HZ int instead of long and use sizeof(int) in sysctl
  handler. It displayed two values on 64 bit archs :-(
* Tue Mar 23 2004 - schwab@suse.de
- Fix ckrm patch so that it compiles.
* Tue Mar 23 2004 - ak@suse.de
- Update ACPI to 20040311 test queue.
* Tue Mar 23 2004 - ak@suse.de
- Update configurations
* Tue Mar 23 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20040323
  isdn updates, ps2 works again on ppc64
* Tue Mar 23 2004 - olh@suse.de
- remove patches.suse/kdb-common-softirq again, it was old kdb code
* Tue Mar 23 2004 - ak@suse.de
- make s2io driver actually compile with standard configuration
* Tue Mar 23 2004 - ak@suse.de
- add s2io driver
* Tue Mar 23 2004 - mason@suse.de
- hopefully fix lkcd for ia64 compiles as a module
* Tue Mar 23 2004 - mason@suse.de
- remove duplicate entry for num api in series.conf
* Tue Mar 23 2004 - mason@suse.de
- well, that didn't work.  disable ckrm on ppc
- reorder things in series.conf so ckrm comes before llt, that
  way it won't conflict with anon-vma on ppc.  Enable relayfs
  for ppc.
* Tue Mar 23 2004 - ak@suse.de
- disable debugging code in numa api
* Tue Mar 23 2004 - mason@suse.de
- add ckrm core patches
* Tue Mar 23 2004 - schwab@suse.de
- Remove ILP32 patch.
* Tue Mar 23 2004 - olh@suse.de
- update emulex fc driver to lpfcdriver-2.10c
* Mon Mar 22 2004 - olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  restore old simpler version of this patch
* Mon Mar 22 2004 - schwab@suse.de
- Fix lkcd patch so that it compiles.
* Mon Mar 22 2004 - schwab@suse.de
- More fallout from ak's patch.
* Mon Mar 22 2004 - schwab@suse.de
- Fix ak's fixes.
* Mon Mar 22 2004 - mason@suse.de
- fix lkcd compile for ia64
* Mon Mar 22 2004 - mason@suse.de
- fix ia64 configs for lkcd
* Mon Mar 22 2004 - ak@suse.de
- Some fixes for previous checkin
* Mon Mar 22 2004 - schwab@suse.de
- Update ppc64 kdb patches.
* Mon Mar 22 2004 - ak@suse.de
- Add NUMA API
* Mon Mar 22 2004 - agruen@suse.de
- add lkcd for ia64
* Mon Mar 22 2004 - agruen@suse.de
- Switch from a build-kernel-modules script to Makefile.suse for
  test-building external modules.
- Remove test that breaks the external modules test.
- patches.rpmify/kbuild-out-of-tree: Remove modversions files
  when doing a `make distclean'.
* Mon Mar 22 2004 - schwab@suse.de
- kdb: move bfd.h and ansidecl.h to include/asm.
* Mon Mar 22 2004 - mantel@suse.de
- disable CONFIG_WATCHDOG_NOWAYOUT (SUSE36511)
* Mon Mar 22 2004 - mantel@suse.de
- add fix for vmware to anon-vma
* Mon Mar 22 2004 - axboe@suse.de
- update patches.suse/backing-dev-unplug.patch to not call into q->unplug_fn
  unconditionally, saves some cpu io bound loads.
- update patches.suse/dm-30-unplug-update-1 to not include md patches now
  folded into the above patch
* Mon Mar 22 2004 - olh@suse.de
- add patches.suse/kdb-common-softirq
  ignore softirqs when in kdb
* Mon Mar 22 2004 - olh@suse.de
- add patches.drivers/ppc64-e1000-tce-leak
  Don't wrap the ring in tx_map, since that'll lead to TCE leaks
* Mon Mar 22 2004 - olh@suse.de
- update patches.arch/ppc64.patch
  sync with Linus, some hotplug things changed when rusty merged it
  upstream
* Mon Mar 22 2004 - ak@suse.de
- fix DEBUG_INFO build on x86-64 again
* Sun Mar 21 2004 - olh@suse.de
- update patches.drivers/firewire_ieee1394
  rev 1193, Some host driver cleanups.
* Sun Mar 21 2004 - mason@suse.de
- reiserfs laptop mode support
* Sun Mar 21 2004 - olh@suse.de
- add patches.suse/aio-cancel-debug
* Sun Mar 21 2004 - olh@suse.de
- update ipr scsi driver to version 2.0.0-8
* Sun Mar 21 2004 - mason@suse.de
- fix aacraid compile problem
* Sun Mar 21 2004 - mason@suse.de
- disable the hooks probes and LTT on ppc, needs a rediff against
  anon_vma once andrea fixes that
- disable kprobes/dprobes entirely, it doesn't compile on arches
  it doesn't support
* Sun Mar 21 2004 - mason@suse.de
- update evlog so that dev_printk can go there
- add e1000 dprintk code from IBM
- add relayfs, kernel hooks, dprobes and LTT
* Sun Mar 21 2004 - mason@suse.de
- quota locking update from Jan Kara
* Sun Mar 21 2004 - andrea@suse.de
- Make mmap(MAP_SHARED|MAP_ANONYMOUS) work again.
* Sun Mar 21 2004 - olh@suse.de
- split patches.arch/ppc64.patch into smaller pieces for
  rtas, ipr and vscsi driver, veth, hvc console and server
* Sun Mar 21 2004 - andrea@suse.de
- Change BUG_ON with WARN_ON. Current kernel will work fine
  even if the WARN_ON triggers. However it would be nice to
  catch drivers not setting VM_RESERVED since those wouldn't work
  properly with a pagetable walk anymore.
- this will make SUSE36628 not a problem, but still I'd like to
  fix the vmmon module to set VM_RESERVED to enforce a
  stronger VM API.
* Sun Mar 21 2004 - olh@suse.de
- add patches.drivers/emulex-lpfc-compat
  remove compat defines to get it going on ppc (SUSE35691 - LTC6704)
* Sun Mar 21 2004 - olh@suse.de
- update patches.drivers/usb-eciadsl.patch
  better version from David Brownell
* Sun Mar 21 2004 - olh@suse.de
- add patches.fixes/sg_cmd_done_oops.patch
  fixes a race condition in sg_cmd_done that results in an oops.
  sg_cmd_done cannot touch sfp once srp->done is set.
* Sun Mar 21 2004 - agruen@suse.de
- When installing a second kernel in addition to the existing
  one(s), keep symlinks to the previously active kernel around as
  /boot/{vmlinuz,initrd}.previous.
- Remove ``Requires: make c_compiler'' from kernel-source package.
* Sun Mar 21 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.5-rc2-20030420
* Sat Mar 20 2004 - andrea@suse.de
- Fixed NOPAGE_SIGBUS/OOM returned by ->nopage, and save
  8 bytes per page on 64bit archs.
* Sat Mar 20 2004 - mason@suse.de
- Pull in Takashi's latest latency fixes for reiserfs and
  mpage_writepages
* Sat Mar 20 2004 - mason@suse.de
- cleanup: get rid of the old dm patches, they have been disabled
  most of the week.
* Sat Mar 20 2004 - mason@suse.de
- reiserfs-file_write_hole_sd.diff needs to be in the series.conf
  to do any good.  whoops.  Now bug SUSE36353 should be fixed
* Sat Mar 20 2004 - olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  implement a pipe as suggested by viro
* Sat Mar 20 2004 - agruen@suse.de
- SUSE36587: Remove qsort from xfs; it's in our kernel for nfsacl
  anyway.
* Fri Mar 19 2004 - olh@suse.de
- readd patches.suse/suse.ppc32.console.autodetection
* Fri Mar 19 2004 - schwab@suse.de
- Prevent GCC from clobbering r13.
* Fri Mar 19 2004 - mantel@suse.de
- re-add ppp_mppe (SUSE34335)
* Fri Mar 19 2004 - mantel@suse.de
- update powernow-k8
* Fri Mar 19 2004 - schwab@suse.de
- Fix fallout from last change.
* Fri Mar 19 2004 - mantel@suse.de
- update objrmap-core, add anon-vma
* Fri Mar 19 2004 - okir@suse.de
- Back out patches.fixes/suse-ipv6-mld2
- Removed patches.fixes/ipv6-rtm-dump-no-mcast; folded into mainline
* Fri Mar 19 2004 - ak@suse.de
- Update to x86_64-2.6.5rc1-3. Should fix SUSE35405
* Fri Mar 19 2004 - agruen@suse.de
- Fix the override-config-file mechanism.
* Thu Mar 18 2004 - mason@suse.de
- fix reiserfs_file_write hole bug
- Try to fix some O_DIRECT<->buffered io races
- fix reiserfs writepage for fsync vs data=ordered races
- add O_DIRECT aio fixes from -mm
- make fsaio really async (from Suparna)
* Thu Mar 18 2004 - ak@suse.de
- Disable PM_TIMER on x86-64
* Thu Mar 18 2004 - stepan@suse.de
- update bootsplash to v3.1.5
* Thu Mar 18 2004 - agruen@suse.de
- Fix breakage in the merged version.h/autoconf.h files.
* Thu Mar 18 2004 - hare@suse.de
- add patches.fixes/ide-pci-module.patch to fix modular IDE drivers.
* Thu Mar 18 2004 - mantel@suse.de
- add monitor patch to orinoco driver (SUSE34371)
* Thu Mar 18 2004 - ak@suse.de
- disable software suspend on x86-64 and i386 SMP kernels.
* Thu Mar 18 2004 - ak@suse.de
- enable SIS190 and RAID6 on x86-64
- enable SIS190 on i386
* Thu Mar 18 2004 - ak@suse.de
- fix compilation with fusion driver (hopefully last fix needed now)
* Thu Mar 18 2004 - mason@suse.de
- fix race with ak on the fusion change
* Thu Mar 18 2004 - mason@suse.de
- fix mpt fusion fix so it patches
- fix for mm-writeback changes, make wait_on_page_writeback_range
  actually wait
* Thu Mar 18 2004 - ak@suse.de
- Remove bogus hunk from usb-set_idle.patch that broke compilation
* Thu Mar 18 2004 - ak@suse.de
- Set correct consistent dma mask in mpt fusion.
- Disable previous workaround in x86-64 code for that.
- Disable warning in fusion that triggers under load.
* Thu Mar 18 2004 - ak@suse.de
- Disable donauboe driver completely on 64bit, drop older patch.
* Wed Mar 17 2004 - olh@suse.de
- add patches.arch/ppc32.make_smp.patch
  no extra space for mkprep
* Wed Mar 17 2004 - olh@suse.de
- add patches.suse/kdb-common-disable-kdbm_inode_pages
  workaround struct inode changes from -mm
* Wed Mar 17 2004 - mason@suse.de
- add missing EXPORT_SYMBOL for test_set_page_writeback()
* Wed Mar 17 2004 - mason@suse.de
- update for the mm writeback changes, some filesystems need to
  switch from SetPageWriteback to set_page_writeback()
* Wed Mar 17 2004 - ak@suse.de
- Readd apic option to i386 UP kernel. Enable UP APIC support
  in configuration. Disable by default. Add DMI entries
  for Intel G440X+and HP Proliant DL380 (SUSE34704, SUSE35681)
* Wed Mar 17 2004 - mantel@suse.de
- avoid overflow in fs/read_write.c (SUSE35403)
* Wed Mar 17 2004 - olh@suse.de
- add a bunch of ppc64 patches,
  limit OF property size to 1Mb, provide vioconfig info, g5 iommu
  freq in cpu info, rtas log_error, vscsi report lun
* Wed Mar 17 2004 - ak@suse.de
- Disable not 64bit EICON driver on x86-64
* Wed Mar 17 2004 - ak@suse.de
- Disable APIC on x86-64 even with acpi=off
* Wed Mar 17 2004 - kraxel@suse.de
- fix uml build.
- put uml kernel also into kernel-um.
* Wed Mar 17 2004 - ak@suse.de
- Disable LANSTREAMER driver on x86-64
- Fix 64bit bug on donauboe driver
* Wed Mar 17 2004 - olh@suse.de
- add patches.drivers/alsa-ppc-snd_dma_continuous_data.patch
  fix unresolved symbol in pmac alsa driver
* Wed Mar 17 2004 - olh@suse.de
- add patches.arch/ibm-ppc64-rtas_os_term.patch
  passes the panic string to the os-term call so that it can be
  stored in a platform error log
* Wed Mar 17 2004 - ak@suse.de
- Disable MWAVE driver on x86-64
* Wed Mar 17 2004 - schwab@suse.de
- Disable IRQ debugging by default.
- Add hook to be able to speed up process migration.
* Wed Mar 17 2004 - schwab@suse.de
- Fix missing symbol export.
* Wed Mar 17 2004 - ak@suse.de
- Update to x86_64-2.6.5rc1-2 (should fix SUSE36030)
* Wed Mar 17 2004 - olh@suse.de
- add patches.arch/ppc64-slb.patch (SUSE34332 - LTC6143)
  1. Paulus' exception stack changes that will enter xmon if we
  ever do more than 2 levels of exception
  2. Checks of MSR_RI at exception entry, if this is an exception
  taken during the critical window, enter xmon so we can debug it
  3. Anton's removal of class bits from SLB entries
  4. Added SLB invalidates when we reuse entries.
* Wed Mar 17 2004 - mantel@suse.de
- update dm-30-unplug-update-1
* Wed Mar 17 2004 - ak@suse.de
- Add workaround for consistent dma mask bug added with 2.6.5rc1
  on x86-64.
* Wed Mar 17 2004 - ak@suse.de
- Fix hyperthreading support on x86-64
* Wed Mar 17 2004 - mason@suse.de
- fixes from Jens for device mapper:
-   dm update reverted a bit shifting fix
-   dm raid1 unplugging fix
* Wed Mar 17 2004 - ak@suse.de
- Add powernow k8 ACPI driver.
* Wed Mar 17 2004 - ak@suse.de
- update to x86_64-2.6.5rc-1
* Tue Mar 16 2004 - olh@suse.de
- add patches.drivers/usb-eciadsl.patch
  make the eci adsl modem work with 2.6
  add patches.fixes/ppc32-2.6.5-compile.patch
  compilefixes for recent dma changes
* Tue Mar 16 2004 - bk@suse.de
- S/390 cpint: retry with more response buffer if it was too small
* Tue Mar 16 2004 - mason@suse.de
- merge writeback changes from -mm
- merge latest device mapper patchset
* Tue Mar 16 2004 - mantel@suse.de
- add missing PCI ID for ATI IXP
* Tue Mar 16 2004 - schwab@suse.de
- Update 64k-pagesize and sn2 configuration to be more similar to
  default.
* Tue Mar 16 2004 - schwab@suse.de
- Remove dig and zx1 configuration.
- Enable BLK_DEV_SGIIOC4 in default config.
* Tue Mar 16 2004 - mantel@suse.de
- add ATI IXP chipset IDE support
* Tue Mar 16 2004 - mantel@suse.de
- ALSA update for 2.6.5-rc1
* Tue Mar 16 2004 - agruen@suse.de
- Include all spec files into kernel-source.src.rpm for easier
  rpm rebuild.
* Tue Mar 16 2004 - okir@suse.de
- Updated MIPv6 patch
* Tue Mar 16 2004 - olh@suse.de
- remove patches.suse/suse-ppc64-xmon.disassembler.update
  xmon and bfd interface differs alot
* Tue Mar 16 2004 - schwab@suse.de
- Fix missing braces.
* Tue Mar 16 2004 - schwab@suse.de
- Remove obsolete patch.
* Tue Mar 16 2004 - mantel@suse.de
- fix double export of md_unplug_mddev
* Tue Mar 16 2004 - schwab@suse.de
- Remove obsolete patches.
* Tue Mar 16 2004 - mantel@suse.de
- fix a missing export and two missing shifts with BIO_RW_SYNC in
  backing-dev-unplug.patch
* Tue Mar 16 2004 - mantel@suse.de
- update to 2.6.5-rc1
* Tue Mar 16 2004 - mantel@suse.de
- remove infiniband drivers
* Mon Mar 15 2004 - olh@suse.de
- reenable patches.drivers/firewire_ieee1394
  rev 1191, fixes some list corruption in ieee1394 core
* Mon Mar 15 2004 - olh@suse.de
- add patches.fixes/alsa.patch, patches.fixes/ia64-dma.patch
  fix compile errors after dma_sync_for_device-cpu.patch
  more alsa updates
  preserve ABI in arch/s390/appldata/appldata_mem.c
* Mon Mar 15 2004 - garloff@suse.de
- dynamic-timeslice: Add patch to allow tuning of scheduling
  timeslices. (Port from 2.4.)
* Mon Mar 15 2004 - garloff@suse.de
- bio-unplug-bitmasks: Another unplugging fix: The bitmasks were
  confused.
* Mon Mar 15 2004 - garloff@suse.de
- fix-plugging-race: Add patch from axboe to fix a plugging race
  (SUSE36090).
* Mon Mar 15 2004 - schwab@suse.de
- Fix more breakage from olh.
* Mon Mar 15 2004 - agruen@suse.de
- Reenable pre-configuring of the kernel sources: sadly a number
  of packages expect configured kernel sources; it doesn't seem
  realistic to assume that we can fix them all.
- Check for files that may be msising when building from nosrc
  packages.
- scripts/sequence-patch.sh: Add `-' option to set up the scratch
  area without applying any patches.
* Mon Mar 15 2004 - schwab@suse.de
- Fix last change.
* Mon Mar 15 2004 - mantel@suse.de
- fix slab corruption by sys_swapon (SUSE36016)
* Mon Mar 15 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4-20040315
  nfs merge, alsa updates, fix ppc32 PReP booting
* Mon Mar 15 2004 - schwab@suse.de
- Fix broken exports.
* Mon Mar 15 2004 - agruen@suse.de
- patches.rpmify/cloneconfig.diff: Add cloneconfig target, and
  make defconfig do ``the right thing''.
* Mon Mar 15 2004 - mantel@suse.de
- update backing-dev-unplug.patch
* Mon Mar 15 2004 - agruen@suse.de
- Remove a few obsolete patches. Re-enable xfs permission() fix
  that was accidentally commented out.
* Mon Mar 15 2004 - agruen@suse.de
- No longer add the cvs timestamp to packages: We now have
  it in `rpm -qi'.
* Sun Mar 14 2004 - mason@suse.de
- make backing-dev-unplug.patch able to handle swap pages, add
  a few barriers for luck.
* Sun Mar 14 2004 - agruen@suse.de
- Add a flag for ignoring failures in external modules.
* Sun Mar 14 2004 - mason@suse.de
- fix reiserfs tail packing bug
* Sun Mar 14 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4-20040314
* Sat Mar 13 2004 - schwab@suse.de
- Remove unwanted patches.
* Fri Mar 12 2004 - olh@suse.de
- disable emulex lpfc driver on ppc64 until it is fixed (SUSE35691)
* Fri Mar 12 2004 - kraxel@suse.de
- update uml config.
* Fri Mar 12 2004 - schwab@suse.de
- Add Vitesse SATA driver.
* Fri Mar 12 2004 - mantel@suse.de
- export missing symbols from dm-table
* Fri Mar 12 2004 - kraxel@suse.de
- uml update.
* Fri Mar 12 2004 - schwab@suse.de
- Enable MD_RAID6.
* Fri Mar 12 2004 - agruen@suse.de
- Abort build on unresolved symbols.
- SUSE35753: Update from old versions: Force replacement of
  /boot/$image and /boot/initrd even if they are regular files.
* Fri Mar 12 2004 - ak@suse.de
- Fix DEBUG_INFO build on x86-64
* Fri Mar 12 2004 - schwab@suse.de
- Add latest ia64 updates.
- Fix compilation of infiniband driver.
* Fri Mar 12 2004 - olh@suse.de
- add patches.arch/ppc64.patch.numa_cpu_lookup_table-init
  init non existant cpus to zero. (SUSE35497 - LTC6747)
* Fri Mar 12 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4-20040312
  x86-64 merge, G5 temperature control update
* Fri Mar 12 2004 - olh@suse.de
- add patches.arch/ppc64.patch.errno-truncate
  errno is an int, but the syscall stored unsigned long
* Fri Mar 12 2004 - mantel@suse.de
- some fixes for backing-dev-unplug
* Fri Mar 12 2004 - mantel@suse.de
- kill the global queue plugging in the block layer, which was a
  huge scalability problem on big iron (axboe@suse.de)
* Fri Mar 12 2004 - ak@suse.de
- decrease struct page size on x86-64
* Thu Mar 11 2004 - mason@suse.de
- latency fixes from Takashi
- enable reiserfs preallocation
- mpool alloc and free race fix
* Thu Mar 11 2004 - mason@suse.de
- reiserfs logging fixes
* Thu Mar 11 2004 - ak@suse.de
- update x86-64 configs (enable mmconfig support)
* Thu Mar 11 2004 - ak@suse.de
- update to x86_64-2.6.4rc3-1
* Thu Mar 11 2004 - mantel@suse.de
- update to 2.6.4
* Thu Mar 11 2004 - agruen@suse.de
- Disable pre-configuration of the kernel source package: Building
  with O= is well supported now. (The km_* packages don't support
  O=, yet.)
- Also install the arch/$arch/defconfig.$flavor files in the
  binary kernels. Add scripts/build-kernel-modules (generated by
  script) for testing compilation and installation.
* Wed Mar 10 2004 - agruen@suse.de
- %%postun-script: Fix relink code (broke recently).
- Rename /boot/vmlinux to /boot/vmlinux.gz for gzip'ed files
  (the extension was lost at some point).
- patches.fixes/x86_64-memcpy_io.diff: Force memcpy_{from,to}io
  into the kernel; they are needed by modules. Fix usage of long
- patches.fixes/alsa-bk-2004-03-01-fix.patch: Fix usage of long
  as pointer in memcpy_{from,to}io.
- patches.fixes/reiserfs-direct-tail.diff: SUSE34646 (comment #63):
  Fix for reiserfs_unmap_buffer() with bh->b_page == NULL.
* Wed Mar 10 2004 - schwab@suse.de
- Fix USB oops.
* Wed Mar 10 2004 - schwab@suse.de
- Enable AGP_HP_ZX1.
* Wed Mar 10 2004 - okir@suse.de
- Fixed nfs-short-read patch
* Wed Mar 10 2004 - agruen@suse.de
- Packaging: Rename file timestamp to build-source-timestamp;
  Autobuild will expand the file contents into the description
  in the rpm info.
* Wed Mar 10 2004 - mantel@suse.de
- fix oops on psmouse reconnect (SUSE35489)
* Wed Mar 10 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc3-20040310
  irda fixes, G5 OF interface fixes
* Wed Mar 10 2004 - agruen@suse.de
- Update to current cvs version of xfs (+ a minor fix).
- Create directory for miscellaneous stuff, and add scripts for
  diffing against the xfs cvs, and the kernel package build
  script.
- Set the same version number in kernel-dummy as in all other
  spec files.
* Tue Mar 09 2004 - schwab@suse.de
- Fix partial reads at end of block device [SUSE31902].
* Tue Mar 09 2004 - schwab@suse.de
- Restore previous version of tiocgdev patch.
* Tue Mar 09 2004 - okir@suse.de
- added patches.fixes/nfs-short-read
- added patches.fixes/ipv6-rtm-dump-no-mcast to fix SUSE35288
* Tue Mar 09 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040309
* Tue Mar 09 2004 - agruen@suse.de
- scripts/tar-up.sh: Also create kernel-dummy.changes.
- Update configs (duwe).
* Mon Mar 08 2004 - agruen@suse.de
- Add internal kernel-dummy package to keep release numbers
  synchronized.
* Mon Mar 08 2004 - mantel@suse.de
- correctly set the block size on the loopback block device
* Mon Mar 08 2004 - mantel@suse.de
- restore 32/64 bit compatibility of TIOCGDEV
* Mon Mar 08 2004 - mason@suse.de
- evlog update
* Mon Mar 08 2004 - ak@suse.de
- Enable CONFIG_LEGACY_PTYS everywhere
* Mon Mar 08 2004 - olh@suse.de
- build scsi into the kernel on G5
* Mon Mar 08 2004 - olh@suse.de
- add patches.fixes/xfs-export-filemap_flush.patch
* Sun Mar 07 2004 - olh@suse.de
- add patches.suse/kdb-common-xfs
  add patches.suse/suse-ppc64-export-find_next_bit
* Sun Mar 07 2004 - ak@suse.de
- Add workaround for AMD768MPX erratum
* Sun Mar 07 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040307
  acpi fixes, hfsplus, nfsd
* Sun Mar 07 2004 - agruen@suse.de
- Re-enable km_wlan.
* Sat Mar 06 2004 - ak@suse.de
- Fix cache flushing on x86-64 in i810 fb
* Sat Mar 06 2004 - olh@suse.de
- add patches.suse/suse-con_set_unimap.patch
  workaround for unimap handling in the console driver
* Sat Mar 06 2004 - olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  look for /init instead of /sbin/init
  kinit= gone
* Sat Mar 06 2004 - olh@suse.de
- add patches.suse/suse-ppc64-clear_user_page-power3
  proper kernel segment handling on power3/rs64
* Sat Mar 06 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040306
  update patches.arch/ppc64.patch
  includes kdb4.3, add disassembler update for xmon
* Sat Mar 06 2004 - ak@suse.de
- Undo wrong off-by-one IST change in x86-64 patchkit
* Sat Mar 06 2004 - schwab@suse.de
- Make TIOCGDEV compatible again.
* Sat Mar 06 2004 - schwab@suse.de
- Read patches.drivers/xpnet-04-xpc.
* Fri Mar 05 2004 - ak@suse.de
- Update x86-64 patchkit to x86_64-2.6.4rc2-1
* Fri Mar 05 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc2-20040305
  ibmasm, xfs, lots of other fixes
* Fri Mar 05 2004 - mantel@suse.de
- fix problems with broken USB->PS/2 legacy emulation in certain
  BIOSes (SUSE34761)
* Fri Mar 05 2004 - mantel@suse.de
- some fixes for the cciss driver from HP (SUSE35163)
* Fri Mar 05 2004 - mantel@suse.de
- check for NULL argument in pciehprm_free_bridges() (SUSE34978)
* Fri Mar 05 2004 - okir@suse.de
- Another fix to MIPv6
* Fri Mar 05 2004 - okir@suse.de
- Fix an ICMPv6 crash caused by the MIPv6 patch
* Fri Mar 05 2004 - hare@suse.de
- Update S/390 to pre-lobster codedrop.
* Thu Mar 04 2004 - mantel@suse.de
- fix qla2xxx driver for 64 bit archs
* Thu Mar 04 2004 - mantel@suse.de
- add laptop disk mode
* Thu Mar 04 2004 - mantel@suse.de
- yet another update for tiocgdev
* Thu Mar 04 2004 - mantel@suse.de
- update qla2xxx driver to 8.00.00b11; enable failover
* Thu Mar 04 2004 - stepan@suse.de
- update atixl-noinit patch
* Thu Mar 04 2004 - mantel@suse.de
- add objrmap-core to start mitigate rmap problems with Oracle
* Thu Mar 04 2004 - mantel@suse.de
- make TIOCGDEV 64bit clean
* Wed Mar 03 2004 - mason@suse.de
- reiserfs quota support
* Wed Mar 03 2004 - mason@suse.de
- update reiserfs-lock-lat, latency fix during deletes
- fix reiserfs metadata corruption bugs in reiserfs_file_write and
  search_by_key
* Wed Mar 03 2004 - kraxel@suse.de
- fix uml init calls ordering.
- update uml configuration.
* Wed Mar 03 2004 - stepan@suse.de
- add patches.drivers/atixl-noinit-2.6.2 (allow bios-less
  initialization of ATI XL cards)
* Wed Mar 03 2004 - olh@suse.de
- add patches.suse/suse-ppc64-xmon_backtrace.patch
  dont do symbol lookup per default, breaks if the system is gone
* Wed Mar 03 2004 - ak@suse.de
- Don't include .orig file in printkat
* Wed Mar 03 2004 - agruen@suse.de
- Allow for a non-numeric CONFIG_RELEASE so that test builds
  with distinct names can be created.
- Adapt the spec files accordingly.
* Wed Mar 03 2004 - schwab@suse.de
- Add ioc4 serial driver.
* Wed Mar 03 2004 - schwab@suse.de
- Remove patches.drivers/xpnet-04-xpc.
* Wed Mar 03 2004 - schwab@suse.de
- Fix staircase effect on Altix serial console.
* Tue Mar 02 2004 - schwab@suse.de
- Fix net/ipv6/mobile_ip6 for parallel build.
* Tue Mar 02 2004 - olh@suse.de
- net/ipv6/mobile_ip6/mobhdr_mn.c needs linux/init.h
* Tue Mar 02 2004 - olh@suse.de
- update patches.fixes/linux-post-2.6.4rc1-20040302
  ieee1394, s390, x86-64, networking updates
* Tue Mar 02 2004 - mantel@suse.de
- update configs for mobile ipv6
* Tue Mar 02 2004 - mantel@suse.de
- update ALSA to 1.0.3
* Tue Mar 02 2004 - okir@suse.de
- Minor fix to MIPv6 patch
* Tue Mar 02 2004 - okir@suse.de
- Don't send multicast group membership packets for the IPv6
  solicited-node address (SUSE34954)
- IPv6: Don't fragment 1500 byte packets if the MTU is 1500
- Merge MIPv6 patch from Krishna Kumar @IBM
* Tue Mar 02 2004 - schwab@suse.de
- Add Altix partitioning drivers (xpnet) [SUSE35164].
* Tue Mar 02 2004 - schwab@suse.de
- Disable CONFIG_DVB_TDA1004X.
* Tue Mar 02 2004 - okir@suse.de
- Updated sunrpc-nulltimeout. The "NFS tasks stuck in D state"
  problem should now be gone
* Tue Mar 02 2004 - agruen@suse.de
- reiserfs xattrs: Update from Jeff Mahoney <jeffm@suse.com>:
  + Update inode->i_ctime for a file when its xattrs are changed.
  + Improvement to hiding the .reiserf_priv directory: Only
  hide directories with that name in the root of the mounted
  filesystem.
* Tue Mar 02 2004 - agruen@suse.de
- Fix the mainline `make rpm' target.
* Tue Mar 02 2004 - ak@suse.de
- Fix cosmetical issues in ACPI initrd DSDT patch.
* Tue Mar 02 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc1-20040302
  libata fixes, netupdates, usblp fixes
* Tue Mar 02 2004 - agruen@suse.de
- Bug in sequence-patch.sh: After applying all patches, the
  default configuration file was copied to arch/$arch/defconfig,
  accidentally also trashing hardlinks. Sequence-patch.sh uses
  hard-linked trees, so this caused patched failures with patches
  that touched the defconfig files. The fix is to no longer modify
  the defconfig files; nobody needed this, anyway.
* Mon Mar 01 2004 - agruen@suse.de
- reiserfs: enable trusted xattrs iff the filesystem supports
  them, i.e., only enable them if the filesystem supports xattrs
  (Jeff Mahoney <jeffm@suse.de>).
- Also enable the post-install heuristic of finding the most
  recent remaining kernel for vmlinux-%%ver_str (ppc and ppc64).
* Mon Mar 01 2004 - garloff@suse.de
- Allow > 256 raw devices (for real now, patch from Badari).
* Mon Mar 01 2004 - kraxel@suse.de
- fix uml build (again).
* Mon Mar 01 2004 - hare@suse.de
- Update configurations for S/390
* Mon Mar 01 2004 - olh@suse.de
- add patches.drivers/emulex-lpfc
  emulex fibrechannel driver for ppc64, ia64, i386 and x86-64
  version lpfcdriver-2.10a.tar.gz
* Mon Mar 01 2004 - hare@suse.de
- Added patches/arch/s390-nohz-timer
* Mon Mar 01 2004 - hare@suse.de
- Preliminary update of S/390 to pre-Lobster codedrop.
* Mon Mar 01 2004 - olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch to version 2.0.0-7
* Mon Mar 01 2004 - agruen@suse.de
- Fix in %%post: /boot/initrd symlink accidentally didn't get
  created.
* Mon Mar 01 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.4rc1-20040301
* Sun Feb 29 2004 - schwab@suse.de
- Fix stack usage on kernel thread creation.
- Fix 64 bit DMA mapping problem with PCI cards on SN2.
* Sun Feb 29 2004 - agruen@suse.de
- patches.suse/twofish-2.6: Merge fix from Andrea (type of
  loop_func_table->transfer operation has changed).
* Sun Feb 29 2004 - schwab@suse.de
- Fix NULL pointer reference in pciehp driver.
* Sat Feb 28 2004 - garloff@suse.de
- alarm-round: Commit fix for alarm() return value being one too
  much because of roundoff errors in tv <-> jiffie conversion.
* Sat Feb 28 2004 - agruen@suse.de
- Add timestamp of cvs working directory to rpm files:
  /boot/timestamp-%%ver_str, /usr/src/linux-%%ver_str/timestamp.
* Sat Feb 28 2004 - ak@suse.de
- Fix mellanox tlb flush for UP kernels
* Sat Feb 28 2004 - ak@suse.de
- Fix compilation of mellanox HCA and ibm asm on x86-64
* Sat Feb 28 2004 - agruen@suse.de
- Re-enable lkcd with the right config options.
* Sat Feb 28 2004 - kraxel@suse.de
- make uml kernels build parallel.
* Sat Feb 28 2004 - agruen@suse.de
- infiniband: Evil hack to get parallel build to work again.
- Re-enable infiniband in the config files.
- Disable mellanox-hca infiniband module on x86_64: won't
  compile.
* Sat Feb 28 2004 - agruen@suse.de
- Fix regression in reiserfs_mknod.
- Another regparm fix.
* Fri Feb 27 2004 - mason@suse.de
- device mapper update
- snapshot<->fs locking patch
* Fri Feb 27 2004 - mason@suse.de
- update aio-poll to the latest rev
- add aio-read-immediate, allows short aio reads on pipe/socket
- add aio-context-switch to keep the wakeups on worker threads
  within reason
* Fri Feb 27 2004 - hare@suse.de
- Split kerntypes support from crash dump support.
* Fri Feb 27 2004 - okir@suse.de
- Added IBM evlog patches
* Fri Feb 27 2004 - mantel@suse.de
- update cpqarray driver to 2.6.0 and add fixes (SUSE35163)
* Fri Feb 27 2004 - schwab@suse.de
- Add workaround for problem with PAL_HALT_LIGHT on sn2 [SUSE34645].
* Fri Feb 27 2004 - mantel@suse.de
- add infiniband drivers (SUSE35064)
* Fri Feb 27 2004 - mantel@suse.de
- add bcm5700 driver version 7.2.15 (hopefully fixes SUSE34508)
* Fri Feb 27 2004 - mantel@suse.de
- fix hang on "rmmod parport_pc" (SUSE34997)
* Fri Feb 27 2004 - mantel@suse.de
- add aio-poll
* Fri Feb 27 2004 - mantel@suse.de
- added ibmasm driver
* Fri Feb 27 2004 - mantel@suse.de
- re-add adaptive-lazy-readahead
* Fri Feb 27 2004 - kraxel@suse.de
- regparam / fastcall fixes.
* Fri Feb 27 2004 - agruen@suse.de
- Fix regression in __reiserfs_permission.
* Fri Feb 27 2004 - hare@suse.de
- Re-enable crash dumps for S/390.
* Fri Feb 27 2004 - kraxel@suse.de
- more __attribute__((used)) fixes for uml.
* Thu Feb 26 2004 - kraxel@suse.de
- fix undefined symbols in uml modules.
* Thu Feb 26 2004 - mantel@suse.de
- fix loop device hangs
* Thu Feb 26 2004 - agruen@suse.de
- Add parisc architecture (patch is only enabled for parisc
  itself, no risk for all others).
* Thu Feb 26 2004 - agruen@suse.de
- patches.fixes/ext23-no-ace-read-limit.diff: SUSE34623: Patch was
  accidentally calling ext2_xattr_get from ext3 -- ouch!
* Wed Feb 25 2004 - mason@suse.de
- disable kerntypes patch
- add netpoll for netconsole and lkcd dump driver
- add lkcd for ia32
* Wed Feb 25 2004 - agruen@suse.de
- patches.fixes/missing-exports.diff: bcm5700.ko requires the
  genapic symbol.
- patches.fixes/icn-strchr-bug.diff: strpbrk gets converted to
  strchr from libgcc by the compiler, but there is no libgcc in
  the kernel. The compieler does not realize that it should use
  an inlined function instead.
* Wed Feb 25 2004 - ak@suse.de
- Update to latest x86-64 patchkit
* Wed Feb 25 2004 - hare@suse.de
- add patches.fixes/s390-zfcp-hotplug-fix:
  Fix deadlock when adding more than one lun (SUSE34984)
- add patches.fixes/s390-sysfs-net.patch:
  Add correct sysfs attributes for net drivers (SUSE34632)
* Wed Feb 25 2004 - mantel@suse.de
- SCSI support now modular again (SUSE34955)
* Wed Feb 25 2004 - hare@suse.de
- add patches.arch/s390-qeth-eui64.patch to
  enable IPV6 support for qeth (SUSE34980).
* Wed Feb 25 2004 - hare@suse.de
- S/390: Update from -mm3.
- S/390: Adapted configuration files for update.
* Wed Feb 25 2004 - agruen@suse.de
- More CONFIG_REGPARM fixes.
* Tue Feb 24 2004 - agruen@suse.de
- patches.fixes/regparm-fix.diff: CONFIG_REGPARM breaks some
  syscalls that are not declared as asmlinkage.
* Tue Feb 24 2004 - schwab@suse.de
- Disable CONFIG_DVB_SP887X.
* Tue Feb 24 2004 - schwab@suse.de
- pcibios_set_irq_routing is x86-only.
* Tue Feb 24 2004 - mantel@suse.de
- fix suspend to disk (SUSE34476)
* Tue Feb 24 2004 - mantel@suse.de
- fix checksum bug for multicast/broadcast packets on postrouting (SUSE34669)
* Mon Feb 23 2004 - mason@suse.com
- reiserfs update, data=ordered and other fixes
* Mon Feb 23 2004 - okir@suse.de
- updated patches.suse/usagi-ipv6-ndisc to fix neighbor cache
  updates when receiving redirects
* Mon Feb 23 2004 - schwab@suse.de
- Import kdb v4.3.
* Mon Feb 23 2004 - olh@suse.de
- update patches.arch/ppc64.patch
  numa sysfs fixes, ibmvscsi update, iseries irq fixes
* Mon Feb 23 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.3-20040223
  dynamic pty98 allocation, ieee1394, serial, arm, m68k updates
* Sun Feb 22 2004 - olh@suse.de
- update hfsplus driver, enable adbhid on pmac64
* Sun Feb 22 2004 - agruen@suse.de
- Fix override configs/additional patches on i386.
* Sun Feb 22 2004 - olh@suse.de
- add patches.fixes/linux-post-2.6.3-20040222
  sungem, h8300, networking updates
* Sat Feb 21 2004 - olh@suse.de
- add patches.fixes/linux-post-2.6.3-20040221
  ieee1394, mips, ppc64 pci hotplug, networking updates
* Sat Feb 21 2004 - agruen@suse.de
- Fix modversions for out-of-tree modules with O=... set.
- Remove obsolete patches.arch/i386-regparm.
- Another xfs cvs update.
* Fri Feb 20 2004 - okir@suse.de
- Repaired broken ipv6 ndisc patch
* Fri Feb 20 2004 - agruen@suse.de
- Add xfs smp fix from Christoph Hellwig (via Jens Axboe).
* Fri Feb 20 2004 - schwab@suse.de
- Add python to neededforbuild.
* Fri Feb 20 2004 - schwab@suse.de
- Revert last change.
* Fri Feb 20 2004 - okir@suse.de
- IPv6: properly purge expired routers from routing cache
* Fri Feb 20 2004 - olh@suse.de
- add patches.fixes/linux-post-2.6.3-20040220
  update to linus latest, usb, ia64, xeon64, i4l, ide fixes
* Thu Feb 19 2004 - agruen@suse.de
- Update xfs to current cvs version.
- Remove now-obsolete patches.suse/xfs-dmapi.
- Fix a long-standing bug in the rollback code in
  sequence-patch.sh.
* Thu Feb 19 2004 - okir@suse.de
- Fix for the "dst underflow" bug when running TAHI (SUSE34664)
* Thu Feb 19 2004 - okir@suse.de
- experimental sunrpc patch to prevent processes from getting
  stuck in D state forever
* Thu Feb 19 2004 - stepan@suse.de
- patches.suse/bootsplash: update to fixed version 3.1.4
- patches.suse/bootsplash-fixdep: dropped (included in above)
* Thu Feb 19 2004 - garloff@suse.de
- patches.suse/sd-many-4: Add support for 32k SCSI disks.
- patches.suse/sg-many-1: Add support for 32k SCSI generic devices.
- patches.suse/scsi_sysfs-procname-2: Export proc_name of SCSI
  hostadapter via sysfs.
* Thu Feb 19 2004 - ak@suse.de
- fix IA32e patch for !SMP
* Thu Feb 19 2004 - olh@suse.de
- build scsi as a module on pseries64
* Wed Feb 18 2004 - olh@suse.de
- add patches.drivers/drivers-net-pcnet32.patch
  many fixes for this driver (SUSE34509 - LTC4358)
* Wed Feb 18 2004 - ak@suse.de
- Add support for IA32e to x86-64
- Enable Intel specific configure options in x86-64 config
- Enable some missing config options (IPMI, SCSI logging etc.)
* Wed Feb 18 2004 - olh@suse.de
- update patches.arch/ppc64-patch
* Wed Feb 18 2004 - schwab@suse.de
- Add support for HP sx1000.
* Wed Feb 18 2004 - sf@suse.de
- patches.fixes/libata-core.diff: fix ide detection on
  x86_64
* Wed Feb 18 2004 - ak@suse.de
- port mapped_base feature to 2.6
* Wed Feb 18 2004 - mantel@suse.de
- add missing pci info to cs5520 and cs5530 drivers (SUSE34268)
* Wed Feb 18 2004 - agruen@suse.de
- patches.suse/twofish-2.6: add module license, clean up a little.
* Wed Feb 18 2004 - mantel@suse.de
- update to 2.6.3
* Wed Feb 18 2004 - kraxel@suse.de
- config update -- enable the new netfilter6 options.
* Tue Feb 17 2004 - agruen@suse.de
- Fold fix for SUSE34432 - LTC6269 into patches.suse/reiserfs-acl-02
* Tue Feb 17 2004 - schwab@suse.de
- Add configuration 64k-pagesize.
* Tue Feb 17 2004 - okir@suse.de
- Merged netfilter6 conntrack code from usagi cvs
* Tue Feb 17 2004 - okir@suse.de
- Merged tentative patch for UDP recvmsg/EAGAIN problem (SUSE34510)
* Tue Feb 17 2004 - okir@suse.de
- added patches.suse/usagi-ipv6-netfilter, including REJECT target
* Tue Feb 17 2004 - olh@suse.de
- add patches.fixes/serial_console_init.patch
  It results in serial console getting initialised really late
* Tue Feb 17 2004 - hare@suse.de
- add patches.arch/s390-dasd-update
  Update DASD driver to latest version from IBM.
* Tue Feb 17 2004 - kraxel@suse.de
- update uml patch.
- dropped some uml fixes merged upstream.
* Mon Feb 16 2004 - olh@suse.de
- add patches.arch/ppc64.tce_init_pSeries.patch
  from 2.6.3 final
* Mon Feb 16 2004 - olh@suse.de
- add patches.suse/suse-ppc64-pseries-nvram
  fix the damn thing
* Mon Feb 16 2004 - agruen@suse.de
- Add directory /lib/modules/precompiled to binary kernels for
  the glue layer code of binary-only modules.
* Mon Feb 16 2004 - olh@suse.de
- update patches.fixes/ppc32-pmac_zilog-consoleinit
  add MacRISC3 to whitelist to avoid crash during cat < /dev/ttyS0
* Mon Feb 16 2004 - mantel@suse.de
- increase maximum number of command line arguments (SUSE34511)
* Mon Feb 16 2004 - mantel@suse.de
- don't leak space in aio subsystem
* Mon Feb 16 2004 - olh@suse.de
- go back to xmon in pseries64 .config
* Mon Feb 16 2004 - olh@suse.de
- update to patches.fixes/linux-post-2.6.3-rc3-20040216
* Sun Feb 15 2004 - agruen@suse.de
- Minor cosmetic fixes in error handling paths in fs/xattr_acl.c
  and fs/nfs/xattr.c.
* Fri Feb 13 2004 - olh@suse.de
- add patches.fixes/linux-post-2.6.3-rc2-20040213
  64bit G5 support, add config/ppc64/pmac64
* Fri Feb 13 2004 - mantel@suse.de
- work around umount problem of loopback devices
* Fri Feb 13 2004 - okir@suse.de
- fixed the ndisc patch again
* Fri Feb 13 2004 - okir@suse.de
- re-diffed and re-enabled usagi ndisc patch
* Thu Feb 12 2004 - kkeil@suse.de
- Update ISDN to 2.6.3-rc2-mm1 version
  + this is a new port 2.4 -> 2.6 I4L code
- enable SMP for AVM activ cards
* Thu Feb 12 2004 - agruen@suse.de
- Update from Jeff Mahoney <jeffm@suse.com>:
  + Fix mounting of v3.5 filesystems (fixed in 2.4 series, but
  the patch was not yet ported).
  + Permissions checking more closely tracks ext[23] xattr perms.
  + When the fs returns -EIO due to a bad magic/hash value, an
  error message is printed.
* Thu Feb 12 2004 - agruen@suse.de
- patches.fixes/alpha-compile: Compile fix for AXP.
- Also check for /boot/image-%%ver_str in post.sh (s390).
* Thu Feb 12 2004 - olh@suse.de
- add patches.fixes/linux-post-2.6.3-rc2-20040212
  bluetooth, watchdog, cpufreq, ia64 updates
* Thu Feb 12 2004 - hare@suse.de
-  add patches.fixes/dmapool-nopci.patch
  Do not compile drivers/base/dmapool.c for non-PCI systems.
* Thu Feb 12 2004 - olh@suse.de
- add patches.suse/kdb-common-inital_env
  print enough lines, dump bta in one go
* Wed Feb 11 2004 - kraxel@suse.de
- uml fixes.
* Wed Feb 11 2004 - olh@suse.de
- add patches.arch/suse-ppc32-pmac-rootdevice
  really use /linuxrc if root= not given
* Wed Feb 11 2004 - garloff@suse.de
- Set max number of raw devices to 4096.
* Wed Feb 11 2004 - agruen@suse.de
- Update to current xfs cvs + dmapi fixes.
- patches.suse/sunrpc-multiple-programs accidentally got lost
  with 2.6.3-rc2 update.
- Update config files.
* Wed Feb 11 2004 - mantel@suse.de
- fix dependency for CONFIG_BOOTSPLASH
* Wed Feb 11 2004 - mantel@suse.de
- update to 2.6.3-rc2
* Wed Feb 11 2004 - olh@suse.de
- add kernel-pmac64_32bit
* Tue Feb 10 2004 - olh@suse.de
- add patches.suse/suse.ppc32.pmac.no_pc_floppy.patch
* Tue Feb 10 2004 - olh@suse.de
- drop patches.suse/suse.ppc32.boot.per_board_initrd.patch
* Tue Feb 10 2004 - schwab@suse.de
- Fix provides/obsoletes for ia64.
* Mon Feb 09 2004 - okir@suse.de
- Merged several NFS patches from Chuck Lever
- Fixed some USAGI rejects caused by the update
  to post 2.6.3-rc1
* Mon Feb 09 2004 - olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch
  add patches.drivers/ibm-ipr-scsi-start_unit.patch
* Mon Feb 09 2004 - mantel@suse.de
- enable CONFIG_PPP_MULTILINK (SUSE34363)
* Mon Feb 09 2004 - olh@suse.de
- update to post 2.6.3-rc1 20040209
* Sat Feb 07 2004 - agruen@suse.de
- patches.suse/xfs-dmapi-fix: Add code missing for 2.6 kernels.
* Sat Feb 07 2004 - schwab@suse.de
- Fix ia64 build failures.
* Sat Feb 07 2004 - agruen@suse.de
- In binary kernels, check if a file $arch-$flavor.conf exists.
  If so, use that as the config file, otherwise use the
  appropriate config file in config.tar.bz2 like before.
- Likewise for $arch-$flavor.diff: If it exists, apply this patch
  after all other patches in series.conf.
* Sat Feb 07 2004 - kraxel@suse.de
- fix missing init.h include in lirc driver.
* Fri Feb 06 2004 - mantel@suse.de
- update aio to make it pass some glibc rtkaio tests
* Fri Feb 06 2004 - agruen@suse.de
- Minor fix in nfs-acl Makefile.
- Synchronize version numbers on kernel-syms instead of
  kernel-source (kernel-source no longer is dependent on
  the binary kernels).
* Fri Feb 06 2004 - kraxel@suse.de
- update configs.
* Fri Feb 06 2004 - agruen@suse.de
- Fix RPM macro expansion irregularity in source-post.sh.
* Fri Feb 06 2004 - agruen@suse.de
- ext[23]: Remove limit of 32 acl entries when reading.
  Write support not yet enabled pending discussion.
- Update to XFS CVS + patches for DMAPI support.
- Allow to install multiple kernel-source.spec packages in
  parallel.
- Update cofigs.
* Thu Feb 05 2004 - kraxel@suse.de
- update configs for i386 and x86_64.
* Thu Feb 05 2004 - kraxel@suse.de
- fix uml build.
- add lirc drivers.
* Thu Feb 05 2004 - ak@suse.de
- fix x86-64 compilation (patches.arch/x86_64-elf-compile)
* Thu Feb 05 2004 - olh@suse.de
- restore drivers/scsi/ata_piix.c, add #ifdef to rivafb
* Thu Feb 05 2004 - olh@suse.de
- add patches.fixes/linux-post-2.6.2-20040205
  altix update, qla update, many other fixes
* Thu Feb 05 2004 - olh@suse.de
- update patches.arch/linuxppc-2.5-benh-2.6.2-ben1
  Fix oops when fbcon_mode_changed is called at boot time
  Fix the radeonfb "workaround" for external TMDS
  Update ADT 7467 thermostat driver
* Wed Feb 04 2004 - okir@suse.de
- Potential fix for the NFS "busy inodes after unmount" problem (SUSE30943)
* Wed Feb 04 2004 - olh@suse.de
- add patches.arch/linuxppc-2.5-benh-2.6.2-ben1
  brings hfs+, G5 support and support for newer Macs
* Wed Feb 04 2004 - agruen@suse.de
- patches.fixes/xattr-keep-block.diff: Fix xattr bug when keeping
  the same disk block in ext[23].
* Wed Feb 04 2004 - olh@suse.de
- update to 2.6.2 final
  update ppc64.patch
* Tue Feb 03 2004 - agruen@suse.de
- Add patches.suse/ext3-register-filesystem-lifo: Forward port
  of Andrea's patch.
* Tue Feb 03 2004 - okir@suse.de
- Merged nfsd patch from MvS that fixes a largefile bug in nfsd_commit
* Tue Feb 03 2004 - ak@suse.de
- Add patch for CONFIG_REGPARM for i386
- Enable it by default
* Mon Feb 02 2004 - agruen@suse.de
- patches.fixes/toshiba-acpi-0.17: Update toshiba_acpi driver
  to version 0.17.
- Update config files.
* Mon Feb 02 2004 - ak@suse.de
- Reenable -funit-at-a-time for i386 (+ bug fix)
- Add new early printk for i386
- Remove some white space from series file
* Sat Jan 31 2004 - olh@suse.de
- add patches.suse/suse-ppc64-iseries-pci_fn_scan
  add patches.suse/suse.ppc32.export.cpu_possible_map
* Sat Jan 31 2004 - olh@suse.de
- update to 2.6.2-rc3
* Fri Jan 30 2004 - agruen@suse.de
- Expand Provides or Obsoletes tags as a nested if statement
  in the spec file.
* Fri Jan 30 2004 - olh@suse.de
- add patches.drivers/driver-input-linuxwacom.patch
  use patches from linuxwacom project (SUSE32504)
* Fri Jan 30 2004 - okir@suse.de
- Two more USAGI patches:
  +       patches.suse/usagi-ipv6-fib-subtree
  +       patches.suse/usagi-ipv6-ndisc
  Enabled CONFIG_IPV6_NDISC_NEW=y in almost all config files
* Fri Jan 30 2004 - agruen@suse.de
- Fix several problems with Provides and Obsoletes.
- Split modversion symbols from kernel-source, and put them
  into kernel-syms instead. This also obsoletes kernel-bare.
* Thu Jan 29 2004 - olh@suse.de
- add patches.drivers/firewire_ieee1394 (rev 1113)
  update sbp2 driver to provide ieee1394_guid in sysfs device/ dir
* Thu Jan 29 2004 - agruen@suse.de
- Alsa update to version 1.0.2 (tiwai@suse.de).
* Thu Jan 29 2004 - agruen@suse.de
- Allow line continuation in scripts/guards (avoids a lot of mess
  in rpm/old-packages.conf).
- Add rpm/old-packages.conf and scripts/old-config.sh: The conf
  file defines the Provides and Obsoletes entries. The script
  is for testing the config file.
* Thu Jan 29 2004 - okir@suse.de
- Two more USAGI patches:
  patches.fixes/usagi-ipv6-privacy
  patches.suse/usagi-ipv6-ipcomp
* Thu Jan 29 2004 - schwab@suse.de
- Update ilp32 patch.
* Thu Jan 29 2004 - okir@suse.de
- Updated usagi ipv6-ipv6 tunnel patch
* Wed Jan 28 2004 - olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch
  trigger CONFIG_FW_LOADER if enabled
* Wed Jan 28 2004 - okir@suse.de
- Merged the first couple of USAGI fixes
* Wed Jan 28 2004 - schwab@suse.de
- Fix ILP32 emulation to compile with 3.4.
* Wed Jan 28 2004 - okir@suse.de
- Increase number of RPC slots
* Tue Jan 27 2004 - agruen@suse.de
- Add get_release_numbers.sh to synchronize the release numbers
  between packages.
* Tue Jan 27 2004 - schwab@suse.de
- Add support for ILP32 on ia64.
* Tue Jan 27 2004 - agruen@suse.de
- nfsacl: Building sunrpc + nfsd + nfs was still broken. Fix.
* Mon Jan 26 2004 - olh@suse.de
- update patches.drivers/ibm-ipr-2.0.0.patch
  add patches.drivers/scsi-type-RAID.patch
  enable SCSI_IPR_TRACE + SCSI_IPR_DUMP=y
* Mon Jan 26 2004 - olh@suse.de
- update patches.arch/ppc64.patch
* Mon Jan 26 2004 - agruen@suse.de
- Rename packages (strip -26).
- Merge source and binary rpm changes files into
  kernel-source.changes.
* Mon Jan 26 2004 - olh@suse.de
- update patches.suse/kdb-common
  use __LOG_BUF_LEN in kdb dmesg command
* Mon Jan 26 2004 - olh@suse.de
- update to 2.6.2-rc2
* Sun Jan 25 2004 - agruen@suse.de
- Add /lib/modules/scripts directory to file list.
* Fri Jan 23 2004 - agruen@suse.de
- Fix ownership of linux-um binary.
* Fri Jan 23 2004 - agruen@suse.de
- Some more fixes in the spec files.
- Also compile kernel modules in kernel-um-26.spec.
- patches.fixes/sata_sil_enable: Mark driver as working, and
  add it in the configs (from ro@suse.de).
* Fri Jan 23 2004 - kraxel@suse.de
- fix i386 build with CONFIG_PROC_MM (skas) turned off.
* Fri Jan 23 2004 - agruen@suse.de
- patches.suse/sunrpc-xdr-arrays: Add missing exports.
* Thu Jan 22 2004 - olh@suse.de
- use plain elf vmlinux binary on ppc and ppc64 as bootfile
* Thu Jan 22 2004 - olh@suse.de
- split patches.suse/early_userspace-instead-of-linuxrc
  core and debug patch.
* Thu Jan 22 2004 - olh@suse.de
- reenable patches.fixes/alsa-101.patch
  from 2.6.2-rc1-mm1
* Thu Jan 22 2004 - agruen@suse.de
- Lots of changes in the spec files (for biarch, etc.).
  M4 no longer used.
* Thu Jan 22 2004 - mantel@suse.de
- update to 2.6.2-rc1 (linus-latest-2.6)
* Thu Jan 22 2004 - olh@suse.de
- update patches.fixes/linus-latest-2.6
  input fixes
  update patches.arch/ppc64.patch
  vio fixes
* Wed Jan 21 2004 - olh@suse.de
- add patches.drivers/ibm-ipr-2.0.0.patch
  ibmsis replacement, older iseries systems do still need ibmsis
* Wed Jan 21 2004 - olh@suse.de
- add patches.fixes/ppc32.sort_exception_table
* Wed Jan 21 2004 - kraxel@suse.de
- fix selinux for uml.
* Wed Jan 21 2004 - kraxel@suse.de
- disable raid6 on hammer (doesn't build, mmx/sse2 issues).
* Wed Jan 21 2004 - kraxel@suse.de
- one more uml fix.
* Wed Jan 21 2004 - kraxel@suse.de
- added i2c kbuild fix.
* Wed Jan 21 2004 - hare@suse.de
- Remove S390 specific patches from IBM; have been
  merged into 2.6.2-rc1.
* Wed Jan 21 2004 - kraxel@suse.de
- fix and reenable uml.
* Wed Jan 21 2004 - olh@suse.de
- update to 2.6.2-rc1
  update patches.arch/ppc64.patch
  disabled s390, alsa and uml patches until it is merged
* Wed Jan 21 2004 - hare@suse.de
- Fix syntax error in kernel-binary-26.spec.in
- Fix build on s390x.
* Wed Jan 21 2004 - hare@suse.de
- Fix config for s390 / s390x.
* Wed Jan 21 2004 - agruen@suse.de
- Fix syntax error in kernel-source-26.spec.in.
* Tue Jan 20 2004 - agruen@suse.de
- Spec files and pre-configuration: Add architecture into
  configuration identifier (e.g., what before was
  CONFIG_CFGNAME="smp" on x86_64 now becomes
  ARCH_FLAVOR="x86_64-smp").
- patches.fixes/aha152x-fix: Fix compile-time bug.
- patches.suse/reiserfs-acl-02: Fix the previous fix.
- sequence-patch.sh: Add all config files from all architectures,
  useful for run_oldconfig.sh.
- Update some configs.
* Tue Jan 20 2004 - kraxel@suse.de
- dropped forcedeth patch (merged in latest -bk).
* Tue Jan 20 2004 - schwab@suse.de
- Reenable ia64 updates.
* Mon Jan 19 2004 - kraxel@suse.de
- fix uml modules
- update uml config
* Mon Jan 19 2004 - schwab@suse.de
- Enable CONFIG_IA64_PAL_IDLE [SUSE33188].
* Mon Jan 19 2004 - hare@suse.de
- Update patches.arch/s390-gcc-inline-assembly to version
  from Martin Schwidefsky.
* Mon Jan 19 2004 - agruen@suse.de
- SUSE31399: Add nfsacl fix from 2.4 branch (thanks okir).
- Fix `make distclean': By accident, the dependency on the clean
  target got lost.
* Mon Jan 19 2004 - olh@suse.de
- update to current Linus tree
  update patches.arch/ppc64.patch
  add sysfs patches from Greg KH
* Fri Jan 16 2004 - kraxel@suse.de
- updated uml patch to 2.6.1 version
- updated configs.
* Fri Jan 16 2004 - schwab@suse.de
- Add latest ia64 updates.
* Fri Jan 16 2004 - hare@suse.de
- add patches.arch/s390-gcc-inline-assembly to fix
  errorneous inline assembly on S390 (SUSE32972).
* Thu Jan 15 2004 - kraxel@suse.de
- re-add patches.uml/uml-fix-fixaddr patch.
* Thu Jan 15 2004 - olh@suse.de
- update patches.suse/suse-ppc64-chrp-console-cmdline
  use set_preferred_console
* Thu Jan 15 2004 - olh@suse.de
- add patches.suse/suse-ppc64-kdb.disassembler.update
  update a few files to current binutils cvs status
* Thu Jan 15 2004 - olh@suse.de
- update patches.arch/ppc64.patch
  spinlock fixes
* Thu Jan 15 2004 - olh@suse.de
- add patches.fixes/linus-latest-2.6
  add patches.fixes/input_key84-2.6.1.patch,
  fixes a dead key, might require a console keymap update, X works
  disable patches.drivers/forcedeth-v20, as merged upstream
* Thu Jan 15 2004 - hare@suse.de
- Update series.conf to reflect configuration changes.
* Thu Jan 15 2004 - hare@suse.de
- S390: Removed ald configurations z900, g5;
  Update s390 and s390x configuration.
- S390: Update spec file to use image instead of bzImage
  for install.
- Install init/kerntypes.o instead of Kerntypes
  (with does not exist).
* Wed Jan 14 2004 - kraxel@suse.de
- add video4linux driver updates.
- update user-mode-linux patch
- remove some uml patches (merged upstream).
* Wed Jan 14 2004 - hare@suse.de
- S390: add patches.arch/s390-export-module-symbols; adding
  missing EXPORT_SYMBOL for modular build.
- S390: add patches.arch/s390-07-zfcp-host-adapter-update.patch from
  2.6.1-mm3.
- S390: add patches.fixed/s390-ffs-fix for fixing dosfs access.
* Wed Jan 14 2004 - agruen@suse.de
- Add ALSA 1.0.1 update according to Takashi Iwai <tiwai@suse.de>.
* Wed Jan 14 2004 - olh@suse.de
- add patches.suse/suse.ppc64.spinlock_asm_syntax.patch
  correct syntax for spinlock asm to avoid NULL pointer derefs.
* Wed Jan 14 2004 - olh@suse.de
- update patches.suse/suse-ppc64-chrp-console-cmdline
  update patches.suse/suse.ppc32.console.autodetection
  remove hardcoded speed for the console= parameter
* Wed Jan 14 2004 - garloff@suse.de
- Enable km_submount.
* Tue Jan 13 2004 - schwab@suse.de
- Update configs.
* Tue Jan 13 2004 - hare@suse.de
- S390: Update s390-ibm-* patches to 2.6.1-mm2.
* Mon Jan 12 2004 - olh@suse.de
- update patches.arch/ppc64.patch
  restore config files
* Mon Jan 12 2004 - agruen@suse.de
- sunrpc: Report -ENOSYS for unavailable programs.
- nfsacl: Fix handling of minimal ACLs.
- nfsacl: Fix dependency to allow to build sunrpc + nfsd + nfs
  to be built as modules.
* Mon Jan 12 2004 - garloff@suse.de
- rpmify on DEC Alpha as well.
* Sun Jan 11 2004 - garloff@suse.de
- Two patches from Ivan to make DEC alpha work:
  * Don't prefetch spinlocks on UP machines
  * Fix relocation issue in module loading
* Sun Jan 11 2004 - agruen@suse.de
- Fix accidentally reversed condition in patches.rpmify/
  kbuild-out-of-tree.
- Also fill in the kernel version in the generated spec files.
* Sun Jan 11 2004 - agruen@suse.de
- Add patches.fixes/ipsec-nat-t-old: Backward compatibility of
  NAT Traversal with draft-ietf-ipsec-udp-encaps-00/01 (which
  have long since expired).
* Sun Jan 11 2004 - olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  do not mount sysfs early, the events can be replayed later
  keep the early binfmt_elf init to record early hotplug calls
* Fri Jan 09 2004 - agruen@suse.de
- Rework how kernel-source and the binary kernels are built: Now,
  the source and binary package are all built directly from the
  sources.
* Fri Jan 09 2004 - schwab@suse.de
- Fix missing header.
* Fri Jan 09 2004 - schwab@suse.de
- Force arch/ia64/lib/io.o to be linked in.
* Fri Jan 09 2004 - kraxel@suse.de
- update to 2.6.1-final
- commented patches.fixes/missing-headers (doesn't apply and build
  seems to work fine without).
- added patches.drivers/forcedeth-v20 (nvidia network driver).
* Fri Jan 09 2004 - kraxel@suse.de
- updated configurations.
* Fri Jan 09 2004 - agruen@suse.de
- patches.suse/reiserfs-acl-02: Locking fix from Jeff Mahoney.
  Fold patches.suse/reiserfs-acl-fix into the man patch.
* Thu Jan 08 2004 - agruen@suse.de
- Re-enable patches.rpmify/kbuild-out-of-tree after version
  update, and add patches.rpmify/kbuild-out-of-tree-meta which
  enables different modversion tables for different configuration
  flavors.
* Thu Jan 08 2004 - kraxel@suse.de
- disable CONFIG_CPU_FREQ_24_API (bug SUSE33598).
* Wed Jan 07 2004 - schwab@suse.de
- Readd missing parts from ia64 update.
* Wed Jan 07 2004 - kraxel@suse.de
- added patches.suse/twofish-2.6 (suse24-compatible crypto loop).
- renamed /proc/bus/usb/bielefeld to something less confusing.
* Tue Jan 06 2004 - kraxel@suse.de
- moved patch chunk from export_symbol to uml-fix-skas.
* Tue Jan 06 2004 - kraxel@suse.de
- updated kernel configs.
* Tue Jan 06 2004 - kraxel@suse.de
- fixed and reenabled bootsplash patch.
* Tue Jan 06 2004 - kraxel@suse.de
- update to 2.6.1-rc2 -- first cut.
- disabled usb-2.5 patches (doesn't apply, partly merged).
- disabled ia64 update (doesn't apply, partly merged).
- disabled amd64 patches (doesn't apply, partly merged).
- fixed patches.arch/ppc32.lxppc.patch
- disabled ppc64 patches (rejects in arch/ppc64/kernel/irq.c).
- disabled uml patches (also irq.c rejects).
- deleted patches.fixes/gencpio.offset (merged).
- deleted patches.fixes/no-Werror (not needed any more).
- deleted patches.fixes/unimap_set (merged).
- disabled patches.fixes/s390-ibm-40_compat.diff (doesn't apply, partly merged).
- disabled patches.arch/s390-compat_wrapper (doesn't apply).
- disabled patches.rpmify/kbuild-out-of-tree (doesn't apply).
- disabled patches.suse/bootsplash (doesn't apply).
* Mon Jan 05 2004 - schwab@suse.de
- Add latest ia64 updates.
- Cleanup use of EXPORT_SYMBOL.
* Mon Jan 05 2004 - agruen@suse.de
- Add a missing #ifdef + #endif in patches.arch/ia64-update.
* Mon Jan 05 2004 - schwab@suse.de
- gcc-no-unit-at-a-time: don't redefine check_gcc.
* Mon Jan 05 2004 - agruen@suse.de
- Replace permission POSIX compliance fix with the version sent to
  Andrew Morton <akpm@osdl.org>, and add a separare patch for
  ReiserFS.
* Sat Dec 20 2003 - schwab@suse.de
- Add latest ia64 updates.
* Fri Dec 19 2003 - garloff@suse.de
- Make xconfig work on lib64 archs.
* Fri Dec 19 2003 - agruen@suse.de
- Update for version 2.6.0. Various clean-ups.
- Add /boot/modversions-%%{ver_str}.gz.
* Fri Dec 19 2003 - agruen@suse.de
- Modversions for km_* modules. (Modversion tables still missing
  in kernel-source-26 package.)
* Thu Dec 18 2003 - olh@suse.de
- update to 2.6.0
  iseries updates, pci updates
* Wed Dec 17 2003 - agruen@suse.de
- SUSE33559 nfsacl: add missing initialization and re-enable patches.
- Proberly map between NFSERR_NOTSUPP (v3+v4) and -ENOTSUPP /
-EOPNOTSUPP (thanks jeffm@suse.com).
* Wed Dec 17 2003 - olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  ide-cd blank media handling
  update patches.arch/ppc64.patch
  more iseries changes, altivec updates
* Tue Dec 16 2003 - agruen@suse.de
- Disable patches.rpmify/kbuild-out-of-tree for now, as it breaks
  external modules.
* Tue Dec 16 2003 - agruen@suse.de
- The hotplug_path variable is only defined with CONFIG_HOTPLUG,
  but used unconditionally.
* Tue Dec 16 2003 - ak@suse.de
- Update configs for x86-64. Enable various options that should be
  enabled. ISDN still off.
* Tue Dec 16 2003 - olh@suse.de
- update patches.suse/suse-ppc64-ksymoops.calltrace.patch
  print newline unconditionally
* Tue Dec 16 2003 - olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  raid5 fixes, usb merges
* Mon Dec 15 2003 - agruen@suse.de
- List all defined configurations in running-kernel.make.
- patches.rpmify/meta-config-version: Keep "meta-version" of
  include/linux/version.h intact (see patch).
- patches.rpmify/{kbuild-readonly,kbuild-out-of-tree}:
  Allow out-of-tree modules against read-only kernel sources
  (see patches).
* Sun Dec 14 2003 - olh@suse.de
- add patches.suse/suse-ppc64-ksymoops.calltrace.patch
  update calltrace format to make ksymoops happy
  add  patches.suse/suse-ppc64-wchan64
  yes, we have now a 64bit ps
* Sun Dec 14 2003 - olh@suse.de
- add patches.suse/suse.ppc32.ksymoops.calltrace.patch
  update calltrace format to make ksymoops happy
* Sun Dec 14 2003 - olh@suse.de
- update patches.suse/kdb-common
  kallsyms_get_addr is not required of kallsyms is off
* Sun Dec 14 2003 - olh@suse.de
- update patches.arch/ppc64.patch
  surveillance, lpar, proc updates
* Sun Dec 14 2003 - olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  more smp fixes
* Sat Dec 13 2003 - olh@suse.de
- mark some generic s390 changes as generic
* Sat Dec 13 2003 - olh@suse.de
- update patches.drivers/usb-2.5
  more usb fixes, storage updates
* Sat Dec 13 2003 - olh@suse.de
- handle s390x as s390 in specfile
* Sat Dec 13 2003 - olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  fix smp race in finish_wait
* Thu Dec 11 2003 - kraxel@suse.de
- delete bogous drivers/media/video/tvmixer.c patch chunk from usb-2.5
* Thu Dec 11 2003 - ak@suse.de
- Update x86_64 patchkit to x86_64-2.6.0test11-3
* Thu Dec 11 2003 - ak@suse.de
- Remove obsolete patches
* Thu Dec 11 2003 - olh@suse.de
- less guessing about the ARCH make flag and the used .config file
* Thu Dec 11 2003 - olh@suse.de
- add patches.suse/suse.ppc32.boot.per_board_initrd.patch
  allow smaller initrd for some boards
* Wed Dec 10 2003 - olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  update patches.arch/ppc64.patch
  update patches.arch/suse-ppc64-pcihotplug-makefile
  iseries pci support
  patches.drivers/usb-2.5
  usb storage updates, ohci updates
* Tue Dec 09 2003 - agruen@suse.de
- Relax the configuration file check: Don't abort if options are
  only taken away, but no new options are added.
* Tue Dec 09 2003 - olh@suse.de
- add patches.arch/suse-ppc64-export-csum_partial
  csum_partial should be exported per arch now
* Tue Dec 09 2003 - olh@suse.de
- add patches.arch/suse-ppc64-miscdev-late_initcall
  call the arch specific init stuff late, for sysfs misc dev node
* Tue Dec 09 2003 - olh@suse.de
- add patches.drivers/usb-2.5
  patches.drivers/usb-2.5_kobject.debug
  patches.drivers/usb-2.5_module_sig-depend
  dump the usb and sysfs tree in our repo
* Mon Dec 08 2003 - agruen@suse.de
- SUSE33559: Disable nfsacl until the problem can be debugged.
* Mon Dec 08 2003 - olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  tmpfs oops fix
* Sun Dec 07 2003 - olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  simplify changes
* Sun Dec 07 2003 - olh@suse.de
- add patches.arch/suse-ppc64-pcihotplug-rpa
  rpa is ppc64 only
* Sun Dec 07 2003 - olh@suse.de
- update to current status:
  patches.fixes/linux-2.6.0-test11-bk-latest
  patches.arch/ppc32.lxppc.patch
  patches.arch/ppc64.patch
* Sun Dec 07 2003 - agruen@suse.de
- Update configurations of i386 and x86_64.
* Sun Dec 07 2003 - agruen@suse.de
- patches.suse/sunrpc-enosys-when-unavail: Return -ENOSYS for
  programs or procedures that are unavailable. The nfsacl support
  needs this to decide whether or not to turn nfsacl support off.
* Sat Dec 06 2003 - agruen@suse.de
- Update i386 and x86_64 configs for qla2xxx driver update.
* Sat Dec 06 2003 - agruen@suse.de
- The uname replacement in Autobuild also breaks with the
  meta-configuration. Work around this by creating /.kernelversion
  when running inside Autobuild.
* Sat Dec 06 2003 - schwab@suse.de
- Update qla2xxx driver to 8.00.00b8.
* Sat Dec 06 2003 - schwab@suse.de
- Update qla2xxx driver to 8.00.00b7.
* Sat Dec 06 2003 - agruen@suse.de
- Fail if default configurations have missing symbols. Update
  i386 and x86_64 configurations.
- Add pre-configured headers proposal ("meta-configuration").
* Thu Dec 04 2003 - bk@suse.de
- add patches.arch/s390-suse-bk-cpint_cpcmd.diff for cpint support
* Thu Dec 04 2003 - olh@suse.de
- update patches.fixes/linux-2.6.0-test11-bk-latest
  Fix /proc access to dead thread group list oops
  Add RTPROT_XORP.
  Sanitize ip_ct_tcp_timeout_close_wait value, from 2.4.x
  Fix ipv4 mapped address calculation in udpv6_sendmsg().
* Wed Dec 03 2003 - olh@suse.de
- add patches.fixes/linux-2.6.0-test11-bk-latest
  update patches.arch/ppc64.patch
  Fix a number of irq affinity bugs
* Tue Dec 02 2003 - schwab@suse.de
- Add qla2xxx drivers.
* Tue Dec 02 2003 - agruen@suse.de
- A fix in the xdr array encoding code (nfsacl).
- Enable nfsacl in config files.
* Tue Dec 02 2003 - agruen@suse.de
- Less complicated versions of xdr_{encode,decode}_word can be
  used given proper word alignment in xdr_buf's. Luckily we can
  assume that.
* Tue Dec 02 2003 - agruen@suse.de
- patches.suse/reiserfs-acl-fix: Need to set the MS_POSIXACL mount
  option too, or else nfsacl won't work.
* Tue Dec 02 2003 - hare@suse.de
- S/390: Made definition of atomic_t visible from userspace.
* Tue Dec 02 2003 - agruen@suse.de
- Update version of ACPI DSDT patch (by Thomas Renninger
  <trenn@suse.de>).
* Tue Dec 02 2003 - agruen@suse.de
- Enable nfsacl port from 2.4.
* Tue Dec 02 2003 - hare@suse.de
- Using G5 as default configuration for s390.
* Tue Dec 02 2003 - hare@suse.de
- add patches.arch/s390-compat_wrapper
  Adding missing global symbol
- Update patches.fixes/export_symbol
  Export symbol delete_partition(), required for dasd_mod.
- Include ip_fast_csum in patches.arch/s390-ibm-01-base.diff.
* Mon Dec 01 2003 - olh@suse.de
- add missing CMD_LINE_SIZE to asm-ppc/bootinfo.h
* Sun Nov 30 2003 - olaf@suse.de
- add patches.suse/suse.ppc32.boot.ldscript.__kcrctab
  discard a kernel section, breaks OF booting
- add patches.suse/suse.ppc32.boot.ldscript.depend
  rebuild boot files if ld.script changes
- add patches.suse/suse.ppc32.boot.zimage.built-in.cmdline
  put a built-in cmdline into zImage, overrides stuff passed from OF
- add patches.suse/suse.ppc32.console.autodetection
  autodetect serial console on pmac and CHRP
* Sun Nov 30 2003 - olh@suse.de
- add patches.suse/suse.ppc32.601cpu.exception
  avoid unhandled alignment exceptions on 601 cpus
* Sun Nov 30 2003 - olh@suse.de
- add patches.suse/suse.ppc32.pmac.no_i8042.patch
  suse.ppc32.pmac.no_isapnp.patch
  suse.ppc32.pmac.no_pc_serial.patch
  dont probe for pc style hardware on mac
* Sun Nov 30 2003 - olh@suse.de
- add patches.suse/suse.ppc32.boot.zlib.debug
  add patches.suse/suse.ppc32.boot.zlib.no_memcpy
  update debugging code, no memcpy to avoid deadly exceptions in OF
* Sun Nov 30 2003 - olh@suse.de
- update patches.arch/ppc64.patch
  remove changes to sym2 driver and sg_add
  simplify ppc32 ROOT_DEV changes
* Sun Nov 30 2003 - olh@suse.de
- rename patches.arch/ppc32.patch to ppc32.lxppc.patch
  remove all the 4xx changes, to reduce patch noise
* Sun Nov 30 2003 - olh@suse.de
- update patches.arch/ppc64.patch
  remove bogus change in pci_scan_slot() loop, breaks some setups
* Fri Nov 28 2003 - hare@suse.de
- Added new configuration options for S/390.
* Fri Nov 28 2003 - hare@suse.de
- Update configuration files for S/390.
* Fri Nov 28 2003 - schwab@suse.de
- Disable CONFIG_IDE_TASKFILE_IO.
* Fri Nov 28 2003 - garloff@suse.de
- unimap_set: Allow setfont to set unicode map on openend console
  file descriptor (not only on current foreground console).
* Fri Nov 28 2003 - okir@suse.de
- Ported two minor nfs patches over from 2.4: nfs-d_drop-lowmem,
  nfs-min-blocksize
* Fri Nov 28 2003 - garloff@suse.de
- rdtsc-var-shadow: Variable name in rdtscll macro shadowed
  real variable (from axboe).
* Fri Nov 28 2003 - olh@suse.de
- update patches.arch/ppc64.patch
  vio fixes
* Thu Nov 27 2003 - agruen@suse.de
- Update spec file: add scripts/config_subst.sh. Remove defconfig
  files if the architecture has no default configuration.
- Remove test build; we haven't done test builds in the 2.4 kernel
  source package for a long time now without problems.
* Thu Nov 27 2003 - olh@suse.de
- update patches.arch/ppc64.patch
  update patches.suse/kdb-common
* Thu Nov 27 2003 - kraxel@suse.de
- bump version to test11
* Thu Nov 27 2003 - schwab@suse.de
- Readd bootmem sorting for discontigmem.
- Add sn2 and zx1 configs.
* Thu Nov 27 2003 - agruen@suse.de
- Add hotfix for Reiserfs+RPM problem: We need a working 2.6
  kernel for Autobuild.
* Thu Nov 27 2003 - hare@suse.de
- Added Patches from IBM which won't make it for 2.6.0.
  Enabled only for S390 for now.
- Updated config for s390 and s390x.
* Thu Nov 27 2003 - sf@suse.de
- add aacraid module to config
* Thu Nov 27 2003 - olh@suse.de
- update to 2.6.0-test11
* Wed Nov 26 2003 - olh@suse.de
- update patches.suse/early_userspace-instead-of-linuxrc
  call also init_elf32_binfmt
* Wed Nov 26 2003 - olh@suse.de
- add patches.suse/suse-ppc64-chrp-console-cmdline
  autodetect serial console and update cmdline
* Wed Nov 26 2003 - kraxel@suse.de
- added amd64 32bit signal handling fix (from ak).
* Tue Nov 25 2003 - olh@suse.de
- add patches.suse/suse-ppc64-chrp-root-sda3
  force sda3 if no root= specified
* Tue Nov 25 2003 - olh@suse.de
- Fix error return on concurrent fork() with threaded exit()
  CONFIG_PACKET=y on ppc32 for dhcpcd
* Tue Nov 25 2003 - schwab@suse.de
- Update scsi-changer patch.
* Tue Nov 25 2003 - olh@suse.de
- update to 2.6.0-test10-bk1-
  update ppc64.patch, some iseries support
* Mon Nov 24 2003 - olh@suse.de
- umount sysfs before calling name_to_dev_t()
* Mon Nov 24 2003 - olh@suse.de
- update to 2.6.0-test10
  disable CONFIG_IP_PNP, was dead code anyway
  enable minix per default
* Sun Nov 23 2003 - olh@suse.de
- add patches.suse/early_userspace-instead-of-linuxrc
  run /sbin/kinit if available, instead of linuxrc
* Fri Nov 21 2003 - olh@suse.de
- update to 2.6.0-test9-bk25
  update ppc64.patch,
  Add support for POSIX timer, clock syscalls for 32-bit processes.
* Thu Nov 20 2003 - olh@suse.de
- update ppc64.patch to fix compilation
* Thu Nov 20 2003 - olh@suse.de
- update to 2.6.0-test9-bk24
  update ppc64.patch
* Wed Nov 19 2003 - agruen@suse.de
- The patches.fixes/permission fix is incomplete and introduces
  a bug. Adding patches.fixes/permission-hack for now to hotfix
  the issue; more complete solution pending.
* Tue Nov 18 2003 - olh@suse.de
- add patches.arch/ppc64.ppc32.compat.syscalls
  a few missing syscalls: compat_clock_settime,
  compat_clock_gettime, compat_clock_getres, compat_clock_nanosleep
* Tue Nov 18 2003 - olh@suse.de
- update patches.arch/ppc64.as.no_power4
  use -Wa,-many to make it compile
* Tue Nov 18 2003 - olh@suse.de
- update patches.arch/ppc64.patch
  stat64 and fadvice64 updates, and more
* Tue Nov 18 2003 - olh@suse.de
- update to 2.6.0-test9-bk23+
  update ppc32.patch
* Tue Nov 18 2003 - olh@suse.de
- add patches.fixes/drivers.net.pcnet32.watchdog.spinlock
  see http://bugme.osdl.org/show_bug.cgi?id=817
* Tue Nov 18 2003 - olh@suse.de
- add patches.fixes/gencpio.offset
  add an offset after adding a file to initramfs
* Tue Nov 18 2003 - olh@suse.de
- add patches.arch/ppc32.syscall6
  define _syscall6 for klibc
* Tue Nov 18 2003 - olh@suse.de
- add patches.arch/ppc64.as.no_power4
  do not optimize for power4, or older cpus will not boot
* Tue Nov 18 2003 - olh@suse.de
- update to 2.6.0-test9-bk22, update config, arch ia64 + x86_64
  split patches.arch/ia64-early-printk
* Mon Nov 17 2003 - agruen@suse.de
- Fail build if one of the km_* modules fails.
* Fri Nov 14 2003 - stepan@suse.de
- add patches.suse/bootsplash
* Fri Nov 14 2003 - schwab@suse.de
- Update ia64 config.
* Fri Nov 14 2003 - schwab@suse.de
- Update ia64 support.
* Fri Nov 14 2003 - schwab@suse.de
- Fix reiserfs xattr and acl patches.
* Thu Nov 13 2003 - schwab@suse.de
- Remove blkdev_get_block-partial, it doesn't properly fix the issue and
  is better addressed in user space.
* Thu Nov 13 2003 - agruen@suse.de
- SUSE33097: patches.common/xattr-pointer-arith fixes a pointer
  arithmetic bug in the xattr code.
- Enable CONFIG_MODVERSIONS for all archs.
* Thu Nov 13 2003 - kraxel@suse.de
- updated i386 + amd64 configs.
* Thu Nov 13 2003 - agruen@suse.de
- Merge reiserfs xattr and acl patches from jeffm@suse.com.
* Wed Nov 12 2003 - agruen@suse.de
- Fix get_release_number.sh: Did not work with the --prefer-rpms
  option of build script.
* Tue Nov 11 2003 - ak@suse.de
- Merge to x86_64-2.6.0test9-5
* Mon Nov 10 2003 - schwab@suse.de
- Fix rounding error for blkdev reads [SUSE31902].
* Mon Nov 10 2003 - schwab@suse.de
- Reenable serial console patch.
* Fri Nov 07 2003 - hare@suse.de
- patches.suse/kerntypes: Fixed #define.
* Thu Nov 06 2003 - ro@suse.de
- bump version to test9
* Fri Oct 31 2003 - hare@suse.de
- Update configuration for S/390
- patches.suse/kerntypes: Added Kerntypes patch (needed for lcrash)
- patches.arch/s390-semaphore: Add mb() to __down to avoid races.
- patches.fixes/ip-compute-checksum: Add patch for S/390.
- Removed obsolete S/390 specific compilation fix.
* Thu Oct 30 2003 - kraxel@suse.de
- make uml recognise console= cmd line args.
* Thu Oct 30 2003 - kraxel@suse.de
- fix uml disk names.
* Tue Oct 28 2003 - agruen@suse.de
- patches.fixes/permission: Make permission() functions and
  access() system call comply with POSIX.1-2001.
- patches.suse/sunrpc-multiple-programs: Allow multiple rpc
  programs in the same transport endpoint. (First part of nfsacl
  port from 2.4).
* Mon Oct 27 2003 - kraxel@suse.de
- fixup UML fixaddr stuff.
* Mon Oct 27 2003 - kraxel@suse.de
- updated UML.
* Sun Oct 26 2003 - ak@suse.de
- Add x86-64-2.6.0test9-1 patchkit
- Export ip_compute_csum
- Remove obsolete file
- Work around compat mode wrap issue
* Sun Oct 26 2003 - schwab@suse.de
- Update ia64 support.
* Sun Oct 26 2003 - olh@suse.de
- update to 2.6.0-test9
* Thu Oct 23 2003 - kraxel@suse.de
- one more uml fix.
* Thu Oct 23 2003 - okir@suse.de
- Fix miscompilation of ip_send_check in ip_fragment (SUSE31812)
* Thu Oct 23 2003 - kraxel@suse.de
- UML build fixes.
* Wed Oct 22 2003 - kraxel@suse.de
- updated UML patches.
* Tue Oct 21 2003 - olh@suse.de
- add patches.fixes/ppc32-pmac_zilog-consoleinit
  init pmac serial only on powermac, to prevent early crash
* Tue Oct 21 2003 - olh@suse.de
- build with -k to spot all errors in one go
* Tue Oct 21 2003 - olh@suse.de
- add patches.fixes/root_dev-partition3
  define Root_SDA3 before using it
* Mon Oct 20 2003 - ak@suse.de
- Fix warning added by ppc64 patch
* Mon Oct 20 2003 - schwab@suse.de
- Fix numa init error.
* Mon Oct 20 2003 - schwab@suse.de
- Update ia64 patches and configs.
- Update spec file.
* Mon Oct 20 2003 - kraxel@suse.de
- updated i386 configs.
* Mon Oct 20 2003 - kraxel@suse.de
- updated x86_64 configs.
* Mon Oct 20 2003 - olh@suse.de
- add patches.arch/suse-ppc32-chrp-rootdevice
  add patches.arch/suse-ppc32-prep-rootdevice
  use sda3 as default root device if no root= given
* Mon Oct 20 2003 - olh@suse.de
- add patches.fixes/ppc32-macfloppy-swim3-float
  request->sector is u64, leads to floating point usage on divide
* Mon Oct 20 2003 - olh@suse.de
- add patches.fixes/ppc32-macfloppy-swim3
  PowerMac floppy driver update
* Mon Oct 20 2003 - olh@suse.de
- add patches.fixes/usb-serial-whiteheat-CMSPAR
  some archs do not define CMSPAR in asm/termbits.h
  add patches.fixes/kdb-dis-asm.h
  add missing header
* Mon Oct 20 2003 - olh@suse.de
- update to 2.6.0-test8
  update patches.arch/ppc64.patch
  add patches.arch/ppc32.patch
* Fri Oct 17 2003 - schwab@suse.de
- Update to latest ia64 updates.
- Switch to generic build.
- Remove early printk patch again, it does not even compile.
* Thu Oct 16 2003 - ak@suse.de
- Reenable early printk support for i386
* Wed Oct 15 2003 - schwab@suse.de
- Update to latest ia64 patches.
- Enable ia32 support.
* Wed Oct 15 2003 - hare@suse.de
- S/390 update: fixes and default configuration.
* Tue Oct 14 2003 - schwab@suse.de
- Translate LF to CRLF instead of LFCR on serial console.
- Remove stack hard limit on ia64.
* Sat Oct 11 2003 - schwab@suse.de
- Fix more missing EXPORT_SYMBOLs.
* Fri Oct 10 2003 - schwab@suse.de
- Add missing EXPORT_SYMBOL.
* Fri Oct 10 2003 - olh@suse.de
- add patches.arch/ppc64.patch and a pseries config
* Fri Oct 10 2003 - schwab@suse.de
- Add futex fix.
* Thu Oct 09 2003 - kraxel@suse.de
- char/sc driver buildfix.
- updated ppc/hammer configs.
* Thu Oct 09 2003 - schwab@suse.de
- Fix bug in genksyms parser.
* Thu Oct 09 2003 - ak@suse.de
- remove more obsolete files
* Thu Oct 09 2003 - ak@suse.de
- remove obsolete file
- add x86-64 APIC hack for nvidia/via
* Thu Oct 09 2003 - kraxel@suse.de
- updated to -test7
- removed ia64/smp from config.conf
* Tue Oct 07 2003 - schwab@suse.de
- Make ia64 default to SMP and remove smp configuration.
* Mon Oct 06 2003 - schwab@suse.de
- Fix invalid pointer in megaraid driver.
* Wed Oct 01 2003 - schwab@suse.de
- Apply tiocgdev patch.
- Remove printk in ia64_ni_syscall.
* Wed Oct 01 2003 - schwab@suse.de
- Adapt ia64 patch.
* Mon Sep 29 2003 - kraxel@suse.de
- Updated configs (ppc,i386,amd64).
* Mon Sep 29 2003 - schwab@suse.de
- Fix specfile for ia64.
* Mon Sep 29 2003 - schwab@suse.de
- Update ia64 configs.
* Mon Sep 29 2003 - kraxel@suse.de
- updated to kernel 2.6.0-test6
- added tiocgdev patch.
* Fri Sep 19 2003 - kraxel@suse.de
- amd64 smp fix.
* Fri Sep 19 2003 - kraxel@suse.de
- misc build fixes.
* Tue Sep 16 2003 - kraxel@suse.de
- updated uml patch.
* Fri Sep 12 2003 - schwab@suse.de
- Reenable ia64 patch.
- Update configs.
* Wed Sep 10 2003 - kraxel@suse.de
- configuration updates.
* Wed Sep 10 2003 - kraxel@suse.de
- updated scsi changer patch.
* Tue Sep 09 2003 - kraxel@suse.de
- commented ia64 patch, breaks i386 build.
* Tue Sep 09 2003 - kraxel@suse.de
- updated spec file.
* Tue Sep 09 2003 - kraxel@suse.de
- updated to 2.6.0-test5.
- updated ia64 patch.
- commented merged and/or obsolete patches.
- fixed some rejects.
* Wed Sep 03 2003 - schwab@suse.de
- Avoid repeating version.
* Wed Sep 03 2003 - schwab@suse.de
- Fix missing patches.
* Wed Sep 03 2003 - schwab@suse.de
- Update ia64 patch to 2.6.0-test4-ia64-030826.
- Update ia64 configs.
* Wed Sep 03 2003 - schwab@suse.de
- Readd non-obsolete fix.
* Tue Sep 02 2003 - agruen@suse.de
- patches.suse/acpi-dsdt-from-initrd: Overwrite the bios ACPI DSDT
  with one attached to the initrd.
* Mon Sep 01 2003 - olh@suse.de
- add patches.fixes/proc_bus_usb_bielefeld
  noone must ever read /proc/bus/usb/devices
* Thu Aug 28 2003 - kraxel@suse.de
- updated configs (ia64, uml).
* Wed Aug 27 2003 - kraxel@suse.de
- updated ia64 configs.
* Wed Aug 27 2003 - kraxel@suse.de
- uml networking fixes.
* Tue Aug 26 2003 - kraxel@suse.de
- updated config files (ppc, i386, x86_64).
* Tue Aug 26 2003 - kraxel@suse.de
- more UML fixes.
* Mon Aug 25 2003 - kraxel@suse.de
- UML fixes.
* Mon Aug 25 2003 - kraxel@suse.de
- updated to 2.6.0-test4.
- updated amd64 patch.
- removed ia64 patch.
- removed obsolete fixes.
- rediffed uml patch.
- commented config.gz patch (standard kernel has /proc/ikconfig/*
  now ...).
* Fri Aug 22 2003 - kraxel@suse.de
- updated uml patches.
* Mon Aug 18 2003 - schwab@suse.de
- Fix ia64_ksyms.c.
- Disable NUMA on UP.
* Mon Aug 18 2003 - schwab@suse.de
- Update ia64 patch to 2.6.0-test3-ia64-030815.
- Update ia64 configs.
- Fix paride disk driver.
* Fri Aug 15 2003 - kraxel@suse.de
- set CONFIG_FRAMEBUFFER_CONSOLE=y
* Wed Aug 13 2003 - kraxel@suse.de
- disabled CONFIG_PARIDE (doesn't build)
- more uml fixes.
* Mon Aug 11 2003 - kraxel@suse.de
- uml build fix.
* Mon Aug 11 2003 - kraxel@suse.de
- updated to -test3.
- commented ia64 patches.
- updated amd64 patches.
- minor other fixups.
* Thu Aug 07 2003 - kraxel@suse.de
- updated ia64 configs
* Wed Aug 06 2003 - kraxel@suse.de
- updated ppc configs
* Wed Aug 06 2003 - kraxel@suse.de
- updated i386 configs
* Wed Aug 06 2003 - kraxel@suse.de
- add -fno-unit-at-a-time to cflags
* Tue Aug 05 2003 - kraxel@suse.de
- uml fixups, added ia32 uml config
* Tue Aug 05 2003 - kraxel@suse.de
- update amd64 configs
* Mon Aug 04 2003 - kraxel@suse.de
- update to 2.6.0-test2
- updated ia64 arch patch
- added amd64 arch patch
- added uml arch patch
- dropped vesafb patch (merged)
* Fri Jul 25 2003 - kraxel@suse.de
- *really* added s390 build fix (no cross compile).
* Fri Jul 25 2003 - kraxel@suse.de
- added uli's s390 fix to cvs.
* Thu Jul 24 2003 - kraxel@suse.de
- rm global -g switch from ia64 arch patch.
* Tue Jul 15 2003 - kraxel@suse.de
- fix vesafb
* Mon Jul 14 2003 - schwab@suse.de
- Update ia64 config files.
* Mon Jul 14 2003 - kraxel@suse.de
- updated amd64 config files
* Mon Jul 14 2003 - kraxel@suse.de
- updated media changer patch
* Mon Jul 14 2003 - schwab@suse.de
- Update ia64 patch to 2.5.75-ia64-030712 (with some tweaks).
- Readd patches that still apply.
* Mon Jul 14 2003 - kraxel@suse.de
- added ppc build fix
- updated ppc configurations
- deleted merged/obsolete arch patches
* Mon Jul 14 2003 - kraxel@suse.de
- updated configurations for i386/ia64/amd64
* Mon Jul 14 2003 - kraxel@suse.de
- updated to 2.6.0-test1
- commented all patches which don't apply
- specfile tweaks -- rpm doesn't like a dash in Version: :-/
* Wed Jul 02 2003 - schwab@suse.de
- Fix xfs build.
- Fix huge kmallocs.
- Fix divacapi driver.
* Wed Jul 02 2003 - kraxel@suse.de
- added ppc smp build fix (missing include).
* Wed Jul 02 2003 - kraxel@suse.de
- ppc build fix, added/updated configurations for ppc+ia64
* Tue Jul 01 2003 - schwab@suse.de
- Add latest ia64 patches.
* Tue Jul 01 2003 - kraxel@suse.de
- updated to 2.5.73
- removed ia64 patches (merged).
- added amd64 patches.
- commented patches which don't apply.
- updated amd64 configs
* Fri Jun 20 2003 - schwab@suse.de
- Update ia64 patch to 2.5.72-030619
* Wed Jun 18 2003 - ak@suse.de
- add early_printk for i386
- fix genapic compilation
- add bigsmp configuration (with PAE, M686, genapic, 32 CPUs support)
- disable APICs for now for default kernels.
- fix PPPoE for SMP kernels
- Tell compiler to optimize for 686 by default
- various configuration fixes
* Thu Jun 12 2003 - schwab@suse.de
- Update ia64 patch to 2.5.69-030521, throwing away the parts included
  in 2.5.70.
* Wed May 28 2003 - kraxel@suse.de
- updated to kernel 2.5.70.
- deleted hammer patches (merged).
- updated scsi changer patch.
- commented patches which don't apply any more.
- disabled some config options to make stuff compile.
* Wed May 14 2003 - schwab@suse.de
- Separate out show_stack changes into own patch.
- Add some build fixes.
* Wed May 14 2003 - schwab@suse.de
- Fix uses of head and tail.
* Thu May 08 2003 - kraxel@suse.de
- initial release
